#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 2734
#define LARGE_STATE_COUNT 125
#define SYMBOL_COUNT 158
#define ALIAS_COUNT 1
#define TOKEN_COUNT 98
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 10

enum {
  sym_word = 1,
  anon_sym_LF = 2,
  anon_sym_for = 3,
  anon_sym_in = 4,
  anon_sym_LPAREN_LPAREN = 5,
  anon_sym_RPAREN_RPAREN = 6,
  anon_sym_SEMI = 7,
  anon_sym_while = 8,
  anon_sym_do = 9,
  anon_sym_done = 10,
  anon_sym_if = 11,
  anon_sym_then = 12,
  anon_sym_fi = 13,
  anon_sym_elif = 14,
  anon_sym_else = 15,
  anon_sym_case = 16,
  anon_sym_esac = 17,
  anon_sym_PIPE = 18,
  anon_sym_RPAREN = 19,
  anon_sym_SEMI_SEMI = 20,
  anon_sym_function = 21,
  anon_sym_LPAREN = 22,
  anon_sym_LBRACE = 23,
  anon_sym_RBRACE = 24,
  anon_sym_PIPE_AMP = 25,
  anon_sym_AMP_AMP = 26,
  anon_sym_PIPE_PIPE = 27,
  anon_sym_BANG = 28,
  anon_sym_LBRACK = 29,
  anon_sym_RBRACK = 30,
  anon_sym_LBRACK_LBRACK = 31,
  anon_sym_RBRACK_RBRACK = 32,
  anon_sym_declare = 33,
  anon_sym_typeset = 34,
  anon_sym_export = 35,
  anon_sym_readonly = 36,
  anon_sym_local = 37,
  anon_sym_unset = 38,
  anon_sym_unsetenv = 39,
  anon_sym_EQ_TILDE = 40,
  anon_sym_EQ_EQ = 41,
  anon_sym_EQ = 42,
  anon_sym_PLUS_EQ = 43,
  anon_sym_LT = 44,
  anon_sym_GT = 45,
  anon_sym_GT_GT = 46,
  anon_sym_AMP_GT = 47,
  anon_sym_AMP_GT_GT = 48,
  anon_sym_LT_AMP = 49,
  anon_sym_GT_AMP = 50,
  anon_sym_LT_LT = 51,
  anon_sym_LT_LT_DASH = 52,
  anon_sym_LT_LT_LT = 53,
  anon_sym_BANG_EQ = 54,
  anon_sym_PLUS = 55,
  anon_sym_DASH = 56,
  anon_sym_DASH_EQ = 57,
  anon_sym_LT_EQ = 58,
  anon_sym_GT_EQ = 59,
  anon_sym_PLUS_PLUS = 60,
  anon_sym_DASH_DASH = 61,
  anon_sym_DOLLAR = 62,
  sym__special_character = 63,
  anon_sym_DQUOTE = 64,
  sym__string_content = 65,
  sym_raw_string = 66,
  sym_ansii_c_string = 67,
  anon_sym_POUND = 68,
  anon_sym_DOLLAR_LBRACE = 69,
  anon_sym_SLASH = 70,
  anon_sym_COLON = 71,
  anon_sym_COLON_QMARK = 72,
  anon_sym_COLON_DASH = 73,
  anon_sym_PERCENT = 74,
  anon_sym_DOLLAR_LPAREN = 75,
  anon_sym_BQUOTE = 76,
  anon_sym_LT_LPAREN = 77,
  anon_sym_GT_LPAREN = 78,
  sym_comment = 79,
  aux_sym__simple_variable_name_token1 = 80,
  anon_sym_STAR = 81,
  anon_sym_AT = 82,
  anon_sym_QMARK = 83,
  anon_sym_0 = 84,
  anon_sym__ = 85,
  sym_test_operator = 86,
  anon_sym_AMP = 87,
  sym_heredoc_start = 88,
  sym__simple_heredoc_body = 89,
  sym__heredoc_body_beginning = 90,
  sym__heredoc_body_middle = 91,
  sym__heredoc_body_end = 92,
  sym_file_descriptor = 93,
  sym__empty_value = 94,
  sym__concat = 95,
  sym_variable_name = 96,
  sym_regex = 97,
  sym_program = 98,
  sym__statements = 99,
  aux_sym__statements2 = 100,
  sym__terminated_statement = 101,
  sym_redirected_statement = 102,
  sym_for_statement = 103,
  sym_c_style_for_statement = 104,
  sym_while_statement = 105,
  sym_do_group = 106,
  sym_if_statement = 107,
  sym_elif_clause = 108,
  sym_else_clause = 109,
  sym_case_statement = 110,
  sym_case_item = 111,
  sym_last_case_item = 112,
  sym_function_definition = 113,
  sym_compound_statement = 114,
  sym_subshell = 115,
  sym_pipeline = 116,
  sym_list = 117,
  sym_negated_command = 118,
  sym_test_command = 119,
  sym_declaration_command = 120,
  sym_unset_command = 121,
  sym_command = 122,
  sym_command_name = 123,
  sym_variable_assignment = 124,
  sym_subscript = 125,
  sym_file_redirect = 126,
  sym_heredoc_redirect = 127,
  sym_heredoc_body = 128,
  sym_herestring_redirect = 129,
  sym__expression = 130,
  sym_binary_expression = 131,
  sym_unary_expression = 132,
  sym_postfix_expression = 133,
  sym_parenthesized_expression = 134,
  sym_concatenation = 135,
  sym_string = 136,
  sym_array = 137,
  sym_simple_expansion = 138,
  sym_string_expansion = 139,
  sym_expansion = 140,
  sym_command_substitution = 141,
  sym_process_substitution = 142,
  aux_sym__statements_repeat1 = 143,
  aux_sym_redirected_statement_repeat1 = 144,
  aux_sym_for_statement_repeat1 = 145,
  aux_sym_if_statement_repeat1 = 146,
  aux_sym_case_statement_repeat1 = 147,
  aux_sym_case_item_repeat1 = 148,
  aux_sym_declaration_command_repeat1 = 149,
  aux_sym_unset_command_repeat1 = 150,
  aux_sym_command_repeat1 = 151,
  aux_sym_command_repeat2 = 152,
  aux_sym_heredoc_body_repeat1 = 153,
  aux_sym__literal_repeat1 = 154,
  aux_sym_concatenation_repeat1 = 155,
  aux_sym_string_repeat1 = 156,
  aux_sym_expansion_repeat1 = 157,
  alias_sym_special_variable_name = 158,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_LF] = "\n",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_function] = "function",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym__string_content] = "_string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansii_c_string] = "ansii_c_string",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON] = ":",
  [anon_sym_COLON_QMARK] = ":?",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [anon_sym_STAR] = "special_variable_name",
  [anon_sym_AT] = "special_variable_name",
  [anon_sym_QMARK] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_test_operator] = "test_operator",
  [anon_sym_AMP] = "&",
  [sym_heredoc_start] = "heredoc_start",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym__heredoc_body_middle] = "_heredoc_body_middle",
  [sym__heredoc_body_end] = "_heredoc_body_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_regex] = "regex",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__statements2] = "_statements2",
  [sym__terminated_statement] = "_terminated_statement",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym_heredoc_body] = "heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_array] = "array",
  [sym_simple_expansion] = "simple_expansion",
  [sym_string_expansion] = "string_expansion",
  [sym_expansion] = "expansion",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_expansion_repeat1] = "expansion_repeat1",
  [alias_sym_special_variable_name] = "special_variable_name",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__string_content] = sym__string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansii_c_string] = sym_ansii_c_string,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_AT] = anon_sym_STAR,
  [anon_sym_QMARK] = anon_sym_STAR,
  [anon_sym_0] = anon_sym_STAR,
  [anon_sym__] = anon_sym_STAR,
  [sym_test_operator] = sym_test_operator,
  [anon_sym_AMP] = anon_sym_AMP,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym__heredoc_body_middle] = sym__heredoc_body_middle,
  [sym__heredoc_body_end] = sym__heredoc_body_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_regex] = sym_regex,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__statements2] = aux_sym__statements2,
  [sym__terminated_statement] = sym__terminated_statement,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_array] = sym_array,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_string_expansion] = sym_string_expansion,
  [sym_expansion] = sym_expansion,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_expansion_repeat1] = aux_sym_expansion_repeat1,
  [alias_sym_special_variable_name] = alias_sym_special_variable_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansii_c_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_end] = {
    .visible = false,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements2] = {
    .visible = false,
    .named = false,
  },
  [sym__terminated_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_string_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_special_variable_name] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[8][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_word,
  },
  [2] = {
    [1] = sym_word,
  },
  [3] = {
    [1] = alias_sym_special_variable_name,
  },
  [4] = {
    [2] = sym_word,
  },
  [5] = {
    [2] = alias_sym_special_variable_name,
  },
  [6] = {
    [3] = sym_word,
  },
  [7] = {
    [4] = sym_word,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(120);
      if (lookahead == '!') ADVANCE(160);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '%') ADVANCE(232);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(198);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == '0') ADVANCE(255);
      if (lookahead == ':') ADVANCE(229);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(264);
      if (lookahead == 'i') ADVANCE(263);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(241);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(266);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '\\') SKIP(80)
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == 'e') ADVANCE(246);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '&') ADVANCE(268);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '\\') SKIP(97)
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == 'i') ADVANCE(245);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '&') ADVANCE(268);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') SKIP(103)
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '&') ADVANCE(269);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '\\') SKIP(79)
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '&') ADVANCE(269);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') SKIP(90)
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(268);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '-') ADVANCE(265);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(266);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(254);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(260);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '_') ADVANCE(257);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(266);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(254);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(260);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '_') ADVANCE(257);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(241);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(266);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(260);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(264);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(266);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(260);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(254);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '_') ADVANCE(257);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(266);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(254);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '_') ADVANCE(257);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(241);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(266);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(266);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(77);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(264);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(266);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(268);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(254);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '_') ADVANCE(257);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(268);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(89);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(160);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '%') ADVANCE(232);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '+') ADVANCE(198);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == '0') ADVANCE(255);
      if (lookahead == ':') ADVANCE(229);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(258);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(264);
      if (lookahead == 'i') ADVANCE(263);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '%') ADVANCE(232);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(254);
      if (lookahead == ':') ADVANCE(229);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == '_') ADVANCE(257);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(254);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(83);
      if (lookahead == '_') ADVANCE(257);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(264);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == ']') ADVANCE(215);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '-') ADVANCE(265);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '\\') SKIP(98)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '\\') ADVANCE(99);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(219);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(222);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(220);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(222);
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '\\') SKIP(105)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '\\') SKIP(82)
      if (lookahead == ']') ADVANCE(57);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') SKIP(92)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '(') ADVANCE(49);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') SKIP(93)
      if (lookahead == ']') ADVANCE(216);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') SKIP(94)
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') SKIP(106)
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 35:
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '%') ADVANCE(232);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '/') ADVANCE(228);
      if (lookahead == ':') ADVANCE(229);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 36:
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '%') ADVANCE(232);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ':') ADVANCE(229);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 37:
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 38:
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(266);
      END_STATE();
    case 39:
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(95);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 41:
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(264);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 42:
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (lookahead != 0) ADVANCE(222);
      END_STATE();
    case 43:
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '+') ADVANCE(55);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '<') ADVANCE(178);
      if (lookahead == '=') ADVANCE(172);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '[') ADVANCE(163);
      if (lookahead == '\\') SKIP(102)
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 44:
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == ';') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(266);
      END_STATE();
    case 45:
      if (lookahead == '&') ADVANCE(157);
      END_STATE();
    case 46:
      if (lookahead == '\'') ADVANCE(223);
      if (lookahead != 0) ADVANCE(46);
      END_STATE();
    case 47:
      if (lookahead == '\'') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '\'') ADVANCE(225);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == '(') ADVANCE(139);
      END_STATE();
    case 50:
      if (lookahead == '(') ADVANCE(235);
      END_STATE();
    case 51:
      if (lookahead == '(') ADVANCE(236);
      END_STATE();
    case 52:
      if (lookahead == ')') ADVANCE(140);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(151);
      END_STATE();
    case 54:
      if (lookahead == '=') ADVANCE(196);
      END_STATE();
    case 55:
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 56:
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    case 57:
      if (lookahead == ']') ADVANCE(167);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 59:
      if (lookahead == 'c') ADVANCE(143);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 61:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 62:
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 63:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 64:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 65:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 66:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 67:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 68:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 69:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 70:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 71:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 72:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 73:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 74:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 75:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 76:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 77:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 78:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 79:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 80:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      END_STATE();
    case 81:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 82:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      END_STATE();
    case 83:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 84:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 85:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 86:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 87:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 88:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 89:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 90:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 91:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 92:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      END_STATE();
    case 93:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      END_STATE();
    case 94:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 95:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 96:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 97:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      END_STATE();
    case 98:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      END_STATE();
    case 99:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(219);
      if (lookahead != 0) ADVANCE(222);
      END_STATE();
    case 100:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(220);
      if (lookahead != 0) ADVANCE(222);
      END_STATE();
    case 101:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (lookahead != 0) ADVANCE(222);
      END_STATE();
    case 102:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      END_STATE();
    case 103:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 104:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 105:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      END_STATE();
    case 106:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 107:
      if (lookahead != 0) ADVANCE(222);
      END_STATE();
    case 108:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(266);
      END_STATE();
    case 109:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '\\') SKIP(118)
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(109)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 110:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') SKIP(119)
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(110)
      END_STATE();
    case 111:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(111)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(266);
      END_STATE();
    case 112:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(254);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(260);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '_') ADVANCE(257);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(112)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(266);
      END_STATE();
    case 113:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(260);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(113)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 114:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(249);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(254);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(253);
      if (lookahead == '@') ADVANCE(251);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '_') ADVANCE(257);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(114)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(266);
      END_STATE();
    case 115:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(115)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(266);
      END_STATE();
    case 116:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(268);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '\\') ADVANCE(89);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(116)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(266);
      END_STATE();
    case 117:
      if (eof) ADVANCE(120);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(238);
      if (lookahead == '$') ADVANCE(213);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(215);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(117)
      if (lookahead != 0) ADVANCE(266);
      END_STATE();
    case 118:
      if (eof) ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(109)
      END_STATE();
    case 119:
      if (eof) ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(110)
      END_STATE();
    case 120:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '\\') ADVANCE(67);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '-') ADVANCE(202);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '-') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(81);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(68);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '\\') ADVANCE(70);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '\\') ADVANCE(71);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '\\') ADVANCE(72);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(73);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(74);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(76);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '\\') ADVANCE(77);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(88);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(151);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(156);
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(139);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(196);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(166);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '~') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(170);
      if (lookahead == '~') ADVANCE(168);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(235);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(235);
      if (lookahead == '<') ADVANCE(193);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(235);
      if (lookahead == '<') ADVANCE(193);
      if (lookahead == '=') ADVANCE(206);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '<') ADVANCE(193);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(206);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '(') ADVANCE(236);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(188);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '(') ADVANCE(236);
      if (lookahead == '>') ADVANCE(188);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '>') ADVANCE(188);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(194);
      if (lookahead == '<') ADVANCE(195);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(209);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(208);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(211);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '\\') ADVANCE(108);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(210);
      if (lookahead == '=') ADVANCE(204);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '{') ADVANCE(227);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(233);
      if (lookahead == '{') ADVANCE(227);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(167);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(222);
      if (lookahead == '\\') ADVANCE(237);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(218);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '\\') ADVANCE(99);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(219);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(222);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '#') ADVANCE(226);
      if (lookahead == '$') ADVANCE(212);
      if (lookahead == '*') ADVANCE(248);
      if (lookahead == '-') ADVANCE(200);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '?') ADVANCE(252);
      if (lookahead == '@') ADVANCE(250);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(220);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(222);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '"') ADVANCE(217);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '`') ADVANCE(234);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(221);
      if (lookahead != 0) ADVANCE(222);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(222);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_ansii_c_string);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_ansii_c_string);
      if (lookahead == '\'') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(231);
      if (lookahead == '?') ADVANCE(230);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(222);
      if (lookahead != 0) ADVANCE(218);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(238);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'a') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 's') ADVANCE(239);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(247);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '~') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'a') ADVANCE(262);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'n') ADVANCE(137);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 's') ADVANCE(261);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(266);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_test_operator);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(157);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(157);
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'e') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'l') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 't') ADVANCE(9);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'w') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(12);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(15);
      if (lookahead == 'x') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'h') ADVANCE(23);
      if (lookahead == 'y') ADVANCE(24);
      END_STATE();
    case 10:
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(26);
      END_STATE();
    case 12:
      if (lookahead == 's') ADVANCE(27);
      END_STATE();
    case 13:
      if (lookahead == 'c') ADVANCE(28);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'n') ADVANCE(29);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 's') ADVANCE(31);
      END_STATE();
    case 16:
      if (lookahead == 'p') ADVANCE(32);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 18:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 21:
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(36);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(38);
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(39);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(44);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 36:
      if (lookahead == 'd') ADVANCE(49);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(56);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 70:
      if (lookahead == 'y') ADVANCE(74);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 72:
      if (lookahead == 'v') ADVANCE(75);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 117, .external_lex_state = 2},
  [2] = {.lex_state = 117, .external_lex_state = 2},
  [3] = {.lex_state = 117, .external_lex_state = 2},
  [4] = {.lex_state = 117, .external_lex_state = 2},
  [5] = {.lex_state = 117, .external_lex_state = 2},
  [6] = {.lex_state = 117, .external_lex_state = 2},
  [7] = {.lex_state = 23, .external_lex_state = 2},
  [8] = {.lex_state = 23, .external_lex_state = 2},
  [9] = {.lex_state = 23, .external_lex_state = 2},
  [10] = {.lex_state = 117, .external_lex_state = 2},
  [11] = {.lex_state = 117, .external_lex_state = 2},
  [12] = {.lex_state = 23, .external_lex_state = 2},
  [13] = {.lex_state = 117, .external_lex_state = 2},
  [14] = {.lex_state = 117, .external_lex_state = 2},
  [15] = {.lex_state = 117, .external_lex_state = 2},
  [16] = {.lex_state = 117, .external_lex_state = 2},
  [17] = {.lex_state = 117, .external_lex_state = 2},
  [18] = {.lex_state = 117, .external_lex_state = 2},
  [19] = {.lex_state = 117, .external_lex_state = 2},
  [20] = {.lex_state = 24, .external_lex_state = 3},
  [21] = {.lex_state = 117, .external_lex_state = 2},
  [22] = {.lex_state = 117, .external_lex_state = 2},
  [23] = {.lex_state = 117, .external_lex_state = 2},
  [24] = {.lex_state = 24, .external_lex_state = 3},
  [25] = {.lex_state = 117, .external_lex_state = 2},
  [26] = {.lex_state = 117, .external_lex_state = 2},
  [27] = {.lex_state = 117, .external_lex_state = 2},
  [28] = {.lex_state = 24, .external_lex_state = 3},
  [29] = {.lex_state = 117, .external_lex_state = 2},
  [30] = {.lex_state = 117, .external_lex_state = 2},
  [31] = {.lex_state = 117, .external_lex_state = 2},
  [32] = {.lex_state = 117, .external_lex_state = 2},
  [33] = {.lex_state = 117, .external_lex_state = 2},
  [34] = {.lex_state = 117, .external_lex_state = 2},
  [35] = {.lex_state = 117, .external_lex_state = 2},
  [36] = {.lex_state = 117, .external_lex_state = 2},
  [37] = {.lex_state = 117, .external_lex_state = 2},
  [38] = {.lex_state = 117, .external_lex_state = 2},
  [39] = {.lex_state = 117, .external_lex_state = 2},
  [40] = {.lex_state = 117, .external_lex_state = 2},
  [41] = {.lex_state = 117, .external_lex_state = 2},
  [42] = {.lex_state = 117, .external_lex_state = 2},
  [43] = {.lex_state = 117, .external_lex_state = 2},
  [44] = {.lex_state = 117, .external_lex_state = 2},
  [45] = {.lex_state = 117, .external_lex_state = 2},
  [46] = {.lex_state = 117, .external_lex_state = 2},
  [47] = {.lex_state = 117, .external_lex_state = 2},
  [48] = {.lex_state = 117, .external_lex_state = 2},
  [49] = {.lex_state = 117, .external_lex_state = 2},
  [50] = {.lex_state = 117, .external_lex_state = 2},
  [51] = {.lex_state = 117, .external_lex_state = 2},
  [52] = {.lex_state = 117, .external_lex_state = 2},
  [53] = {.lex_state = 117, .external_lex_state = 2},
  [54] = {.lex_state = 117, .external_lex_state = 2},
  [55] = {.lex_state = 117, .external_lex_state = 2},
  [56] = {.lex_state = 117, .external_lex_state = 2},
  [57] = {.lex_state = 117, .external_lex_state = 2},
  [58] = {.lex_state = 117, .external_lex_state = 2},
  [59] = {.lex_state = 117, .external_lex_state = 2},
  [60] = {.lex_state = 24, .external_lex_state = 3},
  [61] = {.lex_state = 117, .external_lex_state = 2},
  [62] = {.lex_state = 117, .external_lex_state = 2},
  [63] = {.lex_state = 117, .external_lex_state = 2},
  [64] = {.lex_state = 117, .external_lex_state = 2},
  [65] = {.lex_state = 117, .external_lex_state = 2},
  [66] = {.lex_state = 117, .external_lex_state = 2},
  [67] = {.lex_state = 117, .external_lex_state = 2},
  [68] = {.lex_state = 117, .external_lex_state = 2},
  [69] = {.lex_state = 117, .external_lex_state = 2},
  [70] = {.lex_state = 117, .external_lex_state = 2},
  [71] = {.lex_state = 117, .external_lex_state = 2},
  [72] = {.lex_state = 117, .external_lex_state = 2},
  [73] = {.lex_state = 117, .external_lex_state = 2},
  [74] = {.lex_state = 117, .external_lex_state = 2},
  [75] = {.lex_state = 117, .external_lex_state = 2},
  [76] = {.lex_state = 117, .external_lex_state = 2},
  [77] = {.lex_state = 117, .external_lex_state = 2},
  [78] = {.lex_state = 117, .external_lex_state = 2},
  [79] = {.lex_state = 117, .external_lex_state = 2},
  [80] = {.lex_state = 117, .external_lex_state = 2},
  [81] = {.lex_state = 117, .external_lex_state = 2},
  [82] = {.lex_state = 117, .external_lex_state = 2},
  [83] = {.lex_state = 117, .external_lex_state = 2},
  [84] = {.lex_state = 117, .external_lex_state = 2},
  [85] = {.lex_state = 117, .external_lex_state = 2},
  [86] = {.lex_state = 117, .external_lex_state = 2},
  [87] = {.lex_state = 117, .external_lex_state = 2},
  [88] = {.lex_state = 117, .external_lex_state = 2},
  [89] = {.lex_state = 117, .external_lex_state = 2},
  [90] = {.lex_state = 24, .external_lex_state = 3},
  [91] = {.lex_state = 117, .external_lex_state = 2},
  [92] = {.lex_state = 117, .external_lex_state = 2},
  [93] = {.lex_state = 117, .external_lex_state = 2},
  [94] = {.lex_state = 117, .external_lex_state = 2},
  [95] = {.lex_state = 117, .external_lex_state = 2},
  [96] = {.lex_state = 117, .external_lex_state = 2},
  [97] = {.lex_state = 117, .external_lex_state = 2},
  [98] = {.lex_state = 117, .external_lex_state = 2},
  [99] = {.lex_state = 117, .external_lex_state = 2},
  [100] = {.lex_state = 117, .external_lex_state = 2},
  [101] = {.lex_state = 117, .external_lex_state = 2},
  [102] = {.lex_state = 117, .external_lex_state = 2},
  [103] = {.lex_state = 117, .external_lex_state = 2},
  [104] = {.lex_state = 117, .external_lex_state = 2},
  [105] = {.lex_state = 117, .external_lex_state = 2},
  [106] = {.lex_state = 117, .external_lex_state = 2},
  [107] = {.lex_state = 117, .external_lex_state = 2},
  [108] = {.lex_state = 117, .external_lex_state = 2},
  [109] = {.lex_state = 117, .external_lex_state = 2},
  [110] = {.lex_state = 117, .external_lex_state = 2},
  [111] = {.lex_state = 117, .external_lex_state = 2},
  [112] = {.lex_state = 117, .external_lex_state = 2},
  [113] = {.lex_state = 117, .external_lex_state = 2},
  [114] = {.lex_state = 117, .external_lex_state = 2},
  [115] = {.lex_state = 117, .external_lex_state = 2},
  [116] = {.lex_state = 117, .external_lex_state = 2},
  [117] = {.lex_state = 117, .external_lex_state = 2},
  [118] = {.lex_state = 117, .external_lex_state = 2},
  [119] = {.lex_state = 117, .external_lex_state = 2},
  [120] = {.lex_state = 117, .external_lex_state = 2},
  [121] = {.lex_state = 117, .external_lex_state = 2},
  [122] = {.lex_state = 117, .external_lex_state = 2},
  [123] = {.lex_state = 117, .external_lex_state = 2},
  [124] = {.lex_state = 117, .external_lex_state = 2},
  [125] = {.lex_state = 117, .external_lex_state = 4},
  [126] = {.lex_state = 1, .external_lex_state = 5},
  [127] = {.lex_state = 111, .external_lex_state = 5},
  [128] = {.lex_state = 111, .external_lex_state = 5},
  [129] = {.lex_state = 1, .external_lex_state = 5},
  [130] = {.lex_state = 111, .external_lex_state = 5},
  [131] = {.lex_state = 111, .external_lex_state = 5},
  [132] = {.lex_state = 111, .external_lex_state = 5},
  [133] = {.lex_state = 111, .external_lex_state = 5},
  [134] = {.lex_state = 1, .external_lex_state = 5},
  [135] = {.lex_state = 23, .external_lex_state = 4},
  [136] = {.lex_state = 111, .external_lex_state = 5},
  [137] = {.lex_state = 111, .external_lex_state = 5},
  [138] = {.lex_state = 112, .external_lex_state = 6},
  [139] = {.lex_state = 23, .external_lex_state = 4},
  [140] = {.lex_state = 112, .external_lex_state = 6},
  [141] = {.lex_state = 10, .external_lex_state = 6},
  [142] = {.lex_state = 11, .external_lex_state = 6},
  [143] = {.lex_state = 113, .external_lex_state = 6},
  [144] = {.lex_state = 114, .external_lex_state = 5},
  [145] = {.lex_state = 117, .external_lex_state = 2},
  [146] = {.lex_state = 113, .external_lex_state = 6},
  [147] = {.lex_state = 113, .external_lex_state = 6},
  [148] = {.lex_state = 11, .external_lex_state = 6},
  [149] = {.lex_state = 11, .external_lex_state = 6},
  [150] = {.lex_state = 113, .external_lex_state = 6},
  [151] = {.lex_state = 113, .external_lex_state = 6},
  [152] = {.lex_state = 117, .external_lex_state = 4},
  [153] = {.lex_state = 117, .external_lex_state = 4},
  [154] = {.lex_state = 11, .external_lex_state = 6},
  [155] = {.lex_state = 113, .external_lex_state = 6},
  [156] = {.lex_state = 117, .external_lex_state = 4},
  [157] = {.lex_state = 114, .external_lex_state = 5},
  [158] = {.lex_state = 14, .external_lex_state = 5},
  [159] = {.lex_state = 24, .external_lex_state = 7},
  [160] = {.lex_state = 11, .external_lex_state = 6},
  [161] = {.lex_state = 113, .external_lex_state = 6},
  [162] = {.lex_state = 117, .external_lex_state = 4},
  [163] = {.lex_state = 117, .external_lex_state = 2},
  [164] = {.lex_state = 14, .external_lex_state = 5},
  [165] = {.lex_state = 113, .external_lex_state = 6},
  [166] = {.lex_state = 113, .external_lex_state = 6},
  [167] = {.lex_state = 117, .external_lex_state = 4},
  [168] = {.lex_state = 113, .external_lex_state = 6},
  [169] = {.lex_state = 114, .external_lex_state = 5},
  [170] = {.lex_state = 114, .external_lex_state = 5},
  [171] = {.lex_state = 117, .external_lex_state = 4},
  [172] = {.lex_state = 117, .external_lex_state = 4},
  [173] = {.lex_state = 113, .external_lex_state = 6},
  [174] = {.lex_state = 111, .external_lex_state = 6},
  [175] = {.lex_state = 113, .external_lex_state = 6},
  [176] = {.lex_state = 113, .external_lex_state = 6},
  [177] = {.lex_state = 1, .external_lex_state = 6},
  [178] = {.lex_state = 14, .external_lex_state = 6},
  [179] = {.lex_state = 117, .external_lex_state = 4},
  [180] = {.lex_state = 114, .external_lex_state = 6},
  [181] = {.lex_state = 114, .external_lex_state = 6},
  [182] = {.lex_state = 113, .external_lex_state = 6},
  [183] = {.lex_state = 1, .external_lex_state = 6},
  [184] = {.lex_state = 111, .external_lex_state = 6},
  [185] = {.lex_state = 1, .external_lex_state = 6},
  [186] = {.lex_state = 111, .external_lex_state = 6},
  [187] = {.lex_state = 111, .external_lex_state = 6},
  [188] = {.lex_state = 117, .external_lex_state = 4},
  [189] = {.lex_state = 111, .external_lex_state = 6},
  [190] = {.lex_state = 111, .external_lex_state = 6},
  [191] = {.lex_state = 117, .external_lex_state = 2},
  [192] = {.lex_state = 37, .external_lex_state = 2},
  [193] = {.lex_state = 117, .external_lex_state = 2},
  [194] = {.lex_state = 37, .external_lex_state = 2},
  [195] = {.lex_state = 111, .external_lex_state = 6},
  [196] = {.lex_state = 23, .external_lex_state = 2},
  [197] = {.lex_state = 23, .external_lex_state = 2},
  [198] = {.lex_state = 37, .external_lex_state = 2},
  [199] = {.lex_state = 37, .external_lex_state = 2},
  [200] = {.lex_state = 111, .external_lex_state = 6},
  [201] = {.lex_state = 23, .external_lex_state = 2},
  [202] = {.lex_state = 117, .external_lex_state = 2},
  [203] = {.lex_state = 117, .external_lex_state = 2},
  [204] = {.lex_state = 23, .external_lex_state = 2},
  [205] = {.lex_state = 117, .external_lex_state = 2},
  [206] = {.lex_state = 117, .external_lex_state = 2},
  [207] = {.lex_state = 117, .external_lex_state = 2},
  [208] = {.lex_state = 24, .external_lex_state = 3},
  [209] = {.lex_state = 24, .external_lex_state = 3},
  [210] = {.lex_state = 117, .external_lex_state = 2},
  [211] = {.lex_state = 117, .external_lex_state = 2},
  [212] = {.lex_state = 117, .external_lex_state = 2},
  [213] = {.lex_state = 117, .external_lex_state = 2},
  [214] = {.lex_state = 117, .external_lex_state = 2},
  [215] = {.lex_state = 117, .external_lex_state = 2},
  [216] = {.lex_state = 117, .external_lex_state = 2},
  [217] = {.lex_state = 115, .external_lex_state = 5},
  [218] = {.lex_state = 115, .external_lex_state = 5},
  [219] = {.lex_state = 115, .external_lex_state = 5},
  [220] = {.lex_state = 16, .external_lex_state = 5},
  [221] = {.lex_state = 16, .external_lex_state = 5},
  [222] = {.lex_state = 113, .external_lex_state = 8},
  [223] = {.lex_state = 115, .external_lex_state = 5},
  [224] = {.lex_state = 115, .external_lex_state = 5},
  [225] = {.lex_state = 115, .external_lex_state = 5},
  [226] = {.lex_state = 11, .external_lex_state = 8},
  [227] = {.lex_state = 113, .external_lex_state = 8},
  [228] = {.lex_state = 115, .external_lex_state = 5},
  [229] = {.lex_state = 115, .external_lex_state = 5},
  [230] = {.lex_state = 16, .external_lex_state = 5},
  [231] = {.lex_state = 16, .external_lex_state = 5},
  [232] = {.lex_state = 113, .external_lex_state = 8},
  [233] = {.lex_state = 115, .external_lex_state = 5},
  [234] = {.lex_state = 111, .external_lex_state = 9},
  [235] = {.lex_state = 11, .external_lex_state = 8},
  [236] = {.lex_state = 1, .external_lex_state = 9},
  [237] = {.lex_state = 1, .external_lex_state = 9},
  [238] = {.lex_state = 111, .external_lex_state = 9},
  [239] = {.lex_state = 1, .external_lex_state = 9},
  [240] = {.lex_state = 115, .external_lex_state = 5},
  [241] = {.lex_state = 11, .external_lex_state = 8},
  [242] = {.lex_state = 113, .external_lex_state = 8},
  [243] = {.lex_state = 11, .external_lex_state = 8},
  [244] = {.lex_state = 115, .external_lex_state = 5},
  [245] = {.lex_state = 11, .external_lex_state = 8},
  [246] = {.lex_state = 1, .external_lex_state = 9},
  [247] = {.lex_state = 113, .external_lex_state = 8},
  [248] = {.lex_state = 113, .external_lex_state = 8},
  [249] = {.lex_state = 113, .external_lex_state = 8},
  [250] = {.lex_state = 111, .external_lex_state = 9},
  [251] = {.lex_state = 11, .external_lex_state = 8},
  [252] = {.lex_state = 113, .external_lex_state = 8},
  [253] = {.lex_state = 113, .external_lex_state = 8},
  [254] = {.lex_state = 115, .external_lex_state = 5},
  [255] = {.lex_state = 113, .external_lex_state = 8},
  [256] = {.lex_state = 113, .external_lex_state = 8},
  [257] = {.lex_state = 115, .external_lex_state = 5},
  [258] = {.lex_state = 111, .external_lex_state = 9},
  [259] = {.lex_state = 111, .external_lex_state = 9},
  [260] = {.lex_state = 111, .external_lex_state = 9},
  [261] = {.lex_state = 111, .external_lex_state = 9},
  [262] = {.lex_state = 111, .external_lex_state = 9},
  [263] = {.lex_state = 115, .external_lex_state = 5},
  [264] = {.lex_state = 115, .external_lex_state = 5},
  [265] = {.lex_state = 1, .external_lex_state = 9},
  [266] = {.lex_state = 111, .external_lex_state = 9},
  [267] = {.lex_state = 115, .external_lex_state = 5},
  [268] = {.lex_state = 115, .external_lex_state = 5},
  [269] = {.lex_state = 11, .external_lex_state = 8},
  [270] = {.lex_state = 113, .external_lex_state = 8},
  [271] = {.lex_state = 113, .external_lex_state = 8},
  [272] = {.lex_state = 115, .external_lex_state = 5},
  [273] = {.lex_state = 111, .external_lex_state = 9},
  [274] = {.lex_state = 113, .external_lex_state = 8},
  [275] = {.lex_state = 1, .external_lex_state = 9},
  [276] = {.lex_state = 16, .external_lex_state = 9},
  [277] = {.lex_state = 115, .external_lex_state = 9},
  [278] = {.lex_state = 111, .external_lex_state = 9},
  [279] = {.lex_state = 111, .external_lex_state = 9},
  [280] = {.lex_state = 111, .external_lex_state = 9},
  [281] = {.lex_state = 111, .external_lex_state = 9},
  [282] = {.lex_state = 111, .external_lex_state = 9},
  [283] = {.lex_state = 111, .external_lex_state = 9},
  [284] = {.lex_state = 111, .external_lex_state = 9},
  [285] = {.lex_state = 111, .external_lex_state = 9},
  [286] = {.lex_state = 115, .external_lex_state = 9},
  [287] = {.lex_state = 111, .external_lex_state = 8},
  [288] = {.lex_state = 113, .external_lex_state = 8},
  [289] = {.lex_state = 113, .external_lex_state = 8},
  [290] = {.lex_state = 115, .external_lex_state = 9},
  [291] = {.lex_state = 111, .external_lex_state = 8},
  [292] = {.lex_state = 111, .external_lex_state = 9},
  [293] = {.lex_state = 111, .external_lex_state = 9},
  [294] = {.lex_state = 113, .external_lex_state = 8},
  [295] = {.lex_state = 111, .external_lex_state = 9},
  [296] = {.lex_state = 111, .external_lex_state = 9},
  [297] = {.lex_state = 111, .external_lex_state = 9},
  [298] = {.lex_state = 113, .external_lex_state = 8},
  [299] = {.lex_state = 111, .external_lex_state = 9},
  [300] = {.lex_state = 111, .external_lex_state = 9},
  [301] = {.lex_state = 111, .external_lex_state = 9},
  [302] = {.lex_state = 111, .external_lex_state = 9},
  [303] = {.lex_state = 111, .external_lex_state = 9},
  [304] = {.lex_state = 111, .external_lex_state = 9},
  [305] = {.lex_state = 111, .external_lex_state = 9},
  [306] = {.lex_state = 111, .external_lex_state = 9},
  [307] = {.lex_state = 111, .external_lex_state = 9},
  [308] = {.lex_state = 111, .external_lex_state = 9},
  [309] = {.lex_state = 111, .external_lex_state = 9},
  [310] = {.lex_state = 111, .external_lex_state = 9},
  [311] = {.lex_state = 111, .external_lex_state = 5},
  [312] = {.lex_state = 111, .external_lex_state = 8},
  [313] = {.lex_state = 113, .external_lex_state = 6},
  [314] = {.lex_state = 111, .external_lex_state = 8},
  [315] = {.lex_state = 1, .external_lex_state = 5},
  [316] = {.lex_state = 111, .external_lex_state = 5},
  [317] = {.lex_state = 111, .external_lex_state = 5},
  [318] = {.lex_state = 111, .external_lex_state = 8},
  [319] = {.lex_state = 111, .external_lex_state = 8},
  [320] = {.lex_state = 111, .external_lex_state = 9},
  [321] = {.lex_state = 111, .external_lex_state = 9},
  [322] = {.lex_state = 111, .external_lex_state = 9},
  [323] = {.lex_state = 113, .external_lex_state = 8},
  [324] = {.lex_state = 113, .external_lex_state = 8},
  [325] = {.lex_state = 113, .external_lex_state = 8},
  [326] = {.lex_state = 111, .external_lex_state = 9},
  [327] = {.lex_state = 111, .external_lex_state = 9},
  [328] = {.lex_state = 113, .external_lex_state = 8},
  [329] = {.lex_state = 111, .external_lex_state = 9},
  [330] = {.lex_state = 111, .external_lex_state = 9},
  [331] = {.lex_state = 111, .external_lex_state = 9},
  [332] = {.lex_state = 111, .external_lex_state = 9},
  [333] = {.lex_state = 111, .external_lex_state = 9},
  [334] = {.lex_state = 111, .external_lex_state = 9},
  [335] = {.lex_state = 111, .external_lex_state = 9},
  [336] = {.lex_state = 111, .external_lex_state = 9},
  [337] = {.lex_state = 111, .external_lex_state = 9},
  [338] = {.lex_state = 111, .external_lex_state = 9},
  [339] = {.lex_state = 111, .external_lex_state = 9},
  [340] = {.lex_state = 111, .external_lex_state = 9},
  [341] = {.lex_state = 111, .external_lex_state = 9},
  [342] = {.lex_state = 111, .external_lex_state = 9},
  [343] = {.lex_state = 111, .external_lex_state = 9},
  [344] = {.lex_state = 113, .external_lex_state = 8},
  [345] = {.lex_state = 111, .external_lex_state = 9},
  [346] = {.lex_state = 16, .external_lex_state = 9},
  [347] = {.lex_state = 111, .external_lex_state = 9},
  [348] = {.lex_state = 111, .external_lex_state = 9},
  [349] = {.lex_state = 113, .external_lex_state = 8},
  [350] = {.lex_state = 113, .external_lex_state = 8},
  [351] = {.lex_state = 111, .external_lex_state = 9},
  [352] = {.lex_state = 111, .external_lex_state = 9},
  [353] = {.lex_state = 111, .external_lex_state = 8},
  [354] = {.lex_state = 115, .external_lex_state = 9},
  [355] = {.lex_state = 115, .external_lex_state = 9},
  [356] = {.lex_state = 111, .external_lex_state = 5},
  [357] = {.lex_state = 113, .external_lex_state = 8},
  [358] = {.lex_state = 113, .external_lex_state = 8},
  [359] = {.lex_state = 113, .external_lex_state = 6},
  [360] = {.lex_state = 115, .external_lex_state = 9},
  [361] = {.lex_state = 109, .external_lex_state = 6},
  [362] = {.lex_state = 11, .external_lex_state = 8},
  [363] = {.lex_state = 113, .external_lex_state = 6},
  [364] = {.lex_state = 11, .external_lex_state = 8},
  [365] = {.lex_state = 11, .external_lex_state = 8},
  [366] = {.lex_state = 11, .external_lex_state = 8},
  [367] = {.lex_state = 11, .external_lex_state = 8},
  [368] = {.lex_state = 115, .external_lex_state = 9},
  [369] = {.lex_state = 113, .external_lex_state = 8},
  [370] = {.lex_state = 11, .external_lex_state = 8},
  [371] = {.lex_state = 1, .external_lex_state = 9},
  [372] = {.lex_state = 1, .external_lex_state = 9},
  [373] = {.lex_state = 1, .external_lex_state = 9},
  [374] = {.lex_state = 1, .external_lex_state = 9},
  [375] = {.lex_state = 1, .external_lex_state = 9},
  [376] = {.lex_state = 113, .external_lex_state = 8},
  [377] = {.lex_state = 11, .external_lex_state = 8},
  [378] = {.lex_state = 11, .external_lex_state = 8},
  [379] = {.lex_state = 1, .external_lex_state = 8},
  [380] = {.lex_state = 111, .external_lex_state = 5},
  [381] = {.lex_state = 11, .external_lex_state = 6},
  [382] = {.lex_state = 113, .external_lex_state = 8},
  [383] = {.lex_state = 1, .external_lex_state = 8},
  [384] = {.lex_state = 11, .external_lex_state = 8},
  [385] = {.lex_state = 11, .external_lex_state = 8},
  [386] = {.lex_state = 11, .external_lex_state = 8},
  [387] = {.lex_state = 11, .external_lex_state = 8},
  [388] = {.lex_state = 113, .external_lex_state = 8},
  [389] = {.lex_state = 113, .external_lex_state = 8},
  [390] = {.lex_state = 113, .external_lex_state = 8},
  [391] = {.lex_state = 113, .external_lex_state = 6},
  [392] = {.lex_state = 113, .external_lex_state = 8},
  [393] = {.lex_state = 113, .external_lex_state = 8},
  [394] = {.lex_state = 113, .external_lex_state = 8},
  [395] = {.lex_state = 113, .external_lex_state = 8},
  [396] = {.lex_state = 113, .external_lex_state = 8},
  [397] = {.lex_state = 113, .external_lex_state = 8},
  [398] = {.lex_state = 111, .external_lex_state = 5},
  [399] = {.lex_state = 111, .external_lex_state = 8},
  [400] = {.lex_state = 113, .external_lex_state = 8},
  [401] = {.lex_state = 113, .external_lex_state = 8},
  [402] = {.lex_state = 113, .external_lex_state = 8},
  [403] = {.lex_state = 11, .external_lex_state = 8},
  [404] = {.lex_state = 11, .external_lex_state = 8},
  [405] = {.lex_state = 113, .external_lex_state = 8},
  [406] = {.lex_state = 113, .external_lex_state = 8},
  [407] = {.lex_state = 113, .external_lex_state = 8},
  [408] = {.lex_state = 113, .external_lex_state = 8},
  [409] = {.lex_state = 113, .external_lex_state = 8},
  [410] = {.lex_state = 11, .external_lex_state = 8},
  [411] = {.lex_state = 11, .external_lex_state = 8},
  [412] = {.lex_state = 11, .external_lex_state = 8},
  [413] = {.lex_state = 11, .external_lex_state = 8},
  [414] = {.lex_state = 113, .external_lex_state = 8},
  [415] = {.lex_state = 113, .external_lex_state = 8},
  [416] = {.lex_state = 11, .external_lex_state = 6},
  [417] = {.lex_state = 11, .external_lex_state = 8},
  [418] = {.lex_state = 113, .external_lex_state = 6},
  [419] = {.lex_state = 11, .external_lex_state = 8},
  [420] = {.lex_state = 113, .external_lex_state = 8},
  [421] = {.lex_state = 113, .external_lex_state = 8},
  [422] = {.lex_state = 113, .external_lex_state = 8},
  [423] = {.lex_state = 113, .external_lex_state = 8},
  [424] = {.lex_state = 113, .external_lex_state = 8},
  [425] = {.lex_state = 113, .external_lex_state = 8},
  [426] = {.lex_state = 113, .external_lex_state = 8},
  [427] = {.lex_state = 11, .external_lex_state = 8},
  [428] = {.lex_state = 113, .external_lex_state = 8},
  [429] = {.lex_state = 115, .external_lex_state = 9},
  [430] = {.lex_state = 11, .external_lex_state = 8},
  [431] = {.lex_state = 11, .external_lex_state = 8},
  [432] = {.lex_state = 11, .external_lex_state = 8},
  [433] = {.lex_state = 11, .external_lex_state = 8},
  [434] = {.lex_state = 1, .external_lex_state = 9},
  [435] = {.lex_state = 1, .external_lex_state = 9},
  [436] = {.lex_state = 16, .external_lex_state = 9},
  [437] = {.lex_state = 113, .external_lex_state = 6},
  [438] = {.lex_state = 11, .external_lex_state = 6},
  [439] = {.lex_state = 113, .external_lex_state = 6},
  [440] = {.lex_state = 113, .external_lex_state = 8},
  [441] = {.lex_state = 113, .external_lex_state = 8},
  [442] = {.lex_state = 113, .external_lex_state = 8},
  [443] = {.lex_state = 113, .external_lex_state = 8},
  [444] = {.lex_state = 113, .external_lex_state = 8},
  [445] = {.lex_state = 1, .external_lex_state = 5},
  [446] = {.lex_state = 16, .external_lex_state = 9},
  [447] = {.lex_state = 1, .external_lex_state = 8},
  [448] = {.lex_state = 113, .external_lex_state = 8},
  [449] = {.lex_state = 1, .external_lex_state = 5},
  [450] = {.lex_state = 113, .external_lex_state = 8},
  [451] = {.lex_state = 1, .external_lex_state = 9},
  [452] = {.lex_state = 11, .external_lex_state = 6},
  [453] = {.lex_state = 1, .external_lex_state = 9},
  [454] = {.lex_state = 1, .external_lex_state = 9},
  [455] = {.lex_state = 1, .external_lex_state = 9},
  [456] = {.lex_state = 1, .external_lex_state = 9},
  [457] = {.lex_state = 1, .external_lex_state = 9},
  [458] = {.lex_state = 1, .external_lex_state = 9},
  [459] = {.lex_state = 1, .external_lex_state = 9},
  [460] = {.lex_state = 1, .external_lex_state = 9},
  [461] = {.lex_state = 1, .external_lex_state = 9},
  [462] = {.lex_state = 1, .external_lex_state = 9},
  [463] = {.lex_state = 1, .external_lex_state = 9},
  [464] = {.lex_state = 1, .external_lex_state = 9},
  [465] = {.lex_state = 1, .external_lex_state = 9},
  [466] = {.lex_state = 113, .external_lex_state = 6},
  [467] = {.lex_state = 1, .external_lex_state = 9},
  [468] = {.lex_state = 1, .external_lex_state = 9},
  [469] = {.lex_state = 1, .external_lex_state = 9},
  [470] = {.lex_state = 1, .external_lex_state = 8},
  [471] = {.lex_state = 115, .external_lex_state = 5},
  [472] = {.lex_state = 111, .external_lex_state = 8},
  [473] = {.lex_state = 16, .external_lex_state = 9},
  [474] = {.lex_state = 115, .external_lex_state = 5},
  [475] = {.lex_state = 16, .external_lex_state = 9},
  [476] = {.lex_state = 115, .external_lex_state = 9},
  [477] = {.lex_state = 16, .external_lex_state = 9},
  [478] = {.lex_state = 16, .external_lex_state = 9},
  [479] = {.lex_state = 16, .external_lex_state = 9},
  [480] = {.lex_state = 16, .external_lex_state = 9},
  [481] = {.lex_state = 16, .external_lex_state = 5},
  [482] = {.lex_state = 113, .external_lex_state = 6},
  [483] = {.lex_state = 111, .external_lex_state = 8},
  [484] = {.lex_state = 16, .external_lex_state = 9},
  [485] = {.lex_state = 16, .external_lex_state = 9},
  [486] = {.lex_state = 1, .external_lex_state = 8},
  [487] = {.lex_state = 1, .external_lex_state = 8},
  [488] = {.lex_state = 1, .external_lex_state = 8},
  [489] = {.lex_state = 115, .external_lex_state = 9},
  [490] = {.lex_state = 1, .external_lex_state = 8},
  [491] = {.lex_state = 1, .external_lex_state = 8},
  [492] = {.lex_state = 1, .external_lex_state = 8},
  [493] = {.lex_state = 1, .external_lex_state = 8},
  [494] = {.lex_state = 1, .external_lex_state = 8},
  [495] = {.lex_state = 115, .external_lex_state = 9},
  [496] = {.lex_state = 1, .external_lex_state = 8},
  [497] = {.lex_state = 1, .external_lex_state = 8},
  [498] = {.lex_state = 1, .external_lex_state = 8},
  [499] = {.lex_state = 1, .external_lex_state = 8},
  [500] = {.lex_state = 1, .external_lex_state = 8},
  [501] = {.lex_state = 115, .external_lex_state = 9},
  [502] = {.lex_state = 115, .external_lex_state = 9},
  [503] = {.lex_state = 1, .external_lex_state = 8},
  [504] = {.lex_state = 1, .external_lex_state = 8},
  [505] = {.lex_state = 1, .external_lex_state = 8},
  [506] = {.lex_state = 1, .external_lex_state = 8},
  [507] = {.lex_state = 1, .external_lex_state = 6},
  [508] = {.lex_state = 115, .external_lex_state = 9},
  [509] = {.lex_state = 115, .external_lex_state = 9},
  [510] = {.lex_state = 1, .external_lex_state = 8},
  [511] = {.lex_state = 1, .external_lex_state = 8},
  [512] = {.lex_state = 115, .external_lex_state = 9},
  [513] = {.lex_state = 115, .external_lex_state = 9},
  [514] = {.lex_state = 115, .external_lex_state = 9},
  [515] = {.lex_state = 115, .external_lex_state = 9},
  [516] = {.lex_state = 115, .external_lex_state = 9},
  [517] = {.lex_state = 115, .external_lex_state = 9},
  [518] = {.lex_state = 113, .external_lex_state = 6},
  [519] = {.lex_state = 16, .external_lex_state = 9},
  [520] = {.lex_state = 16, .external_lex_state = 9},
  [521] = {.lex_state = 16, .external_lex_state = 9},
  [522] = {.lex_state = 16, .external_lex_state = 9},
  [523] = {.lex_state = 16, .external_lex_state = 9},
  [524] = {.lex_state = 115, .external_lex_state = 9},
  [525] = {.lex_state = 16, .external_lex_state = 9},
  [526] = {.lex_state = 16, .external_lex_state = 9},
  [527] = {.lex_state = 115, .external_lex_state = 9},
  [528] = {.lex_state = 16, .external_lex_state = 9},
  [529] = {.lex_state = 115, .external_lex_state = 9},
  [530] = {.lex_state = 16, .external_lex_state = 9},
  [531] = {.lex_state = 115, .external_lex_state = 9},
  [532] = {.lex_state = 115, .external_lex_state = 9},
  [533] = {.lex_state = 115, .external_lex_state = 9},
  [534] = {.lex_state = 115, .external_lex_state = 9},
  [535] = {.lex_state = 111, .external_lex_state = 8},
  [536] = {.lex_state = 16, .external_lex_state = 9},
  [537] = {.lex_state = 115, .external_lex_state = 9},
  [538] = {.lex_state = 115, .external_lex_state = 9},
  [539] = {.lex_state = 11, .external_lex_state = 6},
  [540] = {.lex_state = 115, .external_lex_state = 5},
  [541] = {.lex_state = 38, .external_lex_state = 2},
  [542] = {.lex_state = 16, .external_lex_state = 9},
  [543] = {.lex_state = 16, .external_lex_state = 9},
  [544] = {.lex_state = 16, .external_lex_state = 9},
  [545] = {.lex_state = 5, .external_lex_state = 10},
  [546] = {.lex_state = 115, .external_lex_state = 9},
  [547] = {.lex_state = 2, .external_lex_state = 6},
  [548] = {.lex_state = 115, .external_lex_state = 9},
  [549] = {.lex_state = 111, .external_lex_state = 5},
  [550] = {.lex_state = 1, .external_lex_state = 6},
  [551] = {.lex_state = 115, .external_lex_state = 9},
  [552] = {.lex_state = 16, .external_lex_state = 9},
  [553] = {.lex_state = 115, .external_lex_state = 9},
  [554] = {.lex_state = 115, .external_lex_state = 9},
  [555] = {.lex_state = 111, .external_lex_state = 8},
  [556] = {.lex_state = 115, .external_lex_state = 9},
  [557] = {.lex_state = 115, .external_lex_state = 9},
  [558] = {.lex_state = 111, .external_lex_state = 8},
  [559] = {.lex_state = 111, .external_lex_state = 8},
  [560] = {.lex_state = 115, .external_lex_state = 9},
  [561] = {.lex_state = 115, .external_lex_state = 9},
  [562] = {.lex_state = 111, .external_lex_state = 8},
  [563] = {.lex_state = 111, .external_lex_state = 8},
  [564] = {.lex_state = 113, .external_lex_state = 6},
  [565] = {.lex_state = 113, .external_lex_state = 6},
  [566] = {.lex_state = 1, .external_lex_state = 5},
  [567] = {.lex_state = 111, .external_lex_state = 8},
  [568] = {.lex_state = 115, .external_lex_state = 5},
  [569] = {.lex_state = 113, .external_lex_state = 6},
  [570] = {.lex_state = 38, .external_lex_state = 2},
  [571] = {.lex_state = 16, .external_lex_state = 9},
  [572] = {.lex_state = 111, .external_lex_state = 8},
  [573] = {.lex_state = 111, .external_lex_state = 8},
  [574] = {.lex_state = 16, .external_lex_state = 9},
  [575] = {.lex_state = 111, .external_lex_state = 5},
  [576] = {.lex_state = 111, .external_lex_state = 6},
  [577] = {.lex_state = 16, .external_lex_state = 9},
  [578] = {.lex_state = 115, .external_lex_state = 9},
  [579] = {.lex_state = 111, .external_lex_state = 5},
  [580] = {.lex_state = 111, .external_lex_state = 8},
  [581] = {.lex_state = 111, .external_lex_state = 8},
  [582] = {.lex_state = 111, .external_lex_state = 8},
  [583] = {.lex_state = 111, .external_lex_state = 8},
  [584] = {.lex_state = 111, .external_lex_state = 5},
  [585] = {.lex_state = 111, .external_lex_state = 8},
  [586] = {.lex_state = 111, .external_lex_state = 8},
  [587] = {.lex_state = 38, .external_lex_state = 2},
  [588] = {.lex_state = 111, .external_lex_state = 8},
  [589] = {.lex_state = 111, .external_lex_state = 8},
  [590] = {.lex_state = 111, .external_lex_state = 8},
  [591] = {.lex_state = 111, .external_lex_state = 8},
  [592] = {.lex_state = 111, .external_lex_state = 8},
  [593] = {.lex_state = 111, .external_lex_state = 8},
  [594] = {.lex_state = 111, .external_lex_state = 8},
  [595] = {.lex_state = 1, .external_lex_state = 5},
  [596] = {.lex_state = 11, .external_lex_state = 6},
  [597] = {.lex_state = 111, .external_lex_state = 8},
  [598] = {.lex_state = 111, .external_lex_state = 8},
  [599] = {.lex_state = 111, .external_lex_state = 8},
  [600] = {.lex_state = 111, .external_lex_state = 8},
  [601] = {.lex_state = 1, .external_lex_state = 5},
  [602] = {.lex_state = 111, .external_lex_state = 8},
  [603] = {.lex_state = 111, .external_lex_state = 8},
  [604] = {.lex_state = 111, .external_lex_state = 8},
  [605] = {.lex_state = 111, .external_lex_state = 8},
  [606] = {.lex_state = 111, .external_lex_state = 8},
  [607] = {.lex_state = 111, .external_lex_state = 8},
  [608] = {.lex_state = 111, .external_lex_state = 5},
  [609] = {.lex_state = 111, .external_lex_state = 8},
  [610] = {.lex_state = 1, .external_lex_state = 5},
  [611] = {.lex_state = 111, .external_lex_state = 5},
  [612] = {.lex_state = 111, .external_lex_state = 8},
  [613] = {.lex_state = 111, .external_lex_state = 8},
  [614] = {.lex_state = 111, .external_lex_state = 8},
  [615] = {.lex_state = 111, .external_lex_state = 8},
  [616] = {.lex_state = 115, .external_lex_state = 9},
  [617] = {.lex_state = 111, .external_lex_state = 6},
  [618] = {.lex_state = 115, .external_lex_state = 9},
  [619] = {.lex_state = 111, .external_lex_state = 6},
  [620] = {.lex_state = 111, .external_lex_state = 6},
  [621] = {.lex_state = 111, .external_lex_state = 8},
  [622] = {.lex_state = 16, .external_lex_state = 5},
  [623] = {.lex_state = 115, .external_lex_state = 9},
  [624] = {.lex_state = 111, .external_lex_state = 8},
  [625] = {.lex_state = 111, .external_lex_state = 8},
  [626] = {.lex_state = 38, .external_lex_state = 2},
  [627] = {.lex_state = 115, .external_lex_state = 9},
  [628] = {.lex_state = 1, .external_lex_state = 8},
  [629] = {.lex_state = 111, .external_lex_state = 8},
  [630] = {.lex_state = 111, .external_lex_state = 8},
  [631] = {.lex_state = 111, .external_lex_state = 8},
  [632] = {.lex_state = 111, .external_lex_state = 8},
  [633] = {.lex_state = 1, .external_lex_state = 8},
  [634] = {.lex_state = 113, .external_lex_state = 6},
  [635] = {.lex_state = 111, .external_lex_state = 8},
  [636] = {.lex_state = 111, .external_lex_state = 8},
  [637] = {.lex_state = 111, .external_lex_state = 8},
  [638] = {.lex_state = 111, .external_lex_state = 8},
  [639] = {.lex_state = 109, .external_lex_state = 6},
  [640] = {.lex_state = 1, .external_lex_state = 8},
  [641] = {.lex_state = 111, .external_lex_state = 5},
  [642] = {.lex_state = 115, .external_lex_state = 9},
  [643] = {.lex_state = 115, .external_lex_state = 9},
  [644] = {.lex_state = 115, .external_lex_state = 9},
  [645] = {.lex_state = 115, .external_lex_state = 9},
  [646] = {.lex_state = 115, .external_lex_state = 9},
  [647] = {.lex_state = 1, .external_lex_state = 8},
  [648] = {.lex_state = 115, .external_lex_state = 9},
  [649] = {.lex_state = 115, .external_lex_state = 9},
  [650] = {.lex_state = 115, .external_lex_state = 9},
  [651] = {.lex_state = 11, .external_lex_state = 6},
  [652] = {.lex_state = 111, .external_lex_state = 5},
  [653] = {.lex_state = 115, .external_lex_state = 9},
  [654] = {.lex_state = 115, .external_lex_state = 9},
  [655] = {.lex_state = 1, .external_lex_state = 8},
  [656] = {.lex_state = 115, .external_lex_state = 9},
  [657] = {.lex_state = 115, .external_lex_state = 9},
  [658] = {.lex_state = 1, .external_lex_state = 8},
  [659] = {.lex_state = 115, .external_lex_state = 9},
  [660] = {.lex_state = 115, .external_lex_state = 9},
  [661] = {.lex_state = 115, .external_lex_state = 5},
  [662] = {.lex_state = 115, .external_lex_state = 5},
  [663] = {.lex_state = 115, .external_lex_state = 5},
  [664] = {.lex_state = 16, .external_lex_state = 5},
  [665] = {.lex_state = 16, .external_lex_state = 5},
  [666] = {.lex_state = 115, .external_lex_state = 5},
  [667] = {.lex_state = 16, .external_lex_state = 5},
  [668] = {.lex_state = 115, .external_lex_state = 5},
  [669] = {.lex_state = 111, .external_lex_state = 6},
  [670] = {.lex_state = 115, .external_lex_state = 5},
  [671] = {.lex_state = 111, .external_lex_state = 6},
  [672] = {.lex_state = 1, .external_lex_state = 6},
  [673] = {.lex_state = 16, .external_lex_state = 5},
  [674] = {.lex_state = 115, .external_lex_state = 5},
  [675] = {.lex_state = 115, .external_lex_state = 5},
  [676] = {.lex_state = 7, .external_lex_state = 10},
  [677] = {.lex_state = 7, .external_lex_state = 10},
  [678] = {.lex_state = 7, .external_lex_state = 10},
  [679] = {.lex_state = 7, .external_lex_state = 10},
  [680] = {.lex_state = 7, .external_lex_state = 10},
  [681] = {.lex_state = 7, .external_lex_state = 10},
  [682] = {.lex_state = 30},
  [683] = {.lex_state = 21, .external_lex_state = 2},
  [684] = {.lex_state = 29, .external_lex_state = 11},
  [685] = {.lex_state = 29},
  [686] = {.lex_state = 36, .external_lex_state = 12},
  [687] = {.lex_state = 36, .external_lex_state = 12},
  [688] = {.lex_state = 35, .external_lex_state = 13},
  [689] = {.lex_state = 36, .external_lex_state = 12},
  [690] = {.lex_state = 36, .external_lex_state = 12},
  [691] = {.lex_state = 36, .external_lex_state = 12},
  [692] = {.lex_state = 36, .external_lex_state = 12},
  [693] = {.lex_state = 35, .external_lex_state = 13},
  [694] = {.lex_state = 35, .external_lex_state = 13},
  [695] = {.lex_state = 36, .external_lex_state = 12},
  [696] = {.lex_state = 36, .external_lex_state = 12},
  [697] = {.lex_state = 35, .external_lex_state = 13},
  [698] = {.lex_state = 35, .external_lex_state = 13},
  [699] = {.lex_state = 36, .external_lex_state = 12},
  [700] = {.lex_state = 35, .external_lex_state = 13},
  [701] = {.lex_state = 35, .external_lex_state = 13},
  [702] = {.lex_state = 35, .external_lex_state = 13},
  [703] = {.lex_state = 35, .external_lex_state = 13},
  [704] = {.lex_state = 36, .external_lex_state = 12},
  [705] = {.lex_state = 36, .external_lex_state = 12},
  [706] = {.lex_state = 35, .external_lex_state = 13},
  [707] = {.lex_state = 36, .external_lex_state = 12},
  [708] = {.lex_state = 36, .external_lex_state = 12},
  [709] = {.lex_state = 36, .external_lex_state = 12},
  [710] = {.lex_state = 36, .external_lex_state = 12},
  [711] = {.lex_state = 36, .external_lex_state = 12},
  [712] = {.lex_state = 36, .external_lex_state = 12},
  [713] = {.lex_state = 35, .external_lex_state = 13},
  [714] = {.lex_state = 35, .external_lex_state = 13},
  [715] = {.lex_state = 35, .external_lex_state = 13},
  [716] = {.lex_state = 35, .external_lex_state = 13},
  [717] = {.lex_state = 35, .external_lex_state = 13},
  [718] = {.lex_state = 36, .external_lex_state = 12},
  [719] = {.lex_state = 36, .external_lex_state = 12},
  [720] = {.lex_state = 36, .external_lex_state = 12},
  [721] = {.lex_state = 36, .external_lex_state = 12},
  [722] = {.lex_state = 35, .external_lex_state = 13},
  [723] = {.lex_state = 35, .external_lex_state = 13},
  [724] = {.lex_state = 35, .external_lex_state = 13},
  [725] = {.lex_state = 35, .external_lex_state = 13},
  [726] = {.lex_state = 35, .external_lex_state = 13},
  [727] = {.lex_state = 36, .external_lex_state = 12},
  [728] = {.lex_state = 35, .external_lex_state = 13},
  [729] = {.lex_state = 36, .external_lex_state = 12},
  [730] = {.lex_state = 36, .external_lex_state = 12},
  [731] = {.lex_state = 36, .external_lex_state = 12},
  [732] = {.lex_state = 35, .external_lex_state = 13},
  [733] = {.lex_state = 35, .external_lex_state = 13},
  [734] = {.lex_state = 35, .external_lex_state = 13},
  [735] = {.lex_state = 35, .external_lex_state = 13},
  [736] = {.lex_state = 35, .external_lex_state = 13},
  [737] = {.lex_state = 35, .external_lex_state = 13},
  [738] = {.lex_state = 35, .external_lex_state = 13},
  [739] = {.lex_state = 36, .external_lex_state = 12},
  [740] = {.lex_state = 36, .external_lex_state = 12},
  [741] = {.lex_state = 35, .external_lex_state = 13},
  [742] = {.lex_state = 35, .external_lex_state = 13},
  [743] = {.lex_state = 35, .external_lex_state = 13},
  [744] = {.lex_state = 35, .external_lex_state = 13},
  [745] = {.lex_state = 35, .external_lex_state = 13},
  [746] = {.lex_state = 36, .external_lex_state = 12},
  [747] = {.lex_state = 36, .external_lex_state = 12},
  [748] = {.lex_state = 35, .external_lex_state = 13},
  [749] = {.lex_state = 35, .external_lex_state = 13},
  [750] = {.lex_state = 36, .external_lex_state = 12},
  [751] = {.lex_state = 35, .external_lex_state = 13},
  [752] = {.lex_state = 36, .external_lex_state = 12},
  [753] = {.lex_state = 36, .external_lex_state = 12},
  [754] = {.lex_state = 36, .external_lex_state = 12},
  [755] = {.lex_state = 35, .external_lex_state = 13},
  [756] = {.lex_state = 35, .external_lex_state = 13},
  [757] = {.lex_state = 35, .external_lex_state = 13},
  [758] = {.lex_state = 35, .external_lex_state = 13},
  [759] = {.lex_state = 36, .external_lex_state = 12},
  [760] = {.lex_state = 35, .external_lex_state = 13},
  [761] = {.lex_state = 36, .external_lex_state = 12},
  [762] = {.lex_state = 36, .external_lex_state = 12},
  [763] = {.lex_state = 36, .external_lex_state = 12},
  [764] = {.lex_state = 36, .external_lex_state = 12},
  [765] = {.lex_state = 36, .external_lex_state = 12},
  [766] = {.lex_state = 35, .external_lex_state = 13},
  [767] = {.lex_state = 35, .external_lex_state = 13},
  [768] = {.lex_state = 35, .external_lex_state = 13},
  [769] = {.lex_state = 35, .external_lex_state = 13},
  [770] = {.lex_state = 36, .external_lex_state = 12},
  [771] = {.lex_state = 36, .external_lex_state = 12},
  [772] = {.lex_state = 36, .external_lex_state = 12},
  [773] = {.lex_state = 36, .external_lex_state = 12},
  [774] = {.lex_state = 35, .external_lex_state = 13},
  [775] = {.lex_state = 35, .external_lex_state = 13},
  [776] = {.lex_state = 35, .external_lex_state = 13},
  [777] = {.lex_state = 35, .external_lex_state = 13},
  [778] = {.lex_state = 35, .external_lex_state = 13},
  [779] = {.lex_state = 36, .external_lex_state = 12},
  [780] = {.lex_state = 35, .external_lex_state = 13},
  [781] = {.lex_state = 36, .external_lex_state = 12},
  [782] = {.lex_state = 35, .external_lex_state = 13},
  [783] = {.lex_state = 36, .external_lex_state = 12},
  [784] = {.lex_state = 36, .external_lex_state = 12},
  [785] = {.lex_state = 36, .external_lex_state = 12},
  [786] = {.lex_state = 36, .external_lex_state = 12},
  [787] = {.lex_state = 36, .external_lex_state = 12},
  [788] = {.lex_state = 36, .external_lex_state = 12},
  [789] = {.lex_state = 36, .external_lex_state = 12},
  [790] = {.lex_state = 35, .external_lex_state = 13},
  [791] = {.lex_state = 36, .external_lex_state = 12},
  [792] = {.lex_state = 35, .external_lex_state = 13},
  [793] = {.lex_state = 35, .external_lex_state = 13},
  [794] = {.lex_state = 35, .external_lex_state = 13},
  [795] = {.lex_state = 35, .external_lex_state = 13},
  [796] = {.lex_state = 35, .external_lex_state = 13},
  [797] = {.lex_state = 35, .external_lex_state = 13},
  [798] = {.lex_state = 35, .external_lex_state = 13},
  [799] = {.lex_state = 36, .external_lex_state = 12},
  [800] = {.lex_state = 36, .external_lex_state = 12},
  [801] = {.lex_state = 36, .external_lex_state = 12},
  [802] = {.lex_state = 36, .external_lex_state = 12},
  [803] = {.lex_state = 36, .external_lex_state = 12},
  [804] = {.lex_state = 35, .external_lex_state = 13},
  [805] = {.lex_state = 35, .external_lex_state = 13},
  [806] = {.lex_state = 36, .external_lex_state = 12},
  [807] = {.lex_state = 36, .external_lex_state = 12},
  [808] = {.lex_state = 36, .external_lex_state = 12},
  [809] = {.lex_state = 35, .external_lex_state = 13},
  [810] = {.lex_state = 35, .external_lex_state = 13},
  [811] = {.lex_state = 35, .external_lex_state = 13},
  [812] = {.lex_state = 35, .external_lex_state = 13},
  [813] = {.lex_state = 35, .external_lex_state = 13},
  [814] = {.lex_state = 35, .external_lex_state = 13},
  [815] = {.lex_state = 35, .external_lex_state = 13},
  [816] = {.lex_state = 35, .external_lex_state = 13},
  [817] = {.lex_state = 36, .external_lex_state = 12},
  [818] = {.lex_state = 35, .external_lex_state = 13},
  [819] = {.lex_state = 36, .external_lex_state = 12},
  [820] = {.lex_state = 35, .external_lex_state = 13},
  [821] = {.lex_state = 36, .external_lex_state = 12},
  [822] = {.lex_state = 36, .external_lex_state = 12},
  [823] = {.lex_state = 36, .external_lex_state = 12},
  [824] = {.lex_state = 35, .external_lex_state = 13},
  [825] = {.lex_state = 35, .external_lex_state = 13},
  [826] = {.lex_state = 36, .external_lex_state = 12},
  [827] = {.lex_state = 36, .external_lex_state = 12},
  [828] = {.lex_state = 36, .external_lex_state = 12},
  [829] = {.lex_state = 36, .external_lex_state = 12},
  [830] = {.lex_state = 35, .external_lex_state = 13},
  [831] = {.lex_state = 35, .external_lex_state = 13},
  [832] = {.lex_state = 35, .external_lex_state = 13},
  [833] = {.lex_state = 35, .external_lex_state = 13},
  [834] = {.lex_state = 35, .external_lex_state = 13},
  [835] = {.lex_state = 36, .external_lex_state = 12},
  [836] = {.lex_state = 36, .external_lex_state = 12},
  [837] = {.lex_state = 36, .external_lex_state = 12},
  [838] = {.lex_state = 36, .external_lex_state = 12},
  [839] = {.lex_state = 36, .external_lex_state = 12},
  [840] = {.lex_state = 36, .external_lex_state = 12},
  [841] = {.lex_state = 36, .external_lex_state = 12},
  [842] = {.lex_state = 35, .external_lex_state = 13},
  [843] = {.lex_state = 35, .external_lex_state = 13},
  [844] = {.lex_state = 35, .external_lex_state = 13},
  [845] = {.lex_state = 35, .external_lex_state = 13},
  [846] = {.lex_state = 36, .external_lex_state = 12},
  [847] = {.lex_state = 36, .external_lex_state = 12},
  [848] = {.lex_state = 36, .external_lex_state = 12},
  [849] = {.lex_state = 36, .external_lex_state = 12},
  [850] = {.lex_state = 35, .external_lex_state = 13},
  [851] = {.lex_state = 35, .external_lex_state = 13},
  [852] = {.lex_state = 35, .external_lex_state = 13},
  [853] = {.lex_state = 36, .external_lex_state = 12},
  [854] = {.lex_state = 36, .external_lex_state = 12},
  [855] = {.lex_state = 36, .external_lex_state = 12},
  [856] = {.lex_state = 35, .external_lex_state = 13},
  [857] = {.lex_state = 35, .external_lex_state = 13},
  [858] = {.lex_state = 36, .external_lex_state = 12},
  [859] = {.lex_state = 35, .external_lex_state = 13},
  [860] = {.lex_state = 35, .external_lex_state = 13},
  [861] = {.lex_state = 36, .external_lex_state = 12},
  [862] = {.lex_state = 35, .external_lex_state = 13},
  [863] = {.lex_state = 35, .external_lex_state = 13},
  [864] = {.lex_state = 35, .external_lex_state = 13},
  [865] = {.lex_state = 36, .external_lex_state = 12},
  [866] = {.lex_state = 35, .external_lex_state = 13},
  [867] = {.lex_state = 36, .external_lex_state = 12},
  [868] = {.lex_state = 36, .external_lex_state = 12},
  [869] = {.lex_state = 35, .external_lex_state = 13},
  [870] = {.lex_state = 36, .external_lex_state = 12},
  [871] = {.lex_state = 36, .external_lex_state = 12},
  [872] = {.lex_state = 36, .external_lex_state = 12},
  [873] = {.lex_state = 36, .external_lex_state = 12},
  [874] = {.lex_state = 35, .external_lex_state = 13},
  [875] = {.lex_state = 36, .external_lex_state = 12},
  [876] = {.lex_state = 35, .external_lex_state = 13},
  [877] = {.lex_state = 35, .external_lex_state = 13},
  [878] = {.lex_state = 35, .external_lex_state = 13},
  [879] = {.lex_state = 35, .external_lex_state = 13},
  [880] = {.lex_state = 36, .external_lex_state = 12},
  [881] = {.lex_state = 35, .external_lex_state = 13},
  [882] = {.lex_state = 36, .external_lex_state = 12},
  [883] = {.lex_state = 35, .external_lex_state = 13},
  [884] = {.lex_state = 36, .external_lex_state = 12},
  [885] = {.lex_state = 36, .external_lex_state = 12},
  [886] = {.lex_state = 36, .external_lex_state = 12},
  [887] = {.lex_state = 36, .external_lex_state = 12},
  [888] = {.lex_state = 35, .external_lex_state = 13},
  [889] = {.lex_state = 36, .external_lex_state = 12},
  [890] = {.lex_state = 36, .external_lex_state = 12},
  [891] = {.lex_state = 36, .external_lex_state = 12},
  [892] = {.lex_state = 35, .external_lex_state = 13},
  [893] = {.lex_state = 36, .external_lex_state = 12},
  [894] = {.lex_state = 36, .external_lex_state = 13},
  [895] = {.lex_state = 36, .external_lex_state = 13},
  [896] = {.lex_state = 36, .external_lex_state = 13},
  [897] = {.lex_state = 36, .external_lex_state = 13},
  [898] = {.lex_state = 36, .external_lex_state = 13},
  [899] = {.lex_state = 36, .external_lex_state = 13},
  [900] = {.lex_state = 36, .external_lex_state = 13},
  [901] = {.lex_state = 36, .external_lex_state = 13},
  [902] = {.lex_state = 36, .external_lex_state = 13},
  [903] = {.lex_state = 36, .external_lex_state = 13},
  [904] = {.lex_state = 36, .external_lex_state = 13},
  [905] = {.lex_state = 36, .external_lex_state = 13},
  [906] = {.lex_state = 36, .external_lex_state = 13},
  [907] = {.lex_state = 36, .external_lex_state = 13},
  [908] = {.lex_state = 36, .external_lex_state = 13},
  [909] = {.lex_state = 36, .external_lex_state = 13},
  [910] = {.lex_state = 36, .external_lex_state = 13},
  [911] = {.lex_state = 36, .external_lex_state = 13},
  [912] = {.lex_state = 36, .external_lex_state = 13},
  [913] = {.lex_state = 36, .external_lex_state = 13},
  [914] = {.lex_state = 36, .external_lex_state = 13},
  [915] = {.lex_state = 36, .external_lex_state = 13},
  [916] = {.lex_state = 36, .external_lex_state = 13},
  [917] = {.lex_state = 36, .external_lex_state = 13},
  [918] = {.lex_state = 36, .external_lex_state = 13},
  [919] = {.lex_state = 36, .external_lex_state = 13},
  [920] = {.lex_state = 36, .external_lex_state = 13},
  [921] = {.lex_state = 36, .external_lex_state = 13},
  [922] = {.lex_state = 36, .external_lex_state = 13},
  [923] = {.lex_state = 36, .external_lex_state = 13},
  [924] = {.lex_state = 36, .external_lex_state = 13},
  [925] = {.lex_state = 36, .external_lex_state = 13},
  [926] = {.lex_state = 36, .external_lex_state = 13},
  [927] = {.lex_state = 36, .external_lex_state = 13},
  [928] = {.lex_state = 36, .external_lex_state = 13},
  [929] = {.lex_state = 36, .external_lex_state = 13},
  [930] = {.lex_state = 36, .external_lex_state = 13},
  [931] = {.lex_state = 36, .external_lex_state = 13},
  [932] = {.lex_state = 36, .external_lex_state = 13},
  [933] = {.lex_state = 36, .external_lex_state = 13},
  [934] = {.lex_state = 36, .external_lex_state = 13},
  [935] = {.lex_state = 36, .external_lex_state = 13},
  [936] = {.lex_state = 36, .external_lex_state = 13},
  [937] = {.lex_state = 36, .external_lex_state = 13},
  [938] = {.lex_state = 36, .external_lex_state = 13},
  [939] = {.lex_state = 36, .external_lex_state = 13},
  [940] = {.lex_state = 36, .external_lex_state = 13},
  [941] = {.lex_state = 36, .external_lex_state = 13},
  [942] = {.lex_state = 36, .external_lex_state = 13},
  [943] = {.lex_state = 36, .external_lex_state = 13},
  [944] = {.lex_state = 36, .external_lex_state = 13},
  [945] = {.lex_state = 36, .external_lex_state = 13},
  [946] = {.lex_state = 36, .external_lex_state = 13},
  [947] = {.lex_state = 36, .external_lex_state = 13},
  [948] = {.lex_state = 36, .external_lex_state = 13},
  [949] = {.lex_state = 36, .external_lex_state = 13},
  [950] = {.lex_state = 36, .external_lex_state = 13},
  [951] = {.lex_state = 36, .external_lex_state = 13},
  [952] = {.lex_state = 36, .external_lex_state = 13},
  [953] = {.lex_state = 25},
  [954] = {.lex_state = 36, .external_lex_state = 13},
  [955] = {.lex_state = 36, .external_lex_state = 13},
  [956] = {.lex_state = 36, .external_lex_state = 13},
  [957] = {.lex_state = 36, .external_lex_state = 13},
  [958] = {.lex_state = 36, .external_lex_state = 13},
  [959] = {.lex_state = 36, .external_lex_state = 13},
  [960] = {.lex_state = 36, .external_lex_state = 13},
  [961] = {.lex_state = 36, .external_lex_state = 13},
  [962] = {.lex_state = 36, .external_lex_state = 13},
  [963] = {.lex_state = 36, .external_lex_state = 13},
  [964] = {.lex_state = 36, .external_lex_state = 13},
  [965] = {.lex_state = 36, .external_lex_state = 13},
  [966] = {.lex_state = 36, .external_lex_state = 13},
  [967] = {.lex_state = 36, .external_lex_state = 13},
  [968] = {.lex_state = 36, .external_lex_state = 13},
  [969] = {.lex_state = 36, .external_lex_state = 13},
  [970] = {.lex_state = 36, .external_lex_state = 13},
  [971] = {.lex_state = 36, .external_lex_state = 13},
  [972] = {.lex_state = 36, .external_lex_state = 13},
  [973] = {.lex_state = 36, .external_lex_state = 13},
  [974] = {.lex_state = 36, .external_lex_state = 13},
  [975] = {.lex_state = 36, .external_lex_state = 13},
  [976] = {.lex_state = 36, .external_lex_state = 13},
  [977] = {.lex_state = 36, .external_lex_state = 13},
  [978] = {.lex_state = 36, .external_lex_state = 13},
  [979] = {.lex_state = 36, .external_lex_state = 13},
  [980] = {.lex_state = 36, .external_lex_state = 13},
  [981] = {.lex_state = 36, .external_lex_state = 13},
  [982] = {.lex_state = 36, .external_lex_state = 13},
  [983] = {.lex_state = 36, .external_lex_state = 13},
  [984] = {.lex_state = 36, .external_lex_state = 13},
  [985] = {.lex_state = 36, .external_lex_state = 13},
  [986] = {.lex_state = 25},
  [987] = {.lex_state = 36, .external_lex_state = 13},
  [988] = {.lex_state = 36, .external_lex_state = 13},
  [989] = {.lex_state = 36, .external_lex_state = 13},
  [990] = {.lex_state = 36, .external_lex_state = 13},
  [991] = {.lex_state = 36, .external_lex_state = 13},
  [992] = {.lex_state = 36, .external_lex_state = 13},
  [993] = {.lex_state = 36, .external_lex_state = 13},
  [994] = {.lex_state = 36, .external_lex_state = 13},
  [995] = {.lex_state = 36, .external_lex_state = 13},
  [996] = {.lex_state = 36, .external_lex_state = 13},
  [997] = {.lex_state = 36, .external_lex_state = 13},
  [998] = {.lex_state = 36, .external_lex_state = 13},
  [999] = {.lex_state = 36, .external_lex_state = 13},
  [1000] = {.lex_state = 36, .external_lex_state = 13},
  [1001] = {.lex_state = 36, .external_lex_state = 13},
  [1002] = {.lex_state = 36, .external_lex_state = 13},
  [1003] = {.lex_state = 36, .external_lex_state = 13},
  [1004] = {.lex_state = 36, .external_lex_state = 13},
  [1005] = {.lex_state = 36, .external_lex_state = 13},
  [1006] = {.lex_state = 36, .external_lex_state = 13},
  [1007] = {.lex_state = 36, .external_lex_state = 13},
  [1008] = {.lex_state = 36, .external_lex_state = 13},
  [1009] = {.lex_state = 36, .external_lex_state = 13},
  [1010] = {.lex_state = 36, .external_lex_state = 13},
  [1011] = {.lex_state = 36, .external_lex_state = 13},
  [1012] = {.lex_state = 36, .external_lex_state = 13},
  [1013] = {.lex_state = 36, .external_lex_state = 13},
  [1014] = {.lex_state = 36, .external_lex_state = 13},
  [1015] = {.lex_state = 36, .external_lex_state = 13},
  [1016] = {.lex_state = 36, .external_lex_state = 13},
  [1017] = {.lex_state = 36, .external_lex_state = 13},
  [1018] = {.lex_state = 36, .external_lex_state = 13},
  [1019] = {.lex_state = 36, .external_lex_state = 13},
  [1020] = {.lex_state = 36, .external_lex_state = 13},
  [1021] = {.lex_state = 36, .external_lex_state = 13},
  [1022] = {.lex_state = 36, .external_lex_state = 13},
  [1023] = {.lex_state = 36, .external_lex_state = 13},
  [1024] = {.lex_state = 36, .external_lex_state = 13},
  [1025] = {.lex_state = 36, .external_lex_state = 13},
  [1026] = {.lex_state = 36, .external_lex_state = 13},
  [1027] = {.lex_state = 36, .external_lex_state = 13},
  [1028] = {.lex_state = 36, .external_lex_state = 13},
  [1029] = {.lex_state = 36, .external_lex_state = 13},
  [1030] = {.lex_state = 36, .external_lex_state = 13},
  [1031] = {.lex_state = 36, .external_lex_state = 13},
  [1032] = {.lex_state = 36, .external_lex_state = 13},
  [1033] = {.lex_state = 36, .external_lex_state = 13},
  [1034] = {.lex_state = 36, .external_lex_state = 13},
  [1035] = {.lex_state = 36, .external_lex_state = 13},
  [1036] = {.lex_state = 36, .external_lex_state = 13},
  [1037] = {.lex_state = 36, .external_lex_state = 13},
  [1038] = {.lex_state = 36, .external_lex_state = 13},
  [1039] = {.lex_state = 36, .external_lex_state = 13},
  [1040] = {.lex_state = 36, .external_lex_state = 13},
  [1041] = {.lex_state = 36, .external_lex_state = 13},
  [1042] = {.lex_state = 36, .external_lex_state = 13},
  [1043] = {.lex_state = 36, .external_lex_state = 13},
  [1044] = {.lex_state = 36, .external_lex_state = 13},
  [1045] = {.lex_state = 36, .external_lex_state = 13},
  [1046] = {.lex_state = 36, .external_lex_state = 13},
  [1047] = {.lex_state = 36, .external_lex_state = 13},
  [1048] = {.lex_state = 36, .external_lex_state = 13},
  [1049] = {.lex_state = 36, .external_lex_state = 13},
  [1050] = {.lex_state = 36, .external_lex_state = 13},
  [1051] = {.lex_state = 36, .external_lex_state = 13},
  [1052] = {.lex_state = 36, .external_lex_state = 13},
  [1053] = {.lex_state = 36, .external_lex_state = 13},
  [1054] = {.lex_state = 36, .external_lex_state = 13},
  [1055] = {.lex_state = 36, .external_lex_state = 13},
  [1056] = {.lex_state = 36, .external_lex_state = 13},
  [1057] = {.lex_state = 36, .external_lex_state = 13},
  [1058] = {.lex_state = 36, .external_lex_state = 13},
  [1059] = {.lex_state = 36, .external_lex_state = 13},
  [1060] = {.lex_state = 36, .external_lex_state = 13},
  [1061] = {.lex_state = 36, .external_lex_state = 13},
  [1062] = {.lex_state = 36, .external_lex_state = 13},
  [1063] = {.lex_state = 36, .external_lex_state = 13},
  [1064] = {.lex_state = 36, .external_lex_state = 13},
  [1065] = {.lex_state = 36, .external_lex_state = 13},
  [1066] = {.lex_state = 36, .external_lex_state = 13},
  [1067] = {.lex_state = 36, .external_lex_state = 13},
  [1068] = {.lex_state = 36, .external_lex_state = 13},
  [1069] = {.lex_state = 36, .external_lex_state = 13},
  [1070] = {.lex_state = 36, .external_lex_state = 13},
  [1071] = {.lex_state = 36, .external_lex_state = 13},
  [1072] = {.lex_state = 36, .external_lex_state = 13},
  [1073] = {.lex_state = 36, .external_lex_state = 13},
  [1074] = {.lex_state = 36, .external_lex_state = 13},
  [1075] = {.lex_state = 36, .external_lex_state = 13},
  [1076] = {.lex_state = 36, .external_lex_state = 13},
  [1077] = {.lex_state = 36, .external_lex_state = 13},
  [1078] = {.lex_state = 36, .external_lex_state = 13},
  [1079] = {.lex_state = 36, .external_lex_state = 13},
  [1080] = {.lex_state = 36, .external_lex_state = 13},
  [1081] = {.lex_state = 36, .external_lex_state = 13},
  [1082] = {.lex_state = 36, .external_lex_state = 13},
  [1083] = {.lex_state = 36, .external_lex_state = 13},
  [1084] = {.lex_state = 36, .external_lex_state = 13},
  [1085] = {.lex_state = 36, .external_lex_state = 13},
  [1086] = {.lex_state = 36, .external_lex_state = 13},
  [1087] = {.lex_state = 36, .external_lex_state = 13},
  [1088] = {.lex_state = 36, .external_lex_state = 13},
  [1089] = {.lex_state = 36, .external_lex_state = 13},
  [1090] = {.lex_state = 36, .external_lex_state = 13},
  [1091] = {.lex_state = 36, .external_lex_state = 13},
  [1092] = {.lex_state = 36, .external_lex_state = 13},
  [1093] = {.lex_state = 36, .external_lex_state = 13},
  [1094] = {.lex_state = 36, .external_lex_state = 13},
  [1095] = {.lex_state = 36, .external_lex_state = 13},
  [1096] = {.lex_state = 36, .external_lex_state = 13},
  [1097] = {.lex_state = 36, .external_lex_state = 13},
  [1098] = {.lex_state = 36, .external_lex_state = 13},
  [1099] = {.lex_state = 36, .external_lex_state = 13},
  [1100] = {.lex_state = 36, .external_lex_state = 13},
  [1101] = {.lex_state = 36, .external_lex_state = 13},
  [1102] = {.lex_state = 36, .external_lex_state = 13},
  [1103] = {.lex_state = 36, .external_lex_state = 13},
  [1104] = {.lex_state = 36, .external_lex_state = 13},
  [1105] = {.lex_state = 36, .external_lex_state = 13},
  [1106] = {.lex_state = 36, .external_lex_state = 13},
  [1107] = {.lex_state = 36, .external_lex_state = 13},
  [1108] = {.lex_state = 36, .external_lex_state = 13},
  [1109] = {.lex_state = 36, .external_lex_state = 13},
  [1110] = {.lex_state = 36, .external_lex_state = 13},
  [1111] = {.lex_state = 36, .external_lex_state = 13},
  [1112] = {.lex_state = 36, .external_lex_state = 13},
  [1113] = {.lex_state = 36, .external_lex_state = 13},
  [1114] = {.lex_state = 36, .external_lex_state = 13},
  [1115] = {.lex_state = 36, .external_lex_state = 13},
  [1116] = {.lex_state = 36, .external_lex_state = 13},
  [1117] = {.lex_state = 36, .external_lex_state = 13},
  [1118] = {.lex_state = 36, .external_lex_state = 13},
  [1119] = {.lex_state = 36, .external_lex_state = 13},
  [1120] = {.lex_state = 36, .external_lex_state = 13},
  [1121] = {.lex_state = 36, .external_lex_state = 13},
  [1122] = {.lex_state = 36, .external_lex_state = 13},
  [1123] = {.lex_state = 36, .external_lex_state = 13},
  [1124] = {.lex_state = 36, .external_lex_state = 13},
  [1125] = {.lex_state = 36, .external_lex_state = 13},
  [1126] = {.lex_state = 36, .external_lex_state = 13},
  [1127] = {.lex_state = 36, .external_lex_state = 13},
  [1128] = {.lex_state = 36, .external_lex_state = 13},
  [1129] = {.lex_state = 36, .external_lex_state = 13},
  [1130] = {.lex_state = 36, .external_lex_state = 13},
  [1131] = {.lex_state = 36, .external_lex_state = 13},
  [1132] = {.lex_state = 36, .external_lex_state = 13},
  [1133] = {.lex_state = 36, .external_lex_state = 13},
  [1134] = {.lex_state = 36, .external_lex_state = 13},
  [1135] = {.lex_state = 36, .external_lex_state = 13},
  [1136] = {.lex_state = 36, .external_lex_state = 13},
  [1137] = {.lex_state = 36, .external_lex_state = 13},
  [1138] = {.lex_state = 36, .external_lex_state = 13},
  [1139] = {.lex_state = 36, .external_lex_state = 13},
  [1140] = {.lex_state = 36, .external_lex_state = 13},
  [1141] = {.lex_state = 36, .external_lex_state = 13},
  [1142] = {.lex_state = 36, .external_lex_state = 13},
  [1143] = {.lex_state = 36, .external_lex_state = 13},
  [1144] = {.lex_state = 36, .external_lex_state = 13},
  [1145] = {.lex_state = 36, .external_lex_state = 13},
  [1146] = {.lex_state = 36, .external_lex_state = 13},
  [1147] = {.lex_state = 36, .external_lex_state = 13},
  [1148] = {.lex_state = 36, .external_lex_state = 13},
  [1149] = {.lex_state = 36, .external_lex_state = 13},
  [1150] = {.lex_state = 36, .external_lex_state = 13},
  [1151] = {.lex_state = 36, .external_lex_state = 13},
  [1152] = {.lex_state = 36, .external_lex_state = 13},
  [1153] = {.lex_state = 36, .external_lex_state = 13},
  [1154] = {.lex_state = 36, .external_lex_state = 13},
  [1155] = {.lex_state = 25},
  [1156] = {.lex_state = 36, .external_lex_state = 13},
  [1157] = {.lex_state = 36, .external_lex_state = 13},
  [1158] = {.lex_state = 36, .external_lex_state = 13},
  [1159] = {.lex_state = 36, .external_lex_state = 13},
  [1160] = {.lex_state = 36, .external_lex_state = 13},
  [1161] = {.lex_state = 36, .external_lex_state = 13},
  [1162] = {.lex_state = 36, .external_lex_state = 13},
  [1163] = {.lex_state = 36, .external_lex_state = 13},
  [1164] = {.lex_state = 36, .external_lex_state = 13},
  [1165] = {.lex_state = 36, .external_lex_state = 13},
  [1166] = {.lex_state = 36, .external_lex_state = 13},
  [1167] = {.lex_state = 36, .external_lex_state = 13},
  [1168] = {.lex_state = 36, .external_lex_state = 13},
  [1169] = {.lex_state = 36, .external_lex_state = 13},
  [1170] = {.lex_state = 36, .external_lex_state = 13},
  [1171] = {.lex_state = 36, .external_lex_state = 13},
  [1172] = {.lex_state = 36, .external_lex_state = 13},
  [1173] = {.lex_state = 36, .external_lex_state = 13},
  [1174] = {.lex_state = 36, .external_lex_state = 13},
  [1175] = {.lex_state = 36, .external_lex_state = 13},
  [1176] = {.lex_state = 36, .external_lex_state = 13},
  [1177] = {.lex_state = 36, .external_lex_state = 13},
  [1178] = {.lex_state = 36, .external_lex_state = 13},
  [1179] = {.lex_state = 36, .external_lex_state = 13},
  [1180] = {.lex_state = 36, .external_lex_state = 13},
  [1181] = {.lex_state = 36, .external_lex_state = 13},
  [1182] = {.lex_state = 36, .external_lex_state = 13},
  [1183] = {.lex_state = 36, .external_lex_state = 13},
  [1184] = {.lex_state = 36, .external_lex_state = 13},
  [1185] = {.lex_state = 36, .external_lex_state = 13},
  [1186] = {.lex_state = 36, .external_lex_state = 13},
  [1187] = {.lex_state = 36, .external_lex_state = 13},
  [1188] = {.lex_state = 36, .external_lex_state = 13},
  [1189] = {.lex_state = 36, .external_lex_state = 13},
  [1190] = {.lex_state = 36, .external_lex_state = 13},
  [1191] = {.lex_state = 36, .external_lex_state = 13},
  [1192] = {.lex_state = 36, .external_lex_state = 13},
  [1193] = {.lex_state = 36, .external_lex_state = 13},
  [1194] = {.lex_state = 36, .external_lex_state = 13},
  [1195] = {.lex_state = 36, .external_lex_state = 13},
  [1196] = {.lex_state = 36, .external_lex_state = 13},
  [1197] = {.lex_state = 36, .external_lex_state = 13},
  [1198] = {.lex_state = 36, .external_lex_state = 13},
  [1199] = {.lex_state = 36, .external_lex_state = 13},
  [1200] = {.lex_state = 36, .external_lex_state = 13},
  [1201] = {.lex_state = 36, .external_lex_state = 13},
  [1202] = {.lex_state = 36, .external_lex_state = 13},
  [1203] = {.lex_state = 36, .external_lex_state = 13},
  [1204] = {.lex_state = 36, .external_lex_state = 13},
  [1205] = {.lex_state = 36, .external_lex_state = 13},
  [1206] = {.lex_state = 36, .external_lex_state = 13},
  [1207] = {.lex_state = 36, .external_lex_state = 13},
  [1208] = {.lex_state = 36, .external_lex_state = 13},
  [1209] = {.lex_state = 36, .external_lex_state = 13},
  [1210] = {.lex_state = 36, .external_lex_state = 13},
  [1211] = {.lex_state = 36, .external_lex_state = 13},
  [1212] = {.lex_state = 36, .external_lex_state = 13},
  [1213] = {.lex_state = 36, .external_lex_state = 13},
  [1214] = {.lex_state = 36, .external_lex_state = 13},
  [1215] = {.lex_state = 36, .external_lex_state = 13},
  [1216] = {.lex_state = 36, .external_lex_state = 13},
  [1217] = {.lex_state = 36, .external_lex_state = 13},
  [1218] = {.lex_state = 36, .external_lex_state = 13},
  [1219] = {.lex_state = 36, .external_lex_state = 13},
  [1220] = {.lex_state = 36, .external_lex_state = 13},
  [1221] = {.lex_state = 36, .external_lex_state = 13},
  [1222] = {.lex_state = 25, .external_lex_state = 14},
  [1223] = {.lex_state = 36, .external_lex_state = 13},
  [1224] = {.lex_state = 36, .external_lex_state = 13},
  [1225] = {.lex_state = 36, .external_lex_state = 13},
  [1226] = {.lex_state = 36, .external_lex_state = 13},
  [1227] = {.lex_state = 36, .external_lex_state = 13},
  [1228] = {.lex_state = 36, .external_lex_state = 13},
  [1229] = {.lex_state = 36, .external_lex_state = 13},
  [1230] = {.lex_state = 25, .external_lex_state = 14},
  [1231] = {.lex_state = 36, .external_lex_state = 13},
  [1232] = {.lex_state = 36, .external_lex_state = 13},
  [1233] = {.lex_state = 36, .external_lex_state = 13},
  [1234] = {.lex_state = 36, .external_lex_state = 13},
  [1235] = {.lex_state = 36, .external_lex_state = 13},
  [1236] = {.lex_state = 36, .external_lex_state = 13},
  [1237] = {.lex_state = 36, .external_lex_state = 13},
  [1238] = {.lex_state = 36, .external_lex_state = 13},
  [1239] = {.lex_state = 36, .external_lex_state = 13},
  [1240] = {.lex_state = 36, .external_lex_state = 13},
  [1241] = {.lex_state = 36, .external_lex_state = 13},
  [1242] = {.lex_state = 36, .external_lex_state = 13},
  [1243] = {.lex_state = 36, .external_lex_state = 13},
  [1244] = {.lex_state = 25, .external_lex_state = 14},
  [1245] = {.lex_state = 36, .external_lex_state = 13},
  [1246] = {.lex_state = 36, .external_lex_state = 13},
  [1247] = {.lex_state = 36, .external_lex_state = 13},
  [1248] = {.lex_state = 36, .external_lex_state = 13},
  [1249] = {.lex_state = 36, .external_lex_state = 13},
  [1250] = {.lex_state = 25, .external_lex_state = 14},
  [1251] = {.lex_state = 36, .external_lex_state = 13},
  [1252] = {.lex_state = 25, .external_lex_state = 14},
  [1253] = {.lex_state = 36, .external_lex_state = 13},
  [1254] = {.lex_state = 36, .external_lex_state = 13},
  [1255] = {.lex_state = 36, .external_lex_state = 13},
  [1256] = {.lex_state = 36, .external_lex_state = 13},
  [1257] = {.lex_state = 36, .external_lex_state = 13},
  [1258] = {.lex_state = 36, .external_lex_state = 13},
  [1259] = {.lex_state = 36, .external_lex_state = 13},
  [1260] = {.lex_state = 36, .external_lex_state = 13},
  [1261] = {.lex_state = 25},
  [1262] = {.lex_state = 36, .external_lex_state = 13},
  [1263] = {.lex_state = 36, .external_lex_state = 13},
  [1264] = {.lex_state = 36, .external_lex_state = 13},
  [1265] = {.lex_state = 36, .external_lex_state = 13},
  [1266] = {.lex_state = 25},
  [1267] = {.lex_state = 36, .external_lex_state = 13},
  [1268] = {.lex_state = 36, .external_lex_state = 13},
  [1269] = {.lex_state = 25},
  [1270] = {.lex_state = 25},
  [1271] = {.lex_state = 20, .external_lex_state = 13},
  [1272] = {.lex_state = 25},
  [1273] = {.lex_state = 25},
  [1274] = {.lex_state = 25},
  [1275] = {.lex_state = 25},
  [1276] = {.lex_state = 25},
  [1277] = {.lex_state = 25},
  [1278] = {.lex_state = 25},
  [1279] = {.lex_state = 25},
  [1280] = {.lex_state = 25},
  [1281] = {.lex_state = 25},
  [1282] = {.lex_state = 25},
  [1283] = {.lex_state = 25},
  [1284] = {.lex_state = 25},
  [1285] = {.lex_state = 25},
  [1286] = {.lex_state = 25},
  [1287] = {.lex_state = 25},
  [1288] = {.lex_state = 25},
  [1289] = {.lex_state = 25},
  [1290] = {.lex_state = 25},
  [1291] = {.lex_state = 17, .external_lex_state = 10},
  [1292] = {.lex_state = 110, .external_lex_state = 6},
  [1293] = {.lex_state = 110, .external_lex_state = 6},
  [1294] = {.lex_state = 110, .external_lex_state = 6},
  [1295] = {.lex_state = 110, .external_lex_state = 6},
  [1296] = {.lex_state = 110, .external_lex_state = 6},
  [1297] = {.lex_state = 110, .external_lex_state = 6},
  [1298] = {.lex_state = 110, .external_lex_state = 6},
  [1299] = {.lex_state = 110, .external_lex_state = 8},
  [1300] = {.lex_state = 116, .external_lex_state = 10},
  [1301] = {.lex_state = 38, .external_lex_state = 2},
  [1302] = {.lex_state = 110, .external_lex_state = 6},
  [1303] = {.lex_state = 110, .external_lex_state = 8},
  [1304] = {.lex_state = 110, .external_lex_state = 6},
  [1305] = {.lex_state = 110, .external_lex_state = 6},
  [1306] = {.lex_state = 110, .external_lex_state = 6},
  [1307] = {.lex_state = 116, .external_lex_state = 10},
  [1308] = {.lex_state = 110, .external_lex_state = 6},
  [1309] = {.lex_state = 110, .external_lex_state = 6},
  [1310] = {.lex_state = 116, .external_lex_state = 10},
  [1311] = {.lex_state = 110, .external_lex_state = 6},
  [1312] = {.lex_state = 110, .external_lex_state = 6},
  [1313] = {.lex_state = 110, .external_lex_state = 6},
  [1314] = {.lex_state = 110, .external_lex_state = 6},
  [1315] = {.lex_state = 110, .external_lex_state = 6},
  [1316] = {.lex_state = 110, .external_lex_state = 6},
  [1317] = {.lex_state = 110, .external_lex_state = 6},
  [1318] = {.lex_state = 6, .external_lex_state = 15},
  [1319] = {.lex_state = 110, .external_lex_state = 6},
  [1320] = {.lex_state = 110, .external_lex_state = 6},
  [1321] = {.lex_state = 110, .external_lex_state = 6},
  [1322] = {.lex_state = 110, .external_lex_state = 6},
  [1323] = {.lex_state = 110, .external_lex_state = 6},
  [1324] = {.lex_state = 110, .external_lex_state = 6},
  [1325] = {.lex_state = 110, .external_lex_state = 8},
  [1326] = {.lex_state = 110, .external_lex_state = 6},
  [1327] = {.lex_state = 110, .external_lex_state = 8},
  [1328] = {.lex_state = 110, .external_lex_state = 8},
  [1329] = {.lex_state = 38, .external_lex_state = 16},
  [1330] = {.lex_state = 38, .external_lex_state = 16},
  [1331] = {.lex_state = 110, .external_lex_state = 8},
  [1332] = {.lex_state = 6, .external_lex_state = 10},
  [1333] = {.lex_state = 110, .external_lex_state = 6},
  [1334] = {.lex_state = 110, .external_lex_state = 8},
  [1335] = {.lex_state = 110, .external_lex_state = 8},
  [1336] = {.lex_state = 110, .external_lex_state = 8},
  [1337] = {.lex_state = 110, .external_lex_state = 8},
  [1338] = {.lex_state = 6, .external_lex_state = 15},
  [1339] = {.lex_state = 6, .external_lex_state = 10},
  [1340] = {.lex_state = 41},
  [1341] = {.lex_state = 41},
  [1342] = {.lex_state = 110, .external_lex_state = 8},
  [1343] = {.lex_state = 110, .external_lex_state = 6},
  [1344] = {.lex_state = 110, .external_lex_state = 8},
  [1345] = {.lex_state = 110, .external_lex_state = 8},
  [1346] = {.lex_state = 110, .external_lex_state = 8},
  [1347] = {.lex_state = 110, .external_lex_state = 8},
  [1348] = {.lex_state = 41},
  [1349] = {.lex_state = 110, .external_lex_state = 8},
  [1350] = {.lex_state = 110, .external_lex_state = 8},
  [1351] = {.lex_state = 110, .external_lex_state = 8},
  [1352] = {.lex_state = 110, .external_lex_state = 8},
  [1353] = {.lex_state = 41},
  [1354] = {.lex_state = 41},
  [1355] = {.lex_state = 110, .external_lex_state = 8},
  [1356] = {.lex_state = 110, .external_lex_state = 8},
  [1357] = {.lex_state = 110, .external_lex_state = 8},
  [1358] = {.lex_state = 110, .external_lex_state = 8},
  [1359] = {.lex_state = 110, .external_lex_state = 8},
  [1360] = {.lex_state = 110, .external_lex_state = 8},
  [1361] = {.lex_state = 110, .external_lex_state = 8},
  [1362] = {.lex_state = 110, .external_lex_state = 8},
  [1363] = {.lex_state = 110, .external_lex_state = 8},
  [1364] = {.lex_state = 110, .external_lex_state = 8},
  [1365] = {.lex_state = 38, .external_lex_state = 16},
  [1366] = {.lex_state = 6, .external_lex_state = 15},
  [1367] = {.lex_state = 110, .external_lex_state = 6},
  [1368] = {.lex_state = 110, .external_lex_state = 8},
  [1369] = {.lex_state = 41},
  [1370] = {.lex_state = 110, .external_lex_state = 6},
  [1371] = {.lex_state = 110, .external_lex_state = 8},
  [1372] = {.lex_state = 6, .external_lex_state = 15},
  [1373] = {.lex_state = 110, .external_lex_state = 8},
  [1374] = {.lex_state = 38, .external_lex_state = 16},
  [1375] = {.lex_state = 110, .external_lex_state = 6},
  [1376] = {.lex_state = 41},
  [1377] = {.lex_state = 38, .external_lex_state = 16},
  [1378] = {.lex_state = 110, .external_lex_state = 8},
  [1379] = {.lex_state = 41},
  [1380] = {.lex_state = 38, .external_lex_state = 17},
  [1381] = {.lex_state = 6, .external_lex_state = 15},
  [1382] = {.lex_state = 6, .external_lex_state = 15},
  [1383] = {.lex_state = 38},
  [1384] = {.lex_state = 110, .external_lex_state = 6},
  [1385] = {.lex_state = 38, .external_lex_state = 17},
  [1386] = {.lex_state = 110, .external_lex_state = 8},
  [1387] = {.lex_state = 38, .external_lex_state = 2},
  [1388] = {.lex_state = 110, .external_lex_state = 6},
  [1389] = {.lex_state = 110, .external_lex_state = 6},
  [1390] = {.lex_state = 110, .external_lex_state = 6},
  [1391] = {.lex_state = 110, .external_lex_state = 8},
  [1392] = {.lex_state = 110, .external_lex_state = 6},
  [1393] = {.lex_state = 110, .external_lex_state = 6},
  [1394] = {.lex_state = 110, .external_lex_state = 8},
  [1395] = {.lex_state = 6, .external_lex_state = 15},
  [1396] = {.lex_state = 110, .external_lex_state = 6},
  [1397] = {.lex_state = 110, .external_lex_state = 6},
  [1398] = {.lex_state = 110, .external_lex_state = 6},
  [1399] = {.lex_state = 38, .external_lex_state = 17},
  [1400] = {.lex_state = 38, .external_lex_state = 17},
  [1401] = {.lex_state = 6, .external_lex_state = 15},
  [1402] = {.lex_state = 6, .external_lex_state = 15},
  [1403] = {.lex_state = 110, .external_lex_state = 8},
  [1404] = {.lex_state = 38},
  [1405] = {.lex_state = 6, .external_lex_state = 15},
  [1406] = {.lex_state = 6, .external_lex_state = 15},
  [1407] = {.lex_state = 6, .external_lex_state = 15},
  [1408] = {.lex_state = 6, .external_lex_state = 15},
  [1409] = {.lex_state = 38, .external_lex_state = 16},
  [1410] = {.lex_state = 38, .external_lex_state = 17},
  [1411] = {.lex_state = 38, .external_lex_state = 16},
  [1412] = {.lex_state = 38, .external_lex_state = 16},
  [1413] = {.lex_state = 38, .external_lex_state = 16},
  [1414] = {.lex_state = 38, .external_lex_state = 16},
  [1415] = {.lex_state = 38, .external_lex_state = 16},
  [1416] = {.lex_state = 110, .external_lex_state = 6},
  [1417] = {.lex_state = 38, .external_lex_state = 16},
  [1418] = {.lex_state = 38, .external_lex_state = 16},
  [1419] = {.lex_state = 110, .external_lex_state = 6},
  [1420] = {.lex_state = 38, .external_lex_state = 16},
  [1421] = {.lex_state = 38, .external_lex_state = 16},
  [1422] = {.lex_state = 110, .external_lex_state = 6},
  [1423] = {.lex_state = 38, .external_lex_state = 16},
  [1424] = {.lex_state = 38, .external_lex_state = 16},
  [1425] = {.lex_state = 38, .external_lex_state = 16},
  [1426] = {.lex_state = 38, .external_lex_state = 16},
  [1427] = {.lex_state = 38, .external_lex_state = 16},
  [1428] = {.lex_state = 110, .external_lex_state = 6},
  [1429] = {.lex_state = 38, .external_lex_state = 16},
  [1430] = {.lex_state = 38, .external_lex_state = 16},
  [1431] = {.lex_state = 6, .external_lex_state = 15},
  [1432] = {.lex_state = 110, .external_lex_state = 8},
  [1433] = {.lex_state = 38},
  [1434] = {.lex_state = 38, .external_lex_state = 2},
  [1435] = {.lex_state = 38, .external_lex_state = 16},
  [1436] = {.lex_state = 6, .external_lex_state = 10},
  [1437] = {.lex_state = 38},
  [1438] = {.lex_state = 110, .external_lex_state = 6},
  [1439] = {.lex_state = 110, .external_lex_state = 6},
  [1440] = {.lex_state = 6, .external_lex_state = 15},
  [1441] = {.lex_state = 38, .external_lex_state = 16},
  [1442] = {.lex_state = 38},
  [1443] = {.lex_state = 21},
  [1444] = {.lex_state = 110, .external_lex_state = 6},
  [1445] = {.lex_state = 110, .external_lex_state = 6},
  [1446] = {.lex_state = 110, .external_lex_state = 6},
  [1447] = {.lex_state = 6, .external_lex_state = 15},
  [1448] = {.lex_state = 110, .external_lex_state = 6},
  [1449] = {.lex_state = 110, .external_lex_state = 8},
  [1450] = {.lex_state = 38, .external_lex_state = 17},
  [1451] = {.lex_state = 6, .external_lex_state = 15},
  [1452] = {.lex_state = 38},
  [1453] = {.lex_state = 38, .external_lex_state = 16},
  [1454] = {.lex_state = 110, .external_lex_state = 6},
  [1455] = {.lex_state = 6, .external_lex_state = 15},
  [1456] = {.lex_state = 110, .external_lex_state = 8},
  [1457] = {.lex_state = 110, .external_lex_state = 6},
  [1458] = {.lex_state = 110, .external_lex_state = 6},
  [1459] = {.lex_state = 6, .external_lex_state = 15},
  [1460] = {.lex_state = 110, .external_lex_state = 6},
  [1461] = {.lex_state = 38},
  [1462] = {.lex_state = 38, .external_lex_state = 16},
  [1463] = {.lex_state = 6, .external_lex_state = 15},
  [1464] = {.lex_state = 6, .external_lex_state = 15},
  [1465] = {.lex_state = 38, .external_lex_state = 16},
  [1466] = {.lex_state = 110, .external_lex_state = 6},
  [1467] = {.lex_state = 110, .external_lex_state = 8},
  [1468] = {.lex_state = 110, .external_lex_state = 6},
  [1469] = {.lex_state = 110, .external_lex_state = 6},
  [1470] = {.lex_state = 110, .external_lex_state = 6},
  [1471] = {.lex_state = 110, .external_lex_state = 6},
  [1472] = {.lex_state = 38, .external_lex_state = 16},
  [1473] = {.lex_state = 38, .external_lex_state = 16},
  [1474] = {.lex_state = 38, .external_lex_state = 17},
  [1475] = {.lex_state = 110, .external_lex_state = 6},
  [1476] = {.lex_state = 110, .external_lex_state = 6},
  [1477] = {.lex_state = 110, .external_lex_state = 6},
  [1478] = {.lex_state = 6, .external_lex_state = 15},
  [1479] = {.lex_state = 6, .external_lex_state = 15},
  [1480] = {.lex_state = 110, .external_lex_state = 6},
  [1481] = {.lex_state = 110, .external_lex_state = 8},
  [1482] = {.lex_state = 110, .external_lex_state = 6},
  [1483] = {.lex_state = 110, .external_lex_state = 6},
  [1484] = {.lex_state = 6, .external_lex_state = 15},
  [1485] = {.lex_state = 6, .external_lex_state = 15},
  [1486] = {.lex_state = 110, .external_lex_state = 6},
  [1487] = {.lex_state = 38},
  [1488] = {.lex_state = 110, .external_lex_state = 6},
  [1489] = {.lex_state = 6, .external_lex_state = 15},
  [1490] = {.lex_state = 38, .external_lex_state = 16},
  [1491] = {.lex_state = 38, .external_lex_state = 2},
  [1492] = {.lex_state = 6, .external_lex_state = 15},
  [1493] = {.lex_state = 110, .external_lex_state = 6},
  [1494] = {.lex_state = 6, .external_lex_state = 15},
  [1495] = {.lex_state = 38, .external_lex_state = 16},
  [1496] = {.lex_state = 6, .external_lex_state = 15},
  [1497] = {.lex_state = 110, .external_lex_state = 6},
  [1498] = {.lex_state = 38},
  [1499] = {.lex_state = 38, .external_lex_state = 2},
  [1500] = {.lex_state = 38, .external_lex_state = 2},
  [1501] = {.lex_state = 110, .external_lex_state = 6},
  [1502] = {.lex_state = 38, .external_lex_state = 2},
  [1503] = {.lex_state = 38, .external_lex_state = 2},
  [1504] = {.lex_state = 36, .external_lex_state = 18},
  [1505] = {.lex_state = 35, .external_lex_state = 18},
  [1506] = {.lex_state = 110, .external_lex_state = 8},
  [1507] = {.lex_state = 38, .external_lex_state = 2},
  [1508] = {.lex_state = 110, .external_lex_state = 8},
  [1509] = {.lex_state = 110, .external_lex_state = 8},
  [1510] = {.lex_state = 36, .external_lex_state = 18},
  [1511] = {.lex_state = 6, .external_lex_state = 10},
  [1512] = {.lex_state = 110, .external_lex_state = 8},
  [1513] = {.lex_state = 110, .external_lex_state = 8},
  [1514] = {.lex_state = 38, .external_lex_state = 2},
  [1515] = {.lex_state = 110, .external_lex_state = 8},
  [1516] = {.lex_state = 110, .external_lex_state = 8},
  [1517] = {.lex_state = 38, .external_lex_state = 2},
  [1518] = {.lex_state = 110, .external_lex_state = 8},
  [1519] = {.lex_state = 38},
  [1520] = {.lex_state = 38},
  [1521] = {.lex_state = 110, .external_lex_state = 8},
  [1522] = {.lex_state = 110, .external_lex_state = 8},
  [1523] = {.lex_state = 38, .external_lex_state = 2},
  [1524] = {.lex_state = 110, .external_lex_state = 8},
  [1525] = {.lex_state = 38},
  [1526] = {.lex_state = 38, .external_lex_state = 2},
  [1527] = {.lex_state = 6, .external_lex_state = 10},
  [1528] = {.lex_state = 110, .external_lex_state = 8},
  [1529] = {.lex_state = 38, .external_lex_state = 2},
  [1530] = {.lex_state = 38, .external_lex_state = 2},
  [1531] = {.lex_state = 38, .external_lex_state = 2},
  [1532] = {.lex_state = 38},
  [1533] = {.lex_state = 38},
  [1534] = {.lex_state = 110, .external_lex_state = 8},
  [1535] = {.lex_state = 6, .external_lex_state = 10},
  [1536] = {.lex_state = 38},
  [1537] = {.lex_state = 38, .external_lex_state = 2},
  [1538] = {.lex_state = 6, .external_lex_state = 10},
  [1539] = {.lex_state = 38, .external_lex_state = 2},
  [1540] = {.lex_state = 31, .external_lex_state = 19},
  [1541] = {.lex_state = 32, .external_lex_state = 20},
  [1542] = {.lex_state = 33, .external_lex_state = 20},
  [1543] = {.lex_state = 38},
  [1544] = {.lex_state = 6, .external_lex_state = 10},
  [1545] = {.lex_state = 38},
  [1546] = {.lex_state = 6, .external_lex_state = 10},
  [1547] = {.lex_state = 38, .external_lex_state = 2},
  [1548] = {.lex_state = 38, .external_lex_state = 2},
  [1549] = {.lex_state = 110, .external_lex_state = 8},
  [1550] = {.lex_state = 32, .external_lex_state = 20},
  [1551] = {.lex_state = 38},
  [1552] = {.lex_state = 110, .external_lex_state = 8},
  [1553] = {.lex_state = 36, .external_lex_state = 18},
  [1554] = {.lex_state = 110, .external_lex_state = 8},
  [1555] = {.lex_state = 110, .external_lex_state = 8},
  [1556] = {.lex_state = 38, .external_lex_state = 2},
  [1557] = {.lex_state = 32, .external_lex_state = 20},
  [1558] = {.lex_state = 110, .external_lex_state = 8},
  [1559] = {.lex_state = 38, .external_lex_state = 2},
  [1560] = {.lex_state = 6, .external_lex_state = 10},
  [1561] = {.lex_state = 38, .external_lex_state = 2},
  [1562] = {.lex_state = 6, .external_lex_state = 10},
  [1563] = {.lex_state = 110, .external_lex_state = 8},
  [1564] = {.lex_state = 36, .external_lex_state = 18},
  [1565] = {.lex_state = 38, .external_lex_state = 2},
  [1566] = {.lex_state = 110, .external_lex_state = 8},
  [1567] = {.lex_state = 38, .external_lex_state = 2},
  [1568] = {.lex_state = 110, .external_lex_state = 8},
  [1569] = {.lex_state = 6, .external_lex_state = 10},
  [1570] = {.lex_state = 35, .external_lex_state = 18},
  [1571] = {.lex_state = 32, .external_lex_state = 20},
  [1572] = {.lex_state = 34, .external_lex_state = 20},
  [1573] = {.lex_state = 38, .external_lex_state = 2},
  [1574] = {.lex_state = 38, .external_lex_state = 2},
  [1575] = {.lex_state = 35, .external_lex_state = 18},
  [1576] = {.lex_state = 38, .external_lex_state = 2},
  [1577] = {.lex_state = 6, .external_lex_state = 10},
  [1578] = {.lex_state = 35, .external_lex_state = 18},
  [1579] = {.lex_state = 38},
  [1580] = {.lex_state = 6, .external_lex_state = 10},
  [1581] = {.lex_state = 38},
  [1582] = {.lex_state = 38, .external_lex_state = 2},
  [1583] = {.lex_state = 38, .external_lex_state = 2},
  [1584] = {.lex_state = 31, .external_lex_state = 20},
  [1585] = {.lex_state = 110, .external_lex_state = 8},
  [1586] = {.lex_state = 38},
  [1587] = {.lex_state = 38},
  [1588] = {.lex_state = 33},
  [1589] = {.lex_state = 38},
  [1590] = {.lex_state = 38, .external_lex_state = 2},
  [1591] = {.lex_state = 38, .external_lex_state = 2},
  [1592] = {.lex_state = 110, .external_lex_state = 8},
  [1593] = {.lex_state = 38},
  [1594] = {.lex_state = 110, .external_lex_state = 8},
  [1595] = {.lex_state = 38, .external_lex_state = 2},
  [1596] = {.lex_state = 110, .external_lex_state = 8},
  [1597] = {.lex_state = 38, .external_lex_state = 2},
  [1598] = {.lex_state = 39, .external_lex_state = 13},
  [1599] = {.lex_state = 31, .external_lex_state = 20},
  [1600] = {.lex_state = 110, .external_lex_state = 6},
  [1601] = {.lex_state = 110, .external_lex_state = 6},
  [1602] = {.lex_state = 110, .external_lex_state = 6},
  [1603] = {.lex_state = 31, .external_lex_state = 19},
  [1604] = {.lex_state = 110, .external_lex_state = 6},
  [1605] = {.lex_state = 35, .external_lex_state = 13},
  [1606] = {.lex_state = 31, .external_lex_state = 19},
  [1607] = {.lex_state = 39, .external_lex_state = 13},
  [1608] = {.lex_state = 31, .external_lex_state = 11},
  [1609] = {.lex_state = 39, .external_lex_state = 13},
  [1610] = {.lex_state = 110, .external_lex_state = 6},
  [1611] = {.lex_state = 39, .external_lex_state = 13},
  [1612] = {.lex_state = 39, .external_lex_state = 13},
  [1613] = {.lex_state = 110, .external_lex_state = 6},
  [1614] = {.lex_state = 31, .external_lex_state = 20},
  [1615] = {.lex_state = 31, .external_lex_state = 20},
  [1616] = {.lex_state = 31, .external_lex_state = 20},
  [1617] = {.lex_state = 31, .external_lex_state = 20},
  [1618] = {.lex_state = 31, .external_lex_state = 20},
  [1619] = {.lex_state = 31, .external_lex_state = 20},
  [1620] = {.lex_state = 31, .external_lex_state = 20},
  [1621] = {.lex_state = 31, .external_lex_state = 20},
  [1622] = {.lex_state = 31, .external_lex_state = 20},
  [1623] = {.lex_state = 110, .external_lex_state = 6},
  [1624] = {.lex_state = 31, .external_lex_state = 20},
  [1625] = {.lex_state = 31, .external_lex_state = 20},
  [1626] = {.lex_state = 31, .external_lex_state = 20},
  [1627] = {.lex_state = 31, .external_lex_state = 20},
  [1628] = {.lex_state = 110, .external_lex_state = 6},
  [1629] = {.lex_state = 39, .external_lex_state = 13},
  [1630] = {.lex_state = 110, .external_lex_state = 6},
  [1631] = {.lex_state = 39, .external_lex_state = 13},
  [1632] = {.lex_state = 39, .external_lex_state = 13},
  [1633] = {.lex_state = 33},
  [1634] = {.lex_state = 39, .external_lex_state = 13},
  [1635] = {.lex_state = 110, .external_lex_state = 6},
  [1636] = {.lex_state = 39, .external_lex_state = 13},
  [1637] = {.lex_state = 39, .external_lex_state = 13},
  [1638] = {.lex_state = 39, .external_lex_state = 13},
  [1639] = {.lex_state = 32, .external_lex_state = 20},
  [1640] = {.lex_state = 110, .external_lex_state = 6},
  [1641] = {.lex_state = 110, .external_lex_state = 6},
  [1642] = {.lex_state = 39, .external_lex_state = 13},
  [1643] = {.lex_state = 32, .external_lex_state = 20},
  [1644] = {.lex_state = 31, .external_lex_state = 20},
  [1645] = {.lex_state = 39, .external_lex_state = 13},
  [1646] = {.lex_state = 39, .external_lex_state = 13},
  [1647] = {.lex_state = 110, .external_lex_state = 6},
  [1648] = {.lex_state = 31, .external_lex_state = 11},
  [1649] = {.lex_state = 39, .external_lex_state = 13},
  [1650] = {.lex_state = 39, .external_lex_state = 13},
  [1651] = {.lex_state = 31, .external_lex_state = 20},
  [1652] = {.lex_state = 110, .external_lex_state = 6},
  [1653] = {.lex_state = 39, .external_lex_state = 13},
  [1654] = {.lex_state = 38, .external_lex_state = 2},
  [1655] = {.lex_state = 31, .external_lex_state = 19},
  [1656] = {.lex_state = 39, .external_lex_state = 13},
  [1657] = {.lex_state = 110, .external_lex_state = 6},
  [1658] = {.lex_state = 31, .external_lex_state = 20},
  [1659] = {.lex_state = 32, .external_lex_state = 20},
  [1660] = {.lex_state = 110, .external_lex_state = 6},
  [1661] = {.lex_state = 39, .external_lex_state = 13},
  [1662] = {.lex_state = 39, .external_lex_state = 13},
  [1663] = {.lex_state = 31, .external_lex_state = 20},
  [1664] = {.lex_state = 33},
  [1665] = {.lex_state = 32, .external_lex_state = 20},
  [1666] = {.lex_state = 110, .external_lex_state = 6},
  [1667] = {.lex_state = 38, .external_lex_state = 14},
  [1668] = {.lex_state = 39, .external_lex_state = 13},
  [1669] = {.lex_state = 39, .external_lex_state = 13},
  [1670] = {.lex_state = 39, .external_lex_state = 13},
  [1671] = {.lex_state = 38},
  [1672] = {.lex_state = 39, .external_lex_state = 13},
  [1673] = {.lex_state = 38, .external_lex_state = 2},
  [1674] = {.lex_state = 110, .external_lex_state = 6},
  [1675] = {.lex_state = 39, .external_lex_state = 13},
  [1676] = {.lex_state = 31, .external_lex_state = 20},
  [1677] = {.lex_state = 31, .external_lex_state = 20},
  [1678] = {.lex_state = 34},
  [1679] = {.lex_state = 34},
  [1680] = {.lex_state = 39, .external_lex_state = 13},
  [1681] = {.lex_state = 31, .external_lex_state = 20},
  [1682] = {.lex_state = 38, .external_lex_state = 14},
  [1683] = {.lex_state = 110, .external_lex_state = 6},
  [1684] = {.lex_state = 36, .external_lex_state = 18},
  [1685] = {.lex_state = 110, .external_lex_state = 6},
  [1686] = {.lex_state = 110, .external_lex_state = 6},
  [1687] = {.lex_state = 39, .external_lex_state = 13},
  [1688] = {.lex_state = 110, .external_lex_state = 6},
  [1689] = {.lex_state = 110, .external_lex_state = 6},
  [1690] = {.lex_state = 110, .external_lex_state = 6},
  [1691] = {.lex_state = 36, .external_lex_state = 18},
  [1692] = {.lex_state = 38, .external_lex_state = 2},
  [1693] = {.lex_state = 39, .external_lex_state = 13},
  [1694] = {.lex_state = 110, .external_lex_state = 6},
  [1695] = {.lex_state = 110, .external_lex_state = 6},
  [1696] = {.lex_state = 32},
  [1697] = {.lex_state = 110, .external_lex_state = 6},
  [1698] = {.lex_state = 36, .external_lex_state = 18},
  [1699] = {.lex_state = 39, .external_lex_state = 13},
  [1700] = {.lex_state = 110, .external_lex_state = 6},
  [1701] = {.lex_state = 32, .external_lex_state = 20},
  [1702] = {.lex_state = 32, .external_lex_state = 20},
  [1703] = {.lex_state = 38, .external_lex_state = 14},
  [1704] = {.lex_state = 110, .external_lex_state = 6},
  [1705] = {.lex_state = 39, .external_lex_state = 13},
  [1706] = {.lex_state = 32, .external_lex_state = 20},
  [1707] = {.lex_state = 39, .external_lex_state = 13},
  [1708] = {.lex_state = 32, .external_lex_state = 20},
  [1709] = {.lex_state = 32, .external_lex_state = 20},
  [1710] = {.lex_state = 32, .external_lex_state = 20},
  [1711] = {.lex_state = 39, .external_lex_state = 13},
  [1712] = {.lex_state = 39, .external_lex_state = 13},
  [1713] = {.lex_state = 39, .external_lex_state = 13},
  [1714] = {.lex_state = 35, .external_lex_state = 13},
  [1715] = {.lex_state = 39, .external_lex_state = 13},
  [1716] = {.lex_state = 35, .external_lex_state = 13},
  [1717] = {.lex_state = 32, .external_lex_state = 20},
  [1718] = {.lex_state = 32, .external_lex_state = 20},
  [1719] = {.lex_state = 39, .external_lex_state = 13},
  [1720] = {.lex_state = 36, .external_lex_state = 18},
  [1721] = {.lex_state = 32, .external_lex_state = 20},
  [1722] = {.lex_state = 32, .external_lex_state = 20},
  [1723] = {.lex_state = 39, .external_lex_state = 13},
  [1724] = {.lex_state = 110, .external_lex_state = 6},
  [1725] = {.lex_state = 32, .external_lex_state = 20},
  [1726] = {.lex_state = 110, .external_lex_state = 6},
  [1727] = {.lex_state = 39, .external_lex_state = 13},
  [1728] = {.lex_state = 39, .external_lex_state = 13},
  [1729] = {.lex_state = 110, .external_lex_state = 6},
  [1730] = {.lex_state = 36, .external_lex_state = 13},
  [1731] = {.lex_state = 32, .external_lex_state = 20},
  [1732] = {.lex_state = 31, .external_lex_state = 20},
  [1733] = {.lex_state = 39, .external_lex_state = 13},
  [1734] = {.lex_state = 36, .external_lex_state = 18},
  [1735] = {.lex_state = 32, .external_lex_state = 20},
  [1736] = {.lex_state = 32, .external_lex_state = 20},
  [1737] = {.lex_state = 36, .external_lex_state = 13},
  [1738] = {.lex_state = 39, .external_lex_state = 13},
  [1739] = {.lex_state = 36, .external_lex_state = 18},
  [1740] = {.lex_state = 32},
  [1741] = {.lex_state = 38},
  [1742] = {.lex_state = 39, .external_lex_state = 13},
  [1743] = {.lex_state = 39, .external_lex_state = 13},
  [1744] = {.lex_state = 39, .external_lex_state = 13},
  [1745] = {.lex_state = 39, .external_lex_state = 13},
  [1746] = {.lex_state = 35, .external_lex_state = 13},
  [1747] = {.lex_state = 36, .external_lex_state = 18},
  [1748] = {.lex_state = 36, .external_lex_state = 18},
  [1749] = {.lex_state = 31, .external_lex_state = 20},
  [1750] = {.lex_state = 36, .external_lex_state = 18},
  [1751] = {.lex_state = 39, .external_lex_state = 13},
  [1752] = {.lex_state = 39, .external_lex_state = 13},
  [1753] = {.lex_state = 39, .external_lex_state = 13},
  [1754] = {.lex_state = 110, .external_lex_state = 6},
  [1755] = {.lex_state = 36, .external_lex_state = 18},
  [1756] = {.lex_state = 110, .external_lex_state = 6},
  [1757] = {.lex_state = 36, .external_lex_state = 18},
  [1758] = {.lex_state = 36, .external_lex_state = 18},
  [1759] = {.lex_state = 36, .external_lex_state = 18},
  [1760] = {.lex_state = 36, .external_lex_state = 18},
  [1761] = {.lex_state = 36, .external_lex_state = 18},
  [1762] = {.lex_state = 36, .external_lex_state = 18},
  [1763] = {.lex_state = 39, .external_lex_state = 13},
  [1764] = {.lex_state = 36, .external_lex_state = 18},
  [1765] = {.lex_state = 36, .external_lex_state = 18},
  [1766] = {.lex_state = 39, .external_lex_state = 13},
  [1767] = {.lex_state = 36, .external_lex_state = 18},
  [1768] = {.lex_state = 32, .external_lex_state = 20},
  [1769] = {.lex_state = 32, .external_lex_state = 20},
  [1770] = {.lex_state = 32, .external_lex_state = 20},
  [1771] = {.lex_state = 31, .external_lex_state = 20},
  [1772] = {.lex_state = 36, .external_lex_state = 18},
  [1773] = {.lex_state = 36, .external_lex_state = 18},
  [1774] = {.lex_state = 36, .external_lex_state = 18},
  [1775] = {.lex_state = 36, .external_lex_state = 18},
  [1776] = {.lex_state = 31, .external_lex_state = 20},
  [1777] = {.lex_state = 31, .external_lex_state = 20},
  [1778] = {.lex_state = 31, .external_lex_state = 20},
  [1779] = {.lex_state = 32, .external_lex_state = 20},
  [1780] = {.lex_state = 32, .external_lex_state = 20},
  [1781] = {.lex_state = 36, .external_lex_state = 18},
  [1782] = {.lex_state = 32, .external_lex_state = 20},
  [1783] = {.lex_state = 32, .external_lex_state = 20},
  [1784] = {.lex_state = 36, .external_lex_state = 18},
  [1785] = {.lex_state = 39, .external_lex_state = 13},
  [1786] = {.lex_state = 31, .external_lex_state = 19},
  [1787] = {.lex_state = 32},
  [1788] = {.lex_state = 38},
  [1789] = {.lex_state = 31, .external_lex_state = 19},
  [1790] = {.lex_state = 38},
  [1791] = {.lex_state = 31, .external_lex_state = 19},
  [1792] = {.lex_state = 31, .external_lex_state = 19},
  [1793] = {.lex_state = 31, .external_lex_state = 19},
  [1794] = {.lex_state = 31, .external_lex_state = 19},
  [1795] = {.lex_state = 31, .external_lex_state = 19},
  [1796] = {.lex_state = 31, .external_lex_state = 19},
  [1797] = {.lex_state = 31, .external_lex_state = 19},
  [1798] = {.lex_state = 31, .external_lex_state = 19},
  [1799] = {.lex_state = 31, .external_lex_state = 19},
  [1800] = {.lex_state = 31, .external_lex_state = 19},
  [1801] = {.lex_state = 31, .external_lex_state = 19},
  [1802] = {.lex_state = 31, .external_lex_state = 19},
  [1803] = {.lex_state = 31, .external_lex_state = 11},
  [1804] = {.lex_state = 31, .external_lex_state = 19},
  [1805] = {.lex_state = 31, .external_lex_state = 19},
  [1806] = {.lex_state = 32},
  [1807] = {.lex_state = 38},
  [1808] = {.lex_state = 31, .external_lex_state = 19},
  [1809] = {.lex_state = 31, .external_lex_state = 19},
  [1810] = {.lex_state = 38},
  [1811] = {.lex_state = 38},
  [1812] = {.lex_state = 36, .external_lex_state = 13},
  [1813] = {.lex_state = 31, .external_lex_state = 19},
  [1814] = {.lex_state = 31, .external_lex_state = 19},
  [1815] = {.lex_state = 38},
  [1816] = {.lex_state = 38},
  [1817] = {.lex_state = 38},
  [1818] = {.lex_state = 38},
  [1819] = {.lex_state = 32},
  [1820] = {.lex_state = 32},
  [1821] = {.lex_state = 38},
  [1822] = {.lex_state = 38},
  [1823] = {.lex_state = 38},
  [1824] = {.lex_state = 34},
  [1825] = {.lex_state = 31, .external_lex_state = 19},
  [1826] = {.lex_state = 31, .external_lex_state = 19},
  [1827] = {.lex_state = 32},
  [1828] = {.lex_state = 31, .external_lex_state = 19},
  [1829] = {.lex_state = 31, .external_lex_state = 19},
  [1830] = {.lex_state = 31, .external_lex_state = 19},
  [1831] = {.lex_state = 38},
  [1832] = {.lex_state = 38},
  [1833] = {.lex_state = 38},
  [1834] = {.lex_state = 38},
  [1835] = {.lex_state = 31},
  [1836] = {.lex_state = 31},
  [1837] = {.lex_state = 40, .external_lex_state = 11},
  [1838] = {.lex_state = 32},
  [1839] = {.lex_state = 32},
  [1840] = {.lex_state = 31},
  [1841] = {.lex_state = 31, .external_lex_state = 11},
  [1842] = {.lex_state = 31, .external_lex_state = 11},
  [1843] = {.lex_state = 31},
  [1844] = {.lex_state = 31, .external_lex_state = 11},
  [1845] = {.lex_state = 31},
  [1846] = {.lex_state = 32},
  [1847] = {.lex_state = 32},
  [1848] = {.lex_state = 32},
  [1849] = {.lex_state = 3, .external_lex_state = 10},
  [1850] = {.lex_state = 32},
  [1851] = {.lex_state = 31},
  [1852] = {.lex_state = 32},
  [1853] = {.lex_state = 31, .external_lex_state = 11},
  [1854] = {.lex_state = 32},
  [1855] = {.lex_state = 31, .external_lex_state = 11},
  [1856] = {.lex_state = 32},
  [1857] = {.lex_state = 31},
  [1858] = {.lex_state = 32},
  [1859] = {.lex_state = 31},
  [1860] = {.lex_state = 31},
  [1861] = {.lex_state = 40, .external_lex_state = 11},
  [1862] = {.lex_state = 31, .external_lex_state = 11},
  [1863] = {.lex_state = 32},
  [1864] = {.lex_state = 32},
  [1865] = {.lex_state = 31, .external_lex_state = 11},
  [1866] = {.lex_state = 38},
  [1867] = {.lex_state = 38},
  [1868] = {.lex_state = 38},
  [1869] = {.lex_state = 38},
  [1870] = {.lex_state = 116, .external_lex_state = 15},
  [1871] = {.lex_state = 38},
  [1872] = {.lex_state = 38},
  [1873] = {.lex_state = 38},
  [1874] = {.lex_state = 38},
  [1875] = {.lex_state = 38},
  [1876] = {.lex_state = 38},
  [1877] = {.lex_state = 38},
  [1878] = {.lex_state = 38},
  [1879] = {.lex_state = 38},
  [1880] = {.lex_state = 38},
  [1881] = {.lex_state = 38},
  [1882] = {.lex_state = 38},
  [1883] = {.lex_state = 38},
  [1884] = {.lex_state = 38},
  [1885] = {.lex_state = 38},
  [1886] = {.lex_state = 38},
  [1887] = {.lex_state = 38},
  [1888] = {.lex_state = 38},
  [1889] = {.lex_state = 38},
  [1890] = {.lex_state = 38},
  [1891] = {.lex_state = 38},
  [1892] = {.lex_state = 38},
  [1893] = {.lex_state = 38},
  [1894] = {.lex_state = 38},
  [1895] = {.lex_state = 38},
  [1896] = {.lex_state = 38},
  [1897] = {.lex_state = 38},
  [1898] = {.lex_state = 38},
  [1899] = {.lex_state = 38},
  [1900] = {.lex_state = 38},
  [1901] = {.lex_state = 116, .external_lex_state = 15},
  [1902] = {.lex_state = 38},
  [1903] = {.lex_state = 38},
  [1904] = {.lex_state = 38},
  [1905] = {.lex_state = 38},
  [1906] = {.lex_state = 38},
  [1907] = {.lex_state = 38},
  [1908] = {.lex_state = 38},
  [1909] = {.lex_state = 38},
  [1910] = {.lex_state = 38},
  [1911] = {.lex_state = 38},
  [1912] = {.lex_state = 38},
  [1913] = {.lex_state = 38},
  [1914] = {.lex_state = 38},
  [1915] = {.lex_state = 38},
  [1916] = {.lex_state = 116, .external_lex_state = 15},
  [1917] = {.lex_state = 38},
  [1918] = {.lex_state = 38},
  [1919] = {.lex_state = 116, .external_lex_state = 15},
  [1920] = {.lex_state = 38},
  [1921] = {.lex_state = 116, .external_lex_state = 15},
  [1922] = {.lex_state = 116, .external_lex_state = 15},
  [1923] = {.lex_state = 116, .external_lex_state = 15},
  [1924] = {.lex_state = 116, .external_lex_state = 15},
  [1925] = {.lex_state = 116, .external_lex_state = 15},
  [1926] = {.lex_state = 116, .external_lex_state = 15},
  [1927] = {.lex_state = 116, .external_lex_state = 15},
  [1928] = {.lex_state = 116, .external_lex_state = 15},
  [1929] = {.lex_state = 116, .external_lex_state = 15},
  [1930] = {.lex_state = 116, .external_lex_state = 15},
  [1931] = {.lex_state = 116, .external_lex_state = 15},
  [1932] = {.lex_state = 116, .external_lex_state = 15},
  [1933] = {.lex_state = 116, .external_lex_state = 15},
  [1934] = {.lex_state = 116, .external_lex_state = 15},
  [1935] = {.lex_state = 116, .external_lex_state = 15},
  [1936] = {.lex_state = 116, .external_lex_state = 15},
  [1937] = {.lex_state = 116, .external_lex_state = 10},
  [1938] = {.lex_state = 116, .external_lex_state = 15},
  [1939] = {.lex_state = 116, .external_lex_state = 15},
  [1940] = {.lex_state = 116, .external_lex_state = 15},
  [1941] = {.lex_state = 116, .external_lex_state = 15},
  [1942] = {.lex_state = 116, .external_lex_state = 15},
  [1943] = {.lex_state = 116, .external_lex_state = 10},
  [1944] = {.lex_state = 116, .external_lex_state = 15},
  [1945] = {.lex_state = 116, .external_lex_state = 15},
  [1946] = {.lex_state = 116, .external_lex_state = 15},
  [1947] = {.lex_state = 116, .external_lex_state = 15},
  [1948] = {.lex_state = 116, .external_lex_state = 10},
  [1949] = {.lex_state = 26},
  [1950] = {.lex_state = 26, .external_lex_state = 19},
  [1951] = {.lex_state = 38, .external_lex_state = 20},
  [1952] = {.lex_state = 38, .external_lex_state = 20},
  [1953] = {.lex_state = 38, .external_lex_state = 20},
  [1954] = {.lex_state = 26, .external_lex_state = 13},
  [1955] = {.lex_state = 38, .external_lex_state = 20},
  [1956] = {.lex_state = 26},
  [1957] = {.lex_state = 38, .external_lex_state = 20},
  [1958] = {.lex_state = 26},
  [1959] = {.lex_state = 38, .external_lex_state = 20},
  [1960] = {.lex_state = 38, .external_lex_state = 20},
  [1961] = {.lex_state = 26},
  [1962] = {.lex_state = 38, .external_lex_state = 20},
  [1963] = {.lex_state = 38, .external_lex_state = 20},
  [1964] = {.lex_state = 38, .external_lex_state = 20},
  [1965] = {.lex_state = 38, .external_lex_state = 20},
  [1966] = {.lex_state = 38, .external_lex_state = 20},
  [1967] = {.lex_state = 38, .external_lex_state = 20},
  [1968] = {.lex_state = 38, .external_lex_state = 20},
  [1969] = {.lex_state = 38, .external_lex_state = 20},
  [1970] = {.lex_state = 26},
  [1971] = {.lex_state = 38, .external_lex_state = 20},
  [1972] = {.lex_state = 38, .external_lex_state = 20},
  [1973] = {.lex_state = 38, .external_lex_state = 20},
  [1974] = {.lex_state = 26},
  [1975] = {.lex_state = 26},
  [1976] = {.lex_state = 26},
  [1977] = {.lex_state = 26},
  [1978] = {.lex_state = 26},
  [1979] = {.lex_state = 38, .external_lex_state = 20},
  [1980] = {.lex_state = 38, .external_lex_state = 20},
  [1981] = {.lex_state = 38},
  [1982] = {.lex_state = 38, .external_lex_state = 20},
  [1983] = {.lex_state = 26},
  [1984] = {.lex_state = 26},
  [1985] = {.lex_state = 26},
  [1986] = {.lex_state = 38, .external_lex_state = 20},
  [1987] = {.lex_state = 26},
  [1988] = {.lex_state = 38},
  [1989] = {.lex_state = 38, .external_lex_state = 20},
  [1990] = {.lex_state = 26},
  [1991] = {.lex_state = 26},
  [1992] = {.lex_state = 26},
  [1993] = {.lex_state = 26},
  [1994] = {.lex_state = 38, .external_lex_state = 20},
  [1995] = {.lex_state = 38, .external_lex_state = 20},
  [1996] = {.lex_state = 38, .external_lex_state = 20},
  [1997] = {.lex_state = 26},
  [1998] = {.lex_state = 38, .external_lex_state = 20},
  [1999] = {.lex_state = 38, .external_lex_state = 20},
  [2000] = {.lex_state = 26},
  [2001] = {.lex_state = 26},
  [2002] = {.lex_state = 26},
  [2003] = {.lex_state = 38, .external_lex_state = 20},
  [2004] = {.lex_state = 26},
  [2005] = {.lex_state = 26},
  [2006] = {.lex_state = 26},
  [2007] = {.lex_state = 27},
  [2008] = {.lex_state = 27},
  [2009] = {.lex_state = 27},
  [2010] = {.lex_state = 27},
  [2011] = {.lex_state = 26, .external_lex_state = 21},
  [2012] = {.lex_state = 26, .external_lex_state = 21},
  [2013] = {.lex_state = 27},
  [2014] = {.lex_state = 27},
  [2015] = {.lex_state = 27},
  [2016] = {.lex_state = 41},
  [2017] = {.lex_state = 26, .external_lex_state = 21},
  [2018] = {.lex_state = 27},
  [2019] = {.lex_state = 26, .external_lex_state = 21},
  [2020] = {.lex_state = 27},
  [2021] = {.lex_state = 41},
  [2022] = {.lex_state = 26, .external_lex_state = 21},
  [2023] = {.lex_state = 26, .external_lex_state = 21},
  [2024] = {.lex_state = 27},
  [2025] = {.lex_state = 27},
  [2026] = {.lex_state = 27},
  [2027] = {.lex_state = 38},
  [2028] = {.lex_state = 27},
  [2029] = {.lex_state = 41},
  [2030] = {.lex_state = 26, .external_lex_state = 21},
  [2031] = {.lex_state = 27},
  [2032] = {.lex_state = 27},
  [2033] = {.lex_state = 27},
  [2034] = {.lex_state = 26, .external_lex_state = 21},
  [2035] = {.lex_state = 26, .external_lex_state = 21},
  [2036] = {.lex_state = 27},
  [2037] = {.lex_state = 27},
  [2038] = {.lex_state = 27},
  [2039] = {.lex_state = 27},
  [2040] = {.lex_state = 27},
  [2041] = {.lex_state = 26, .external_lex_state = 21},
  [2042] = {.lex_state = 27},
  [2043] = {.lex_state = 27},
  [2044] = {.lex_state = 27},
  [2045] = {.lex_state = 26, .external_lex_state = 21},
  [2046] = {.lex_state = 26, .external_lex_state = 21},
  [2047] = {.lex_state = 26, .external_lex_state = 21},
  [2048] = {.lex_state = 27},
  [2049] = {.lex_state = 41},
  [2050] = {.lex_state = 27},
  [2051] = {.lex_state = 27},
  [2052] = {.lex_state = 26, .external_lex_state = 21},
  [2053] = {.lex_state = 27},
  [2054] = {.lex_state = 27},
  [2055] = {.lex_state = 26, .external_lex_state = 21},
  [2056] = {.lex_state = 27},
  [2057] = {.lex_state = 27},
  [2058] = {.lex_state = 26, .external_lex_state = 21},
  [2059] = {.lex_state = 27},
  [2060] = {.lex_state = 26, .external_lex_state = 21},
  [2061] = {.lex_state = 27},
  [2062] = {.lex_state = 27},
  [2063] = {.lex_state = 41},
  [2064] = {.lex_state = 27},
  [2065] = {.lex_state = 27},
  [2066] = {.lex_state = 27},
  [2067] = {.lex_state = 27},
  [2068] = {.lex_state = 26, .external_lex_state = 21},
  [2069] = {.lex_state = 27},
  [2070] = {.lex_state = 26, .external_lex_state = 21},
  [2071] = {.lex_state = 27},
  [2072] = {.lex_state = 27},
  [2073] = {.lex_state = 27},
  [2074] = {.lex_state = 27},
  [2075] = {.lex_state = 26, .external_lex_state = 21},
  [2076] = {.lex_state = 26, .external_lex_state = 21},
  [2077] = {.lex_state = 27},
  [2078] = {.lex_state = 26, .external_lex_state = 21},
  [2079] = {.lex_state = 41},
  [2080] = {.lex_state = 26, .external_lex_state = 21},
  [2081] = {.lex_state = 26, .external_lex_state = 21},
  [2082] = {.lex_state = 27},
  [2083] = {.lex_state = 27},
  [2084] = {.lex_state = 26, .external_lex_state = 21},
  [2085] = {.lex_state = 27},
  [2086] = {.lex_state = 27},
  [2087] = {.lex_state = 26, .external_lex_state = 21},
  [2088] = {.lex_state = 38},
  [2089] = {.lex_state = 38},
  [2090] = {.lex_state = 38},
  [2091] = {.lex_state = 38},
  [2092] = {.lex_state = 38},
  [2093] = {.lex_state = 28},
  [2094] = {.lex_state = 38},
  [2095] = {.lex_state = 31, .external_lex_state = 22},
  [2096] = {.lex_state = 42},
  [2097] = {.lex_state = 42},
  [2098] = {.lex_state = 43, .external_lex_state = 21},
  [2099] = {.lex_state = 43, .external_lex_state = 21},
  [2100] = {.lex_state = 42},
  [2101] = {.lex_state = 42},
  [2102] = {.lex_state = 43, .external_lex_state = 21},
  [2103] = {.lex_state = 42},
  [2104] = {.lex_state = 43, .external_lex_state = 21},
  [2105] = {.lex_state = 43, .external_lex_state = 21},
  [2106] = {.lex_state = 42},
  [2107] = {.lex_state = 42},
  [2108] = {.lex_state = 42},
  [2109] = {.lex_state = 43, .external_lex_state = 21},
  [2110] = {.lex_state = 42},
  [2111] = {.lex_state = 43, .external_lex_state = 21},
  [2112] = {.lex_state = 43, .external_lex_state = 21},
  [2113] = {.lex_state = 42},
  [2114] = {.lex_state = 43, .external_lex_state = 21},
  [2115] = {.lex_state = 42},
  [2116] = {.lex_state = 42},
  [2117] = {.lex_state = 42},
  [2118] = {.lex_state = 42},
  [2119] = {.lex_state = 42},
  [2120] = {.lex_state = 43, .external_lex_state = 21},
  [2121] = {.lex_state = 42},
  [2122] = {.lex_state = 42},
  [2123] = {.lex_state = 42},
  [2124] = {.lex_state = 42},
  [2125] = {.lex_state = 43, .external_lex_state = 21},
  [2126] = {.lex_state = 43, .external_lex_state = 21},
  [2127] = {.lex_state = 42},
  [2128] = {.lex_state = 43, .external_lex_state = 21},
  [2129] = {.lex_state = 42},
  [2130] = {.lex_state = 42},
  [2131] = {.lex_state = 43, .external_lex_state = 21},
  [2132] = {.lex_state = 42},
  [2133] = {.lex_state = 42},
  [2134] = {.lex_state = 42},
  [2135] = {.lex_state = 43, .external_lex_state = 21},
  [2136] = {.lex_state = 42},
  [2137] = {.lex_state = 43, .external_lex_state = 21},
  [2138] = {.lex_state = 31, .external_lex_state = 22},
  [2139] = {.lex_state = 42},
  [2140] = {.lex_state = 42},
  [2141] = {.lex_state = 43, .external_lex_state = 21},
  [2142] = {.lex_state = 42},
  [2143] = {.lex_state = 42},
  [2144] = {.lex_state = 43, .external_lex_state = 21},
  [2145] = {.lex_state = 42},
  [2146] = {.lex_state = 42},
  [2147] = {.lex_state = 42},
  [2148] = {.lex_state = 31, .external_lex_state = 22},
  [2149] = {.lex_state = 31, .external_lex_state = 22},
  [2150] = {.lex_state = 43, .external_lex_state = 21},
  [2151] = {.lex_state = 42},
  [2152] = {.lex_state = 43, .external_lex_state = 21},
  [2153] = {.lex_state = 43, .external_lex_state = 21},
  [2154] = {.lex_state = 43, .external_lex_state = 21},
  [2155] = {.lex_state = 42},
  [2156] = {.lex_state = 31, .external_lex_state = 22},
  [2157] = {.lex_state = 42},
  [2158] = {.lex_state = 26},
  [2159] = {.lex_state = 43, .external_lex_state = 21},
  [2160] = {.lex_state = 42},
  [2161] = {.lex_state = 43, .external_lex_state = 21},
  [2162] = {.lex_state = 42},
  [2163] = {.lex_state = 42},
  [2164] = {.lex_state = 42},
  [2165] = {.lex_state = 42},
  [2166] = {.lex_state = 43, .external_lex_state = 21},
  [2167] = {.lex_state = 43, .external_lex_state = 21},
  [2168] = {.lex_state = 42},
  [2169] = {.lex_state = 42},
  [2170] = {.lex_state = 42},
  [2171] = {.lex_state = 42},
  [2172] = {.lex_state = 42},
  [2173] = {.lex_state = 42},
  [2174] = {.lex_state = 42},
  [2175] = {.lex_state = 42},
  [2176] = {.lex_state = 4, .external_lex_state = 15},
  [2177] = {.lex_state = 42, .external_lex_state = 20},
  [2178] = {.lex_state = 42, .external_lex_state = 20},
  [2179] = {.lex_state = 42, .external_lex_state = 20},
  [2180] = {.lex_state = 4, .external_lex_state = 10},
  [2181] = {.lex_state = 42, .external_lex_state = 20},
  [2182] = {.lex_state = 42, .external_lex_state = 20},
  [2183] = {.lex_state = 42, .external_lex_state = 20},
  [2184] = {.lex_state = 4, .external_lex_state = 10},
  [2185] = {.lex_state = 42, .external_lex_state = 20},
  [2186] = {.lex_state = 43},
  [2187] = {.lex_state = 4, .external_lex_state = 10},
  [2188] = {.lex_state = 42, .external_lex_state = 20},
  [2189] = {.lex_state = 42, .external_lex_state = 20},
  [2190] = {.lex_state = 42, .external_lex_state = 20},
  [2191] = {.lex_state = 43},
  [2192] = {.lex_state = 42, .external_lex_state = 20},
  [2193] = {.lex_state = 42, .external_lex_state = 20},
  [2194] = {.lex_state = 42, .external_lex_state = 20},
  [2195] = {.lex_state = 4, .external_lex_state = 10},
  [2196] = {.lex_state = 4, .external_lex_state = 15},
  [2197] = {.lex_state = 42, .external_lex_state = 20},
  [2198] = {.lex_state = 42, .external_lex_state = 20},
  [2199] = {.lex_state = 42, .external_lex_state = 20},
  [2200] = {.lex_state = 43},
  [2201] = {.lex_state = 42, .external_lex_state = 20},
  [2202] = {.lex_state = 43},
  [2203] = {.lex_state = 4, .external_lex_state = 10},
  [2204] = {.lex_state = 42, .external_lex_state = 20},
  [2205] = {.lex_state = 4, .external_lex_state = 15},
  [2206] = {.lex_state = 42, .external_lex_state = 20},
  [2207] = {.lex_state = 42, .external_lex_state = 20},
  [2208] = {.lex_state = 4, .external_lex_state = 10},
  [2209] = {.lex_state = 4, .external_lex_state = 15},
  [2210] = {.lex_state = 4, .external_lex_state = 15},
  [2211] = {.lex_state = 42, .external_lex_state = 20},
  [2212] = {.lex_state = 31, .external_lex_state = 22},
  [2213] = {.lex_state = 4, .external_lex_state = 15},
  [2214] = {.lex_state = 4, .external_lex_state = 15},
  [2215] = {.lex_state = 4, .external_lex_state = 15},
  [2216] = {.lex_state = 4, .external_lex_state = 15},
  [2217] = {.lex_state = 4, .external_lex_state = 15},
  [2218] = {.lex_state = 42},
  [2219] = {.lex_state = 31, .external_lex_state = 22},
  [2220] = {.lex_state = 4, .external_lex_state = 15},
  [2221] = {.lex_state = 4, .external_lex_state = 15},
  [2222] = {.lex_state = 4, .external_lex_state = 15},
  [2223] = {.lex_state = 4, .external_lex_state = 15},
  [2224] = {.lex_state = 4, .external_lex_state = 15},
  [2225] = {.lex_state = 4, .external_lex_state = 15},
  [2226] = {.lex_state = 4, .external_lex_state = 10},
  [2227] = {.lex_state = 4, .external_lex_state = 15},
  [2228] = {.lex_state = 37},
  [2229] = {.lex_state = 4, .external_lex_state = 15},
  [2230] = {.lex_state = 31, .external_lex_state = 22},
  [2231] = {.lex_state = 31, .external_lex_state = 22},
  [2232] = {.lex_state = 31, .external_lex_state = 22},
  [2233] = {.lex_state = 31, .external_lex_state = 22},
  [2234] = {.lex_state = 31, .external_lex_state = 22},
  [2235] = {.lex_state = 31, .external_lex_state = 22},
  [2236] = {.lex_state = 4, .external_lex_state = 15},
  [2237] = {.lex_state = 42},
  [2238] = {.lex_state = 4, .external_lex_state = 15},
  [2239] = {.lex_state = 31, .external_lex_state = 22},
  [2240] = {.lex_state = 31, .external_lex_state = 22},
  [2241] = {.lex_state = 4, .external_lex_state = 15},
  [2242] = {.lex_state = 4, .external_lex_state = 15},
  [2243] = {.lex_state = 31, .external_lex_state = 22},
  [2244] = {.lex_state = 4, .external_lex_state = 15},
  [2245] = {.lex_state = 31, .external_lex_state = 22},
  [2246] = {.lex_state = 4, .external_lex_state = 15},
  [2247] = {.lex_state = 31, .external_lex_state = 22},
  [2248] = {.lex_state = 37},
  [2249] = {.lex_state = 37},
  [2250] = {.lex_state = 31, .external_lex_state = 22},
  [2251] = {.lex_state = 31, .external_lex_state = 22},
  [2252] = {.lex_state = 31, .external_lex_state = 22},
  [2253] = {.lex_state = 4, .external_lex_state = 15},
  [2254] = {.lex_state = 4, .external_lex_state = 15},
  [2255] = {.lex_state = 4, .external_lex_state = 15},
  [2256] = {.lex_state = 4, .external_lex_state = 15},
  [2257] = {.lex_state = 4, .external_lex_state = 15},
  [2258] = {.lex_state = 31, .external_lex_state = 22},
  [2259] = {.lex_state = 37},
  [2260] = {.lex_state = 31, .external_lex_state = 22},
  [2261] = {.lex_state = 4, .external_lex_state = 15},
  [2262] = {.lex_state = 31, .external_lex_state = 22},
  [2263] = {.lex_state = 38},
  [2264] = {.lex_state = 116, .external_lex_state = 10},
  [2265] = {.lex_state = 116, .external_lex_state = 10},
  [2266] = {.lex_state = 116, .external_lex_state = 10},
  [2267] = {.lex_state = 116, .external_lex_state = 10},
  [2268] = {.lex_state = 116, .external_lex_state = 10},
  [2269] = {.lex_state = 4, .external_lex_state = 10},
  [2270] = {.lex_state = 44},
  [2271] = {.lex_state = 4, .external_lex_state = 10},
  [2272] = {.lex_state = 116, .external_lex_state = 10},
  [2273] = {.lex_state = 117, .external_lex_state = 20},
  [2274] = {.lex_state = 4, .external_lex_state = 10},
  [2275] = {.lex_state = 44},
  [2276] = {.lex_state = 37},
  [2277] = {.lex_state = 44},
  [2278] = {.lex_state = 44},
  [2279] = {.lex_state = 44},
  [2280] = {.lex_state = 44},
  [2281] = {.lex_state = 44},
  [2282] = {.lex_state = 116, .external_lex_state = 10},
  [2283] = {.lex_state = 4, .external_lex_state = 10},
  [2284] = {.lex_state = 117, .external_lex_state = 20},
  [2285] = {.lex_state = 38, .external_lex_state = 20},
  [2286] = {.lex_state = 116, .external_lex_state = 10},
  [2287] = {.lex_state = 44},
  [2288] = {.lex_state = 38},
  [2289] = {.lex_state = 116, .external_lex_state = 10},
  [2290] = {.lex_state = 4, .external_lex_state = 10},
  [2291] = {.lex_state = 4, .external_lex_state = 10},
  [2292] = {.lex_state = 44},
  [2293] = {.lex_state = 116, .external_lex_state = 10},
  [2294] = {.lex_state = 117, .external_lex_state = 20},
  [2295] = {.lex_state = 44},
  [2296] = {.lex_state = 116, .external_lex_state = 10},
  [2297] = {.lex_state = 116, .external_lex_state = 10},
  [2298] = {.lex_state = 116, .external_lex_state = 10},
  [2299] = {.lex_state = 116, .external_lex_state = 10},
  [2300] = {.lex_state = 116, .external_lex_state = 10},
  [2301] = {.lex_state = 39, .external_lex_state = 18},
  [2302] = {.lex_state = 31, .external_lex_state = 19},
  [2303] = {.lex_state = 117, .external_lex_state = 20},
  [2304] = {.lex_state = 116, .external_lex_state = 10},
  [2305] = {.lex_state = 44},
  [2306] = {.lex_state = 116, .external_lex_state = 10},
  [2307] = {.lex_state = 116, .external_lex_state = 10},
  [2308] = {.lex_state = 44},
  [2309] = {.lex_state = 31, .external_lex_state = 19},
  [2310] = {.lex_state = 44},
  [2311] = {.lex_state = 116, .external_lex_state = 10},
  [2312] = {.lex_state = 44},
  [2313] = {.lex_state = 116, .external_lex_state = 10},
  [2314] = {.lex_state = 38},
  [2315] = {.lex_state = 44},
  [2316] = {.lex_state = 31, .external_lex_state = 19},
  [2317] = {.lex_state = 44},
  [2318] = {.lex_state = 116, .external_lex_state = 10},
  [2319] = {.lex_state = 116, .external_lex_state = 10},
  [2320] = {.lex_state = 31, .external_lex_state = 19},
  [2321] = {.lex_state = 43, .external_lex_state = 20},
  [2322] = {.lex_state = 24, .external_lex_state = 18},
  [2323] = {.lex_state = 39, .external_lex_state = 13},
  [2324] = {.lex_state = 39, .external_lex_state = 13},
  [2325] = {.lex_state = 43},
  [2326] = {.lex_state = 24, .external_lex_state = 18},
  [2327] = {.lex_state = 39, .external_lex_state = 13},
  [2328] = {.lex_state = 24, .external_lex_state = 18},
  [2329] = {.lex_state = 24, .external_lex_state = 18},
  [2330] = {.lex_state = 24, .external_lex_state = 18},
  [2331] = {.lex_state = 24, .external_lex_state = 18},
  [2332] = {.lex_state = 39, .external_lex_state = 13},
  [2333] = {.lex_state = 39, .external_lex_state = 13},
  [2334] = {.lex_state = 43},
  [2335] = {.lex_state = 31, .external_lex_state = 19},
  [2336] = {.lex_state = 24, .external_lex_state = 18},
  [2337] = {.lex_state = 39, .external_lex_state = 13},
  [2338] = {.lex_state = 24, .external_lex_state = 18},
  [2339] = {.lex_state = 24, .external_lex_state = 18},
  [2340] = {.lex_state = 39, .external_lex_state = 13},
  [2341] = {.lex_state = 43},
  [2342] = {.lex_state = 39, .external_lex_state = 13},
  [2343] = {.lex_state = 39, .external_lex_state = 13},
  [2344] = {.lex_state = 39, .external_lex_state = 13},
  [2345] = {.lex_state = 39, .external_lex_state = 13},
  [2346] = {.lex_state = 24, .external_lex_state = 18},
  [2347] = {.lex_state = 43, .external_lex_state = 20},
  [2348] = {.lex_state = 24, .external_lex_state = 18},
  [2349] = {.lex_state = 24, .external_lex_state = 18},
  [2350] = {.lex_state = 43},
  [2351] = {.lex_state = 39, .external_lex_state = 13},
  [2352] = {.lex_state = 24, .external_lex_state = 18},
  [2353] = {.lex_state = 39, .external_lex_state = 13},
  [2354] = {.lex_state = 39, .external_lex_state = 13},
  [2355] = {.lex_state = 43},
  [2356] = {.lex_state = 43, .external_lex_state = 20},
  [2357] = {.lex_state = 39, .external_lex_state = 13},
  [2358] = {.lex_state = 24, .external_lex_state = 18},
  [2359] = {.lex_state = 24, .external_lex_state = 18},
  [2360] = {.lex_state = 24, .external_lex_state = 18},
  [2361] = {.lex_state = 24, .external_lex_state = 18},
  [2362] = {.lex_state = 39, .external_lex_state = 13},
  [2363] = {.lex_state = 117},
  [2364] = {.lex_state = 24, .external_lex_state = 18},
  [2365] = {.lex_state = 39, .external_lex_state = 13},
  [2366] = {.lex_state = 24, .external_lex_state = 18},
  [2367] = {.lex_state = 39, .external_lex_state = 13},
  [2368] = {.lex_state = 39, .external_lex_state = 13},
  [2369] = {.lex_state = 39, .external_lex_state = 13},
  [2370] = {.lex_state = 31, .external_lex_state = 19},
  [2371] = {.lex_state = 24, .external_lex_state = 18},
  [2372] = {.lex_state = 24, .external_lex_state = 18},
  [2373] = {.lex_state = 39, .external_lex_state = 13},
  [2374] = {.lex_state = 24, .external_lex_state = 18},
  [2375] = {.lex_state = 43},
  [2376] = {.lex_state = 117},
  [2377] = {.lex_state = 24, .external_lex_state = 18},
  [2378] = {.lex_state = 39, .external_lex_state = 13},
  [2379] = {.lex_state = 39, .external_lex_state = 13},
  [2380] = {.lex_state = 24, .external_lex_state = 18},
  [2381] = {.lex_state = 39, .external_lex_state = 13},
  [2382] = {.lex_state = 117},
  [2383] = {.lex_state = 39, .external_lex_state = 13},
  [2384] = {.lex_state = 39, .external_lex_state = 13},
  [2385] = {.lex_state = 117},
  [2386] = {.lex_state = 43},
  [2387] = {.lex_state = 24, .external_lex_state = 18},
  [2388] = {.lex_state = 39, .external_lex_state = 13},
  [2389] = {.lex_state = 24, .external_lex_state = 18},
  [2390] = {.lex_state = 24, .external_lex_state = 18},
  [2391] = {.lex_state = 39, .external_lex_state = 13},
  [2392] = {.lex_state = 24, .external_lex_state = 18},
  [2393] = {.lex_state = 24, .external_lex_state = 18},
  [2394] = {.lex_state = 24, .external_lex_state = 18},
  [2395] = {.lex_state = 39, .external_lex_state = 13},
  [2396] = {.lex_state = 39, .external_lex_state = 13},
  [2397] = {.lex_state = 24, .external_lex_state = 18},
  [2398] = {.lex_state = 39, .external_lex_state = 13},
  [2399] = {.lex_state = 39, .external_lex_state = 13},
  [2400] = {.lex_state = 24, .external_lex_state = 18},
  [2401] = {.lex_state = 117},
  [2402] = {.lex_state = 39, .external_lex_state = 13},
  [2403] = {.lex_state = 39, .external_lex_state = 13},
  [2404] = {.lex_state = 43},
  [2405] = {.lex_state = 24, .external_lex_state = 18},
  [2406] = {.lex_state = 24, .external_lex_state = 18},
  [2407] = {.lex_state = 39, .external_lex_state = 13},
  [2408] = {.lex_state = 24, .external_lex_state = 18},
  [2409] = {.lex_state = 117},
  [2410] = {.lex_state = 39, .external_lex_state = 13},
  [2411] = {.lex_state = 24, .external_lex_state = 18},
  [2412] = {.lex_state = 24, .external_lex_state = 18},
  [2413] = {.lex_state = 39, .external_lex_state = 13},
  [2414] = {.lex_state = 39, .external_lex_state = 13},
  [2415] = {.lex_state = 24, .external_lex_state = 18},
  [2416] = {.lex_state = 117},
  [2417] = {.lex_state = 39, .external_lex_state = 13},
  [2418] = {.lex_state = 24, .external_lex_state = 18},
  [2419] = {.lex_state = 24, .external_lex_state = 18},
  [2420] = {.lex_state = 24, .external_lex_state = 18},
  [2421] = {.lex_state = 39, .external_lex_state = 13},
  [2422] = {.lex_state = 39, .external_lex_state = 13},
  [2423] = {.lex_state = 24, .external_lex_state = 18},
  [2424] = {.lex_state = 31, .external_lex_state = 19},
  [2425] = {.lex_state = 24, .external_lex_state = 18},
  [2426] = {.lex_state = 39, .external_lex_state = 13},
  [2427] = {.lex_state = 39, .external_lex_state = 13},
  [2428] = {.lex_state = 24, .external_lex_state = 18},
  [2429] = {.lex_state = 24, .external_lex_state = 18},
  [2430] = {.lex_state = 39, .external_lex_state = 13},
  [2431] = {.lex_state = 24, .external_lex_state = 18},
  [2432] = {.lex_state = 39, .external_lex_state = 13},
  [2433] = {.lex_state = 24, .external_lex_state = 18},
  [2434] = {.lex_state = 31, .external_lex_state = 19},
  [2435] = {.lex_state = 39, .external_lex_state = 13},
  [2436] = {.lex_state = 24, .external_lex_state = 18},
  [2437] = {.lex_state = 43},
  [2438] = {.lex_state = 39, .external_lex_state = 13},
  [2439] = {.lex_state = 39, .external_lex_state = 13},
  [2440] = {.lex_state = 24, .external_lex_state = 18},
  [2441] = {.lex_state = 39, .external_lex_state = 13},
  [2442] = {.lex_state = 24, .external_lex_state = 18},
  [2443] = {.lex_state = 24, .external_lex_state = 18},
  [2444] = {.lex_state = 24, .external_lex_state = 18},
  [2445] = {.lex_state = 39, .external_lex_state = 13},
  [2446] = {.lex_state = 39, .external_lex_state = 13},
  [2447] = {.lex_state = 39, .external_lex_state = 13},
  [2448] = {.lex_state = 24, .external_lex_state = 18},
  [2449] = {.lex_state = 24, .external_lex_state = 18},
  [2450] = {.lex_state = 43, .external_lex_state = 20},
  [2451] = {.lex_state = 39, .external_lex_state = 13},
  [2452] = {.lex_state = 43},
  [2453] = {.lex_state = 43},
  [2454] = {.lex_state = 31},
  [2455] = {.lex_state = 43},
  [2456] = {.lex_state = 117},
  [2457] = {.lex_state = 43},
  [2458] = {.lex_state = 43},
  [2459] = {.lex_state = 24, .external_lex_state = 18},
  [2460] = {.lex_state = 43},
  [2461] = {.lex_state = 43},
  [2462] = {.lex_state = 43},
  [2463] = {.lex_state = 43},
  [2464] = {.lex_state = 31, .external_lex_state = 19},
  [2465] = {.lex_state = 43},
  [2466] = {.lex_state = 43},
  [2467] = {.lex_state = 43},
  [2468] = {.lex_state = 43},
  [2469] = {.lex_state = 43},
  [2470] = {.lex_state = 43},
  [2471] = {.lex_state = 43},
  [2472] = {.lex_state = 43},
  [2473] = {.lex_state = 31, .external_lex_state = 19},
  [2474] = {.lex_state = 117},
  [2475] = {.lex_state = 43},
  [2476] = {.lex_state = 43},
  [2477] = {.lex_state = 31},
  [2478] = {.lex_state = 37},
  [2479] = {.lex_state = 37},
  [2480] = {.lex_state = 117},
  [2481] = {.lex_state = 43},
  [2482] = {.lex_state = 24, .external_lex_state = 18},
  [2483] = {.lex_state = 43},
  [2484] = {.lex_state = 24, .external_lex_state = 18},
  [2485] = {.lex_state = 43},
  [2486] = {.lex_state = 37},
  [2487] = {.lex_state = 117},
  [2488] = {.lex_state = 43},
  [2489] = {.lex_state = 37},
  [2490] = {.lex_state = 43},
  [2491] = {.lex_state = 43},
  [2492] = {.lex_state = 37},
  [2493] = {.lex_state = 43},
  [2494] = {.lex_state = 43},
  [2495] = {.lex_state = 43},
  [2496] = {.lex_state = 24, .external_lex_state = 18},
  [2497] = {.lex_state = 43},
  [2498] = {.lex_state = 43},
  [2499] = {.lex_state = 43},
  [2500] = {.lex_state = 43},
  [2501] = {.lex_state = 24, .external_lex_state = 18},
  [2502] = {.lex_state = 43},
  [2503] = {.lex_state = 43},
  [2504] = {.lex_state = 43},
  [2505] = {.lex_state = 32},
  [2506] = {.lex_state = 31},
  [2507] = {.lex_state = 117},
  [2508] = {.lex_state = 43},
  [2509] = {.lex_state = 39, .external_lex_state = 13},
  [2510] = {.lex_state = 43},
  [2511] = {.lex_state = 43},
  [2512] = {.lex_state = 24, .external_lex_state = 18},
  [2513] = {.lex_state = 43},
  [2514] = {.lex_state = 43},
  [2515] = {.lex_state = 24, .external_lex_state = 18},
  [2516] = {.lex_state = 24, .external_lex_state = 18},
  [2517] = {.lex_state = 31},
  [2518] = {.lex_state = 43},
  [2519] = {.lex_state = 43},
  [2520] = {.lex_state = 24, .external_lex_state = 18},
  [2521] = {.lex_state = 24, .external_lex_state = 18},
  [2522] = {.lex_state = 24, .external_lex_state = 18},
  [2523] = {.lex_state = 24, .external_lex_state = 18},
  [2524] = {.lex_state = 24, .external_lex_state = 18},
  [2525] = {.lex_state = 43},
  [2526] = {.lex_state = 43},
  [2527] = {.lex_state = 43},
  [2528] = {.lex_state = 24, .external_lex_state = 18},
  [2529] = {.lex_state = 24, .external_lex_state = 18},
  [2530] = {.lex_state = 24, .external_lex_state = 18},
  [2531] = {.lex_state = 43},
  [2532] = {.lex_state = 24, .external_lex_state = 18},
  [2533] = {.lex_state = 43},
  [2534] = {.lex_state = 32},
  [2535] = {.lex_state = 43},
  [2536] = {.lex_state = 37},
  [2537] = {.lex_state = 24, .external_lex_state = 18},
  [2538] = {.lex_state = 43},
  [2539] = {.lex_state = 24, .external_lex_state = 18},
  [2540] = {.lex_state = 24, .external_lex_state = 18},
  [2541] = {.lex_state = 24, .external_lex_state = 18},
  [2542] = {.lex_state = 43},
  [2543] = {.lex_state = 24, .external_lex_state = 18},
  [2544] = {.lex_state = 43},
  [2545] = {.lex_state = 24, .external_lex_state = 18},
  [2546] = {.lex_state = 43},
  [2547] = {.lex_state = 43},
  [2548] = {.lex_state = 43},
  [2549] = {.lex_state = 24, .external_lex_state = 18},
  [2550] = {.lex_state = 24, .external_lex_state = 18},
  [2551] = {.lex_state = 37},
  [2552] = {.lex_state = 43},
  [2553] = {.lex_state = 43},
  [2554] = {.lex_state = 43},
  [2555] = {.lex_state = 43},
  [2556] = {.lex_state = 43},
  [2557] = {.lex_state = 43},
  [2558] = {.lex_state = 43},
  [2559] = {.lex_state = 43},
  [2560] = {.lex_state = 43},
  [2561] = {.lex_state = 24, .external_lex_state = 13},
  [2562] = {.lex_state = 117},
  [2563] = {.lex_state = 31},
  [2564] = {.lex_state = 24, .external_lex_state = 13},
  [2565] = {.lex_state = 31},
  [2566] = {.lex_state = 117},
  [2567] = {.lex_state = 37},
  [2568] = {.lex_state = 117},
  [2569] = {.lex_state = 37},
  [2570] = {.lex_state = 24, .external_lex_state = 13},
  [2571] = {.lex_state = 117},
  [2572] = {.lex_state = 24, .external_lex_state = 13},
  [2573] = {.lex_state = 117},
  [2574] = {.lex_state = 117},
  [2575] = {.lex_state = 24, .external_lex_state = 13},
  [2576] = {.lex_state = 117},
  [2577] = {.lex_state = 24, .external_lex_state = 13},
  [2578] = {.lex_state = 117},
  [2579] = {.lex_state = 117},
  [2580] = {.lex_state = 117},
  [2581] = {.lex_state = 117, .external_lex_state = 23},
  [2582] = {.lex_state = 117},
  [2583] = {.lex_state = 117},
  [2584] = {.lex_state = 31, .external_lex_state = 11},
  [2585] = {.lex_state = 31, .external_lex_state = 11},
  [2586] = {.lex_state = 24, .external_lex_state = 13},
  [2587] = {.lex_state = 37},
  [2588] = {.lex_state = 24, .external_lex_state = 13},
  [2589] = {.lex_state = 24, .external_lex_state = 13},
  [2590] = {.lex_state = 37},
  [2591] = {.lex_state = 117},
  [2592] = {.lex_state = 117},
  [2593] = {.lex_state = 31},
  [2594] = {.lex_state = 117},
  [2595] = {.lex_state = 31},
  [2596] = {.lex_state = 24, .external_lex_state = 13},
  [2597] = {.lex_state = 37},
  [2598] = {.lex_state = 117, .external_lex_state = 23},
  [2599] = {.lex_state = 117},
  [2600] = {.lex_state = 31},
  [2601] = {.lex_state = 31},
  [2602] = {.lex_state = 24, .external_lex_state = 13},
  [2603] = {.lex_state = 31},
  [2604] = {.lex_state = 117},
  [2605] = {.lex_state = 31},
  [2606] = {.lex_state = 117},
  [2607] = {.lex_state = 117},
  [2608] = {.lex_state = 31, .external_lex_state = 11},
  [2609] = {.lex_state = 117},
  [2610] = {.lex_state = 117},
  [2611] = {.lex_state = 117},
  [2612] = {.lex_state = 117},
  [2613] = {.lex_state = 117},
  [2614] = {.lex_state = 117},
  [2615] = {.lex_state = 24, .external_lex_state = 13},
  [2616] = {.lex_state = 24, .external_lex_state = 13},
  [2617] = {.lex_state = 24, .external_lex_state = 13},
  [2618] = {.lex_state = 117},
  [2619] = {.lex_state = 117},
  [2620] = {.lex_state = 117},
  [2621] = {.lex_state = 24, .external_lex_state = 13},
  [2622] = {.lex_state = 24, .external_lex_state = 13},
  [2623] = {.lex_state = 24, .external_lex_state = 13},
  [2624] = {.lex_state = 117},
  [2625] = {.lex_state = 117},
  [2626] = {.lex_state = 117},
  [2627] = {.lex_state = 117},
  [2628] = {.lex_state = 117},
  [2629] = {.lex_state = 117},
  [2630] = {.lex_state = 117},
  [2631] = {.lex_state = 117},
  [2632] = {.lex_state = 24, .external_lex_state = 13},
  [2633] = {.lex_state = 24, .external_lex_state = 13},
  [2634] = {.lex_state = 24, .external_lex_state = 13},
  [2635] = {.lex_state = 117},
  [2636] = {.lex_state = 24, .external_lex_state = 13},
  [2637] = {.lex_state = 117},
  [2638] = {.lex_state = 117},
  [2639] = {.lex_state = 37},
  [2640] = {.lex_state = 117},
  [2641] = {.lex_state = 117},
  [2642] = {.lex_state = 117},
  [2643] = {.lex_state = 117},
  [2644] = {.lex_state = 24, .external_lex_state = 13},
  [2645] = {.lex_state = 24, .external_lex_state = 13},
  [2646] = {.lex_state = 117},
  [2647] = {.lex_state = 24, .external_lex_state = 13},
  [2648] = {.lex_state = 117},
  [2649] = {.lex_state = 117},
  [2650] = {.lex_state = 117},
  [2651] = {.lex_state = 24, .external_lex_state = 13},
  [2652] = {.lex_state = 117},
  [2653] = {.lex_state = 117},
  [2654] = {.lex_state = 117},
  [2655] = {.lex_state = 37},
  [2656] = {.lex_state = 31, .external_lex_state = 11},
  [2657] = {.lex_state = 117},
  [2658] = {.lex_state = 24, .external_lex_state = 13},
  [2659] = {.lex_state = 24, .external_lex_state = 13},
  [2660] = {.lex_state = 117},
  [2661] = {.lex_state = 117},
  [2662] = {.lex_state = 117},
  [2663] = {.lex_state = 31},
  [2664] = {.lex_state = 24, .external_lex_state = 13},
  [2665] = {.lex_state = 24, .external_lex_state = 13},
  [2666] = {.lex_state = 117},
  [2667] = {.lex_state = 117},
  [2668] = {.lex_state = 117},
  [2669] = {.lex_state = 117},
  [2670] = {.lex_state = 117},
  [2671] = {.lex_state = 117},
  [2672] = {.lex_state = 117},
  [2673] = {.lex_state = 24, .external_lex_state = 13},
  [2674] = {.lex_state = 24, .external_lex_state = 13},
  [2675] = {.lex_state = 24, .external_lex_state = 13},
  [2676] = {.lex_state = 24, .external_lex_state = 13},
  [2677] = {.lex_state = 24, .external_lex_state = 13},
  [2678] = {.lex_state = 117},
  [2679] = {.lex_state = 117},
  [2680] = {.lex_state = 24, .external_lex_state = 13},
  [2681] = {.lex_state = 31},
  [2682] = {.lex_state = 117},
  [2683] = {.lex_state = 117},
  [2684] = {.lex_state = 117},
  [2685] = {.lex_state = 24, .external_lex_state = 13},
  [2686] = {.lex_state = 24, .external_lex_state = 13},
  [2687] = {.lex_state = 24, .external_lex_state = 13},
  [2688] = {.lex_state = 24, .external_lex_state = 13},
  [2689] = {.lex_state = 117},
  [2690] = {.lex_state = 117},
  [2691] = {.lex_state = 117},
  [2692] = {.lex_state = 117},
  [2693] = {.lex_state = 117},
  [2694] = {.lex_state = 117},
  [2695] = {.lex_state = 117},
  [2696] = {.lex_state = 117},
  [2697] = {.lex_state = 24, .external_lex_state = 13},
  [2698] = {.lex_state = 31},
  [2699] = {.lex_state = 24, .external_lex_state = 13},
  [2700] = {.lex_state = 24, .external_lex_state = 13},
  [2701] = {.lex_state = 24, .external_lex_state = 13},
  [2702] = {.lex_state = 31},
  [2703] = {.lex_state = 117},
  [2704] = {.lex_state = 117},
  [2705] = {.lex_state = 117},
  [2706] = {.lex_state = 24, .external_lex_state = 13},
  [2707] = {.lex_state = 37},
  [2708] = {.lex_state = 37},
  [2709] = {.lex_state = 37},
  [2710] = {.lex_state = 24, .external_lex_state = 13},
  [2711] = {.lex_state = 117},
  [2712] = {.lex_state = 117},
  [2713] = {.lex_state = 117},
  [2714] = {.lex_state = 24, .external_lex_state = 13},
  [2715] = {.lex_state = 117},
  [2716] = {.lex_state = 117},
  [2717] = {.lex_state = 117},
  [2718] = {.lex_state = 24, .external_lex_state = 13},
  [2719] = {.lex_state = 31},
  [2720] = {.lex_state = 31},
  [2721] = {.lex_state = 31},
  [2722] = {.lex_state = 24, .external_lex_state = 13},
  [2723] = {.lex_state = 24, .external_lex_state = 13},
  [2724] = {.lex_state = 117},
  [2725] = {.lex_state = 31},
  [2726] = {.lex_state = 117},
  [2727] = {.lex_state = 117},
  [2728] = {.lex_state = 117},
  [2729] = {.lex_state = 24, .external_lex_state = 13},
  [2730] = {.lex_state = 117},
  [2731] = {.lex_state = 24, .external_lex_state = 13},
  [2732] = {.lex_state = 24, .external_lex_state = 13},
  [2733] = {.lex_state = 37},
};

enum {
  ts_external_token_heredoc_start = 0,
  ts_external_token__simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token__heredoc_body_middle = 3,
  ts_external_token__heredoc_body_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_regex = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_RBRACK = 11,
  ts_external_token_LT_LT = 12,
  ts_external_token_LT_LT_DASH = 13,
  ts_external_token_LF = 14,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token__simple_heredoc_body] = sym__simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token__heredoc_body_middle] = sym__heredoc_body_middle,
  [ts_external_token__heredoc_body_end] = sym__heredoc_body_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_LF] = anon_sym_LF,
};

static bool ts_external_scanner_states[24][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [4] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [5] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [6] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [7] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [10] = {
    [ts_external_token_LF] = true,
  },
  [11] = {
    [ts_external_token_RBRACK] = true,
  },
  [12] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_RBRACE] = true,
  },
  [14] = {
    [ts_external_token_regex] = true,
  },
  [15] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LF] = true,
  },
  [16] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
  },
  [17] = {
    [ts_external_token__empty_value] = true,
  },
  [18] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [19] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
  },
  [20] = {
    [ts_external_token__concat] = true,
  },
  [21] = {
    [ts_external_token_variable_name] = true,
  },
  [22] = {
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
  },
  [23] = {
    [ts_external_token_heredoc_start] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansii_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym__simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym__heredoc_body_middle] = ACTIONS(1),
    [sym__heredoc_body_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2690),
    [sym__statements] = STATE(2689),
    [sym_redirected_statement] = STATE(1308),
    [sym_for_statement] = STATE(1308),
    [sym_c_style_for_statement] = STATE(1308),
    [sym_while_statement] = STATE(1308),
    [sym_if_statement] = STATE(1308),
    [sym_case_statement] = STATE(1308),
    [sym_function_definition] = STATE(1308),
    [sym_compound_statement] = STATE(1308),
    [sym_subshell] = STATE(1308),
    [sym_pipeline] = STATE(1308),
    [sym_list] = STATE(1308),
    [sym_negated_command] = STATE(1308),
    [sym_test_command] = STATE(1308),
    [sym_declaration_command] = STATE(1308),
    [sym_unset_command] = STATE(1308),
    [sym_command] = STATE(1308),
    [sym_command_name] = STATE(146),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2460),
    [sym_file_redirect] = STATE(570),
    [sym_concatenation] = STATE(565),
    [sym_string] = STATE(270),
    [sym_simple_expansion] = STATE(270),
    [sym_string_expansion] = STATE(270),
    [sym_expansion] = STATE(270),
    [sym_command_substitution] = STATE(270),
    [sym_process_substitution] = STATE(270),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(570),
    [aux_sym__literal_repeat1] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [2] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_elif_clause] = STATE(2248),
    [sym_else_clause] = STATE(2708),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_if_statement_repeat1] = STATE(2248),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(71),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [3] = {
    [aux_sym__statements2] = STATE(4),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_elif_clause] = STATE(2259),
    [sym_else_clause] = STATE(2587),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_if_statement_repeat1] = STATE(2259),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(113),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [4] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_elif_clause] = STATE(2228),
    [sym_else_clause] = STATE(2590),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_if_statement_repeat1] = STATE(2228),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(115),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [5] = {
    [aux_sym__statements2] = STATE(2),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_elif_clause] = STATE(2249),
    [sym_else_clause] = STATE(2639),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_if_statement_repeat1] = STATE(2249),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(117),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [6] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(122),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(128),
    [anon_sym_done] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_fi] = ACTIONS(131),
    [anon_sym_elif] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(136),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(154),
    [anon_sym_declare] = ACTIONS(157),
    [anon_sym_typeset] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_local] = ACTIONS(157),
    [anon_sym_unset] = ACTIONS(160),
    [anon_sym_unsetenv] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(166),
    [anon_sym_AMP_GT] = ACTIONS(163),
    [anon_sym_AMP_GT_GT] = ACTIONS(166),
    [anon_sym_LT_AMP] = ACTIONS(166),
    [anon_sym_GT_AMP] = ACTIONS(166),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [sym__special_character] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_raw_string] = ACTIONS(178),
    [sym_ansii_c_string] = ACTIONS(178),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(184),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [anon_sym_LT_LPAREN] = ACTIONS(190),
    [anon_sym_GT_LPAREN] = ACTIONS(190),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(193),
    [sym_variable_name] = ACTIONS(196),
  },
  [7] = {
    [sym__statements] = STATE(2517),
    [sym_redirected_statement] = STATE(1306),
    [sym_for_statement] = STATE(1306),
    [sym_c_style_for_statement] = STATE(1306),
    [sym_while_statement] = STATE(1306),
    [sym_if_statement] = STATE(1306),
    [sym_case_statement] = STATE(1306),
    [sym_function_definition] = STATE(1306),
    [sym_compound_statement] = STATE(1306),
    [sym_subshell] = STATE(1306),
    [sym_pipeline] = STATE(1306),
    [sym_list] = STATE(1306),
    [sym_negated_command] = STATE(1306),
    [sym_test_command] = STATE(1306),
    [sym_declaration_command] = STATE(1306),
    [sym_unset_command] = STATE(1306),
    [sym_command] = STATE(1306),
    [sym_command_name] = STATE(142),
    [sym_variable_assignment] = STATE(221),
    [sym_subscript] = STATE(2463),
    [sym_file_redirect] = STATE(541),
    [sym_concatenation] = STATE(539),
    [sym_string] = STATE(251),
    [sym_simple_expansion] = STATE(251),
    [sym_string_expansion] = STATE(251),
    [sym_expansion] = STATE(251),
    [sym_command_substitution] = STATE(251),
    [sym_process_substitution] = STATE(251),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(541),
    [aux_sym__literal_repeat1] = STATE(452),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(201),
    [anon_sym_SEMI_SEMI] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [8] = {
    [sym__statements] = STATE(2454),
    [sym_redirected_statement] = STATE(1306),
    [sym_for_statement] = STATE(1306),
    [sym_c_style_for_statement] = STATE(1306),
    [sym_while_statement] = STATE(1306),
    [sym_if_statement] = STATE(1306),
    [sym_case_statement] = STATE(1306),
    [sym_function_definition] = STATE(1306),
    [sym_compound_statement] = STATE(1306),
    [sym_subshell] = STATE(1306),
    [sym_pipeline] = STATE(1306),
    [sym_list] = STATE(1306),
    [sym_negated_command] = STATE(1306),
    [sym_test_command] = STATE(1306),
    [sym_declaration_command] = STATE(1306),
    [sym_unset_command] = STATE(1306),
    [sym_command] = STATE(1306),
    [sym_command_name] = STATE(142),
    [sym_variable_assignment] = STATE(221),
    [sym_subscript] = STATE(2463),
    [sym_file_redirect] = STATE(541),
    [sym_concatenation] = STATE(539),
    [sym_string] = STATE(251),
    [sym_simple_expansion] = STATE(251),
    [sym_string_expansion] = STATE(251),
    [sym_expansion] = STATE(251),
    [sym_command_substitution] = STATE(251),
    [sym_process_substitution] = STATE(251),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(541),
    [aux_sym__literal_repeat1] = STATE(452),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(229),
    [anon_sym_SEMI_SEMI] = ACTIONS(231),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [9] = {
    [sym__statements] = STATE(2477),
    [sym_redirected_statement] = STATE(1306),
    [sym_for_statement] = STATE(1306),
    [sym_c_style_for_statement] = STATE(1306),
    [sym_while_statement] = STATE(1306),
    [sym_if_statement] = STATE(1306),
    [sym_case_statement] = STATE(1306),
    [sym_function_definition] = STATE(1306),
    [sym_compound_statement] = STATE(1306),
    [sym_subshell] = STATE(1306),
    [sym_pipeline] = STATE(1306),
    [sym_list] = STATE(1306),
    [sym_negated_command] = STATE(1306),
    [sym_test_command] = STATE(1306),
    [sym_declaration_command] = STATE(1306),
    [sym_unset_command] = STATE(1306),
    [sym_command] = STATE(1306),
    [sym_command_name] = STATE(142),
    [sym_variable_assignment] = STATE(221),
    [sym_subscript] = STATE(2463),
    [sym_file_redirect] = STATE(541),
    [sym_concatenation] = STATE(539),
    [sym_string] = STATE(251),
    [sym_simple_expansion] = STATE(251),
    [sym_string_expansion] = STATE(251),
    [sym_expansion] = STATE(251),
    [sym_command_substitution] = STATE(251),
    [sym_process_substitution] = STATE(251),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(541),
    [aux_sym__literal_repeat1] = STATE(452),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(233),
    [anon_sym_SEMI_SEMI] = ACTIONS(235),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [10] = {
    [aux_sym__statements2] = STATE(11),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(237),
    [anon_sym_elif] = ACTIONS(237),
    [anon_sym_else] = ACTIONS(237),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [11] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(239),
    [anon_sym_elif] = ACTIONS(239),
    [anon_sym_else] = ACTIONS(239),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [12] = {
    [sym__statements] = STATE(2506),
    [sym_redirected_statement] = STATE(1306),
    [sym_for_statement] = STATE(1306),
    [sym_c_style_for_statement] = STATE(1306),
    [sym_while_statement] = STATE(1306),
    [sym_if_statement] = STATE(1306),
    [sym_case_statement] = STATE(1306),
    [sym_function_definition] = STATE(1306),
    [sym_compound_statement] = STATE(1306),
    [sym_subshell] = STATE(1306),
    [sym_pipeline] = STATE(1306),
    [sym_list] = STATE(1306),
    [sym_negated_command] = STATE(1306),
    [sym_test_command] = STATE(1306),
    [sym_declaration_command] = STATE(1306),
    [sym_unset_command] = STATE(1306),
    [sym_command] = STATE(1306),
    [sym_command_name] = STATE(142),
    [sym_variable_assignment] = STATE(221),
    [sym_subscript] = STATE(2463),
    [sym_file_redirect] = STATE(541),
    [sym_concatenation] = STATE(539),
    [sym_string] = STATE(251),
    [sym_simple_expansion] = STATE(251),
    [sym_string_expansion] = STATE(251),
    [sym_expansion] = STATE(251),
    [sym_command_substitution] = STATE(251),
    [sym_process_substitution] = STATE(251),
    [aux_sym__statements_repeat1] = STATE(111),
    [aux_sym_command_repeat1] = STATE(541),
    [aux_sym__literal_repeat1] = STATE(452),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(241),
    [anon_sym_SEMI_SEMI] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [13] = {
    [sym__statements] = STATE(2630),
    [sym_redirected_statement] = STATE(1333),
    [sym_for_statement] = STATE(1333),
    [sym_c_style_for_statement] = STATE(1333),
    [sym_while_statement] = STATE(1333),
    [sym_if_statement] = STATE(1333),
    [sym_case_statement] = STATE(1333),
    [sym_function_definition] = STATE(1333),
    [sym_compound_statement] = STATE(1333),
    [sym_subshell] = STATE(1333),
    [sym_pipeline] = STATE(1333),
    [sym_list] = STATE(1333),
    [sym_negated_command] = STATE(1333),
    [sym_test_command] = STATE(1333),
    [sym_declaration_command] = STATE(1333),
    [sym_unset_command] = STATE(1333),
    [sym_command] = STATE(1333),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(245),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [14] = {
    [sym__statements] = STATE(2640),
    [sym_redirected_statement] = STATE(1333),
    [sym_for_statement] = STATE(1333),
    [sym_c_style_for_statement] = STATE(1333),
    [sym_while_statement] = STATE(1333),
    [sym_if_statement] = STATE(1333),
    [sym_case_statement] = STATE(1333),
    [sym_function_definition] = STATE(1333),
    [sym_compound_statement] = STATE(1333),
    [sym_subshell] = STATE(1333),
    [sym_pipeline] = STATE(1333),
    [sym_list] = STATE(1333),
    [sym_negated_command] = STATE(1333),
    [sym_test_command] = STATE(1333),
    [sym_declaration_command] = STATE(1333),
    [sym_unset_command] = STATE(1333),
    [sym_command] = STATE(1333),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [15] = {
    [sym__statements] = STATE(2631),
    [sym_redirected_statement] = STATE(1333),
    [sym_for_statement] = STATE(1333),
    [sym_c_style_for_statement] = STATE(1333),
    [sym_while_statement] = STATE(1333),
    [sym_if_statement] = STATE(1333),
    [sym_case_statement] = STATE(1333),
    [sym_function_definition] = STATE(1333),
    [sym_compound_statement] = STATE(1333),
    [sym_subshell] = STATE(1333),
    [sym_pipeline] = STATE(1333),
    [sym_list] = STATE(1333),
    [sym_negated_command] = STATE(1333),
    [sym_test_command] = STATE(1333),
    [sym_declaration_command] = STATE(1333),
    [sym_unset_command] = STATE(1333),
    [sym_command] = STATE(1333),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [16] = {
    [sym__statements] = STATE(2635),
    [sym_redirected_statement] = STATE(1333),
    [sym_for_statement] = STATE(1333),
    [sym_c_style_for_statement] = STATE(1333),
    [sym_while_statement] = STATE(1333),
    [sym_if_statement] = STATE(1333),
    [sym_case_statement] = STATE(1333),
    [sym_function_definition] = STATE(1333),
    [sym_compound_statement] = STATE(1333),
    [sym_subshell] = STATE(1333),
    [sym_pipeline] = STATE(1333),
    [sym_list] = STATE(1333),
    [sym_negated_command] = STATE(1333),
    [sym_test_command] = STATE(1333),
    [sym_declaration_command] = STATE(1333),
    [sym_unset_command] = STATE(1333),
    [sym_command] = STATE(1333),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(107),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [17] = {
    [sym__statements] = STATE(2672),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [18] = {
    [sym__statements] = STATE(2576),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [19] = {
    [sym__statements] = STATE(2646),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [20] = {
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(263),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(60),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [21] = {
    [sym__statements] = STATE(2582),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [22] = {
    [sym__statements] = STATE(2583),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1547),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [23] = {
    [aux_sym__statements2] = STATE(76),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(261),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [24] = {
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(263),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(90),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [25] = {
    [sym__statements] = STATE(2591),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [26] = {
    [sym__statements] = STATE(2592),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [27] = {
    [sym__statements] = STATE(2594),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1507),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [28] = {
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(263),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(24),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [29] = {
    [sym__statements] = STATE(2609),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [30] = {
    [sym__statements] = STATE(2611),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1500),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [31] = {
    [sym__statements] = STATE(2568),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [32] = {
    [sym__statements] = STATE(2604),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [33] = {
    [sym__statements] = STATE(2610),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [34] = {
    [sym__statements] = STATE(2613),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1531),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [35] = {
    [sym__statements] = STATE(2624),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [36] = {
    [sym__statements] = STATE(2626),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1582),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [37] = {
    [sym__statements] = STATE(2625),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [38] = {
    [sym__statements] = STATE(2628),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [39] = {
    [aux_sym__statements2] = STATE(64),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(267),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [40] = {
    [sym__statements] = STATE(2629),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [41] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [42] = {
    [sym__statements] = STATE(2641),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [43] = {
    [sym__statements] = STATE(2642),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [44] = {
    [sym__statements] = STATE(2606),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1529),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [45] = {
    [sym__statements] = STATE(2652),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [46] = {
    [sym__statements] = STATE(2653),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [47] = {
    [sym__statements] = STATE(2654),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1526),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [48] = {
    [sym__statements] = STATE(2666),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [49] = {
    [sym__statements] = STATE(2667),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [50] = {
    [sym__statements] = STATE(2669),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1573),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [51] = {
    [sym__statements] = STATE(2678),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [52] = {
    [sym__statements] = STATE(2679),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [53] = {
    [sym__statements] = STATE(2643),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1556),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [54] = {
    [sym__statements] = STATE(2694),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [55] = {
    [sym__statements] = STATE(2695),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [56] = {
    [sym__statements] = STATE(2696),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1590),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [57] = {
    [sym__statements] = STATE(2711),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [58] = {
    [sym__statements] = STATE(2712),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [59] = {
    [sym__statements] = STATE(2713),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1561),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [60] = {
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(263),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(90),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [61] = {
    [sym__statements] = STATE(2726),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [62] = {
    [sym__statements] = STATE(2727),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [63] = {
    [sym__statements] = STATE(2728),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1567),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [64] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [65] = {
    [sym__statements] = STATE(2637),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1539),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [66] = {
    [sym__statements] = STATE(2638),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [67] = {
    [sym__statements] = STATE(2657),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [68] = {
    [sym__statements] = STATE(2661),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [69] = {
    [sym__statements] = STATE(2648),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1517),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [70] = {
    [sym__statements] = STATE(2668),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [71] = {
    [sym__statements] = STATE(2724),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [72] = {
    [sym__statements] = STATE(2730),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1523),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [73] = {
    [sym__statements] = STATE(2574),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1559),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [74] = {
    [sym__statements] = STATE(2649),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [75] = {
    [sym__statements] = STATE(2717),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [76] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(275),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [77] = {
    [sym__statements] = STATE(2716),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [78] = {
    [sym__statements] = STATE(2573),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [79] = {
    [sym__statements] = STATE(2715),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1514),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [80] = {
    [sym__statements] = STATE(2705),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [81] = {
    [sym__statements] = STATE(2704),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [82] = {
    [sym__statements] = STATE(2703),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1591),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [83] = {
    [sym__statements] = STATE(2650),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [84] = {
    [sym__statements] = STATE(2660),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1565),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [85] = {
    [sym__statements] = STATE(2693),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [86] = {
    [sym__statements] = STATE(2692),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [87] = {
    [sym__statements] = STATE(2691),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1583),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [88] = {
    [sym__statements] = STATE(2684),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [89] = {
    [sym__statements] = STATE(2683),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [90] = {
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(263),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(90),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(277),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(286),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_case] = ACTIONS(292),
    [anon_sym_function] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(298),
    [anon_sym_LBRACE] = ACTIONS(301),
    [anon_sym_RBRACE] = ACTIONS(304),
    [anon_sym_BANG] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(312),
    [anon_sym_declare] = ACTIONS(315),
    [anon_sym_typeset] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(315),
    [anon_sym_readonly] = ACTIONS(315),
    [anon_sym_local] = ACTIONS(315),
    [anon_sym_unset] = ACTIONS(318),
    [anon_sym_unsetenv] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(321),
    [anon_sym_GT] = ACTIONS(321),
    [anon_sym_GT_GT] = ACTIONS(324),
    [anon_sym_AMP_GT] = ACTIONS(321),
    [anon_sym_AMP_GT_GT] = ACTIONS(324),
    [anon_sym_LT_AMP] = ACTIONS(324),
    [anon_sym_GT_AMP] = ACTIONS(324),
    [anon_sym_DOLLAR] = ACTIONS(327),
    [sym__special_character] = ACTIONS(330),
    [anon_sym_DQUOTE] = ACTIONS(333),
    [sym_raw_string] = ACTIONS(336),
    [sym_ansii_c_string] = ACTIONS(336),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(339),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(342),
    [anon_sym_BQUOTE] = ACTIONS(345),
    [anon_sym_LT_LPAREN] = ACTIONS(348),
    [anon_sym_GT_LPAREN] = ACTIONS(348),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(351),
    [sym_variable_name] = ACTIONS(354),
  },
  [91] = {
    [sym__statements] = STATE(2620),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [92] = {
    [sym__statements] = STATE(2578),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1548),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [93] = {
    [sym__statements] = STATE(2579),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [94] = {
    [sym__statements] = STATE(2682),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1499),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [95] = {
    [sym__statements] = STATE(2580),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [96] = {
    [sym__statements] = STATE(2671),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [97] = {
    [sym__statements] = STATE(2670),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1595),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [98] = {
    [aux_sym__statements2] = STATE(41),
    [sym_redirected_statement] = STATE(1375),
    [sym_for_statement] = STATE(1375),
    [sym_c_style_for_statement] = STATE(1375),
    [sym_while_statement] = STATE(1375),
    [sym_if_statement] = STATE(1375),
    [sym_case_statement] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_compound_statement] = STATE(1375),
    [sym_subshell] = STATE(1375),
    [sym_pipeline] = STATE(1375),
    [sym_list] = STATE(1375),
    [sym_negated_command] = STATE(1375),
    [sym_test_command] = STATE(1375),
    [sym_declaration_command] = STATE(1375),
    [sym_unset_command] = STATE(1375),
    [sym_command] = STATE(1375),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(240),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [99] = {
    [sym__statements] = STATE(2607),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1530),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [100] = {
    [sym__statements] = STATE(2614),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [101] = {
    [sym__statements] = STATE(2662),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [102] = {
    [sym__statements] = STATE(2612),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [103] = {
    [sym__statements] = STATE(2618),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1576),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [104] = {
    [sym__statements] = STATE(2627),
    [sym_redirected_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_c_style_for_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_case_statement] = STATE(1297),
    [sym_function_definition] = STATE(1297),
    [sym_compound_statement] = STATE(1297),
    [sym_subshell] = STATE(1297),
    [sym_pipeline] = STATE(1297),
    [sym_list] = STATE(1297),
    [sym_negated_command] = STATE(1297),
    [sym_test_command] = STATE(1297),
    [sym_declaration_command] = STATE(1297),
    [sym_unset_command] = STATE(1297),
    [sym_command] = STATE(1297),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(217),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(1574),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(108),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [105] = {
    [sym__statements] = STATE(2619),
    [sym_redirected_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_c_style_for_statement] = STATE(1322),
    [sym_while_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_case_statement] = STATE(1322),
    [sym_function_definition] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_subshell] = STATE(1322),
    [sym_pipeline] = STATE(1322),
    [sym_list] = STATE(1322),
    [sym_negated_command] = STATE(1322),
    [sym_test_command] = STATE(1322),
    [sym_declaration_command] = STATE(1322),
    [sym_unset_command] = STATE(1322),
    [sym_command] = STATE(1322),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(272),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(112),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [106] = {
    [sym__terminated_statement] = STATE(2536),
    [sym_redirected_statement] = STATE(1324),
    [sym_for_statement] = STATE(1324),
    [sym_c_style_for_statement] = STATE(1324),
    [sym_while_statement] = STATE(1324),
    [sym_if_statement] = STATE(1324),
    [sym_case_statement] = STATE(1324),
    [sym_function_definition] = STATE(1324),
    [sym_compound_statement] = STATE(1324),
    [sym_subshell] = STATE(1324),
    [sym_pipeline] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_negated_command] = STATE(1324),
    [sym_test_command] = STATE(1324),
    [sym_declaration_command] = STATE(1324),
    [sym_unset_command] = STATE(1324),
    [sym_command] = STATE(1324),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(264),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [107] = {
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(257),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [108] = {
    [sym_redirected_statement] = STATE(1317),
    [sym_for_statement] = STATE(1317),
    [sym_c_style_for_statement] = STATE(1317),
    [sym_while_statement] = STATE(1317),
    [sym_if_statement] = STATE(1317),
    [sym_case_statement] = STATE(1317),
    [sym_function_definition] = STATE(1317),
    [sym_compound_statement] = STATE(1317),
    [sym_subshell] = STATE(1317),
    [sym_pipeline] = STATE(1317),
    [sym_list] = STATE(1317),
    [sym_negated_command] = STATE(1317),
    [sym_test_command] = STATE(1317),
    [sym_declaration_command] = STATE(1317),
    [sym_unset_command] = STATE(1317),
    [sym_command] = STATE(1317),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(229),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [109] = {
    [sym__terminated_statement] = STATE(2655),
    [sym_redirected_statement] = STATE(1324),
    [sym_for_statement] = STATE(1324),
    [sym_c_style_for_statement] = STATE(1324),
    [sym_while_statement] = STATE(1324),
    [sym_if_statement] = STATE(1324),
    [sym_case_statement] = STATE(1324),
    [sym_function_definition] = STATE(1324),
    [sym_compound_statement] = STATE(1324),
    [sym_subshell] = STATE(1324),
    [sym_pipeline] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_negated_command] = STATE(1324),
    [sym_test_command] = STATE(1324),
    [sym_declaration_command] = STATE(1324),
    [sym_unset_command] = STATE(1324),
    [sym_command] = STATE(1324),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(264),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [110] = {
    [sym_redirected_statement] = STATE(1370),
    [sym_for_statement] = STATE(1370),
    [sym_c_style_for_statement] = STATE(1370),
    [sym_while_statement] = STATE(1370),
    [sym_if_statement] = STATE(1370),
    [sym_case_statement] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_compound_statement] = STATE(1370),
    [sym_subshell] = STATE(1370),
    [sym_pipeline] = STATE(1370),
    [sym_list] = STATE(1370),
    [sym_negated_command] = STATE(1370),
    [sym_test_command] = STATE(1370),
    [sym_declaration_command] = STATE(1370),
    [sym_unset_command] = STATE(1370),
    [sym_command] = STATE(1370),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(267),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(277),
    [anon_sym_for] = ACTIONS(280),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(286),
    [anon_sym_if] = ACTIONS(289),
    [anon_sym_case] = ACTIONS(292),
    [anon_sym_function] = ACTIONS(295),
    [anon_sym_LPAREN] = ACTIONS(298),
    [anon_sym_LBRACE] = ACTIONS(301),
    [anon_sym_BANG] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(309),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(312),
    [anon_sym_declare] = ACTIONS(315),
    [anon_sym_typeset] = ACTIONS(315),
    [anon_sym_export] = ACTIONS(315),
    [anon_sym_readonly] = ACTIONS(315),
    [anon_sym_local] = ACTIONS(315),
    [anon_sym_unset] = ACTIONS(318),
    [anon_sym_unsetenv] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(321),
    [anon_sym_GT] = ACTIONS(321),
    [anon_sym_GT_GT] = ACTIONS(324),
    [anon_sym_AMP_GT] = ACTIONS(321),
    [anon_sym_AMP_GT_GT] = ACTIONS(324),
    [anon_sym_LT_AMP] = ACTIONS(324),
    [anon_sym_GT_AMP] = ACTIONS(324),
    [anon_sym_DOLLAR] = ACTIONS(327),
    [sym__special_character] = ACTIONS(330),
    [anon_sym_DQUOTE] = ACTIONS(333),
    [sym_raw_string] = ACTIONS(336),
    [sym_ansii_c_string] = ACTIONS(336),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(339),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(342),
    [anon_sym_BQUOTE] = ACTIONS(345),
    [anon_sym_LT_LPAREN] = ACTIONS(348),
    [anon_sym_GT_LPAREN] = ACTIONS(348),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(351),
    [sym_variable_name] = ACTIONS(354),
  },
  [111] = {
    [sym_redirected_statement] = STATE(1323),
    [sym_for_statement] = STATE(1323),
    [sym_c_style_for_statement] = STATE(1323),
    [sym_while_statement] = STATE(1323),
    [sym_if_statement] = STATE(1323),
    [sym_case_statement] = STATE(1323),
    [sym_function_definition] = STATE(1323),
    [sym_compound_statement] = STATE(1323),
    [sym_subshell] = STATE(1323),
    [sym_pipeline] = STATE(1323),
    [sym_list] = STATE(1323),
    [sym_negated_command] = STATE(1323),
    [sym_test_command] = STATE(1323),
    [sym_declaration_command] = STATE(1323),
    [sym_unset_command] = STATE(1323),
    [sym_command] = STATE(1323),
    [sym_command_name] = STATE(142),
    [sym_variable_assignment] = STATE(220),
    [sym_subscript] = STATE(2463),
    [sym_file_redirect] = STATE(541),
    [sym_concatenation] = STATE(539),
    [sym_string] = STATE(251),
    [sym_simple_expansion] = STATE(251),
    [sym_string_expansion] = STATE(251),
    [sym_expansion] = STATE(251),
    [sym_command_substitution] = STATE(251),
    [sym_process_substitution] = STATE(251),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(541),
    [aux_sym__literal_repeat1] = STATE(452),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [112] = {
    [sym_redirected_statement] = STATE(1311),
    [sym_for_statement] = STATE(1311),
    [sym_c_style_for_statement] = STATE(1311),
    [sym_while_statement] = STATE(1311),
    [sym_if_statement] = STATE(1311),
    [sym_case_statement] = STATE(1311),
    [sym_function_definition] = STATE(1311),
    [sym_compound_statement] = STATE(1311),
    [sym_subshell] = STATE(1311),
    [sym_pipeline] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_negated_command] = STATE(1311),
    [sym_test_command] = STATE(1311),
    [sym_declaration_command] = STATE(1311),
    [sym_unset_command] = STATE(1311),
    [sym_command] = STATE(1311),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(244),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [113] = {
    [sym__terminated_statement] = STATE(2486),
    [sym_redirected_statement] = STATE(1324),
    [sym_for_statement] = STATE(1324),
    [sym_c_style_for_statement] = STATE(1324),
    [sym_while_statement] = STATE(1324),
    [sym_if_statement] = STATE(1324),
    [sym_case_statement] = STATE(1324),
    [sym_function_definition] = STATE(1324),
    [sym_compound_statement] = STATE(1324),
    [sym_subshell] = STATE(1324),
    [sym_pipeline] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_negated_command] = STATE(1324),
    [sym_test_command] = STATE(1324),
    [sym_declaration_command] = STATE(1324),
    [sym_unset_command] = STATE(1324),
    [sym_command] = STATE(1324),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(264),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [114] = {
    [sym__terminated_statement] = STATE(2733),
    [sym_redirected_statement] = STATE(1324),
    [sym_for_statement] = STATE(1324),
    [sym_c_style_for_statement] = STATE(1324),
    [sym_while_statement] = STATE(1324),
    [sym_if_statement] = STATE(1324),
    [sym_case_statement] = STATE(1324),
    [sym_function_definition] = STATE(1324),
    [sym_compound_statement] = STATE(1324),
    [sym_subshell] = STATE(1324),
    [sym_pipeline] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_negated_command] = STATE(1324),
    [sym_test_command] = STATE(1324),
    [sym_declaration_command] = STATE(1324),
    [sym_unset_command] = STATE(1324),
    [sym_command] = STATE(1324),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(264),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [115] = {
    [sym_redirected_statement] = STATE(1302),
    [sym_for_statement] = STATE(1302),
    [sym_c_style_for_statement] = STATE(1302),
    [sym_while_statement] = STATE(1302),
    [sym_if_statement] = STATE(1302),
    [sym_case_statement] = STATE(1302),
    [sym_function_definition] = STATE(1302),
    [sym_compound_statement] = STATE(1302),
    [sym_subshell] = STATE(1302),
    [sym_pipeline] = STATE(1302),
    [sym_list] = STATE(1302),
    [sym_negated_command] = STATE(1302),
    [sym_test_command] = STATE(1302),
    [sym_declaration_command] = STATE(1302),
    [sym_unset_command] = STATE(1302),
    [sym_command] = STATE(1302),
    [sym_command_name] = STATE(146),
    [sym_variable_assignment] = STATE(218),
    [sym_subscript] = STATE(2460),
    [sym_file_redirect] = STATE(570),
    [sym_concatenation] = STATE(565),
    [sym_string] = STATE(270),
    [sym_simple_expansion] = STATE(270),
    [sym_string_expansion] = STATE(270),
    [sym_expansion] = STATE(270),
    [sym_command_substitution] = STATE(270),
    [sym_process_substitution] = STATE(270),
    [aux_sym__statements_repeat1] = STATE(110),
    [aux_sym_command_repeat1] = STATE(570),
    [aux_sym__literal_repeat1] = STATE(313),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [116] = {
    [sym__terminated_statement] = STATE(2567),
    [sym_redirected_statement] = STATE(1324),
    [sym_for_statement] = STATE(1324),
    [sym_c_style_for_statement] = STATE(1324),
    [sym_while_statement] = STATE(1324),
    [sym_if_statement] = STATE(1324),
    [sym_case_statement] = STATE(1324),
    [sym_function_definition] = STATE(1324),
    [sym_compound_statement] = STATE(1324),
    [sym_subshell] = STATE(1324),
    [sym_pipeline] = STATE(1324),
    [sym_list] = STATE(1324),
    [sym_negated_command] = STATE(1324),
    [sym_test_command] = STATE(1324),
    [sym_declaration_command] = STATE(1324),
    [sym_unset_command] = STATE(1324),
    [sym_command] = STATE(1324),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(264),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [117] = {
    [sym_redirected_statement] = STATE(1314),
    [sym_for_statement] = STATE(1314),
    [sym_c_style_for_statement] = STATE(1314),
    [sym_while_statement] = STATE(1314),
    [sym_if_statement] = STATE(1314),
    [sym_case_statement] = STATE(1314),
    [sym_function_definition] = STATE(1314),
    [sym_compound_statement] = STATE(1314),
    [sym_subshell] = STATE(1314),
    [sym_pipeline] = STATE(1314),
    [sym_list] = STATE(1314),
    [sym_negated_command] = STATE(1314),
    [sym_test_command] = STATE(1314),
    [sym_declaration_command] = STATE(1314),
    [sym_unset_command] = STATE(1314),
    [sym_command] = STATE(1314),
    [sym_command_name] = STATE(142),
    [sym_variable_assignment] = STATE(230),
    [sym_subscript] = STATE(2463),
    [sym_file_redirect] = STATE(541),
    [sym_concatenation] = STATE(539),
    [sym_string] = STATE(251),
    [sym_simple_expansion] = STATE(251),
    [sym_string_expansion] = STATE(251),
    [sym_expansion] = STATE(251),
    [sym_command_substitution] = STATE(251),
    [sym_process_substitution] = STATE(251),
    [aux_sym_command_repeat1] = STATE(541),
    [aux_sym__literal_repeat1] = STATE(452),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [118] = {
    [sym_redirected_statement] = STATE(1313),
    [sym_for_statement] = STATE(1313),
    [sym_c_style_for_statement] = STATE(1313),
    [sym_while_statement] = STATE(1313),
    [sym_if_statement] = STATE(1313),
    [sym_case_statement] = STATE(1313),
    [sym_function_definition] = STATE(1313),
    [sym_compound_statement] = STATE(1313),
    [sym_subshell] = STATE(1313),
    [sym_pipeline] = STATE(1313),
    [sym_list] = STATE(1313),
    [sym_negated_command] = STATE(1313),
    [sym_test_command] = STATE(1313),
    [sym_declaration_command] = STATE(1313),
    [sym_unset_command] = STATE(1313),
    [sym_command] = STATE(1313),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(223),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [119] = {
    [sym_redirected_statement] = STATE(1295),
    [sym_for_statement] = STATE(1295),
    [sym_c_style_for_statement] = STATE(1295),
    [sym_while_statement] = STATE(1295),
    [sym_if_statement] = STATE(1295),
    [sym_case_statement] = STATE(1295),
    [sym_function_definition] = STATE(1295),
    [sym_compound_statement] = STATE(1295),
    [sym_subshell] = STATE(1295),
    [sym_pipeline] = STATE(1295),
    [sym_list] = STATE(1295),
    [sym_negated_command] = STATE(1295),
    [sym_test_command] = STATE(1295),
    [sym_declaration_command] = STATE(1295),
    [sym_unset_command] = STATE(1295),
    [sym_command] = STATE(1295),
    [sym_command_name] = STATE(142),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2463),
    [sym_file_redirect] = STATE(541),
    [sym_concatenation] = STATE(539),
    [sym_string] = STATE(251),
    [sym_simple_expansion] = STATE(251),
    [sym_string_expansion] = STATE(251),
    [sym_expansion] = STATE(251),
    [sym_command_substitution] = STATE(251),
    [sym_process_substitution] = STATE(251),
    [aux_sym_command_repeat1] = STATE(541),
    [aux_sym__literal_repeat1] = STATE(452),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [120] = {
    [sym_redirected_statement] = STATE(1304),
    [sym_for_statement] = STATE(1304),
    [sym_c_style_for_statement] = STATE(1304),
    [sym_while_statement] = STATE(1304),
    [sym_if_statement] = STATE(1304),
    [sym_case_statement] = STATE(1304),
    [sym_function_definition] = STATE(1304),
    [sym_compound_statement] = STATE(1304),
    [sym_subshell] = STATE(1304),
    [sym_pipeline] = STATE(1304),
    [sym_list] = STATE(1304),
    [sym_negated_command] = STATE(1304),
    [sym_test_command] = STATE(1304),
    [sym_declaration_command] = STATE(1304),
    [sym_unset_command] = STATE(1304),
    [sym_command] = STATE(1304),
    [sym_command_name] = STATE(146),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2460),
    [sym_file_redirect] = STATE(570),
    [sym_concatenation] = STATE(565),
    [sym_string] = STATE(270),
    [sym_simple_expansion] = STATE(270),
    [sym_string_expansion] = STATE(270),
    [sym_expansion] = STATE(270),
    [sym_command_substitution] = STATE(270),
    [sym_process_substitution] = STATE(270),
    [aux_sym_command_repeat1] = STATE(570),
    [aux_sym__literal_repeat1] = STATE(313),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [121] = {
    [sym_redirected_statement] = STATE(1305),
    [sym_for_statement] = STATE(1305),
    [sym_c_style_for_statement] = STATE(1305),
    [sym_while_statement] = STATE(1305),
    [sym_if_statement] = STATE(1305),
    [sym_case_statement] = STATE(1305),
    [sym_function_definition] = STATE(1305),
    [sym_compound_statement] = STATE(1305),
    [sym_subshell] = STATE(1305),
    [sym_pipeline] = STATE(1305),
    [sym_list] = STATE(1305),
    [sym_negated_command] = STATE(1305),
    [sym_test_command] = STATE(1305),
    [sym_declaration_command] = STATE(1305),
    [sym_unset_command] = STATE(1305),
    [sym_command] = STATE(1305),
    [sym_command_name] = STATE(146),
    [sym_variable_assignment] = STATE(228),
    [sym_subscript] = STATE(2460),
    [sym_file_redirect] = STATE(570),
    [sym_concatenation] = STATE(565),
    [sym_string] = STATE(270),
    [sym_simple_expansion] = STATE(270),
    [sym_string_expansion] = STATE(270),
    [sym_expansion] = STATE(270),
    [sym_command_substitution] = STATE(270),
    [sym_process_substitution] = STATE(270),
    [aux_sym_command_repeat1] = STATE(570),
    [aux_sym__literal_repeat1] = STATE(313),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [122] = {
    [sym_redirected_statement] = STATE(1319),
    [sym_for_statement] = STATE(1319),
    [sym_c_style_for_statement] = STATE(1319),
    [sym_while_statement] = STATE(1319),
    [sym_if_statement] = STATE(1319),
    [sym_case_statement] = STATE(1319),
    [sym_function_definition] = STATE(1319),
    [sym_compound_statement] = STATE(1319),
    [sym_subshell] = STATE(1319),
    [sym_pipeline] = STATE(1319),
    [sym_list] = STATE(1319),
    [sym_negated_command] = STATE(1319),
    [sym_test_command] = STATE(1319),
    [sym_declaration_command] = STATE(1319),
    [sym_unset_command] = STATE(1319),
    [sym_command] = STATE(1319),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [123] = {
    [sym_redirected_statement] = STATE(1292),
    [sym_for_statement] = STATE(1292),
    [sym_c_style_for_statement] = STATE(1292),
    [sym_while_statement] = STATE(1292),
    [sym_if_statement] = STATE(1292),
    [sym_case_statement] = STATE(1292),
    [sym_function_definition] = STATE(1292),
    [sym_compound_statement] = STATE(1292),
    [sym_subshell] = STATE(1292),
    [sym_pipeline] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_negated_command] = STATE(1292),
    [sym_test_command] = STATE(1292),
    [sym_declaration_command] = STATE(1292),
    [sym_unset_command] = STATE(1292),
    [sym_command] = STATE(1292),
    [sym_command_name] = STATE(147),
    [sym_variable_assignment] = STATE(224),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(626),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(626),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [124] = {
    [sym_redirected_statement] = STATE(1292),
    [sym_for_statement] = STATE(1292),
    [sym_c_style_for_statement] = STATE(1292),
    [sym_while_statement] = STATE(1292),
    [sym_if_statement] = STATE(1292),
    [sym_case_statement] = STATE(1292),
    [sym_function_definition] = STATE(1292),
    [sym_compound_statement] = STATE(1292),
    [sym_subshell] = STATE(1292),
    [sym_pipeline] = STATE(1292),
    [sym_list] = STATE(1292),
    [sym_negated_command] = STATE(1292),
    [sym_test_command] = STATE(1292),
    [sym_declaration_command] = STATE(1292),
    [sym_unset_command] = STATE(1292),
    [sym_command] = STATE(1292),
    [sym_command_name] = STATE(173),
    [sym_variable_assignment] = STATE(254),
    [sym_subscript] = STATE(2494),
    [sym_file_redirect] = STATE(587),
    [sym_concatenation] = STATE(634),
    [sym_string] = STATE(255),
    [sym_simple_expansion] = STATE(255),
    [sym_string_expansion] = STATE(255),
    [sym_expansion] = STATE(255),
    [sym_command_substitution] = STATE(255),
    [sym_process_substitution] = STATE(255),
    [aux_sym_command_repeat1] = STATE(587),
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(255),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(257),
    [anon_sym_typeset] = ACTIONS(257),
    [anon_sym_export] = ACTIONS(257),
    [anon_sym_readonly] = ACTIONS(257),
    [anon_sym_local] = ACTIONS(257),
    [anon_sym_unset] = ACTIONS(259),
    [anon_sym_unsetenv] = ACTIONS(259),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(361), 1,
      sym__simple_heredoc_body,
    ACTIONS(363), 1,
      sym__heredoc_body_beginning,
    STATE(2313), 1,
      sym_heredoc_body,
    ACTIONS(359), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [59] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(371), 1,
      anon_sym_DOLLAR,
    ACTIONS(373), 1,
      sym__special_character,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(379), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(381), 1,
      anon_sym_BQUOTE,
    ACTIONS(385), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(387), 1,
      sym_variable_name,
    STATE(449), 1,
      aux_sym__literal_repeat1,
    STATE(2468), 1,
      sym_subscript,
    ACTIONS(367), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(383), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(365), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(134), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(239), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(369), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [139] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(396), 1,
      anon_sym_DOLLAR,
    ACTIONS(399), 1,
      sym__special_character,
    ACTIONS(402), 1,
      anon_sym_DQUOTE,
    ACTIONS(405), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(408), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(411), 1,
      anon_sym_BQUOTE,
    ACTIONS(417), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(420), 1,
      sym_variable_name,
    STATE(398), 1,
      aux_sym__literal_repeat1,
    STATE(2552), 1,
      sym_subscript,
    ACTIONS(392), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(414), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(389), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(127), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(250), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(394), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [219] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_DOLLAR,
    ACTIONS(427), 1,
      sym__special_character,
    ACTIONS(429), 1,
      anon_sym_DQUOTE,
    ACTIONS(431), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(433), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(435), 1,
      anon_sym_BQUOTE,
    ACTIONS(439), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(441), 1,
      sym_variable_name,
    STATE(316), 1,
      aux_sym__literal_repeat1,
    STATE(2542), 1,
      sym_subscript,
    ACTIONS(437), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(367), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(423), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(133), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(262), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(369), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [299] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(446), 1,
      anon_sym_DOLLAR,
    ACTIONS(449), 1,
      sym__special_character,
    ACTIONS(452), 1,
      anon_sym_DQUOTE,
    ACTIONS(455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(458), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(461), 1,
      anon_sym_BQUOTE,
    ACTIONS(467), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(470), 1,
      sym_variable_name,
    STATE(449), 1,
      aux_sym__literal_repeat1,
    STATE(2468), 1,
      sym_subscript,
    ACTIONS(392), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(464), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(443), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(129), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(239), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(394), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [379] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(476), 1,
      anon_sym_DOLLAR,
    ACTIONS(479), 1,
      sym__special_character,
    ACTIONS(482), 1,
      anon_sym_DQUOTE,
    ACTIONS(485), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(488), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(491), 1,
      anon_sym_BQUOTE,
    ACTIONS(497), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(500), 1,
      sym_variable_name,
    STATE(316), 1,
      aux_sym__literal_repeat1,
    STATE(2542), 1,
      sym_subscript,
    ACTIONS(494), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(392), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(473), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(262), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(394), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [459] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(509), 1,
      anon_sym_DOLLAR,
    ACTIONS(511), 1,
      sym__special_character,
    ACTIONS(513), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(517), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(519), 1,
      anon_sym_BQUOTE,
    ACTIONS(523), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(525), 1,
      sym_variable_name,
    STATE(398), 1,
      aux_sym__literal_repeat1,
    STATE(2552), 1,
      sym_subscript,
    ACTIONS(505), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(521), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(503), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(127), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(250), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(507), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [539] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(509), 1,
      anon_sym_DOLLAR,
    ACTIONS(511), 1,
      sym__special_character,
    ACTIONS(513), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(517), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(519), 1,
      anon_sym_BQUOTE,
    ACTIONS(525), 1,
      sym_variable_name,
    ACTIONS(527), 1,
      aux_sym__simple_variable_name_token1,
    STATE(398), 1,
      aux_sym__literal_repeat1,
    STATE(2552), 1,
      sym_subscript,
    ACTIONS(367), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(521), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(503), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(131), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(250), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(369), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [619] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_DOLLAR,
    ACTIONS(427), 1,
      sym__special_character,
    ACTIONS(429), 1,
      anon_sym_DQUOTE,
    ACTIONS(431), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(433), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(435), 1,
      anon_sym_BQUOTE,
    ACTIONS(441), 1,
      sym_variable_name,
    ACTIONS(529), 1,
      aux_sym__simple_variable_name_token1,
    STATE(316), 1,
      aux_sym__literal_repeat1,
    STATE(2542), 1,
      sym_subscript,
    ACTIONS(437), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(423), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(505), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(262), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(507), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [699] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(371), 1,
      anon_sym_DOLLAR,
    ACTIONS(373), 1,
      sym__special_character,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(377), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(379), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(381), 1,
      anon_sym_BQUOTE,
    ACTIONS(387), 1,
      sym_variable_name,
    ACTIONS(531), 1,
      aux_sym__simple_variable_name_token1,
    STATE(449), 1,
      aux_sym__literal_repeat1,
    STATE(2468), 1,
      sym_subscript,
    ACTIONS(383), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(505), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(365), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(129), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(239), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(507), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [779] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(361), 1,
      sym__simple_heredoc_body,
    ACTIONS(363), 1,
      sym__heredoc_body_beginning,
    ACTIONS(535), 1,
      anon_sym_esac,
    ACTIONS(537), 1,
      anon_sym_SEMI_SEMI,
    STATE(2274), 1,
      sym_heredoc_body,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [840] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(509), 1,
      anon_sym_DOLLAR,
    ACTIONS(511), 1,
      sym__special_character,
    ACTIONS(513), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(517), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(525), 1,
      sym_variable_name,
    ACTIONS(539), 1,
      aux_sym__simple_variable_name_token1,
    STATE(398), 1,
      aux_sym__literal_repeat1,
    STATE(2552), 1,
      sym_subscript,
    ACTIONS(367), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(521), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(503), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(137), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(250), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(369), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(509), 1,
      anon_sym_DOLLAR,
    ACTIONS(511), 1,
      sym__special_character,
    ACTIONS(513), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(517), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(523), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(525), 1,
      sym_variable_name,
    STATE(398), 1,
      aux_sym__literal_repeat1,
    STATE(2552), 1,
      sym_subscript,
    ACTIONS(505), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(521), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(503), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(127), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(250), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(507), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [994] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(549), 1,
      sym_raw_string,
    STATE(369), 1,
      sym_string,
    ACTIONS(541), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(545), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(551), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1055] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(361), 1,
      sym__simple_heredoc_body,
    ACTIONS(363), 1,
      sym__heredoc_body_beginning,
    ACTIONS(553), 1,
      anon_sym_esac,
    ACTIONS(555), 1,
      anon_sym_SEMI_SEMI,
    STATE(2283), 1,
      sym_heredoc_body,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1116] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_DQUOTE,
    ACTIONS(561), 1,
      sym_raw_string,
    STATE(443), 1,
      sym_string,
    ACTIONS(541), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(557), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(563), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DQUOTE,
    ACTIONS(569), 1,
      sym_raw_string,
    STATE(362), 1,
      sym_string,
    ACTIONS(541), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(565), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(571), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 28,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1238] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(567), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(438), 1,
      aux_sym__literal_repeat1,
    ACTIONS(575), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(149), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(573), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1312] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(597), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(599), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(601), 1,
      anon_sym_BQUOTE,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    ACTIONS(595), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(603), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(168), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(589), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(591), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(593), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1386] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_DQUOTE,
    ACTIONS(609), 1,
      sym_raw_string,
    STATE(656), 1,
      sym_string,
    ACTIONS(541), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(605), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(611), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1446] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(615), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(613), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1496] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(597), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(599), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(601), 1,
      anon_sym_BQUOTE,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    ACTIONS(595), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(603), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(165), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(575), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(591), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1570] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(559), 1,
      anon_sym_DQUOTE,
    ACTIONS(621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(625), 1,
      anon_sym_BQUOTE,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(575), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(619), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(150), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1644] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(567), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(438), 1,
      aux_sym__literal_repeat1,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(589), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(154), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(573), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(593), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1718] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(567), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(438), 1,
      aux_sym__literal_repeat1,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(589), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(160), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(573), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(593), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1792] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(559), 1,
      anon_sym_DQUOTE,
    ACTIONS(621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(625), 1,
      anon_sym_BQUOTE,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(589), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(619), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(151), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(593), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1866] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_DOLLAR,
    ACTIONS(642), 1,
      sym__special_character,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(648), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(651), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(654), 1,
      anon_sym_BQUOTE,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(632), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(636), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(657), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(151), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(629), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(634), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1940] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(361), 1,
      sym__simple_heredoc_body,
    ACTIONS(363), 1,
      sym__heredoc_body_beginning,
    ACTIONS(555), 1,
      anon_sym_RPAREN,
    STATE(2265), 1,
      sym_heredoc_body,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1998] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(361), 1,
      sym__simple_heredoc_body,
    ACTIONS(363), 1,
      sym__heredoc_body_beginning,
    ACTIONS(555), 1,
      anon_sym_SEMI_SEMI,
    STATE(2298), 1,
      sym_heredoc_body,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2056] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(567), 1,
      anon_sym_DQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(583), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(585), 1,
      anon_sym_BQUOTE,
    STATE(438), 1,
      aux_sym__literal_repeat1,
    ACTIONS(579), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(587), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(660), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(160), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(573), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(662), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2130] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(559), 1,
      anon_sym_DQUOTE,
    ACTIONS(621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(625), 1,
      anon_sym_BQUOTE,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(619), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(660), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(151), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(662), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2204] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(537), 1,
      ts_builtin_sym_end,
    ACTIONS(664), 1,
      sym__simple_heredoc_body,
    ACTIONS(666), 1,
      sym__heredoc_body_beginning,
    STATE(2264), 1,
      sym_heredoc_body,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(670), 1,
      anon_sym_DQUOTE,
    ACTIONS(672), 1,
      sym_raw_string,
    STATE(561), 1,
      sym_string,
    ACTIONS(541), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(668), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(674), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 25,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2322] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(678), 1,
      anon_sym_DQUOTE,
    ACTIONS(680), 1,
      sym_raw_string,
    STATE(574), 1,
      sym_string,
    ACTIONS(541), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(676), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(682), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 26,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2382] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(361), 1,
      sym__simple_heredoc_body,
    ACTIONS(363), 1,
      sym__heredoc_body_beginning,
    STATE(2304), 1,
      sym_heredoc_body,
    ACTIONS(304), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2438] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(690), 1,
      anon_sym_DOLLAR,
    ACTIONS(693), 1,
      sym__special_character,
    ACTIONS(696), 1,
      anon_sym_DQUOTE,
    ACTIONS(699), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(702), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(705), 1,
      anon_sym_BQUOTE,
    STATE(438), 1,
      aux_sym__literal_repeat1,
    ACTIONS(632), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(687), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(708), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(160), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(684), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(634), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2512] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(559), 1,
      anon_sym_DQUOTE,
    ACTIONS(621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(625), 1,
      anon_sym_BQUOTE,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(589), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(619), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(155), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(593), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2586] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(361), 1,
      sym__simple_heredoc_body,
    ACTIONS(363), 1,
      sym__heredoc_body_beginning,
    ACTIONS(537), 1,
      anon_sym_SEMI_SEMI,
    STATE(2297), 1,
      sym_heredoc_body,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2644] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(359), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2694] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(375), 1,
      anon_sym_DQUOTE,
    ACTIONS(713), 1,
      sym_raw_string,
    STATE(275), 1,
      sym_string,
    ACTIONS(541), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(711), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(715), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 26,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2754] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(597), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(599), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(601), 1,
      anon_sym_BQUOTE,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    ACTIONS(595), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(603), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(166), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(589), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(591), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(593), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2828] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym_DOLLAR,
    ACTIONS(726), 1,
      sym__special_character,
    ACTIONS(729), 1,
      anon_sym_DQUOTE,
    ACTIONS(732), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(735), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(738), 1,
      anon_sym_BQUOTE,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    ACTIONS(720), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(741), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(166), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(632), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(717), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(634), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2902] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(555), 1,
      ts_builtin_sym_end,
    ACTIONS(664), 1,
      sym__simple_heredoc_body,
    ACTIONS(666), 1,
      sym__heredoc_body_beginning,
    STATE(2289), 1,
      sym_heredoc_body,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2960] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(547), 1,
      anon_sym_DQUOTE,
    ACTIONS(597), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(599), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(601), 1,
      anon_sym_BQUOTE,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    ACTIONS(595), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(603), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(166), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(591), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(660), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(662), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3034] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 1,
      anon_sym_DQUOTE,
    ACTIONS(746), 1,
      sym_raw_string,
    STATE(278), 1,
      sym_string,
    ACTIONS(541), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(744), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(748), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3094] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 1,
      anon_sym_DQUOTE,
    ACTIONS(752), 1,
      sym_raw_string,
    STATE(351), 1,
      sym_string,
    ACTIONS(541), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(750), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(754), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 25,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3154] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(361), 1,
      sym__simple_heredoc_body,
    ACTIONS(363), 1,
      sym__heredoc_body_beginning,
    ACTIONS(537), 1,
      anon_sym_RPAREN,
    STATE(2272), 1,
      sym_heredoc_body,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3212] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(361), 1,
      sym__simple_heredoc_body,
    ACTIONS(363), 1,
      sym__heredoc_body_beginning,
    ACTIONS(537), 1,
      anon_sym_BQUOTE,
    STATE(2266), 1,
      sym_heredoc_body,
    ACTIONS(304), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3269] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(559), 1,
      anon_sym_DQUOTE,
    ACTIONS(621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(575), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(619), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(175), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(577), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3340] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_DOLLAR,
    ACTIONS(764), 1,
      sym__special_character,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(772), 1,
      anon_sym_BQUOTE,
    ACTIONS(776), 1,
      aux_sym__simple_variable_name_token1,
    STATE(617), 1,
      aux_sym__literal_repeat1,
    ACTIONS(758), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(190), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(756), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(399), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(760), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3413] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(559), 1,
      anon_sym_DQUOTE,
    ACTIONS(621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(589), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(619), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(151), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(593), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3484] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(559), 1,
      anon_sym_DQUOTE,
    ACTIONS(621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(589), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(619), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(182), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(593), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3555] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_DOLLAR,
    ACTIONS(788), 1,
      sym__special_character,
    ACTIONS(791), 1,
      anon_sym_DQUOTE,
    ACTIONS(794), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(797), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(800), 1,
      anon_sym_BQUOTE,
    ACTIONS(806), 1,
      aux_sym__simple_variable_name_token1,
    STATE(550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(781), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(803), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(177), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(778), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(447), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(783), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3628] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_DQUOTE,
    ACTIONS(813), 1,
      sym_raw_string,
    STATE(658), 1,
      sym_string,
    ACTIONS(541), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(809), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(815), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 26,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3687] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(361), 1,
      sym__simple_heredoc_body,
    ACTIONS(363), 1,
      sym__heredoc_body_beginning,
    ACTIONS(555), 1,
      anon_sym_BQUOTE,
    STATE(2282), 1,
      sym_heredoc_body,
    ACTIONS(304), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3744] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(819), 1,
      sym_raw_string,
    STATE(555), 1,
      sym_string,
    ACTIONS(541), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(817), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(821), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3803] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      anon_sym_DQUOTE,
    ACTIONS(827), 1,
      sym_raw_string,
    STATE(614), 1,
      sym_string,
    ACTIONS(541), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(823), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(829), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 25,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3862] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(559), 1,
      anon_sym_DQUOTE,
    ACTIONS(621), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(623), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(418), 1,
      aux_sym__literal_repeat1,
    ACTIONS(619), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(627), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(660), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(151), 2,
      sym_concatenation,
      aux_sym_command_repeat2,
    ACTIONS(617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(662), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3933] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_DQUOTE,
    ACTIONS(837), 1,
      anon_sym_DOLLAR,
    ACTIONS(839), 1,
      sym__special_character,
    ACTIONS(841), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(843), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(845), 1,
      anon_sym_BQUOTE,
    ACTIONS(849), 1,
      aux_sym__simple_variable_name_token1,
    STATE(550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(833), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(847), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(185), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(831), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(447), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(835), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4006] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      anon_sym_DQUOTE,
    ACTIONS(853), 1,
      anon_sym_DOLLAR,
    ACTIONS(855), 1,
      sym__special_character,
    ACTIONS(857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(861), 1,
      anon_sym_BQUOTE,
    ACTIONS(865), 1,
      aux_sym__simple_variable_name_token1,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    ACTIONS(863), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(187), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(758), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(851), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(319), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(760), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4079] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_DQUOTE,
    ACTIONS(837), 1,
      anon_sym_DOLLAR,
    ACTIONS(839), 1,
      sym__special_character,
    ACTIONS(841), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(843), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(845), 1,
      anon_sym_BQUOTE,
    ACTIONS(867), 1,
      aux_sym__simple_variable_name_token1,
    STATE(550), 1,
      aux_sym__literal_repeat1,
    ACTIONS(758), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(847), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(177), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(831), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(447), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(760), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4152] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_DOLLAR,
    ACTIONS(764), 1,
      sym__special_character,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(772), 1,
      anon_sym_BQUOTE,
    ACTIONS(869), 1,
      aux_sym__simple_variable_name_token1,
    STATE(617), 1,
      aux_sym__literal_repeat1,
    ACTIONS(774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(833), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(174), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(756), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(399), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(835), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4225] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_DOLLAR,
    ACTIONS(877), 1,
      sym__special_character,
    ACTIONS(880), 1,
      anon_sym_DQUOTE,
    ACTIONS(883), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(889), 1,
      anon_sym_BQUOTE,
    ACTIONS(895), 1,
      aux_sym__simple_variable_name_token1,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    ACTIONS(892), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(187), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(781), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(871), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(319), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(783), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4298] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(361), 1,
      sym__simple_heredoc_body,
    ACTIONS(363), 1,
      sym__heredoc_body_beginning,
    STATE(2319), 1,
      sym_heredoc_body,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4353] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      anon_sym_DQUOTE,
    ACTIONS(853), 1,
      anon_sym_DOLLAR,
    ACTIONS(855), 1,
      sym__special_character,
    ACTIONS(857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(861), 1,
      anon_sym_BQUOTE,
    ACTIONS(898), 1,
      aux_sym__simple_variable_name_token1,
    STATE(619), 1,
      aux_sym__literal_repeat1,
    ACTIONS(863), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(184), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(833), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(851), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(319), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(835), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4426] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      anon_sym_DOLLAR,
    ACTIONS(906), 1,
      sym__special_character,
    ACTIONS(909), 1,
      anon_sym_DQUOTE,
    ACTIONS(912), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(915), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(918), 1,
      anon_sym_BQUOTE,
    ACTIONS(924), 1,
      aux_sym__simple_variable_name_token1,
    STATE(617), 1,
      aux_sym__literal_repeat1,
    ACTIONS(781), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(921), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(190), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(900), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(399), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(783), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4499] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(931), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(929), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(927), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4549] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 1,
      sym_variable_name,
    STATE(173), 1,
      sym_command_name,
    STATE(391), 1,
      aux_sym__literal_repeat1,
    STATE(634), 1,
      sym_concatenation,
    STATE(2531), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(587), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1393), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(255), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [4639] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(555), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4689] = 24,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(933), 1,
      sym_variable_name,
    STATE(146), 1,
      sym_command_name,
    STATE(313), 1,
      aux_sym__literal_repeat1,
    STATE(565), 1,
      sym_concatenation,
    STATE(2531), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(570), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1690), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(270), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [4779] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_DOLLAR,
    ACTIONS(764), 1,
      sym__special_character,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(776), 1,
      aux_sym__simple_variable_name_token1,
    STATE(617), 1,
      aux_sym__literal_repeat1,
    ACTIONS(758), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(190), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(756), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(399), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(760), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [4849] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_esac,
    ACTIONS(537), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4901] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(931), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(935), 1,
      anon_sym_esac,
    ACTIONS(929), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(927), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4953] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 1,
      sym_variable_name,
    STATE(147), 1,
      sym_command_name,
    STATE(391), 1,
      aux_sym__literal_repeat1,
    STATE(634), 1,
      sym_concatenation,
    STATE(2531), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(626), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1393), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(255), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5043] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 1,
      sym_variable_name,
    STATE(142), 1,
      sym_command_name,
    STATE(452), 1,
      aux_sym__literal_repeat1,
    STATE(539), 1,
      sym_concatenation,
    STATE(2531), 1,
      sym_subscript,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(217), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(541), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1393), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(251), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5133] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_DOLLAR,
    ACTIONS(764), 1,
      sym__special_character,
    ACTIONS(766), 1,
      anon_sym_DQUOTE,
    ACTIONS(768), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(770), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(937), 1,
      aux_sym__simple_variable_name_token1,
    STATE(617), 1,
      aux_sym__literal_repeat1,
    ACTIONS(774), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(833), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(195), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(756), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(399), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(835), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5203] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(939), 1,
      anon_sym_esac,
    ACTIONS(941), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(929), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(927), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5255] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(941), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(929), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(927), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5305] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(537), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5355] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_esac,
    ACTIONS(555), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5407] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(537), 1,
      ts_builtin_sym_end,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5456] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(941), 1,
      ts_builtin_sym_end,
    ACTIONS(929), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(927), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5505] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(931), 1,
      ts_builtin_sym_end,
    ACTIONS(929), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(927), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5554] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(304), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5601] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(929), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(927), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5648] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(555), 1,
      ts_builtin_sym_end,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5697] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(929), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(927), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5743] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_BQUOTE,
    ACTIONS(929), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(927), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5791] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(931), 1,
      anon_sym_BQUOTE,
    ACTIONS(929), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(927), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5839] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(537), 1,
      anon_sym_BQUOTE,
    ACTIONS(304), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5887] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_BQUOTE,
    ACTIONS(304), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5935] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(304), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(533), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5981] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LF,
    ACTIONS(951), 1,
      anon_sym_RPAREN,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(947), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6041] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      ts_builtin_sym_end,
    ACTIONS(961), 1,
      anon_sym_LF,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(963), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym_variable_name,
    ACTIONS(973), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(975), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6151] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      anon_sym_LF,
    ACTIONS(985), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(535), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(979), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1315), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6211] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(985), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(987), 1,
      anon_sym_LF,
    ACTIONS(951), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(989), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1315), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      sym__concat,
    STATE(256), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(993), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6321] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LF,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1001), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6373] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym_variable_name,
    ACTIONS(973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(975), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6423] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1003), 1,
      ts_builtin_sym_end,
    ACTIONS(1005), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1007), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 1,
      anon_sym_LPAREN,
    ACTIONS(1011), 1,
      sym__concat,
    STATE(243), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      sym__concat,
    STATE(253), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6583] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(999), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1001), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6635] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_RPAREN,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1015), 1,
      anon_sym_LF,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1017), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym_variable_name,
    ACTIONS(973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1315), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(975), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1315), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1001), 9,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      sym__concat,
    STATE(232), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1021), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6844] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1026), 1,
      anon_sym_LF,
    ACTIONS(947), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      sym__concat,
    STATE(259), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1028), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1030), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [6950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 1,
      sym__concat,
    STATE(243), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1034), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 1,
      sym__concat,
    STATE(236), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1021), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 1,
      sym__concat,
    STATE(236), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 1,
      sym__concat,
    STATE(273), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      sym__concat,
    STATE(237), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1049), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7185] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1055), 1,
      anon_sym_LF,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1057), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7242] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 1,
      sym__concat,
    STATE(241), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1021), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      sym__concat,
    STATE(253), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1064), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1062), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1066), 1,
      sym__concat,
    STATE(241), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7383] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_BQUOTE,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1068), 1,
      anon_sym_LF,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1072), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1074), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1070), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 1,
      sym__concat,
    STATE(243), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1064), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1062), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      sym__concat,
    STATE(237), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1034), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(256), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(632), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(634), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(256), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1064), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1062), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      sym__concat,
    STATE(253), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1034), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym__concat,
    STATE(238), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1049), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 1,
      sym__concat,
    STATE(243), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      sym__concat,
    STATE(252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1021), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1081), 1,
      sym__concat,
    STATE(252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym_variable_name,
    ACTIONS(973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(975), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [7914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      sym__concat,
    STATE(253), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      sym__concat,
    STATE(232), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8008] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1085), 1,
      anon_sym_LF,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1017), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym__concat,
    STATE(238), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1028), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1030), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 1,
      sym__concat,
    STATE(260), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 1,
      sym__concat,
    STATE(260), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1021), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      sym__concat,
    STATE(259), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1034), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 1,
      sym__concat,
    STATE(259), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1051), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1049), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8302] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1092), 1,
      anon_sym_LF,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1094), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8359] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1096), 1,
      anon_sym_LF,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1098), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 1,
      sym__concat,
    STATE(237), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1028), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1030), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8463] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      sym__concat,
    STATE(238), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1034), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8510] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1100), 1,
      anon_sym_LF,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1102), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8567] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1072), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1001), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(943), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 1,
      sym__concat,
    STATE(243), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(632), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(634), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(256), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(991), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(993), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(256), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1034), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8759] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_BQUOTE,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1104), 1,
      anon_sym_LF,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1072), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1074), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1106), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(943), 17,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1108), 1,
      sym__concat,
    STATE(273), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1021), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      sym__concat,
    STATE(253), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(632), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(634), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1111), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 1,
      sym__concat,
    STATE(436), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1034), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 1,
      sym__concat,
    STATE(290), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1034), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1111), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1119), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1021), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1123), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1127), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1131), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1135), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1139), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 1,
      sym__concat,
    STATE(286), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1021), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 1,
      sym__concat,
    STATE(291), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1150), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1154), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 1,
      sym__concat,
    STATE(286), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 1,
      sym__concat,
    STATE(291), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1021), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1183), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1150), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1154), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1183), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1193), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1197), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1201), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1205), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1209), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1213), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 1,
      sym__special_character,
    STATE(311), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1217), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      sym__concat,
    STATE(318), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1034), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      sym__special_character,
    STATE(363), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1226), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1228), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      sym__concat,
    STATE(314), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1021), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      sym__special_character,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1237), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1235), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10678] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      sym__special_character,
    STATE(317), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1241), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym__special_character,
    STATE(317), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1217), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      sym__concat,
    STATE(314), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      sym__concat,
    STATE(318), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1252), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1254), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1213), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1209), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1205), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1193), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1197), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1201), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1201), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1197), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1205), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1193), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1183), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1154), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1150), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1127), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1123), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1135), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1021), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 1,
      sym__concat,
    STATE(436), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1028), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1030), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1119), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1139), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1209), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1213), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1111), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1135), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 1,
      sym__concat,
    STATE(287), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1034), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      sym__concat,
    STATE(355), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      sym__concat,
    STATE(355), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1021), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      sym__special_character,
    STATE(311), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1237), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1235), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1139), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1119), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      sym__special_character,
    STATE(363), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1265), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1267), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      sym__concat,
    STATE(354), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1034), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12612] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_DQUOTE,
    ACTIONS(1275), 1,
      sym_raw_string,
    STATE(1371), 1,
      sym_string,
    ACTIONS(541), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1271), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1277), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [12664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1111), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 1,
      sym__special_character,
    STATE(363), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1217), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1119), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1021), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 1,
      sym__concat,
    STATE(290), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1028), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1030), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1111), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1119), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1021), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1123), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1127), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1131), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1021), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      sym__concat,
    STATE(383), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 1,
      sym__special_character,
    STATE(317), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1237), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1235), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      sym__special_character,
    STATE(381), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1217), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1123), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      sym__concat,
    STATE(383), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1021), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1213), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      sym__special_character,
    STATE(437), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1226), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1228), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1209), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1205), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1201), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1197), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1193), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      sym__special_character,
    STATE(311), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1241), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 1,
      sym__concat,
    STATE(287), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1252), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1254), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1127), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__special_character,
    STATE(381), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1292), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      sym__special_character,
    STATE(437), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1265), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1267), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1193), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1197), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1021), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 1,
      sym__concat,
    STATE(354), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1028), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1030), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1201), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1205), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1209), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1213), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1135), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1139), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 1,
      sym__concat,
    STATE(446), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1041), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__special_character,
    STATE(437), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1217), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__special_character,
    STATE(381), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1265), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1267), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      sym__special_character,
    STATE(363), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1292), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1119), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1111), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16214] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      sym__special_character,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1217), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 1,
      sym__concat,
    STATE(446), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1021), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    STATE(379), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1252), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1254), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      sym__special_character,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1241), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1243), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1296), 1,
      sym__special_character,
    STATE(381), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1226), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1228), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1150), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1154), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1183), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1193), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1197), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1201), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 1,
      sym__special_character,
    STATE(437), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1292), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1205), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1209), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1213), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      sym__concat,
    STATE(379), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1034), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      sym__special_character,
    STATE(474), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1237), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1235), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__special_character,
    STATE(474), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1217), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1316), 1,
      sym__special_character,
    STATE(481), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1217), 28,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1034), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1213), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1139), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1135), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1213), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1209), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1205), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1201), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1197), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1193), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1119), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 1,
      sym__special_character,
    STATE(507), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1217), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1021), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1150), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1154), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1183), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(632), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(634), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1150), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1154), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1183), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1193), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1193), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1197), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1131), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1197), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1127), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1139), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1201), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1201), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1135), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1205), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1209), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1209), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1205), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1213), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1123), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 1,
      sym__special_character,
    STATE(540), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1217), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20224] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 1,
      sym_variable_name,
    ACTIONS(1325), 1,
      sym__special_character,
    STATE(148), 1,
      sym_command_name,
    STATE(452), 1,
      aux_sym__literal_repeat1,
    STATE(539), 1,
      sym_concatenation,
    STATE(2531), 1,
      sym_subscript,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(217), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1301), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(251), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [20297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1209), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1213), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1123), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20420] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1331), 1,
      sym_raw_string,
    STATE(1401), 1,
      sym_string,
    ACTIONS(1327), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1333), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [20469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1127), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20510] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_DQUOTE,
    ACTIONS(1275), 1,
      sym_raw_string,
    STATE(1371), 1,
      sym_string,
    ACTIONS(541), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1271), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1277), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [20561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1131), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1337), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 1,
      sym__special_character,
    STATE(507), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1341), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1339), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1021), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1135), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1127), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1111), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [20893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1123), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1021), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1119), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1021), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1119), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1111), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(632), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(634), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(993), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1034), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21385] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 1,
      sym__special_character,
    STATE(540), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1237), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1235), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1034), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21471] = 19,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(933), 1,
      sym_variable_name,
    ACTIONS(1347), 1,
      sym__special_character,
    STATE(143), 1,
      sym_command_name,
    STATE(313), 1,
      aux_sym__literal_repeat1,
    STATE(565), 1,
      sym_concatenation,
    STATE(2531), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1301), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(270), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [21544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1119), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1111), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1034), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      sym__special_character,
    STATE(576), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1217), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1139), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1354), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1213), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1354), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1209), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1205), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22204] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 1,
      sym_variable_name,
    ACTIONS(1356), 1,
      sym__special_character,
    STATE(176), 1,
      sym_command_name,
    STATE(391), 1,
      aux_sym__literal_repeat1,
    STATE(634), 1,
      sym_concatenation,
    STATE(2531), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1301), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(255), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1201), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1197), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1193), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1183), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1154), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1150), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1354), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(632), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(634), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1337), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1127), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1123), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1030), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1021), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1030), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1034), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1119), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1139), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1111), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1135), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1161), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 1,
      sym__special_character,
    STATE(620), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1341), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1339), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1165), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1360), 1,
      sym__special_character,
    STATE(576), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1341), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1339), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 1,
      sym__special_character,
    STATE(620), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1217), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      sym__special_character,
    STATE(481), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1237), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1235), 28,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23851] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(933), 1,
      sym_variable_name,
    ACTIONS(1356), 1,
      sym__special_character,
    STATE(161), 1,
      sym_command_name,
    STATE(391), 1,
      aux_sym__literal_repeat1,
    STATE(634), 1,
      sym_concatenation,
    STATE(2531), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1301), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(255), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [23924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(993), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1193), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1197), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1201), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1205), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24416] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_DQUOTE,
    ACTIONS(1371), 1,
      sym_raw_string,
    STATE(1596), 1,
      sym_string,
    ACTIONS(541), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1367), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1373), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [24467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1337), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1213), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1209), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1205), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1201), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1021), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1197), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1193), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1183), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1034), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1030), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1171), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1154), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1119), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1111), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1150), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1111), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1189), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1185), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1034), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1030), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1337), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1030), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1034), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1354), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1354), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1354), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1034), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1337), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1034), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1034), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1337), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1034), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1030), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25928] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1379), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(1385), 1,
      sym__special_character,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1389), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_BQUOTE,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1393), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1375), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1377), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1546), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [25991] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1379), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(1385), 1,
      sym__special_character,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1389), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_BQUOTE,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1393), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1375), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1395), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1560), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26054] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1379), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(1385), 1,
      sym__special_character,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1389), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_BQUOTE,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1393), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1375), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1397), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1527), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26117] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1379), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(1385), 1,
      sym__special_character,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1389), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_BQUOTE,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1393), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1375), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1399), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1569), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26180] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1379), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(1385), 1,
      sym__special_character,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1389), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_BQUOTE,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1393), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1375), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1401), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1580), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26243] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1379), 1,
      anon_sym_LPAREN,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(1385), 1,
      sym__special_character,
    ACTIONS(1387), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1389), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1391), 1,
      anon_sym_BQUOTE,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1381), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1393), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1375), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1403), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1577), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26306] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1411), 1,
      sym_raw_string,
    STATE(1639), 1,
      sym_string,
    ACTIONS(1405), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1407), 2,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1413), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1415), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(543), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(541), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [26359] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(1421), 1,
      sym_raw_string,
    ACTIONS(1423), 1,
      anon_sym_POUND,
    STATE(1418), 1,
      sym_string,
    ACTIONS(1417), 3,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(543), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      sym_word,
    ACTIONS(1425), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 14,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [26410] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_raw_string,
    STATE(1791), 1,
      sym_string,
    ACTIONS(1427), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1429), 2,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1435), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1437), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(543), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(541), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [26462] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_raw_string,
    STATE(1776), 1,
      sym_string,
    ACTIONS(1439), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1441), 2,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1447), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(543), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(541), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [26514] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1453), 1,
      anon_sym_RBRACE,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1465), 1,
      anon_sym_POUND,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1475), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(913), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1455), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [26579] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1477), 1,
      anon_sym_RBRACE,
    ACTIONS(1481), 1,
      anon_sym_POUND,
    ACTIONS(1483), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1152), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1479), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [26644] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      anon_sym_RBRACE,
    ACTIONS(1489), 1,
      anon_sym_POUND,
    ACTIONS(1491), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(987), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1487), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [26709] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1493), 1,
      anon_sym_RBRACE,
    ACTIONS(1497), 1,
      anon_sym_POUND,
    ACTIONS(1499), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1241), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1495), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [26774] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(1505), 1,
      anon_sym_POUND,
    ACTIONS(1507), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1239), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1503), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [26839] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1509), 1,
      anon_sym_RBRACE,
    ACTIONS(1513), 1,
      anon_sym_POUND,
    ACTIONS(1515), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1245), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1511), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [26904] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1517), 1,
      anon_sym_RBRACE,
    ACTIONS(1521), 1,
      anon_sym_POUND,
    ACTIONS(1523), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1519), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [26969] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(1529), 1,
      anon_sym_POUND,
    ACTIONS(1531), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1253), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1527), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27034] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1533), 1,
      anon_sym_RBRACE,
    ACTIONS(1537), 1,
      anon_sym_POUND,
    ACTIONS(1539), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1535), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27099] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(1545), 1,
      anon_sym_POUND,
    ACTIONS(1547), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(979), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1543), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27164] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1549), 1,
      anon_sym_RBRACE,
    ACTIONS(1553), 1,
      anon_sym_POUND,
    ACTIONS(1555), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1150), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1551), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27229] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1557), 1,
      anon_sym_RBRACE,
    ACTIONS(1561), 1,
      anon_sym_POUND,
    ACTIONS(1563), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1255), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1559), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27294] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1565), 1,
      anon_sym_RBRACE,
    ACTIONS(1569), 1,
      anon_sym_POUND,
    ACTIONS(1571), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1121), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1567), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27359] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    ACTIONS(1577), 1,
      anon_sym_POUND,
    ACTIONS(1579), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(960), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1575), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27424] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1581), 1,
      anon_sym_RBRACE,
    ACTIONS(1585), 1,
      anon_sym_POUND,
    ACTIONS(1587), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1143), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1583), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27489] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1589), 1,
      anon_sym_RBRACE,
    ACTIONS(1593), 1,
      anon_sym_POUND,
    ACTIONS(1595), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1141), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1591), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27554] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1597), 1,
      anon_sym_RBRACE,
    ACTIONS(1601), 1,
      anon_sym_POUND,
    ACTIONS(1603), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1136), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1599), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27619] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1605), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_POUND,
    ACTIONS(1611), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1135), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1607), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27684] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1613), 1,
      anon_sym_RBRACE,
    ACTIONS(1617), 1,
      anon_sym_POUND,
    ACTIONS(1619), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1133), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1615), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27749] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1605), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_POUND,
    ACTIONS(1621), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1135), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1607), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27814] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1623), 1,
      anon_sym_RBRACE,
    ACTIONS(1627), 1,
      anon_sym_POUND,
    ACTIONS(1629), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1256), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1625), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27879] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1631), 1,
      anon_sym_RBRACE,
    ACTIONS(1635), 1,
      anon_sym_POUND,
    ACTIONS(1637), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1127), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1633), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27944] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    ACTIONS(1643), 1,
      anon_sym_POUND,
    ACTIONS(1645), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1125), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1641), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28009] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1647), 1,
      anon_sym_RBRACE,
    ACTIONS(1651), 1,
      anon_sym_POUND,
    ACTIONS(1653), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1649), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28074] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1623), 1,
      anon_sym_RBRACE,
    ACTIONS(1627), 1,
      anon_sym_POUND,
    ACTIONS(1655), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1256), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1625), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28139] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    ACTIONS(1661), 1,
      anon_sym_POUND,
    ACTIONS(1663), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1262), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1659), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28204] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1665), 1,
      anon_sym_RBRACE,
    ACTIONS(1669), 1,
      anon_sym_POUND,
    ACTIONS(1671), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(962), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1667), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28269] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1673), 1,
      anon_sym_RBRACE,
    ACTIONS(1677), 1,
      anon_sym_POUND,
    ACTIONS(1679), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1118), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1675), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28334] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1681), 1,
      anon_sym_RBRACE,
    ACTIONS(1685), 1,
      anon_sym_POUND,
    ACTIONS(1687), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1117), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1683), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28399] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    ACTIONS(1577), 1,
      anon_sym_POUND,
    ACTIONS(1689), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(960), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1575), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28464] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1691), 1,
      anon_sym_RBRACE,
    ACTIONS(1695), 1,
      anon_sym_POUND,
    ACTIONS(1697), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1113), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1693), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28529] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1699), 1,
      anon_sym_RBRACE,
    ACTIONS(1703), 1,
      anon_sym_POUND,
    ACTIONS(1705), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1112), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1701), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28594] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1707), 1,
      anon_sym_RBRACE,
    ACTIONS(1711), 1,
      anon_sym_POUND,
    ACTIONS(1713), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1110), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1709), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28659] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1699), 1,
      anon_sym_RBRACE,
    ACTIONS(1703), 1,
      anon_sym_POUND,
    ACTIONS(1715), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1112), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1701), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28724] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1717), 1,
      anon_sym_RBRACE,
    ACTIONS(1721), 1,
      anon_sym_POUND,
    ACTIONS(1723), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1104), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1719), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28789] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1725), 1,
      anon_sym_RBRACE,
    ACTIONS(1729), 1,
      anon_sym_POUND,
    ACTIONS(1731), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1102), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1727), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28854] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1733), 1,
      anon_sym_RBRACE,
    ACTIONS(1737), 1,
      anon_sym_POUND,
    ACTIONS(1739), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1090), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1735), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28919] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1741), 1,
      anon_sym_RBRACE,
    ACTIONS(1745), 1,
      anon_sym_POUND,
    ACTIONS(1747), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1089), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1743), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28984] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1749), 1,
      anon_sym_RBRACE,
    ACTIONS(1753), 1,
      anon_sym_POUND,
    ACTIONS(1755), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1234), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1751), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29049] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1757), 1,
      anon_sym_RBRACE,
    ACTIONS(1761), 1,
      anon_sym_POUND,
    ACTIONS(1763), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1235), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1759), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29114] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1765), 1,
      anon_sym_RBRACE,
    ACTIONS(1769), 1,
      anon_sym_POUND,
    ACTIONS(1771), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1086), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1767), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29179] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(1777), 1,
      anon_sym_POUND,
    ACTIONS(1779), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(972), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1775), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29244] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1781), 1,
      anon_sym_RBRACE,
    ACTIONS(1785), 1,
      anon_sym_POUND,
    ACTIONS(1787), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1085), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1783), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29309] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      anon_sym_RBRACE,
    ACTIONS(1793), 1,
      anon_sym_POUND,
    ACTIONS(1795), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(895), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1791), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29374] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1781), 1,
      anon_sym_RBRACE,
    ACTIONS(1785), 1,
      anon_sym_POUND,
    ACTIONS(1797), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1085), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1783), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29439] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    ACTIONS(1803), 1,
      anon_sym_POUND,
    ACTIONS(1805), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1078), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1801), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29504] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1807), 1,
      anon_sym_RBRACE,
    ACTIONS(1811), 1,
      anon_sym_POUND,
    ACTIONS(1813), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1163), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1809), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29569] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    ACTIONS(1819), 1,
      anon_sym_POUND,
    ACTIONS(1821), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(995), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1817), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29634] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1823), 1,
      anon_sym_RBRACE,
    ACTIONS(1827), 1,
      anon_sym_POUND,
    ACTIONS(1829), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1002), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1825), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29699] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1831), 1,
      anon_sym_RBRACE,
    ACTIONS(1835), 1,
      anon_sym_POUND,
    ACTIONS(1837), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1063), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1833), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29764] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1839), 1,
      anon_sym_RBRACE,
    ACTIONS(1843), 1,
      anon_sym_POUND,
    ACTIONS(1845), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1060), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1841), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29829] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    ACTIONS(1851), 1,
      anon_sym_POUND,
    ACTIONS(1853), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1003), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1849), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29894] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(1505), 1,
      anon_sym_POUND,
    ACTIONS(1855), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1239), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1503), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29959] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(1861), 1,
      anon_sym_POUND,
    ACTIONS(1863), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1058), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1859), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30024] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(1869), 1,
      anon_sym_POUND,
    ACTIONS(1871), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1076), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1867), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30089] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
    ACTIONS(1877), 1,
      anon_sym_POUND,
    ACTIONS(1879), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1064), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1875), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30154] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1881), 1,
      anon_sym_RBRACE,
    ACTIONS(1885), 1,
      anon_sym_POUND,
    ACTIONS(1887), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1062), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1883), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30219] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1889), 1,
      anon_sym_RBRACE,
    ACTIONS(1893), 1,
      anon_sym_POUND,
    ACTIONS(1895), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1238), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1891), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30284] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1897), 1,
      anon_sym_RBRACE,
    ACTIONS(1901), 1,
      anon_sym_POUND,
    ACTIONS(1903), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1057), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1899), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30349] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1905), 1,
      anon_sym_RBRACE,
    ACTIONS(1909), 1,
      anon_sym_POUND,
    ACTIONS(1911), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1237), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1907), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30414] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(1917), 1,
      anon_sym_POUND,
    ACTIONS(1919), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1159), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1915), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30479] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1921), 1,
      anon_sym_RBRACE,
    ACTIONS(1925), 1,
      anon_sym_POUND,
    ACTIONS(1927), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1157), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1923), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30544] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1929), 1,
      anon_sym_RBRACE,
    ACTIONS(1933), 1,
      anon_sym_POUND,
    ACTIONS(1935), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(958), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1931), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30609] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(1917), 1,
      anon_sym_POUND,
    ACTIONS(1937), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1159), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1915), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30674] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(1943), 1,
      anon_sym_POUND,
    ACTIONS(1945), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1054), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1941), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30739] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1947), 1,
      anon_sym_RBRACE,
    ACTIONS(1951), 1,
      anon_sym_POUND,
    ACTIONS(1953), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1160), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1949), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30804] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_RBRACE,
    ACTIONS(1959), 1,
      anon_sym_POUND,
    ACTIONS(1961), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1056), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1957), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30869] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1963), 1,
      anon_sym_RBRACE,
    ACTIONS(1967), 1,
      anon_sym_POUND,
    ACTIONS(1969), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1049), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1965), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30934] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(1975), 1,
      anon_sym_POUND,
    ACTIONS(1977), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1047), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1973), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30999] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1979), 1,
      anon_sym_RBRACE,
    ACTIONS(1983), 1,
      anon_sym_POUND,
    ACTIONS(1985), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1033), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1981), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31064] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    ACTIONS(1991), 1,
      anon_sym_POUND,
    ACTIONS(1993), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1031), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1989), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31129] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1995), 1,
      anon_sym_RBRACE,
    ACTIONS(1999), 1,
      anon_sym_POUND,
    ACTIONS(2001), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1028), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1997), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31194] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(2007), 1,
      anon_sym_POUND,
    ACTIONS(2009), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1026), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2005), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31259] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_RBRACE,
    ACTIONS(2015), 1,
      anon_sym_POUND,
    ACTIONS(2017), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1006), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2013), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31324] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_RBRACE,
    ACTIONS(1959), 1,
      anon_sym_POUND,
    ACTIONS(2019), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1056), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1957), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31389] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2021), 1,
      anon_sym_RBRACE,
    ACTIONS(2025), 1,
      anon_sym_POUND,
    ACTIONS(2027), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1024), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2023), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31454] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(2007), 1,
      anon_sym_POUND,
    ACTIONS(2029), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1026), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2005), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31519] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2035), 1,
      anon_sym_POUND,
    ACTIONS(2037), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1021), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2033), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31584] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2043), 1,
      anon_sym_POUND,
    ACTIONS(2045), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1019), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2041), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31649] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(2051), 1,
      anon_sym_POUND,
    ACTIONS(2053), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1264), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2049), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31714] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    ACTIONS(2059), 1,
      anon_sym_POUND,
    ACTIONS(2061), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1007), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2057), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31779] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2063), 1,
      anon_sym_RBRACE,
    ACTIONS(2067), 1,
      anon_sym_POUND,
    ACTIONS(2069), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1005), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2065), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31844] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2071), 1,
      anon_sym_RBRACE,
    ACTIONS(2075), 1,
      anon_sym_POUND,
    ACTIONS(2077), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1001), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2073), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31909] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2079), 1,
      anon_sym_RBRACE,
    ACTIONS(2083), 1,
      anon_sym_POUND,
    ACTIONS(2085), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(999), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2081), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31974] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    ACTIONS(2091), 1,
      anon_sym_POUND,
    ACTIONS(2093), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(997), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2089), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32039] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2079), 1,
      anon_sym_RBRACE,
    ACTIONS(2083), 1,
      anon_sym_POUND,
    ACTIONS(2095), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(999), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2081), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32104] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2097), 1,
      anon_sym_RBRACE,
    ACTIONS(2101), 1,
      anon_sym_POUND,
    ACTIONS(2103), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(993), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2099), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32169] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2105), 1,
      anon_sym_RBRACE,
    ACTIONS(2109), 1,
      anon_sym_POUND,
    ACTIONS(2111), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(991), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2107), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32234] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2113), 1,
      anon_sym_RBRACE,
    ACTIONS(2117), 1,
      anon_sym_POUND,
    ACTIONS(2119), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(983), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32299] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2121), 1,
      anon_sym_RBRACE,
    ACTIONS(2125), 1,
      anon_sym_POUND,
    ACTIONS(2127), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(982), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2123), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32364] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2129), 1,
      anon_sym_RBRACE,
    ACTIONS(2133), 1,
      anon_sym_POUND,
    ACTIONS(2135), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(977), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2131), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32429] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_POUND,
    ACTIONS(2143), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1030), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2139), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32494] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    ACTIONS(2149), 1,
      anon_sym_POUND,
    ACTIONS(2151), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1164), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2147), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32559] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2153), 1,
      anon_sym_RBRACE,
    ACTIONS(2157), 1,
      anon_sym_POUND,
    ACTIONS(2159), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1010), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2155), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32624] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(2165), 1,
      anon_sym_POUND,
    ACTIONS(2167), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(976), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2163), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32689] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    ACTIONS(1851), 1,
      anon_sym_POUND,
    ACTIONS(2169), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1003), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1849), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32754] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2171), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 1,
      anon_sym_POUND,
    ACTIONS(2177), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1236), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2173), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32819] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(2183), 1,
      anon_sym_POUND,
    ACTIONS(2185), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(974), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2181), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32884] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2187), 1,
      anon_sym_RBRACE,
    ACTIONS(2191), 1,
      anon_sym_POUND,
    ACTIONS(2193), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1176), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2189), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32949] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(2165), 1,
      anon_sym_POUND,
    ACTIONS(2195), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(976), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2163), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33014] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_RBRACE,
    ACTIONS(2201), 1,
      anon_sym_POUND,
    ACTIONS(2203), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(968), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2199), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33079] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2209), 1,
      anon_sym_POUND,
    ACTIONS(2211), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1184), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2207), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33144] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(2217), 1,
      anon_sym_POUND,
    ACTIONS(2219), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1182), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2215), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33209] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2221), 1,
      anon_sym_RBRACE,
    ACTIONS(2225), 1,
      anon_sym_POUND,
    ACTIONS(2227), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(966), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2223), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33274] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2209), 1,
      anon_sym_POUND,
    ACTIONS(2229), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1184), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2207), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33339] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2231), 1,
      anon_sym_RBRACE,
    ACTIONS(2235), 1,
      anon_sym_POUND,
    ACTIONS(2237), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1012), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2233), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33404] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2239), 1,
      anon_sym_RBRACE,
    ACTIONS(2243), 1,
      anon_sym_POUND,
    ACTIONS(2245), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1027), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2241), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33469] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2247), 1,
      anon_sym_RBRACE,
    ACTIONS(2251), 1,
      anon_sym_POUND,
    ACTIONS(2253), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1029), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2249), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33534] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2255), 1,
      anon_sym_RBRACE,
    ACTIONS(2259), 1,
      anon_sym_POUND,
    ACTIONS(2261), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1120), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2257), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33599] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2263), 1,
      anon_sym_RBRACE,
    ACTIONS(2267), 1,
      anon_sym_POUND,
    ACTIONS(2269), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1185), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2265), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33664] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2271), 1,
      anon_sym_RBRACE,
    ACTIONS(2275), 1,
      anon_sym_POUND,
    ACTIONS(2277), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1188), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2273), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33729] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2279), 1,
      anon_sym_RBRACE,
    ACTIONS(2283), 1,
      anon_sym_POUND,
    ACTIONS(2285), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(956), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2281), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33794] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2287), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_POUND,
    ACTIONS(2293), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1032), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2289), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33859] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2295), 1,
      anon_sym_RBRACE,
    ACTIONS(2299), 1,
      anon_sym_POUND,
    ACTIONS(2301), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1229), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2297), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33924] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2303), 1,
      anon_sym_RBRACE,
    ACTIONS(2307), 1,
      anon_sym_POUND,
    ACTIONS(2309), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1225), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2305), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33989] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2311), 1,
      anon_sym_RBRACE,
    ACTIONS(2315), 1,
      anon_sym_POUND,
    ACTIONS(2317), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1035), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2313), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34054] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2319), 1,
      anon_sym_RBRACE,
    ACTIONS(2323), 1,
      anon_sym_POUND,
    ACTIONS(2325), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1219), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2321), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34119] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2327), 1,
      anon_sym_RBRACE,
    ACTIONS(2331), 1,
      anon_sym_POUND,
    ACTIONS(2333), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1221), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2329), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34184] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_POUND,
    ACTIONS(2341), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1189), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2337), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34249] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2319), 1,
      anon_sym_RBRACE,
    ACTIONS(2323), 1,
      anon_sym_POUND,
    ACTIONS(2343), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1219), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2321), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34314] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2287), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_POUND,
    ACTIONS(2345), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1032), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2289), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34379] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2347), 1,
      anon_sym_RBRACE,
    ACTIONS(2351), 1,
      anon_sym_POUND,
    ACTIONS(2353), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1038), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2349), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34444] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2355), 1,
      anon_sym_RBRACE,
    ACTIONS(2359), 1,
      anon_sym_POUND,
    ACTIONS(2361), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1040), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2357), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34509] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2363), 1,
      anon_sym_RBRACE,
    ACTIONS(2367), 1,
      anon_sym_POUND,
    ACTIONS(2369), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1061), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2365), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34574] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2371), 1,
      anon_sym_RBRACE,
    ACTIONS(2375), 1,
      anon_sym_POUND,
    ACTIONS(2377), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1065), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2373), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34639] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2379), 1,
      anon_sym_RBRACE,
    ACTIONS(2383), 1,
      anon_sym_POUND,
    ACTIONS(2385), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1066), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2381), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34704] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2387), 1,
      anon_sym_RBRACE,
    ACTIONS(2391), 1,
      anon_sym_POUND,
    ACTIONS(2393), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1218), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2389), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34769] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2395), 1,
      anon_sym_RBRACE,
    ACTIONS(2399), 1,
      anon_sym_POUND,
    ACTIONS(2401), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(955), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2397), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34834] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2403), 1,
      anon_sym_RBRACE,
    ACTIONS(2407), 1,
      anon_sym_POUND,
    ACTIONS(2409), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(959), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2405), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34899] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2411), 1,
      anon_sym_RBRACE,
    ACTIONS(2415), 1,
      anon_sym_POUND,
    ACTIONS(2417), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1217), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2413), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34964] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2419), 1,
      anon_sym_RBRACE,
    ACTIONS(2423), 1,
      anon_sym_POUND,
    ACTIONS(2425), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1216), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2421), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35029] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    ACTIONS(2431), 1,
      anon_sym_POUND,
    ACTIONS(2433), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1206), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2429), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35094] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2435), 1,
      anon_sym_RBRACE,
    ACTIONS(2439), 1,
      anon_sym_POUND,
    ACTIONS(2441), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(954), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2437), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35159] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2443), 1,
      anon_sym_RBRACE,
    ACTIONS(2447), 1,
      anon_sym_POUND,
    ACTIONS(2449), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1208), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2445), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35224] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    ACTIONS(2455), 1,
      anon_sym_POUND,
    ACTIONS(2457), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1067), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2453), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35289] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(2463), 1,
      anon_sym_POUND,
    ACTIONS(2465), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1202), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2461), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35354] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(2471), 1,
      anon_sym_POUND,
    ACTIONS(2473), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2469), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35419] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2475), 1,
      anon_sym_RBRACE,
    ACTIONS(2479), 1,
      anon_sym_POUND,
    ACTIONS(2481), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1212), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2477), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35484] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(2471), 1,
      anon_sym_POUND,
    ACTIONS(2483), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2469), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35549] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      anon_sym_RBRACE,
    ACTIONS(2489), 1,
      anon_sym_POUND,
    ACTIONS(2491), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(952), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2487), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35614] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2493), 1,
      anon_sym_RBRACE,
    ACTIONS(2497), 1,
      anon_sym_POUND,
    ACTIONS(2499), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(950), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2495), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35679] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      anon_sym_RBRACE,
    ACTIONS(2489), 1,
      anon_sym_POUND,
    ACTIONS(2501), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(952), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2487), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35744] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(2507), 1,
      anon_sym_POUND,
    ACTIONS(2509), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(946), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2505), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35809] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(2515), 1,
      anon_sym_POUND,
    ACTIONS(2517), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(944), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2513), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35874] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2519), 1,
      anon_sym_RBRACE,
    ACTIONS(2523), 1,
      anon_sym_POUND,
    ACTIONS(2525), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1215), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2521), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35939] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(2531), 1,
      anon_sym_POUND,
    ACTIONS(2533), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(930), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2529), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36004] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2535), 1,
      anon_sym_RBRACE,
    ACTIONS(2539), 1,
      anon_sym_POUND,
    ACTIONS(2541), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(929), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2537), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36069] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2543), 1,
      anon_sym_RBRACE,
    ACTIONS(2547), 1,
      anon_sym_POUND,
    ACTIONS(2549), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(926), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2545), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36134] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    ACTIONS(2555), 1,
      anon_sym_POUND,
    ACTIONS(2557), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(925), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2553), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36199] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2559), 1,
      anon_sym_RBRACE,
    ACTIONS(2563), 1,
      anon_sym_POUND,
    ACTIONS(2565), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(923), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2561), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36264] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    ACTIONS(2555), 1,
      anon_sym_POUND,
    ACTIONS(2567), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(925), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2553), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36329] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2573), 1,
      anon_sym_POUND,
    ACTIONS(2575), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(920), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2571), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36394] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2581), 1,
      anon_sym_POUND,
    ACTIONS(2583), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(918), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2579), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36459] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(2589), 1,
      anon_sym_POUND,
    ACTIONS(2591), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1200), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2587), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36524] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(2597), 1,
      anon_sym_POUND,
    ACTIONS(2599), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1193), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2595), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36589] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2601), 1,
      anon_sym_RBRACE,
    ACTIONS(2605), 1,
      anon_sym_POUND,
    ACTIONS(2607), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1069), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2603), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36654] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2609), 1,
      anon_sym_RBRACE,
    ACTIONS(2613), 1,
      anon_sym_POUND,
    ACTIONS(2615), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(909), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2611), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36719] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2617), 1,
      anon_sym_RBRACE,
    ACTIONS(2621), 1,
      anon_sym_POUND,
    ACTIONS(2623), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(908), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2619), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36784] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2625), 1,
      anon_sym_RBRACE,
    ACTIONS(2629), 1,
      anon_sym_POUND,
    ACTIONS(2631), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(907), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2627), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36849] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2633), 1,
      anon_sym_RBRACE,
    ACTIONS(2637), 1,
      anon_sym_POUND,
    ACTIONS(2639), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(906), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2635), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36914] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2641), 1,
      anon_sym_RBRACE,
    ACTIONS(2645), 1,
      anon_sym_POUND,
    ACTIONS(2647), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(911), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2643), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36979] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2649), 1,
      anon_sym_RBRACE,
    ACTIONS(2653), 1,
      anon_sym_POUND,
    ACTIONS(2655), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1195), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2651), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37044] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2657), 1,
      anon_sym_RBRACE,
    ACTIONS(2661), 1,
      anon_sym_POUND,
    ACTIONS(2663), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(904), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2659), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37109] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2633), 1,
      anon_sym_RBRACE,
    ACTIONS(2637), 1,
      anon_sym_POUND,
    ACTIONS(2665), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(906), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2635), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37174] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(2597), 1,
      anon_sym_POUND,
    ACTIONS(2667), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1193), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2595), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37239] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2669), 1,
      anon_sym_RBRACE,
    ACTIONS(2673), 1,
      anon_sym_POUND,
    ACTIONS(2675), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1192), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2671), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37304] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2677), 1,
      anon_sym_RBRACE,
    ACTIONS(2681), 1,
      anon_sym_POUND,
    ACTIONS(2683), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1191), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2679), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37369] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    ACTIONS(2455), 1,
      anon_sym_POUND,
    ACTIONS(2685), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1067), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2453), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37434] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    ACTIONS(2691), 1,
      anon_sym_POUND,
    ACTIONS(2693), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(901), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2689), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37499] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2699), 1,
      anon_sym_POUND,
    ACTIONS(2701), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(899), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2697), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37564] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2703), 1,
      anon_sym_RBRACE,
    ACTIONS(2707), 1,
      anon_sym_POUND,
    ACTIONS(2709), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2705), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37629] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2711), 1,
      anon_sym_RBRACE,
    ACTIONS(2715), 1,
      anon_sym_POUND,
    ACTIONS(2717), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(927), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2713), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37694] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2719), 1,
      anon_sym_RBRACE,
    ACTIONS(2723), 1,
      anon_sym_POUND,
    ACTIONS(2725), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1072), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2721), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37759] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2727), 1,
      anon_sym_RBRACE,
    ACTIONS(2731), 1,
      anon_sym_POUND,
    ACTIONS(2733), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(928), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2729), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37824] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    ACTIONS(2739), 1,
      anon_sym_POUND,
    ACTIONS(2741), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(931), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2737), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37889] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    ACTIONS(2747), 1,
      anon_sym_POUND,
    ACTIONS(2749), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1081), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2745), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37954] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2751), 1,
      anon_sym_RBRACE,
    ACTIONS(2755), 1,
      anon_sym_POUND,
    ACTIONS(2757), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1227), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2753), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38019] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    ACTIONS(2763), 1,
      anon_sym_POUND,
    ACTIONS(2765), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1228), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2761), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38084] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    ACTIONS(2771), 1,
      anon_sym_POUND,
    ACTIONS(2773), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(932), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2769), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38149] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    ACTIONS(2779), 1,
      anon_sym_POUND,
    ACTIONS(2781), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(894), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2777), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38214] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2783), 1,
      anon_sym_RBRACE,
    ACTIONS(2787), 1,
      anon_sym_POUND,
    ACTIONS(2789), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1091), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2785), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38279] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    ACTIONS(2771), 1,
      anon_sym_POUND,
    ACTIONS(2791), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(932), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2769), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38344] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2793), 1,
      anon_sym_RBRACE,
    ACTIONS(2797), 1,
      anon_sym_POUND,
    ACTIONS(2799), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(936), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2795), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38409] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    ACTIONS(2805), 1,
      anon_sym_POUND,
    ACTIONS(2807), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1092), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2803), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38474] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2809), 1,
      anon_sym_RBRACE,
    ACTIONS(2813), 1,
      anon_sym_POUND,
    ACTIONS(2815), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(938), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2811), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38539] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2817), 1,
      anon_sym_RBRACE,
    ACTIONS(2821), 1,
      anon_sym_POUND,
    ACTIONS(2823), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1179), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2819), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38604] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2825), 1,
      anon_sym_RBRACE,
    ACTIONS(2829), 1,
      anon_sym_POUND,
    ACTIONS(2831), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1170), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2827), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38669] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(2837), 1,
      anon_sym_POUND,
    ACTIONS(2839), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1165), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2835), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38734] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    ACTIONS(2845), 1,
      anon_sym_POUND,
    ACTIONS(2847), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(957), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2843), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38799] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    ACTIONS(2853), 1,
      anon_sym_POUND,
    ACTIONS(2855), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1167), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2851), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38864] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(2837), 1,
      anon_sym_POUND,
    ACTIONS(2857), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1165), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2835), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38929] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
    ACTIONS(2863), 1,
      anon_sym_POUND,
    ACTIONS(2865), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1162), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2861), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38994] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2867), 1,
      anon_sym_RBRACE,
    ACTIONS(2871), 1,
      anon_sym_POUND,
    ACTIONS(2873), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1161), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2869), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39059] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2875), 1,
      anon_sym_RBRACE,
    ACTIONS(2879), 1,
      anon_sym_POUND,
    ACTIONS(2881), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1154), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2877), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39124] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2883), 1,
      anon_sym_RBRACE,
    ACTIONS(2887), 1,
      anon_sym_POUND,
    ACTIONS(2889), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1142), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2885), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39189] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    ACTIONS(2895), 1,
      anon_sym_POUND,
    ACTIONS(2897), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1093), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2893), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39254] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2899), 1,
      anon_sym_RBRACE,
    ACTIONS(2903), 1,
      anon_sym_POUND,
    ACTIONS(2905), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1139), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2901), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39319] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2907), 1,
      anon_sym_RBRACE,
    ACTIONS(2911), 1,
      anon_sym_POUND,
    ACTIONS(2913), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1094), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2909), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39384] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2915), 1,
      anon_sym_RBRACE,
    ACTIONS(2919), 1,
      anon_sym_POUND,
    ACTIONS(2921), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1096), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2917), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39449] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2907), 1,
      anon_sym_RBRACE,
    ACTIONS(2911), 1,
      anon_sym_POUND,
    ACTIONS(2923), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1094), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2909), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39514] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2925), 1,
      anon_sym_RBRACE,
    ACTIONS(2929), 1,
      anon_sym_POUND,
    ACTIONS(2931), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1106), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2927), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39579] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2933), 1,
      anon_sym_RBRACE,
    ACTIONS(2937), 1,
      anon_sym_POUND,
    ACTIONS(2939), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1108), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2935), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39644] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2941), 1,
      anon_sym_RBRACE,
    ACTIONS(2945), 1,
      anon_sym_POUND,
    ACTIONS(2947), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1119), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2943), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39709] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2949), 1,
      anon_sym_RBRACE,
    ACTIONS(2953), 1,
      anon_sym_POUND,
    ACTIONS(2955), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1174), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2951), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39774] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2957), 1,
      anon_sym_RBRACE,
    ACTIONS(2961), 1,
      anon_sym_POUND,
    ACTIONS(2963), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1129), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2959), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39839] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    ACTIONS(2969), 1,
      anon_sym_POUND,
    ACTIONS(2971), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1131), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2967), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39904] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2957), 1,
      anon_sym_RBRACE,
    ACTIONS(2961), 1,
      anon_sym_POUND,
    ACTIONS(2973), 1,
      anon_sym_SLASH,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1129), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2959), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39969] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1839), 1,
      anon_sym_RBRACE,
    ACTIONS(1843), 1,
      anon_sym_POUND,
    ACTIONS(2975), 1,
      sym_regex,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1060), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1841), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40034] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40096] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(2983), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40158] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(2985), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40220] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40282] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40344] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(2991), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40406] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      anon_sym_RBRACE,
    ACTIONS(2995), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(896), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2993), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40468] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40530] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(3001), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(897), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2999), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40592] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2699), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(899), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2697), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40654] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40716] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3003), 1,
      anon_sym_RBRACE,
    ACTIONS(3007), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(898), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3005), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40778] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40840] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40902] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2633), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40964] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2657), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41026] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    ACTIONS(3013), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(985), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3011), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41088] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3009), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41150] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3015), 1,
      anon_sym_RBRACE,
    ACTIONS(3019), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1000), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3017), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41212] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3015), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41274] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41336] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3023), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41398] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3025), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41460] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3027), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41522] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3029), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41584] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3029), 1,
      anon_sym_RBRACE,
    ACTIONS(3033), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(915), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3031), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41646] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3035), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41708] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3035), 1,
      anon_sym_RBRACE,
    ACTIONS(3039), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(916), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3037), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41770] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2581), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(918), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2579), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41832] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41894] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    ACTIONS(3045), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(917), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3043), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41956] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42018] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2569), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42080] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42142] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42204] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42266] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2559), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42328] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2793), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42390] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2809), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42452] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(3049), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(939), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3047), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42514] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2809), 1,
      anon_sym_RBRACE,
    ACTIONS(2813), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(938), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2811), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42576] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3051), 1,
      anon_sym_RBRACE,
    ACTIONS(3055), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(940), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3053), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42638] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3051), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42700] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3057), 1,
      anon_sym_RBRACE,
    ACTIONS(3061), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(948), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3059), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42762] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3057), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42824] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3063), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42886] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3065), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42948] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3067), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43010] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3069), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43072] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43134] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43196] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
    ACTIONS(3077), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(941), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3075), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43258] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43320] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3079), 1,
      anon_sym_RBRACE,
    ACTIONS(3083), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(942), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3081), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43382] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3085), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43444] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(2515), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(944), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2513), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43506] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3087), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43568] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3087), 1,
      anon_sym_RBRACE,
    ACTIONS(3091), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(943), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3089), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43630] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43692] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3095), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BANG,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 1,
      sym__special_character,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      sym_test_operator,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1858), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43756] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43818] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2485), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43880] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2493), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43942] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1665), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44004] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44066] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44128] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44190] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_RBRACE,
    ACTIONS(3121), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(980), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3119), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44252] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3117), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44314] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3123), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44376] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44438] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3127), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44500] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44562] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
    ACTIONS(3133), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(963), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3131), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44624] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3135), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44686] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3135), 1,
      anon_sym_RBRACE,
    ACTIONS(3139), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(964), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3137), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44748] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(1545), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(979), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1543), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44810] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3141), 1,
      anon_sym_RBRACE,
    ACTIONS(3145), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(981), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3143), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44872] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3141), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44934] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2221), 1,
      anon_sym_RBRACE,
    ACTIONS(2225), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(966), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2223), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44996] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3147), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45058] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3147), 1,
      anon_sym_RBRACE,
    ACTIONS(3151), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(965), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3149), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45120] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2221), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45182] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2197), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45244] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    ACTIONS(3157), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(984), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3155), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45306] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45368] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3159), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45430] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3161), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45492] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45554] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2179), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45616] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3163), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45678] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3165), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45740] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BANG,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 1,
      sym__special_character,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      sym_test_operator,
    ACTIONS(3167), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1852), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [45804] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45866] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45928] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3171), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45990] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46052] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3175), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46114] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3175), 1,
      anon_sym_RBRACE,
    ACTIONS(3179), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(988), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3177), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46176] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3181), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46238] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3181), 1,
      anon_sym_RBRACE,
    ACTIONS(3185), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(989), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3183), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46300] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46362] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2105), 1,
      anon_sym_RBRACE,
    ACTIONS(2109), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(991), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2107), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46424] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3187), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46486] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3187), 1,
      anon_sym_RBRACE,
    ACTIONS(3191), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(990), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3189), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46548] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2105), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46610] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3193), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46672] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2097), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46734] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2153), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46796] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2231), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46858] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
    ACTIONS(3199), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1013), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3197), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46920] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2079), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46982] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3195), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47044] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2087), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47106] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2231), 1,
      anon_sym_RBRACE,
    ACTIONS(2235), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1012), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2233), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47168] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    ACTIONS(3205), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1014), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3203), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47230] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3201), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47292] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    ACTIONS(3211), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1015), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3209), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47354] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47416] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3213), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47478] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3215), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47540] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3217), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47602] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3219), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47664] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3221), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47726] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3223), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47788] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47850] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    ACTIONS(3229), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1016), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3227), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47912] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47974] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    ACTIONS(3235), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1017), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3233), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48036] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2043), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1019), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2041), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48098] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48160] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    ACTIONS(3241), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1018), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3239), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48222] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48284] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2311), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48346] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48408] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2287), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48470] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2347), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48532] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48594] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2355), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48656] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2021), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48718] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    ACTIONS(3247), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1041), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3245), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48780] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48842] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2355), 1,
      anon_sym_RBRACE,
    ACTIONS(2359), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1040), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2357), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48904] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3249), 1,
      anon_sym_RBRACE,
    ACTIONS(3253), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1042), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3251), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48966] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3249), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49028] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3255), 1,
      anon_sym_RBRACE,
    ACTIONS(3259), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1043), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3257), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49090] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3255), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49152] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49214] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49276] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3265), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49338] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3267), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49400] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49462] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3271), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49524] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3273), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49586] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3273), 1,
      anon_sym_RBRACE,
    ACTIONS(3277), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1044), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3275), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49648] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3279), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49710] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3279), 1,
      anon_sym_RBRACE,
    ACTIONS(3283), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1045), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3281), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49772] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1453), 1,
      anon_sym_RBRACE,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1465), 1,
      anon_sym_POUND,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(913), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1455), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49834] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 1,
      sym_word,
    ACTIONS(3288), 1,
      anon_sym_RBRACE,
    ACTIONS(3293), 1,
      anon_sym_DOLLAR,
    ACTIONS(3296), 1,
      sym__special_character,
    ACTIONS(3299), 1,
      anon_sym_DQUOTE,
    ACTIONS(3305), 1,
      anon_sym_POUND,
    ACTIONS(3308), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3311), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3314), 1,
      anon_sym_BQUOTE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3302), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3317), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3290), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49896] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(1975), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1047), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1973), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49958] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3320), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50020] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3320), 1,
      anon_sym_RBRACE,
    ACTIONS(3324), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1046), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3322), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50082] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50144] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1963), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50206] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3326), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50268] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3326), 1,
      anon_sym_RBRACE,
    ACTIONS(3330), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(914), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3328), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50330] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1453), 1,
      anon_sym_RBRACE,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50392] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2601), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50454] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1955), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50516] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2641), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50578] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50640] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50702] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2719), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50764] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50826] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    ACTIONS(3336), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1082), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3334), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50888] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50950] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    ACTIONS(2747), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1081), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2745), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51012] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3338), 1,
      anon_sym_RBRACE,
    ACTIONS(3342), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1087), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3340), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51074] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3338), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51136] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3344), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51198] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3346), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51260] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3348), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51322] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3350), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51384] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3350), 1,
      anon_sym_RBRACE,
    ACTIONS(3354), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1073), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3352), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51446] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3356), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51508] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3356), 1,
      anon_sym_RBRACE,
    ACTIONS(3360), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1074), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3358), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51570] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3362), 1,
      anon_sym_RBRACE,
    ACTIONS(3366), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1088), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3364), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51632] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3362), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51694] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3368), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51756] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(1869), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1076), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1867), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51818] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2983), 1,
      anon_sym_RBRACE,
    ACTIONS(3372), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1075), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3370), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51880] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51942] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52004] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3374), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52066] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3376), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52128] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1781), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52190] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52252] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2915), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52314] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2907), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52376] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2925), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52438] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2933), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52500] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3378), 1,
      anon_sym_RBRACE,
    ACTIONS(3382), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1114), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3380), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52562] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3378), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52624] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2933), 1,
      anon_sym_RBRACE,
    ACTIONS(2937), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1108), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2935), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52686] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3384), 1,
      anon_sym_RBRACE,
    ACTIONS(3388), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1115), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3386), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52748] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3390), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52810] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3392), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52872] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3394), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52934] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3396), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52996] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3396), 1,
      anon_sym_RBRACE,
    ACTIONS(3400), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1099), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3398), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53058] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3402), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53120] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3402), 1,
      anon_sym_RBRACE,
    ACTIONS(3406), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1100), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3404), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53182] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3384), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53244] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3408), 1,
      anon_sym_RBRACE,
    ACTIONS(3412), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1116), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3410), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53306] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3408), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53368] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1725), 1,
      anon_sym_RBRACE,
    ACTIONS(1729), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1102), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1727), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53430] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3414), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53492] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3414), 1,
      anon_sym_RBRACE,
    ACTIONS(3418), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1101), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3416), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53554] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1725), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53616] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1717), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53678] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3420), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53740] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3422), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53802] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3424), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53864] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1699), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53926] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1707), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53988] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54050] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2957), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54112] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2899), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54174] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3426), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54236] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3428), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54298] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3430), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54360] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3432), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54422] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3432), 1,
      anon_sym_RBRACE,
    ACTIONS(3436), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1122), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3434), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54484] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3438), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54546] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3438), 1,
      anon_sym_RBRACE,
    ACTIONS(3442), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1123), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3440), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54608] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2883), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54670] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3444), 1,
      anon_sym_RBRACE,
    ACTIONS(3448), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1144), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3446), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54732] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3444), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54794] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    ACTIONS(1643), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1125), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1641), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54856] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3450), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54918] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3450), 1,
      anon_sym_RBRACE,
    ACTIONS(3454), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1124), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3452), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54980] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55042] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1631), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55104] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2883), 1,
      anon_sym_RBRACE,
    ACTIONS(2887), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1142), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2885), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55166] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3456), 1,
      anon_sym_RBRACE,
    ACTIONS(3460), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1145), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3458), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55228] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3456), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55290] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3462), 1,
      anon_sym_RBRACE,
    ACTIONS(3466), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1146), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3464), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55352] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1605), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55414] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3462), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55476] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1613), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55538] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3468), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55600] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3470), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55662] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3472), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55724] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3474), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55786] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3476), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55848] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3478), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55910] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3480), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55972] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3480), 1,
      anon_sym_RBRACE,
    ACTIONS(3484), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1147), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3482), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56034] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3486), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56096] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3486), 1,
      anon_sym_RBRACE,
    ACTIONS(3490), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1148), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3488), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56158] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56220] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BANG,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 1,
      sym__special_character,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      sym_test_operator,
    ACTIONS(3492), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1864), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [56284] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1549), 1,
      anon_sym_RBRACE,
    ACTIONS(1553), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1150), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1551), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56346] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3494), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56408] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3494), 1,
      anon_sym_RBRACE,
    ACTIONS(3498), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1149), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3496), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56470] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1549), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56532] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1477), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56594] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56656] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2825), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56718] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56780] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1921), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56842] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2817), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56904] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3500), 1,
      anon_sym_RBRACE,
    ACTIONS(3504), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1180), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3502), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56966] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3500), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57028] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2817), 1,
      anon_sym_RBRACE,
    ACTIONS(2821), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1179), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2819), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57090] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3506), 1,
      anon_sym_RBRACE,
    ACTIONS(3510), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1186), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3508), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57152] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3506), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57214] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3512), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57276] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3514), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57338] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3516), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57400] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3518), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57462] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3518), 1,
      anon_sym_RBRACE,
    ACTIONS(3522), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1171), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3520), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57524] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3524), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57586] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3524), 1,
      anon_sym_RBRACE,
    ACTIONS(3528), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1172), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3526), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57648] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3530), 1,
      anon_sym_RBRACE,
    ACTIONS(3534), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1187), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3532), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57710] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3530), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57772] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3536), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57834] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2949), 1,
      anon_sym_RBRACE,
    ACTIONS(2953), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1174), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2951), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57896] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3538), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57958] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3538), 1,
      anon_sym_RBRACE,
    ACTIONS(3542), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1173), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3540), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58020] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2949), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58082] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2187), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58144] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3544), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58206] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3546), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58268] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58330] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2213), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58392] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2649), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58454] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58516] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58578] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58640] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3548), 1,
      anon_sym_RBRACE,
    ACTIONS(3552), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1203), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3550), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58702] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3548), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58764] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(2463), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1202), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2461), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58826] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3554), 1,
      anon_sym_RBRACE,
    ACTIONS(3558), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1204), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3556), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58888] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3560), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58950] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3562), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59012] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3554), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59074] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3564), 1,
      anon_sym_RBRACE,
    ACTIONS(3568), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1210), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3566), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59136] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3564), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59198] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3570), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59260] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3572), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59322] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3574), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59384] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3576), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59446] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3576), 1,
      anon_sym_RBRACE,
    ACTIONS(3580), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1198), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3578), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59508] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3582), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59570] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3582), 1,
      anon_sym_RBRACE,
    ACTIONS(3586), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1199), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3584), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59632] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3588), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59694] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    ACTIONS(2431), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1206), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2429), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59756] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3590), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59818] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3590), 1,
      anon_sym_RBRACE,
    ACTIONS(3594), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1205), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3592), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59880] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59942] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2443), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60004] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2327), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60066] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2319), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60128] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2303), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60190] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2295), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60252] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3596), 1,
      anon_sym_RBRACE,
    ACTIONS(3600), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1231), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3598), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60314] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3596), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60376] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3602), 1,
      sym_word,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3606), 1,
      anon_sym_BANG,
    ACTIONS(3608), 1,
      anon_sym_DOLLAR,
    ACTIONS(3610), 1,
      sym__special_character,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(3622), 1,
      sym_test_operator,
    ACTIONS(3624), 1,
      sym_regex,
    STATE(1608), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3612), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1842), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [60440] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2295), 1,
      anon_sym_RBRACE,
    ACTIONS(2299), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1229), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2297), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60502] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3626), 1,
      anon_sym_RBRACE,
    ACTIONS(3630), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3628), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60564] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3626), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60626] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3632), 1,
      anon_sym_RBRACE,
    ACTIONS(3636), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1233), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3634), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60688] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60750] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2475), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60812] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3632), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60874] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3638), 1,
      anon_sym_BANG,
    ACTIONS(3640), 1,
      sym__special_character,
    ACTIONS(3642), 1,
      sym_test_operator,
    ACTIONS(3644), 1,
      sym_regex,
    STATE(1696), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1820), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [60938] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3646), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61000] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3648), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61062] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3650), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61124] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1839), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61186] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61248] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1493), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61310] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61372] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1509), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61434] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1517), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61496] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3652), 1,
      anon_sym_RBRACE,
    ACTIONS(3656), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1248), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3654), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61558] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3652), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61620] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1517), 1,
      anon_sym_RBRACE,
    ACTIONS(1521), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1519), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61682] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_RBRACE,
    ACTIONS(3662), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1249), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3660), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61744] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1375), 1,
      sym_word,
    ACTIONS(1381), 1,
      anon_sym_BANG,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      sym__special_character,
    ACTIONS(3668), 1,
      anon_sym_DQUOTE,
    ACTIONS(3672), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3674), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3676), 1,
      anon_sym_BQUOTE,
    ACTIONS(3680), 1,
      sym_test_operator,
    ACTIONS(3682), 1,
      sym_regex,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3670), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3678), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1538), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61808] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3658), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61870] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3684), 1,
      anon_sym_RBRACE,
    ACTIONS(3688), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1251), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3686), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61932] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3684), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61994] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3690), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62056] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3692), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62118] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BANG,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 1,
      sym__special_character,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      sym_test_operator,
    ACTIONS(3644), 1,
      sym_regex,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1820), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [62182] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3694), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62244] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3696), 1,
      sym_word,
    ACTIONS(3698), 1,
      anon_sym_LPAREN,
    ACTIONS(3700), 1,
      anon_sym_BANG,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3704), 1,
      sym__special_character,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3716), 1,
      sym_test_operator,
    ACTIONS(3718), 1,
      sym_regex,
    STATE(1664), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3706), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1836), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [62308] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1647), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62370] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1623), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62432] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1657), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62494] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62556] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3720), 1,
      anon_sym_RBRACE,
    ACTIONS(3724), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1265), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3722), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62618] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3720), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62680] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(2051), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1264), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2049), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62742] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3726), 1,
      anon_sym_RBRACE,
    ACTIONS(3730), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3728), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62804] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BANG,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 1,
      sym__special_character,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      sym_test_operator,
    ACTIONS(3732), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1850), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [62868] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3726), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62930] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(3734), 1,
      anon_sym_RBRACE,
    ACTIONS(3738), 1,
      anon_sym_POUND,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1268), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3736), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62992] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3734), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63054] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3740), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63116] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BANG,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 1,
      sym__special_character,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      sym_test_operator,
    ACTIONS(3742), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1847), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63180] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3744), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63242] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1451), 1,
      sym_word,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1459), 1,
      sym__special_character,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(2981), 1,
      anon_sym_POUND,
    ACTIONS(3746), 1,
      anon_sym_RBRACE,
    STATE(1730), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1463), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1052), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1553), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63304] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BANG,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 1,
      sym__special_character,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      sym_test_operator,
    ACTIONS(3748), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1846), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63368] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1375), 1,
      sym_word,
    ACTIONS(1381), 1,
      anon_sym_BANG,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      sym__special_character,
    ACTIONS(3668), 1,
      anon_sym_DQUOTE,
    ACTIONS(3672), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3674), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3676), 1,
      anon_sym_BQUOTE,
    ACTIONS(3680), 1,
      sym_test_operator,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3670), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3678), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1538), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(3752), 1,
      sym_raw_string,
    ACTIONS(3754), 1,
      anon_sym_POUND,
    STATE(1684), 1,
      sym_string,
    ACTIONS(3750), 3,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(3756), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 7,
      anon_sym_RBRACE,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(543), 7,
      anon_sym_EQ,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
  [63476] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3696), 1,
      sym_word,
    ACTIONS(3698), 1,
      anon_sym_LPAREN,
    ACTIONS(3700), 1,
      anon_sym_BANG,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3704), 1,
      sym__special_character,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3716), 1,
      sym_test_operator,
    STATE(1664), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3706), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1859), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63537] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BANG,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 1,
      sym__special_character,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      sym_test_operator,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1839), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63598] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3696), 1,
      sym_word,
    ACTIONS(3698), 1,
      anon_sym_LPAREN,
    ACTIONS(3700), 1,
      anon_sym_BANG,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3704), 1,
      sym__special_character,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3716), 1,
      sym_test_operator,
    STATE(1664), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3706), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1836), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63659] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3602), 1,
      sym_word,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3606), 1,
      anon_sym_BANG,
    ACTIONS(3608), 1,
      anon_sym_DOLLAR,
    ACTIONS(3610), 1,
      sym__special_character,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(3622), 1,
      sym_test_operator,
    STATE(1608), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3612), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1855), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63720] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BANG,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 1,
      sym__special_character,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      sym_test_operator,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1854), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63781] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3638), 1,
      anon_sym_BANG,
    ACTIONS(3640), 1,
      sym__special_character,
    ACTIONS(3642), 1,
      sym_test_operator,
    STATE(1696), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1848), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63842] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3638), 1,
      anon_sym_BANG,
    ACTIONS(3640), 1,
      sym__special_character,
    ACTIONS(3642), 1,
      sym_test_operator,
    STATE(1696), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1863), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63903] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BANG,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 1,
      sym__special_character,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      sym_test_operator,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1820), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [63964] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3696), 1,
      sym_word,
    ACTIONS(3698), 1,
      anon_sym_LPAREN,
    ACTIONS(3700), 1,
      anon_sym_BANG,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3704), 1,
      sym__special_character,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3716), 1,
      sym_test_operator,
    STATE(1664), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3706), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1851), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64025] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3602), 1,
      sym_word,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3606), 1,
      anon_sym_BANG,
    ACTIONS(3608), 1,
      anon_sym_DOLLAR,
    ACTIONS(3610), 1,
      sym__special_character,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(3622), 1,
      sym_test_operator,
    STATE(1608), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3612), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1862), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64086] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3638), 1,
      anon_sym_BANG,
    ACTIONS(3640), 1,
      sym__special_character,
    ACTIONS(3642), 1,
      sym_test_operator,
    STATE(1696), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1856), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64147] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1375), 1,
      sym_word,
    ACTIONS(1381), 1,
      anon_sym_BANG,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      sym__special_character,
    ACTIONS(3668), 1,
      anon_sym_DQUOTE,
    ACTIONS(3672), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3674), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3676), 1,
      anon_sym_BQUOTE,
    ACTIONS(3680), 1,
      sym_test_operator,
    STATE(1339), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3670), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3678), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1562), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64208] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3099), 1,
      anon_sym_BANG,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3103), 1,
      sym__special_character,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      sym_test_operator,
    STATE(1678), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1838), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64269] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3602), 1,
      sym_word,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3606), 1,
      anon_sym_BANG,
    ACTIONS(3608), 1,
      anon_sym_DOLLAR,
    ACTIONS(3610), 1,
      sym__special_character,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(3622), 1,
      sym_test_operator,
    STATE(1608), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3612), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1865), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64330] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3696), 1,
      sym_word,
    ACTIONS(3698), 1,
      anon_sym_LPAREN,
    ACTIONS(3700), 1,
      anon_sym_BANG,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3704), 1,
      sym__special_character,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3716), 1,
      sym_test_operator,
    STATE(1664), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3706), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1840), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64391] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3696), 1,
      sym_word,
    ACTIONS(3698), 1,
      anon_sym_LPAREN,
    ACTIONS(3700), 1,
      anon_sym_BANG,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3704), 1,
      sym__special_character,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3716), 1,
      sym_test_operator,
    STATE(1664), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3706), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1845), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64452] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3602), 1,
      sym_word,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3606), 1,
      anon_sym_BANG,
    ACTIONS(3608), 1,
      anon_sym_DOLLAR,
    ACTIONS(3610), 1,
      sym__special_character,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(3622), 1,
      sym_test_operator,
    STATE(1608), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3612), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1606), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1842), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64513] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3097), 1,
      anon_sym_LPAREN,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3638), 1,
      anon_sym_BANG,
    ACTIONS(3640), 1,
      sym__special_character,
    ACTIONS(3642), 1,
      sym_test_operator,
    STATE(1696), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3105), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1571), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1820), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64574] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3696), 1,
      sym_word,
    ACTIONS(3698), 1,
      anon_sym_LPAREN,
    ACTIONS(3700), 1,
      anon_sym_BANG,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3704), 1,
      sym__special_character,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3716), 1,
      sym_test_operator,
    STATE(1664), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3706), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1835), 6,
      sym__expression,
      sym_binary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64635] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_LF,
    ACTIONS(3760), 1,
      anon_sym_DQUOTE,
    ACTIONS(3762), 1,
      sym_raw_string,
    STATE(1926), 1,
      sym_string,
    ACTIONS(3758), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(3764), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(543), 11,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [64678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(975), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [64713] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3766), 1,
      anon_sym_LF,
    ACTIONS(3776), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3779), 1,
      sym_file_descriptor,
    ACTIONS(3773), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1293), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3770), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3768), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [64756] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3782), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      sym_file_descriptor,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1293), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3784), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [64799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(999), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1315), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1001), 16,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [64835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 1,
      sym__special_character,
    STATE(1298), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3790), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3792), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [64871] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LF,
    ACTIONS(951), 1,
      anon_sym_RPAREN,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3788), 1,
      sym_file_descriptor,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(947), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [64919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3796), 1,
      sym__special_character,
    STATE(1298), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1217), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [64955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 1,
      sym__concat,
    STATE(1368), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1034), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [64991] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_DQUOTE,
    ACTIONS(3803), 1,
      anon_sym_LF,
    ACTIONS(3807), 1,
      anon_sym_DOLLAR,
    ACTIONS(3809), 1,
      sym__special_character,
    ACTIONS(3811), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3813), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3815), 1,
      anon_sym_BQUOTE,
    STATE(1937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3817), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1307), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3801), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3805), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1916), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65045] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3827), 1,
      anon_sym_DOLLAR,
    ACTIONS(3829), 1,
      sym_file_descriptor,
    ACTIONS(3832), 1,
      sym_variable_name,
    STATE(2531), 1,
      sym_subscript,
    ACTIONS(3821), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    STATE(1301), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(3824), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3819), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65089] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      ts_builtin_sym_end,
    ACTIONS(961), 1,
      anon_sym_LF,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3837), 1,
      sym_file_descriptor,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(963), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3835), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65137] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3839), 1,
      sym__concat,
    STATE(1303), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1021), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(975), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [65207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(999), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1001), 15,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [65243] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(985), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(987), 1,
      anon_sym_LF,
    ACTIONS(3844), 1,
      sym_file_descriptor,
    ACTIONS(951), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(989), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1315), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3842), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65291] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3849), 1,
      anon_sym_LF,
    ACTIONS(3853), 1,
      anon_sym_DOLLAR,
    ACTIONS(3856), 1,
      sym__special_character,
    ACTIONS(3859), 1,
      anon_sym_DQUOTE,
    ACTIONS(3862), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3865), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3868), 1,
      anon_sym_BQUOTE,
    STATE(1937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3871), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1307), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3846), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3851), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1916), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65345] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1003), 1,
      ts_builtin_sym_end,
    ACTIONS(1005), 1,
      anon_sym_LF,
    ACTIONS(3837), 1,
      sym_file_descriptor,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1007), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3835), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65393] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3837), 1,
      sym_file_descriptor,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3782), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1321), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3784), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3835), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65435] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_DQUOTE,
    ACTIONS(3807), 1,
      anon_sym_DOLLAR,
    ACTIONS(3809), 1,
      sym__special_character,
    ACTIONS(3811), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3813), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3815), 1,
      anon_sym_BQUOTE,
    ACTIONS(3874), 1,
      anon_sym_LF,
    STATE(1937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3817), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1307), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3801), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3876), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1916), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65489] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_BQUOTE,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1068), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      sym_file_descriptor,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1072), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1074), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1070), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65537] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3766), 1,
      anon_sym_LF,
    ACTIONS(3881), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3884), 1,
      sym_file_descriptor,
    ACTIONS(3773), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1312), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3878), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3768), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [65579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(999), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1001), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [65615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1315), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(975), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [65649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(985), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3782), 1,
      anon_sym_LF,
    ACTIONS(3844), 1,
      sym_file_descriptor,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1312), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3842), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3784), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
  [65691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 1,
      sym__special_character,
    STATE(1298), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3887), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3889), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65727] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_RPAREN,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1015), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      sym_file_descriptor,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1017), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      sym__concat,
    STATE(1366), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1034), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [65809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1072), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1001), 16,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 1,
      sym__special_character,
    STATE(1298), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3893), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3895), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [65881] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3903), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3906), 1,
      sym_file_descriptor,
    ACTIONS(3766), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3900), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1321), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3768), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3897), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65923] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_BQUOTE,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1104), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      sym_file_descriptor,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1072), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1074), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1106), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [65971] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      anon_sym_LF,
    ACTIONS(985), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3844), 1,
      sym_file_descriptor,
    ACTIONS(535), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(979), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(981), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(983), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1315), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3842), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [66019] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1096), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      sym_file_descriptor,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1098), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [66064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66095] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1092), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      sym_file_descriptor,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1094), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [66140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66202] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1377), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1043), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66237] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1329), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3913), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3911), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 1,
      sym__concat,
    STATE(1368), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3917), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3919), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym__special_character,
    STATE(1332), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1217), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [66340] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1026), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      sym_file_descriptor,
    ACTIONS(947), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [66387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 1,
      sym__concat,
    STATE(1368), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3911), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3913), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3891), 1,
      sym__concat,
    STATE(1366), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [66548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3928), 1,
      sym__special_character,
    STATE(1332), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3926), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [66581] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3930), 1,
      sym_word,
    ACTIONS(3932), 1,
      anon_sym_esac,
    ACTIONS(3934), 1,
      sym__special_character,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2601), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3936), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1433), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66638] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3930), 1,
      sym_word,
    ACTIONS(3934), 1,
      sym__special_character,
    ACTIONS(3938), 1,
      anon_sym_esac,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3936), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1442), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66726] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1085), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      sym_file_descriptor,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1017), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [66773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1021), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66897] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3930), 1,
      sym_word,
    ACTIONS(3934), 1,
      sym__special_character,
    ACTIONS(3940), 1,
      anon_sym_esac,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2702), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3936), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1383), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 1,
      sym__concat,
    STATE(1368), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3942), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3944), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67082] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3930), 1,
      sym_word,
    ACTIONS(3934), 1,
      sym__special_character,
    ACTIONS(3946), 1,
      anon_sym_esac,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2595), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3936), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1487), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67139] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3930), 1,
      sym_word,
    ACTIONS(3934), 1,
      sym__special_character,
    ACTIONS(3948), 1,
      anon_sym_esac,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2593), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3936), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1461), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1193), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1197), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1201), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1205), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1209), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1213), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1119), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67506] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1329), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3919), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3917), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3950), 1,
      sym__concat,
    STATE(1372), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [67574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1034), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 1,
      sym__concat,
    STATE(1303), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67640] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3930), 1,
      sym_word,
    ACTIONS(3934), 1,
      sym__special_character,
    ACTIONS(3954), 1,
      anon_sym_esac,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2698), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3936), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1404), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67697] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1100), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      sym_file_descriptor,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1102), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [67742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1111), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 1,
      sym__concat,
    STATE(1372), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1021), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [67806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 1,
      sym__concat,
    STATE(1449), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1034), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [67841] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1329), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1034), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1036), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67876] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1055), 1,
      anon_sym_LF,
    ACTIONS(3788), 1,
      sym_file_descriptor,
    ACTIONS(949), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(955), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1057), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1294), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [67921] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3930), 1,
      sym_word,
    ACTIONS(3934), 1,
      sym__special_character,
    ACTIONS(3959), 1,
      anon_sym_esac,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2719), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3936), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1452), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67978] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3961), 1,
      sym__concat,
    STATE(1377), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1021), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1019), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3964), 1,
      sym__concat,
    STATE(1386), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1034), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [68048] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3930), 1,
      sym_word,
    ACTIONS(3934), 1,
      sym__special_character,
    ACTIONS(3966), 1,
      anon_sym_esac,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2725), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3936), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1437), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68105] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3970), 1,
      anon_sym_LPAREN,
    ACTIONS(3972), 1,
      anon_sym_DOLLAR,
    ACTIONS(3974), 1,
      sym__special_character,
    ACTIONS(3976), 1,
      anon_sym_DQUOTE,
    ACTIONS(3978), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3982), 1,
      anon_sym_BQUOTE,
    ACTIONS(3986), 1,
      sym__empty_value,
    STATE(622), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3984), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(664), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(3968), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(346), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      sym__concat,
    ACTIONS(1123), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 1,
      sym__concat,
    ACTIONS(1021), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68217] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3934), 1,
      sym__special_character,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2681), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3936), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3988), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3990), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68299] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(509), 1,
      anon_sym_DOLLAR,
    ACTIONS(3994), 1,
      anon_sym_LPAREN,
    ACTIONS(3996), 1,
      sym__special_character,
    ACTIONS(3998), 1,
      anon_sym_DQUOTE,
    ACTIONS(4000), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4002), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_BQUOTE,
    ACTIONS(4008), 1,
      sym__empty_value,
    STATE(356), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4006), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(608), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(3992), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(258), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      sym__concat,
    STATE(1391), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1041), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68385] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4012), 1,
      sym__special_character,
    STATE(1387), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1217), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1219), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4017), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4019), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4021), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4023), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4025), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 1,
      sym__concat,
    STATE(1391), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1021), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4032), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4036), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 1,
      sym__concat,
    STATE(1449), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3917), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3919), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 1,
      sym__concat,
    ACTIONS(1119), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 1,
      sym__special_character,
    STATE(1497), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3790), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3792), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3944), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4040), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4042), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68761] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4046), 1,
      anon_sym_LPAREN,
    ACTIONS(4048), 1,
      anon_sym_DOLLAR,
    ACTIONS(4050), 1,
      sym__special_character,
    ACTIONS(4052), 1,
      anon_sym_DQUOTE,
    ACTIONS(4054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4056), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4058), 1,
      anon_sym_BQUOTE,
    ACTIONS(4062), 1,
      sym__empty_value,
    STATE(568), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(662), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4044), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(368), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68813] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_DOLLAR,
    ACTIONS(4066), 1,
      anon_sym_LPAREN,
    ACTIONS(4068), 1,
      sym__special_character,
    ACTIONS(4070), 1,
      anon_sym_DQUOTE,
    ACTIONS(4072), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4076), 1,
      anon_sym_BQUOTE,
    ACTIONS(4080), 1,
      sym__empty_value,
    STATE(380), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4078), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(652), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4064), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(234), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 1,
      sym__concat,
    ACTIONS(1111), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 1,
      sym__concat,
    ACTIONS(1161), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 1,
      sym__concat,
    STATE(1449), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3911), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3913), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [68959] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3934), 1,
      sym__special_character,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2663), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3936), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 1,
      sym__concat,
    ACTIONS(1131), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      sym__concat,
    ACTIONS(1165), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym__concat,
    ACTIONS(1173), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym__concat,
    ACTIONS(1173), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69131] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1213), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1215), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69161] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4084), 1,
      anon_sym_LPAREN,
    ACTIONS(4086), 1,
      anon_sym_DOLLAR,
    ACTIONS(4088), 1,
      sym__special_character,
    ACTIONS(4090), 1,
      anon_sym_DQUOTE,
    ACTIONS(4092), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4094), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4096), 1,
      anon_sym_BQUOTE,
    ACTIONS(4100), 1,
      sym__empty_value,
    STATE(471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4098), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(675), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4082), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(429), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69213] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1209), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1211), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69243] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1205), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1207), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69273] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1201), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1203), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69303] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1197), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1199), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69333] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1193), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1195), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4104), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69393] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1137), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69423] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1111), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1113), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4106), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4108), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69483] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1181), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69513] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1169), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4110), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4112), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69573] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1152), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69603] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1148), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69633] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1191), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69663] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1187), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69693] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1179), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4114), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4116), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69753] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1141), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69783] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1133), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      sym__concat,
    ACTIONS(1177), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 1,
      sym__concat,
    STATE(1449), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3942), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3944), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [69877] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3934), 1,
      sym__special_character,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2605), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3936), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69929] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4118), 1,
      sym__special_character,
    STATE(1387), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3889), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3887), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69963] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1129), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [70021] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3934), 1,
      sym__special_character,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2698), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3936), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4120), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4122), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 1,
      sym__special_character,
    STATE(1497), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3893), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3895), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      sym__concat,
    ACTIONS(1185), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70167] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1119), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1121), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70197] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3934), 1,
      sym__special_character,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2603), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3936), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70249] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(543), 1,
      sym_word,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4128), 1,
      sym_raw_string,
    ACTIONS(4130), 1,
      anon_sym_POUND,
    STATE(2003), 1,
      sym_string,
    ACTIONS(4124), 3,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(4132), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
    ACTIONS(541), 8,
      anon_sym_RPAREN,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [70291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4136), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4138), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4140), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4142), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4144), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 1,
      sym__concat,
    ACTIONS(1135), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4148), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4150), 1,
      sym__concat,
    STATE(1303), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1041), 18,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70475] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(4154), 1,
      anon_sym_LPAREN,
    ACTIONS(4156), 1,
      anon_sym_DOLLAR,
    ACTIONS(4158), 1,
      sym__special_character,
    ACTIONS(4160), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4162), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_BQUOTE,
    ACTIONS(4168), 1,
      sym__empty_value,
    STATE(1502), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4166), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1692), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4152), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1495), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      sym__concat,
    ACTIONS(1213), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70557] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3934), 1,
      sym__special_character,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2702), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3936), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70609] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1175), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4172), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 1,
      sym__concat,
    ACTIONS(1209), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3964), 1,
      sym__concat,
    STATE(1386), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3911), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3913), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [70733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4176), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4178), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4180), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 1,
      sym__concat,
    ACTIONS(1205), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4184), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70853] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3934), 1,
      sym__special_character,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3936), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70905] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1175), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym__concat,
    ACTIONS(1201), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      sym__concat,
    ACTIONS(1197), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70995] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1167), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4186), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4188), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3964), 1,
      sym__concat,
    STATE(1386), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3917), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3919), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4192), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4196), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4198), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4200), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4202), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4204), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71209] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1163), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71239] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1125), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71269] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(371), 1,
      anon_sym_DOLLAR,
    ACTIONS(4208), 1,
      anon_sym_LPAREN,
    ACTIONS(4210), 1,
      sym__special_character,
    ACTIONS(4212), 1,
      anon_sym_DQUOTE,
    ACTIONS(4214), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4216), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4218), 1,
      anon_sym_BQUOTE,
    ACTIONS(4222), 1,
      sym__empty_value,
    STATE(315), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4220), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(610), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4206), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(265), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4224), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4226), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4230), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 1,
      sym__special_character,
    STATE(1497), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3887), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3889), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym__concat,
    ACTIONS(1193), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 1,
      sym__concat,
    ACTIONS(1127), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4232), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4234), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3964), 1,
      sym__concat,
    STATE(1386), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3942), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3944), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4236), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4238), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4240), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4242), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      sym__concat,
    ACTIONS(1189), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 1,
      sym__concat,
    ACTIONS(1150), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4244), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4246), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71689] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3934), 1,
      sym__special_character,
    STATE(2263), 1,
      aux_sym__literal_repeat1,
    STATE(2376), 1,
      sym_concatenation,
    STATE(2601), 1,
      sym_last_case_item,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(3936), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3911), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3913), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 1,
      sym__concat,
    ACTIONS(1154), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71801] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1021), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1019), 18,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71831] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4118), 1,
      sym__special_character,
    STATE(1387), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3792), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3790), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      sym__concat,
    ACTIONS(1139), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3919), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      sym__concat,
    ACTIONS(1171), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71955] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3915), 1,
      sym__concat,
    STATE(1329), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1030), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1028), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym__concat,
    ACTIONS(1183), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4248), 1,
      sym__special_character,
    STATE(1497), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1217), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72053] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4253), 1,
      anon_sym_RPAREN,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1520), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72102] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4267), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72133] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1034), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [72193] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4118), 1,
      sym__special_character,
    STATE(1387), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1235), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1237), 15,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72226] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3913), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3911), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4271), 1,
      sym__concat,
    STATE(1510), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1043), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [72288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4277), 1,
      sym__concat,
    ACTIONS(4273), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4275), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [72319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1213), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72348] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4279), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1209), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1205), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4281), 1,
      sym__concat,
    STATE(1510), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1021), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1019), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [72470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4284), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1201), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1197), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72555] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1193), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1183), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72644] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72704] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4290), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1532), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72753] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4292), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1551), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1154), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1150), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72860] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1189), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72920] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4296), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1551), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72969] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4304), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1395), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4300), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [73033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1185), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73062] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73093] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73124] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73155] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4312), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1551), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73204] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4314), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1543), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4316), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73309] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4318), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1525), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73358] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3919), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3917), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4320), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73414] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73445] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4324), 1,
      sym__concat,
    STATE(1655), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1034), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1036), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73478] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym__concat,
    STATE(1550), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73511] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4328), 1,
      sym__concat,
    STATE(1681), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1034), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1036), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [73544] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4330), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1551), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4320), 21,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [73620] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4332), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1581), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4304), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4334), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4300), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [73702] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73733] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73793] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4340), 1,
      sym__concat,
    STATE(1550), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1021), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1019), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73826] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3849), 1,
      anon_sym_RPAREN,
    ACTIONS(4346), 1,
      anon_sym_DOLLAR,
    ACTIONS(4349), 1,
      sym__special_character,
    ACTIONS(4352), 1,
      anon_sym_DQUOTE,
    ACTIONS(4355), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4358), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4361), 1,
      anon_sym_BQUOTE,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4364), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1551), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4343), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1173), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4371), 1,
      sym__concat,
    STATE(1504), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4367), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4369), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [73937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1165), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1161), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73995] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74026] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4375), 1,
      sym__concat,
    STATE(1541), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1034), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1036), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1139), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74088] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4304), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4379), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4300), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [74152] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4381), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4304), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4383), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4300), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [74216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1135), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4371), 1,
      sym__concat,
    STATE(1504), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1034), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1036), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [74278] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4385), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74338] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1127), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4304), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4389), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4300), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [74431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4395), 1,
      sym__concat,
    ACTIONS(4391), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4393), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [74462] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4375), 1,
      sym__concat,
    STATE(1541), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4397), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74495] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4375), 1,
      sym__concat,
    STATE(1541), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1034), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1036), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [74528] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74559] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4407), 1,
      sym__concat,
    ACTIONS(4403), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4405), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [74621] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4409), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4304), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1399), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4300), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [74685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4415), 1,
      sym__concat,
    ACTIONS(4411), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4413), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [74716] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4417), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1589), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4304), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4419), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4300), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [74798] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4421), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1551), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74847] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4423), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74878] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4425), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74909] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4427), 1,
      sym__concat,
    STATE(1584), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1021), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1019), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1123), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74971] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4430), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1551), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75020] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4432), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1586), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75069] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4434), 1,
      sym__special_character,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1217), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1219), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75102] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4257), 1,
      sym__special_character,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4437), 1,
      anon_sym_RPAREN,
    STATE(1988), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1551), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4251), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1955), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75151] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4439), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75182] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4441), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1021), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75242] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4446), 1,
      anon_sym_DOLLAR,
    ACTIONS(4449), 1,
      sym__special_character,
    ACTIONS(4452), 1,
      anon_sym_DQUOTE,
    ACTIONS(4455), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4458), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4461), 1,
      anon_sym_BQUOTE,
    STATE(2288), 1,
      aux_sym__literal_repeat1,
    STATE(2363), 1,
      sym_concatenation,
    ACTIONS(4464), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1593), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4443), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1119), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75320] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_RPAREN,
    ACTIONS(943), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1111), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75380] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1034), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1036), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75409] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2324), 1,
      aux_sym__literal_repeat1,
    STATE(2621), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4469), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2326), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75457] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4148), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4178), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4180), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3911), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3913), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75569] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4485), 1,
      sym__concat,
    STATE(1603), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1021), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1019), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4240), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4242), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4273), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4275), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [75657] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4324), 1,
      sym__concat,
    STATE(1655), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4397), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75689] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2485), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2353), 1,
      aux_sym__literal_repeat1,
    STATE(2710), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4488), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2389), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75737] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4492), 1,
      sym__special_character,
    STATE(1648), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3926), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4490), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75769] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2395), 1,
      aux_sym__literal_repeat1,
    STATE(2701), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4494), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2394), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4106), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4108), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75845] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2817), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2333), 1,
      aux_sym__literal_repeat1,
    STATE(2617), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4496), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2331), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75893] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1549), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2327), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4498), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2329), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4102), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4104), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75969] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75997] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1187), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76025] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1191), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76053] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1148), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76081] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1152), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76109] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76137] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1181), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76165] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1193), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1195), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76193] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1197), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1199), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4138), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4140), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76249] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1201), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1203), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76277] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1205), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1207), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76305] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1209), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1211), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76333] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1213), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1215), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4032), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76389] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2417), 1,
      aux_sym__literal_repeat1,
    STATE(2564), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4500), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2419), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4142), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4144), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76465] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2439), 1,
      aux_sym__literal_repeat1,
    STATE(2622), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4502), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2330), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76513] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2388), 1,
      aux_sym__literal_repeat1,
    STATE(2700), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4504), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76561] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1034), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1036), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [76589] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1605), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2342), 1,
      aux_sym__literal_repeat1,
    STATE(2632), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4506), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2338), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4184), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76665] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2410), 1,
      aux_sym__literal_repeat1,
    STATE(2699), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4508), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2415), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76713] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2421), 1,
      aux_sym__literal_repeat1,
    STATE(2688), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4510), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2420), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76761] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2351), 1,
      aux_sym__literal_repeat1,
    STATE(2634), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4512), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2348), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76809] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1111), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1113), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4244), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4246), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4136), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [76893] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2367), 1,
      aux_sym__literal_repeat1,
    STATE(2723), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4514), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2359), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76941] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1137), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76969] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76997] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2391), 1,
      aux_sym__literal_repeat1,
    STATE(2706), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4516), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2390), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77045] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1623), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2427), 1,
      aux_sym__literal_repeat1,
    STATE(2572), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4518), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2428), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4110), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4112), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77121] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4520), 1,
      sym__special_character,
    STATE(1648), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1217), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1219), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77153] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2384), 1,
      aux_sym__literal_repeat1,
    STATE(2714), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4523), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2387), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77201] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2323), 1,
      aux_sym__literal_repeat1,
    STATE(2680), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4525), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2440), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77249] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4328), 1,
      sym__concat,
    STATE(1681), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4397), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4176), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77309] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2438), 1,
      aux_sym__literal_repeat1,
    STATE(2685), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4527), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2436), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77357] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1354), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1352), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77385] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4529), 1,
      sym__concat,
    STATE(1603), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77417] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2373), 1,
      aux_sym__literal_repeat1,
    STATE(2602), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4531), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2371), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3988), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3990), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77493] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1167), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77521] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1141), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4023), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4025), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77577] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2883), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2344), 1,
      aux_sym__literal_repeat1,
    STATE(2633), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4533), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2346), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77625] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2949), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2337), 1,
      aux_sym__literal_repeat1,
    STATE(2616), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4535), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2339), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77673] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1163), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77701] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4537), 1,
      sym__special_character,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3926), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4490), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77733] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1119), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1121), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4019), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4021), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77789] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1356), 1,
      sym__special_character,
    ACTIONS(4541), 1,
      sym_regex,
    STATE(466), 1,
      aux_sym__literal_repeat1,
    STATE(518), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4539), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(274), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77837] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2354), 1,
      aux_sym__literal_repeat1,
    STATE(2636), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4543), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2358), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77885] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1699), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2365), 1,
      aux_sym__literal_repeat1,
    STATE(2644), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4545), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2364), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77933] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2205), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2340), 1,
      aux_sym__literal_repeat1,
    STATE(2615), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4547), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2361), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77981] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_DOLLAR,
    ACTIONS(4551), 1,
      sym__special_character,
    ACTIONS(4553), 1,
      anon_sym_DQUOTE,
    ACTIONS(4555), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4557), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4559), 1,
      anon_sym_BQUOTE,
    STATE(1937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4561), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1300), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4549), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1916), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78027] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2362), 1,
      aux_sym__literal_repeat1,
    STATE(2589), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4563), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2360), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78075] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1337), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1335), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4186), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4188), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78131] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2422), 1,
      aux_sym__literal_repeat1,
    STATE(2687), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4565), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78179] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1141), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78207] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1137), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78235] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4567), 1,
      sym__special_character,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3926), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4490), 13,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78267] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4569), 1,
      sym__special_character,
    STATE(1679), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1217), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1219), 13,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78299] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2368), 1,
      aux_sym__literal_repeat1,
    STATE(2645), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4572), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2366), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78347] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4574), 1,
      sym__concat,
    STATE(1584), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1043), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78379] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(1325), 1,
      sym__special_character,
    ACTIONS(4578), 1,
      sym_regex,
    STATE(416), 1,
      aux_sym__literal_repeat1,
    STATE(596), 1,
      sym_concatenation,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4576), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(269), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4236), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4238), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1113), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3917), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3919), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4190), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4192), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78539] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2079), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2430), 1,
      aux_sym__literal_repeat1,
    STATE(2686), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4580), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2431), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4198), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4200), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4017), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4036), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1121), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78699] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1030), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1028), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78727] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2357), 1,
      aux_sym__literal_repeat1,
    STATE(2722), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4582), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2374), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4196), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4172), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78831] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym__special_character,
    STATE(1740), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3926), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4490), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3944), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1019), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78919] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2319), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2402), 1,
      aux_sym__literal_repeat1,
    STATE(2570), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4586), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2400), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4040), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4042), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78995] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1213), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1215), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79023] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1209), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1211), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79051] = 13,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1347), 1,
      sym__special_character,
    ACTIONS(4590), 1,
      sym_regex,
    STATE(439), 1,
      aux_sym__literal_repeat1,
    STATE(564), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4588), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(247), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4232), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4234), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79127] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2381), 1,
      aux_sym__literal_repeat1,
    STATE(2596), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4592), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2322), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79175] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1205), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1207), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79203] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2295), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2413), 1,
      aux_sym__literal_repeat1,
    STATE(2586), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4594), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2411), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79251] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1201), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1203), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79279] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1197), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1199), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79307] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1193), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1195), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79335] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2933), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2369), 1,
      aux_sym__literal_repeat1,
    STATE(2647), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4596), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79383] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1781), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2396), 1,
      aux_sym__literal_repeat1,
    STATE(2673), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4598), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2392), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79431] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2633), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2731), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4600), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2336), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4604), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79507] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2907), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2379), 1,
      aux_sym__literal_repeat1,
    STATE(2651), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4606), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2380), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4610), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79583] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1181), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79611] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79639] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2399), 1,
      aux_sym__literal_repeat1,
    STATE(2588), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4612), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2405), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1125), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79715] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1152), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79743] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1021), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1019), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79771] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2398), 1,
      aux_sym__literal_repeat1,
    STATE(2658), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4614), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4120), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4122), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79847] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1148), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4230), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79903] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2383), 1,
      aux_sym__literal_repeat1,
    STATE(2718), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4616), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2377), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79951] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2435), 1,
      aux_sym__literal_repeat1,
    STATE(2577), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4618), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2433), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4114), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4116), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4624), 1,
      sym__special_character,
    STATE(1737), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4620), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4622), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80059] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1125), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80087] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1133), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80115] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2345), 1,
      aux_sym__literal_repeat1,
    STATE(2732), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4626), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2328), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1129), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80191] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1163), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80219] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1167), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 1,
      sym__special_character,
    STATE(1737), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1217), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1219), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80279] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2287), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2447), 1,
      aux_sym__literal_repeat1,
    STATE(2676), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4631), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2448), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1133), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80355] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4633), 1,
      sym__special_character,
    STATE(1740), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1217), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1219), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80387] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_DOLLAR,
    ACTIONS(4551), 1,
      sym__special_character,
    ACTIONS(4553), 1,
      anon_sym_DQUOTE,
    ACTIONS(4555), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4557), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4559), 1,
      anon_sym_BQUOTE,
    STATE(1937), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4561), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1310), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4549), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1916), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80433] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1517), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2445), 1,
      aux_sym__literal_repeat1,
    STATE(2575), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4636), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2443), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80481] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2451), 1,
      aux_sym__literal_repeat1,
    STATE(2677), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4638), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2449), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80529] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2441), 1,
      aux_sym__literal_repeat1,
    STATE(2674), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4640), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2442), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80577] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2407), 1,
      aux_sym__literal_repeat1,
    STATE(2697), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4642), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2393), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4391), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4393), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1215), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1211), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80709] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1129), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1207), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80765] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1453), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2332), 1,
      aux_sym__literal_repeat1,
    STATE(2729), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4644), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2352), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80813] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2403), 1,
      aux_sym__literal_repeat1,
    STATE(2659), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4646), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2406), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80861] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2426), 1,
      aux_sym__literal_repeat1,
    STATE(2665), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4648), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2423), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4224), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4226), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1203), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4202), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4204), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1199), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1195), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1181), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1169), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1152), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1148), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81161] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2432), 1,
      aux_sym__literal_repeat1,
    STATE(2561), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4650), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2429), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1191), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1187), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81265] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2414), 1,
      aux_sym__literal_repeat1,
    STATE(2664), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4652), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2418), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1179), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81341] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81369] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81397] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1129), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81425] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1125), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1175), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1175), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1167), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1163), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81565] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1111), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1113), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81593] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1021), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1019), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81621] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1119), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1121), 14,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81649] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1133), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81677] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1141), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81733] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1187), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81761] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1191), 15,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1137), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81817] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4473), 1,
      sym__special_character,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    STATE(2446), 1,
      aux_sym__literal_repeat1,
    STATE(2675), 1,
      sym_concatenation,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4654), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2444), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81865] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1133), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81892] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4320), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4656), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81919] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3608), 1,
      anon_sym_DOLLAR,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(4660), 1,
      sym__special_character,
    STATE(2302), 1,
      aux_sym__literal_repeat1,
    STATE(2473), 1,
      sym_concatenation,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4658), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2424), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81964] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1137), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81991] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_DOLLAR,
    ACTIONS(4666), 1,
      sym__special_character,
    ACTIONS(4668), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    STATE(2208), 1,
      aux_sym__literal_repeat1,
    STATE(2291), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4662), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2210), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82036] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1111), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1113), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82063] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1152), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82090] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1148), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82117] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1169), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82144] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1181), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82171] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1193), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1195), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82198] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1197), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1199), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82225] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1201), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1203), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82252] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1205), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1207), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82279] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1141), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82306] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1209), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1211), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82333] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1119), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1121), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82360] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1034), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1036), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82387] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1213), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1215), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82414] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1021), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1019), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82441] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1034), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1036), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82468] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(4156), 1,
      anon_sym_DOLLAR,
    ACTIONS(4158), 1,
      sym__special_character,
    ACTIONS(4160), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4162), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_BQUOTE,
    STATE(1491), 1,
      aux_sym__literal_repeat1,
    STATE(1503), 1,
      sym_concatenation,
    ACTIONS(4166), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4678), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1330), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82513] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1191), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82540] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1187), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82567] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_DOLLAR,
    ACTIONS(4684), 1,
      sym__special_character,
    ACTIONS(4686), 1,
      anon_sym_DQUOTE,
    ACTIONS(4688), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4690), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_BQUOTE,
    STATE(1320), 1,
      aux_sym__literal_repeat1,
    STATE(1397), 1,
      sym_concatenation,
    ACTIONS(4694), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4680), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1432), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82612] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_DOLLAR,
    ACTIONS(4684), 1,
      sym__special_character,
    ACTIONS(4686), 1,
      anon_sym_DQUOTE,
    ACTIONS(4688), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4690), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_BQUOTE,
    STATE(1296), 1,
      aux_sym__literal_repeat1,
    STATE(1488), 1,
      sym_concatenation,
    ACTIONS(4694), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4696), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1403), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1034), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1036), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82684] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1125), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82711] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1163), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82738] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_DOLLAR,
    ACTIONS(4686), 1,
      anon_sym_DQUOTE,
    ACTIONS(4688), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4690), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_BQUOTE,
    ACTIONS(4700), 1,
      sym__special_character,
    STATE(1316), 1,
      aux_sym__literal_repeat1,
    STATE(1493), 1,
      sym_concatenation,
    ACTIONS(4694), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4698), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1331), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82783] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_DOLLAR,
    ACTIONS(4686), 1,
      anon_sym_DQUOTE,
    ACTIONS(4688), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4690), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_BQUOTE,
    ACTIONS(4700), 1,
      sym__special_character,
    STATE(1296), 1,
      aux_sym__literal_repeat1,
    STATE(1488), 1,
      sym_concatenation,
    ACTIONS(4694), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4702), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1336), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82828] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_DOLLAR,
    ACTIONS(4684), 1,
      sym__special_character,
    ACTIONS(4686), 1,
      anon_sym_DQUOTE,
    ACTIONS(4688), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4690), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_BQUOTE,
    STATE(1316), 1,
      aux_sym__literal_repeat1,
    STATE(1493), 1,
      sym_concatenation,
    ACTIONS(4694), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4704), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1394), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82873] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_DOLLAR,
    ACTIONS(4666), 1,
      sym__special_character,
    ACTIONS(4668), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    STATE(2195), 1,
      aux_sym__literal_repeat1,
    STATE(2290), 1,
      sym_concatenation,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4706), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2196), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82918] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4316), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4708), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82945] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4320), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4656), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82972] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(4156), 1,
      anon_sym_DOLLAR,
    ACTIONS(4158), 1,
      sym__special_character,
    ACTIONS(4160), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4162), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_BQUOTE,
    STATE(1434), 1,
      aux_sym__literal_repeat1,
    STATE(1537), 1,
      sym_concatenation,
    ACTIONS(4166), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4710), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1365), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83017] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3934), 1,
      sym__special_character,
    STATE(2314), 1,
      aux_sym__literal_repeat1,
    STATE(2456), 1,
      sym_concatenation,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4712), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2294), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83062] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3608), 1,
      anon_sym_DOLLAR,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(4660), 1,
      sym__special_character,
    STATE(2309), 1,
      aux_sym__literal_repeat1,
    STATE(2464), 1,
      sym_concatenation,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4714), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2434), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83107] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1034), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1036), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [83134] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1167), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83161] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83188] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4284), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4716), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83215] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1175), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83242] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1129), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83269] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 14,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83296] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_DOLLAR,
    ACTIONS(4722), 1,
      sym__special_character,
    ACTIONS(4724), 1,
      anon_sym_DQUOTE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4730), 1,
      anon_sym_BQUOTE,
    STATE(1439), 1,
      aux_sym__literal_repeat1,
    STATE(1697), 1,
      sym_concatenation,
    ACTIONS(4732), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4718), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83341] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_DOLLAR,
    ACTIONS(4686), 1,
      anon_sym_DQUOTE,
    ACTIONS(4688), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4690), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_BQUOTE,
    ACTIONS(4700), 1,
      sym__special_character,
    STATE(1320), 1,
      aux_sym__literal_repeat1,
    STATE(1397), 1,
      sym_concatenation,
    ACTIONS(4694), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4734), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1351), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83386] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_DOLLAR,
    ACTIONS(4722), 1,
      sym__special_character,
    ACTIONS(4724), 1,
      anon_sym_DQUOTE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4730), 1,
      anon_sym_BQUOTE,
    STATE(1477), 1,
      aux_sym__literal_repeat1,
    STATE(1685), 1,
      sym_concatenation,
    ACTIONS(4732), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4736), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1467), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83431] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_DOLLAR,
    ACTIONS(4722), 1,
      sym__special_character,
    ACTIONS(4724), 1,
      anon_sym_DQUOTE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4730), 1,
      anon_sym_BQUOTE,
    STATE(1396), 1,
      aux_sym__literal_repeat1,
    STATE(1602), 1,
      sym_concatenation,
    ACTIONS(4732), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4738), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1456), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83476] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RPAREN,
    ACTIONS(4744), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4748), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4746), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4742), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [83508] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4320), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4656), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83534] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3608), 1,
      anon_sym_DOLLAR,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(4752), 1,
      anon_sym_RBRACK,
    ACTIONS(4754), 1,
      sym__special_character,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4750), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1805), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83576] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4760), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [83608] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4760), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [83640] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_RPAREN,
    ACTIONS(4744), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4748), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4746), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4742), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [83672] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4320), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4656), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83698] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4320), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4656), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83724] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4320), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4656), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83750] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4316), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4708), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83776] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_RPAREN,
    ACTIONS(4744), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4748), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4746), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4742), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [83808] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4760), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [83840] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4760), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [83872] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4772), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4774), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4770), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [83904] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_LF,
    ACTIONS(4778), 1,
      anon_sym_DQUOTE,
    ACTIONS(4780), 1,
      sym_raw_string,
    STATE(2214), 1,
      sym_string,
    ACTIONS(543), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4776), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(4782), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [83940] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4760), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [83972] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_RPAREN,
    ACTIONS(4744), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4748), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4746), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4742), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84004] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3095), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4760), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84036] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4284), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4716), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84062] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4760), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84094] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_RBRACK,
    ACTIONS(4792), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4794), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4790), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84126] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4772), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4774), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4770), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84158] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4284), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4716), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84184] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4760), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84216] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_RPAREN,
    ACTIONS(4744), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4748), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4746), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4742), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84248] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4316), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4708), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84274] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3608), 1,
      anon_sym_DOLLAR,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(4754), 1,
      sym__special_character,
    ACTIONS(4802), 1,
      anon_sym_RBRACK,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4750), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1805), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84316] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_RBRACK,
    ACTIONS(4792), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4794), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4790), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84348] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4772), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4774), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4770), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84380] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4760), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4764), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4762), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4758), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84412] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RBRACK,
    ACTIONS(4792), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4794), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4790), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84444] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(853), 1,
      anon_sym_DOLLAR,
    ACTIONS(4806), 1,
      anon_sym_DQUOTE,
    ACTIONS(4808), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4810), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4812), 1,
      anon_sym_BQUOTE,
    ACTIONS(4814), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4804), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(609), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84481] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3101), 1,
      anon_sym_DOLLAR,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4816), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1722), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84518] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3972), 1,
      anon_sym_DOLLAR,
    ACTIONS(3976), 1,
      anon_sym_DQUOTE,
    ACTIONS(3978), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3982), 1,
      anon_sym_BQUOTE,
    ACTIONS(3984), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4818), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(552), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84555] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3702), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4820), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1777), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_LF,
    ACTIONS(4822), 1,
      sym__concat,
    STATE(1919), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [84621] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    ACTIONS(4826), 1,
      anon_sym_DOLLAR,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4824), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2459), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84658] = 9,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4828), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84695] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(4832), 1,
      anon_sym_DOLLAR,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4830), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(428), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84732] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_DQUOTE,
    ACTIONS(4214), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4216), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4218), 1,
      anon_sym_BQUOTE,
    ACTIONS(4836), 1,
      anon_sym_DOLLAR,
    ACTIONS(4220), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4834), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84769] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(4160), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4162), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_BQUOTE,
    ACTIONS(4840), 1,
      anon_sym_DOLLAR,
    ACTIONS(4166), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4838), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1490), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84806] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_DOLLAR,
    ACTIONS(4553), 1,
      anon_sym_DQUOTE,
    ACTIONS(4555), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4557), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4559), 1,
      anon_sym_BQUOTE,
    ACTIONS(4561), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4842), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1932), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84843] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_DQUOTE,
    ACTIONS(4092), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4094), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4096), 1,
      anon_sym_BQUOTE,
    ACTIONS(4846), 1,
      anon_sym_DOLLAR,
    ACTIONS(4098), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4844), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(509), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84880] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4553), 1,
      anon_sym_DQUOTE,
    ACTIONS(4555), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4557), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4559), 1,
      anon_sym_BQUOTE,
    ACTIONS(4848), 1,
      anon_sym_DOLLAR,
    ACTIONS(4561), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4842), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1932), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84917] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_DOLLAR,
    ACTIONS(4854), 1,
      anon_sym_DQUOTE,
    ACTIONS(4856), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4858), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4860), 1,
      anon_sym_BQUOTE,
    ACTIONS(4862), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4850), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(559), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84954] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(4866), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4864), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1698), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84991] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(4868), 1,
      anon_sym_DOLLAR,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4750), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1805), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85028] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(4870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4820), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1777), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85065] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(371), 1,
      anon_sym_DOLLAR,
    ACTIONS(4212), 1,
      anon_sym_DQUOTE,
    ACTIONS(4214), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4216), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4218), 1,
      anon_sym_BQUOTE,
    ACTIONS(4220), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4834), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(372), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85102] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4052), 1,
      anon_sym_DQUOTE,
    ACTIONS(4054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4056), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4058), 1,
      anon_sym_BQUOTE,
    ACTIONS(4874), 1,
      anon_sym_DOLLAR,
    ACTIONS(4060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4872), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(557), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85139] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4471), 1,
      anon_sym_DOLLAR,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4481), 1,
      anon_sym_BQUOTE,
    ACTIONS(4483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4824), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2459), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85176] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1383), 1,
      anon_sym_DOLLAR,
    ACTIONS(3668), 1,
      anon_sym_DQUOTE,
    ACTIONS(3672), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3674), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3676), 1,
      anon_sym_BQUOTE,
    ACTIONS(3678), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4876), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85213] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4880), 1,
      anon_sym_DOLLAR,
    ACTIONS(4882), 1,
      anon_sym_DQUOTE,
    ACTIONS(4884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4888), 1,
      anon_sym_BQUOTE,
    ACTIONS(4890), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4878), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(647), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85250] = 9,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4828), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(376), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85287] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_DQUOTE,
    ACTIONS(4688), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4690), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_BQUOTE,
    ACTIONS(4896), 1,
      anon_sym_DOLLAR,
    ACTIONS(4694), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4894), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1347), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85324] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(762), 1,
      anon_sym_DOLLAR,
    ACTIONS(4854), 1,
      anon_sym_DQUOTE,
    ACTIONS(4856), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4858), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4860), 1,
      anon_sym_BQUOTE,
    ACTIONS(4862), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4850), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(559), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85361] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3608), 1,
      anon_sym_DOLLAR,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4750), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1805), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85398] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3976), 1,
      anon_sym_DQUOTE,
    ACTIONS(3978), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3980), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3982), 1,
      anon_sym_BQUOTE,
    ACTIONS(4898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3984), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4818), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(552), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85435] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(3107), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_BQUOTE,
    ACTIONS(4900), 1,
      anon_sym_DOLLAR,
    ACTIONS(3113), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4816), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1722), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85472] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_DQUOTE,
    ACTIONS(3672), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3674), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3676), 1,
      anon_sym_BQUOTE,
    ACTIONS(4902), 1,
      anon_sym_DOLLAR,
    ACTIONS(3678), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4876), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1382), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85509] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4906), 1,
      anon_sym_DOLLAR,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4904), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1998), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85546] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4910), 1,
      anon_sym_DOLLAR,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4908), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2229), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85583] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_DOLLAR,
    ACTIONS(4090), 1,
      anon_sym_DQUOTE,
    ACTIONS(4092), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4094), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4096), 1,
      anon_sym_BQUOTE,
    ACTIONS(4098), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4844), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(509), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85620] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(509), 1,
      anon_sym_DOLLAR,
    ACTIONS(3998), 1,
      anon_sym_DQUOTE,
    ACTIONS(4000), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4002), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_BQUOTE,
    ACTIONS(4006), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4912), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(280), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85657] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_DQUOTE,
    ACTIONS(4072), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4076), 1,
      anon_sym_BQUOTE,
    ACTIONS(4916), 1,
      anon_sym_DOLLAR,
    ACTIONS(4078), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4914), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(345), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85694] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(4920), 1,
      anon_sym_DOLLAR,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4918), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(365), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_LF,
    ACTIONS(4922), 1,
      sym__concat,
    STATE(1870), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1034), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [85760] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(3614), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3618), 1,
      anon_sym_BQUOTE,
    ACTIONS(4924), 1,
      anon_sym_DOLLAR,
    ACTIONS(3620), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4750), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1805), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85797] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_DOLLAR,
    ACTIONS(4668), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_BQUOTE,
    ACTIONS(4676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4908), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2229), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85834] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_DQUOTE,
    ACTIONS(4688), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4690), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_BQUOTE,
    ACTIONS(4926), 1,
      anon_sym_DOLLAR,
    ACTIONS(4694), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4894), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1347), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85871] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_DOLLAR,
    ACTIONS(4686), 1,
      anon_sym_DQUOTE,
    ACTIONS(4688), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4690), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4692), 1,
      anon_sym_BQUOTE,
    ACTIONS(4694), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4894), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1347), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85908] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(4156), 1,
      anon_sym_DOLLAR,
    ACTIONS(4160), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4162), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4164), 1,
      anon_sym_BQUOTE,
    ACTIONS(4166), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4838), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1490), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85945] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_DOLLAR,
    ACTIONS(4724), 1,
      anon_sym_DQUOTE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4730), 1,
      anon_sym_BQUOTE,
    ACTIONS(4732), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4928), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1592), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85982] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_DOLLAR,
    ACTIONS(4070), 1,
      anon_sym_DQUOTE,
    ACTIONS(4072), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4076), 1,
      anon_sym_BQUOTE,
    ACTIONS(4078), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4914), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(345), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86019] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4724), 1,
      anon_sym_DQUOTE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4730), 1,
      anon_sym_BQUOTE,
    ACTIONS(4930), 1,
      anon_sym_DOLLAR,
    ACTIONS(4732), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4928), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1592), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86056] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(3708), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE,
    ACTIONS(4932), 1,
      anon_sym_DOLLAR,
    ACTIONS(3714), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4820), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1777), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86093] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_DQUOTE,
    ACTIONS(4000), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4002), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4004), 1,
      anon_sym_BQUOTE,
    ACTIONS(4934), 1,
      anon_sym_DOLLAR,
    ACTIONS(4006), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4912), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(280), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86130] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4048), 1,
      anon_sym_DOLLAR,
    ACTIONS(4052), 1,
      anon_sym_DQUOTE,
    ACTIONS(4054), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4056), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4058), 1,
      anon_sym_BQUOTE,
    ACTIONS(4060), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4872), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(557), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86167] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4255), 1,
      anon_sym_DOLLAR,
    ACTIONS(4259), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4263), 1,
      anon_sym_BQUOTE,
    ACTIONS(4265), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4904), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1998), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86204] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(837), 1,
      anon_sym_DOLLAR,
    ACTIONS(4882), 1,
      anon_sym_DQUOTE,
    ACTIONS(4884), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4886), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4888), 1,
      anon_sym_BQUOTE,
    ACTIONS(4890), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4878), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(647), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86241] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4918), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(365), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 1,
      sym__concat,
    ACTIONS(4938), 1,
      anon_sym_LF,
    STATE(1870), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4936), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86307] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_DQUOTE,
    ACTIONS(4808), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4810), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4812), 1,
      anon_sym_BQUOTE,
    ACTIONS(4940), 1,
      anon_sym_DOLLAR,
    ACTIONS(4814), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4804), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(609), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86344] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1457), 1,
      anon_sym_DOLLAR,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4864), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1698), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 1,
      anon_sym_LF,
    ACTIONS(4942), 1,
      sym__concat,
    STATE(1919), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1021), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86410] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4830), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(428), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1193), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1197), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1111), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1201), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1119), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1205), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1209), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1021), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1213), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_LF,
    ACTIONS(4949), 1,
      sym__special_character,
    STATE(1943), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4945), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [86979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_LF,
    ACTIONS(4951), 1,
      sym__special_character,
    STATE(1943), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1217), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_LF,
    ACTIONS(1034), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87126] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_raw_string,
    STATE(1776), 1,
      sym_string,
    ACTIONS(541), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(1447), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1441), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87159] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_raw_string,
    STATE(1791), 1,
      sym_string,
    ACTIONS(541), 2,
      sym__concat,
      anon_sym_RBRACK,
    ACTIONS(1435), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1437), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1429), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87192] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_DOLLAR,
    ACTIONS(4954), 1,
      sym__concat,
    STATE(1952), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87218] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_DOLLAR,
    ACTIONS(4956), 1,
      sym__concat,
    STATE(1953), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87244] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR,
    ACTIONS(4958), 1,
      sym__concat,
    STATE(1953), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1019), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87270] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_RBRACE,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4963), 1,
      sym_raw_string,
    STATE(2537), 1,
      sym_string,
    ACTIONS(4965), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4967), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(4961), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87302] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_DOLLAR,
    ACTIONS(4954), 1,
      sym__concat,
    STATE(1952), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4938), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 1,
      anon_sym_DQUOTE,
    ACTIONS(3752), 1,
      sym_raw_string,
    STATE(1684), 1,
      sym_string,
    ACTIONS(3756), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4969), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3754), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87357] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_DOLLAR,
    ACTIONS(1167), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87378] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3976), 1,
      anon_sym_DQUOTE,
    ACTIONS(4973), 1,
      sym_raw_string,
    STATE(574), 1,
      sym_string,
    ACTIONS(682), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4975), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(4971), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87407] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1213), 1,
      anon_sym_DOLLAR,
    ACTIONS(1215), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87428] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_DOLLAR,
    ACTIONS(1211), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87449] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_raw_string,
    STATE(1776), 1,
      sym_string,
    ACTIONS(1447), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1441), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87478] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DOLLAR,
    ACTIONS(1207), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87499] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_DOLLAR,
    ACTIONS(1203), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87520] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1197), 1,
      anon_sym_DOLLAR,
    ACTIONS(1199), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87541] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1193), 1,
      anon_sym_DOLLAR,
    ACTIONS(1195), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87562] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR,
    ACTIONS(1181), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87583] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_DOLLAR,
    ACTIONS(1169), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87604] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1152), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87625] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 1,
      anon_sym_DOLLAR,
    ACTIONS(1148), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87646] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1409), 1,
      anon_sym_DQUOTE,
    ACTIONS(1411), 1,
      sym_raw_string,
    STATE(1639), 1,
      sym_string,
    ACTIONS(1413), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1415), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1407), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87675] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DOLLAR,
    ACTIONS(1191), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87696] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_DOLLAR,
    ACTIONS(1187), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87717] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_DOLLAR,
    ACTIONS(1179), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87738] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_DQUOTE,
    ACTIONS(4979), 1,
      sym_raw_string,
    STATE(555), 1,
      sym_string,
    ACTIONS(821), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4981), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(4977), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DQUOTE,
    ACTIONS(4985), 1,
      sym_raw_string,
    STATE(2214), 1,
      sym_string,
    ACTIONS(4782), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4987), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(4983), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87796] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_DQUOTE,
    ACTIONS(4991), 1,
      sym_raw_string,
    STATE(278), 1,
      sym_string,
    ACTIONS(748), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4993), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(4989), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87825] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4052), 1,
      anon_sym_DQUOTE,
    ACTIONS(4997), 1,
      sym_raw_string,
    STATE(561), 1,
      sym_string,
    ACTIONS(674), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4999), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(4995), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87854] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(5003), 1,
      sym_raw_string,
    STATE(362), 1,
      sym_string,
    ACTIONS(571), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5005), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5001), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [87883] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_DOLLAR,
    ACTIONS(1175), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87904] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_DOLLAR,
    ACTIONS(1175), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87925] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1217), 1,
      anon_sym_DOLLAR,
    ACTIONS(5007), 1,
      sym__special_character,
    STATE(1981), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87950] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_DOLLAR,
    ACTIONS(1163), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87971] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(5012), 1,
      sym_raw_string,
    STATE(443), 1,
      sym_string,
    ACTIONS(563), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5014), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5010), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88000] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4882), 1,
      anon_sym_DQUOTE,
    ACTIONS(5018), 1,
      sym_raw_string,
    STATE(658), 1,
      sym_string,
    ACTIONS(815), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5020), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5016), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88029] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_DQUOTE,
    ACTIONS(4128), 1,
      sym_raw_string,
    STATE(2003), 1,
      sym_string,
    ACTIONS(4132), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5022), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(4130), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88058] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR,
    ACTIONS(1141), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4553), 1,
      anon_sym_DQUOTE,
    ACTIONS(5026), 1,
      sym_raw_string,
    STATE(1926), 1,
      sym_string,
    ACTIONS(3764), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5028), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5024), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88108] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_DOLLAR,
    ACTIONS(5030), 1,
      sym__special_character,
    STATE(1981), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4947), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88133] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 1,
      anon_sym_DOLLAR,
    ACTIONS(1137), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88154] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_DQUOTE,
    ACTIONS(5034), 1,
      sym_raw_string,
    STATE(614), 1,
      sym_string,
    ACTIONS(829), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5036), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5032), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88183] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_DQUOTE,
    ACTIONS(5040), 1,
      sym_raw_string,
    STATE(656), 1,
      sym_string,
    ACTIONS(611), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5042), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5038), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88212] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_DQUOTE,
    ACTIONS(5046), 1,
      sym_raw_string,
    STATE(1401), 1,
      sym_string,
    ACTIONS(1333), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5048), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5044), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88241] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4475), 1,
      anon_sym_DQUOTE,
    ACTIONS(4963), 1,
      sym_raw_string,
    STATE(2537), 1,
      sym_string,
    ACTIONS(4965), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4967), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(4961), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88270] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR,
    ACTIONS(1133), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88291] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_DOLLAR,
    ACTIONS(1129), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88312] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_DQUOTE,
    ACTIONS(5052), 1,
      sym_raw_string,
    STATE(275), 1,
      sym_string,
    ACTIONS(715), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5054), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5050), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88362] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_DOLLAR,
    ACTIONS(1019), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88383] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_DOLLAR,
    ACTIONS(1121), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88404] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(5058), 1,
      sym_raw_string,
    STATE(369), 1,
      sym_string,
    ACTIONS(551), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5060), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5056), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88433] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4724), 1,
      anon_sym_DQUOTE,
    ACTIONS(5064), 1,
      sym_raw_string,
    STATE(1596), 1,
      sym_string,
    ACTIONS(1373), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5066), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5062), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88462] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_DQUOTE,
    ACTIONS(1421), 1,
      sym_raw_string,
    STATE(1418), 1,
      sym_string,
    ACTIONS(1425), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5068), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1423), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88491] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1111), 1,
      anon_sym_DOLLAR,
    ACTIONS(1113), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88512] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_DQUOTE,
    ACTIONS(5072), 1,
      sym_raw_string,
    STATE(351), 1,
      sym_string,
    ACTIONS(754), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5074), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5070), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88541] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_raw_string,
    STATE(1791), 1,
      sym_string,
    ACTIONS(1435), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1437), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(1429), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88570] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_DQUOTE,
    ACTIONS(5078), 1,
      sym_raw_string,
    STATE(1371), 1,
      sym_string,
    ACTIONS(1277), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5080), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5076), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [88599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5084), 1,
      anon_sym_DQUOTE,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [88623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5090), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [88647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5092), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [88671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5094), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [88695] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 1,
      sym_variable_name,
    STATE(832), 1,
      sym_subscript,
    ACTIONS(5096), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5098), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5100), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5102), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [88723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5114), 1,
      sym_variable_name,
    STATE(794), 1,
      sym_subscript,
    ACTIONS(5106), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5108), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5110), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5112), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [88751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5116), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [88775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5118), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [88799] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5120), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [88823] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(241), 1,
      anon_sym_esac,
    ACTIONS(5122), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5124), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [88845] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5134), 1,
      sym_variable_name,
    STATE(714), 1,
      sym_subscript,
    ACTIONS(5126), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5128), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5130), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5132), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [88873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5136), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [88897] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5146), 1,
      sym_variable_name,
    STATE(701), 1,
      sym_subscript,
    ACTIONS(5138), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5140), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5142), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5144), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [88925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5148), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [88949] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5152), 1,
      anon_sym_esac,
    ACTIONS(5150), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5154), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [88971] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5164), 1,
      sym_variable_name,
    STATE(723), 1,
      sym_subscript,
    ACTIONS(5156), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5158), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5160), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5162), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [88999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 1,
      sym_variable_name,
    STATE(732), 1,
      sym_subscript,
    ACTIONS(5166), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5168), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5170), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5172), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5176), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5178), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5180), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89099] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1034), 1,
      anon_sym_DOLLAR,
    ACTIONS(1036), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5182), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89143] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_esac,
    ACTIONS(5184), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5186), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89165] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 1,
      sym_variable_name,
    STATE(742), 1,
      sym_subscript,
    ACTIONS(5188), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5190), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5192), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5194), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5198), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5200), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5202), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89265] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5212), 1,
      sym_variable_name,
    STATE(843), 1,
      sym_subscript,
    ACTIONS(5204), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5206), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5208), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5210), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89293] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5222), 1,
      sym_variable_name,
    STATE(796), 1,
      sym_subscript,
    ACTIONS(5214), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5216), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5218), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5220), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5224), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5226), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5228), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5230), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5232), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5242), 1,
      sym_variable_name,
    STATE(810), 1,
      sym_subscript,
    ACTIONS(5234), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5236), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5238), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5240), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5244), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5246), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5248), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89541] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5258), 1,
      sym_variable_name,
    STATE(878), 1,
      sym_subscript,
    ACTIONS(5250), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5252), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5254), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5256), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89569] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 1,
      sym_variable_name,
    STATE(859), 1,
      sym_subscript,
    ACTIONS(5260), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5262), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5264), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5266), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89597] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 1,
      sym_variable_name,
    STATE(869), 1,
      sym_subscript,
    ACTIONS(5270), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5272), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5274), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5276), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5280), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89649] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5284), 1,
      anon_sym_esac,
    ACTIONS(5282), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5286), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5288), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5290), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89719] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 1,
      sym_variable_name,
    STATE(756), 1,
      sym_subscript,
    ACTIONS(5292), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5294), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5296), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5298), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5302), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5304), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89795] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5314), 1,
      sym_variable_name,
    STATE(813), 1,
      sym_subscript,
    ACTIONS(5306), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5308), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5310), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5312), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5316), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5318), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89871] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5328), 1,
      sym_variable_name,
    STATE(793), 1,
      sym_subscript,
    ACTIONS(5320), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5322), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5324), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5326), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89899] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5330), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89923] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      sym_variable_name,
    STATE(852), 1,
      sym_subscript,
    ACTIONS(5332), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5334), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5336), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5338), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [89951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5342), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5344), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [89999] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5348), 1,
      anon_sym_esac,
    ACTIONS(5346), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5350), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5352), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5354), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5356), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5358), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90117] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 1,
      sym_variable_name,
    STATE(815), 1,
      sym_subscript,
    ACTIONS(5360), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5362), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5364), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5366), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5370), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90169] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 1,
      sym_variable_name,
    STATE(724), 1,
      sym_subscript,
    ACTIONS(5372), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5374), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5376), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5378), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5382), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5384), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5386), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5388), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90293] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5398), 1,
      sym_variable_name,
    STATE(748), 1,
      sym_subscript,
    ACTIONS(5390), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5392), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5394), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5396), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90321] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5408), 1,
      sym_variable_name,
    STATE(767), 1,
      sym_subscript,
    ACTIONS(5400), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5402), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5404), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5406), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90349] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5410), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90373] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      sym_variable_name,
    STATE(694), 1,
      sym_subscript,
    ACTIONS(5412), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5414), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5416), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5418), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90401] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5424), 1,
      anon_sym_esac,
    ACTIONS(5422), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5426), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90423] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 1,
      sym_variable_name,
    STATE(775), 1,
      sym_subscript,
    ACTIONS(5428), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5430), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5432), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5434), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90451] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 1,
      sym_variable_name,
    STATE(733), 1,
      sym_subscript,
    ACTIONS(5438), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5440), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5442), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5444), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5448), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5450), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90527] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5460), 1,
      sym_variable_name,
    STATE(862), 1,
      sym_subscript,
    ACTIONS(5452), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5454), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5456), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5458), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5462), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5464), 1,
      anon_sym_DQUOTE,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90603] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 1,
      sym_variable_name,
    STATE(745), 1,
      sym_subscript,
    ACTIONS(5466), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5468), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5470), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5472), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90631] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5184), 1,
      anon_sym_DOLLAR,
    ACTIONS(5186), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90650] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5346), 1,
      anon_sym_DOLLAR,
    ACTIONS(5350), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90669] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_DOLLAR,
    ACTIONS(5426), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90688] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5150), 1,
      anon_sym_DOLLAR,
    ACTIONS(5154), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90707] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5282), 1,
      anon_sym_DOLLAR,
    ACTIONS(5286), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 1,
      sym__string_content,
    ACTIONS(5082), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5088), 6,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_0,
      anon_sym__,
  [90747] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5122), 1,
      anon_sym_DOLLAR,
    ACTIONS(5124), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90766] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5476), 1,
      anon_sym_DOLLAR,
    ACTIONS(5478), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5482), 1,
      anon_sym_BQUOTE,
    ACTIONS(5484), 1,
      sym__heredoc_body_middle,
    ACTIONS(5486), 1,
      sym__heredoc_body_end,
    STATE(2148), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [90794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5488), 1,
      anon_sym_DOLLAR,
    ACTIONS(5490), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    STATE(2172), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [90824] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5500), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [90854] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5508), 1,
      sym_variable_name,
    STATE(805), 1,
      sym_subscript,
    ACTIONS(5502), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5504), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5506), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90878] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5516), 1,
      sym_variable_name,
    STATE(738), 1,
      sym_subscript,
    ACTIONS(5510), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5512), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5514), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90902] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5448), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5518), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [90932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5520), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [90962] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5528), 1,
      sym_variable_name,
    STATE(769), 1,
      sym_subscript,
    ACTIONS(5522), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5524), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5526), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [90986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5530), 1,
      anon_sym_DOLLAR,
    ACTIONS(5532), 1,
      anon_sym_DQUOTE,
    STATE(2106), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91016] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5540), 1,
      sym_variable_name,
    STATE(737), 1,
      sym_subscript,
    ACTIONS(5534), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5536), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5538), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91040] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5548), 1,
      sym_variable_name,
    STATE(824), 1,
      sym_subscript,
    ACTIONS(5542), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5544), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5546), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91064] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5382), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5550), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91094] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5552), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91124] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5554), 1,
      anon_sym_DOLLAR,
    ACTIONS(5556), 1,
      anon_sym_DQUOTE,
    STATE(2115), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91154] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5564), 1,
      sym_variable_name,
    STATE(706), 1,
      sym_subscript,
    ACTIONS(5558), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5560), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5562), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5386), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5566), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91208] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5574), 1,
      sym_variable_name,
    STATE(864), 1,
      sym_subscript,
    ACTIONS(5568), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5570), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5572), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91232] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5582), 1,
      sym_variable_name,
    STATE(760), 1,
      sym_subscript,
    ACTIONS(5576), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5578), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5580), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91256] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5352), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5584), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91286] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5592), 1,
      sym_variable_name,
    STATE(850), 1,
      sym_subscript,
    ACTIONS(5586), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5588), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5590), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91310] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5356), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5594), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91340] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5344), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5596), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91370] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5598), 1,
      anon_sym_DOLLAR,
    ACTIONS(5600), 1,
      anon_sym_DQUOTE,
    STATE(2113), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91400] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5318), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5602), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5604), 1,
      anon_sym_DOLLAR,
    ACTIONS(5606), 1,
      anon_sym_DQUOTE,
    STATE(2116), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91460] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5614), 1,
      sym_variable_name,
    STATE(758), 1,
      sym_subscript,
    ACTIONS(5608), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5610), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5612), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91484] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5616), 1,
      anon_sym_DOLLAR,
    ACTIONS(5618), 1,
      anon_sym_DQUOTE,
    STATE(2122), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91514] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5330), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5620), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91544] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5622), 1,
      anon_sym_DOLLAR,
    ACTIONS(5624), 1,
      anon_sym_DQUOTE,
    STATE(2118), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5626), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91604] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5634), 1,
      sym_variable_name,
    STATE(717), 1,
      sym_subscript,
    ACTIONS(5628), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5630), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5632), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91628] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5642), 1,
      sym_variable_name,
    STATE(825), 1,
      sym_subscript,
    ACTIONS(5636), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5638), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5640), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5644), 1,
      anon_sym_DOLLAR,
    ACTIONS(5646), 1,
      anon_sym_DQUOTE,
    STATE(2124), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91682] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5654), 1,
      sym_variable_name,
    STATE(876), 1,
      sym_subscript,
    ACTIONS(5648), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5650), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5652), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91706] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5656), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91736] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5658), 1,
      anon_sym_DOLLAR,
    ACTIONS(5660), 1,
      anon_sym_DQUOTE,
    STATE(2129), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91766] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5668), 1,
      sym_variable_name,
    STATE(798), 1,
      sym_subscript,
    ACTIONS(5662), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5664), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5666), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91790] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5464), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5670), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91820] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5672), 1,
      anon_sym_DOLLAR,
    ACTIONS(5674), 1,
      anon_sym_DQUOTE,
    STATE(2107), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91850] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5676), 1,
      anon_sym_DOLLAR,
    ACTIONS(5678), 1,
      anon_sym_DQUOTE,
    STATE(2110), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91880] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5686), 1,
      sym_variable_name,
    STATE(736), 1,
      sym_subscript,
    ACTIONS(5680), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5682), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5684), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91904] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5688), 1,
      anon_sym_DOLLAR,
    ACTIONS(5690), 1,
      anon_sym_DQUOTE,
    STATE(2101), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [91934] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5698), 1,
      sym_variable_name,
    STATE(780), 1,
      sym_subscript,
    ACTIONS(5692), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5694), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5696), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [91958] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5476), 1,
      anon_sym_DOLLAR,
    ACTIONS(5478), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5482), 1,
      anon_sym_BQUOTE,
    ACTIONS(5700), 1,
      sym__heredoc_body_middle,
    ACTIONS(5702), 1,
      sym__heredoc_body_end,
    STATE(2156), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [91986] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5704), 1,
      anon_sym_DOLLAR,
    ACTIONS(5706), 1,
      anon_sym_DQUOTE,
    STATE(2097), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5708), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92046] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5716), 1,
      sym_variable_name,
    STATE(715), 1,
      sym_subscript,
    ACTIONS(5710), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5712), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5714), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5718), 1,
      anon_sym_DOLLAR,
    ACTIONS(5720), 1,
      anon_sym_DQUOTE,
    STATE(2145), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92100] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5722), 1,
      anon_sym_DOLLAR,
    ACTIONS(5724), 1,
      anon_sym_DQUOTE,
    STATE(2140), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92130] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5732), 1,
      sym_variable_name,
    STATE(845), 1,
      sym_subscript,
    ACTIONS(5726), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5728), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5730), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92154] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5244), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5734), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92184] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5736), 1,
      anon_sym_DOLLAR,
    ACTIONS(5738), 1,
      anon_sym_DQUOTE,
    STATE(2100), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92214] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5740), 1,
      anon_sym_DOLLAR,
    ACTIONS(5742), 1,
      anon_sym_DQUOTE,
    STATE(2151), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92244] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_DOLLAR,
    ACTIONS(5747), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5750), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5753), 1,
      anon_sym_BQUOTE,
    ACTIONS(5756), 1,
      sym__heredoc_body_middle,
    ACTIONS(5759), 1,
      sym__heredoc_body_end,
    STATE(2148), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [92272] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5476), 1,
      anon_sym_DOLLAR,
    ACTIONS(5478), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5482), 1,
      anon_sym_BQUOTE,
    ACTIONS(5761), 1,
      sym__heredoc_body_middle,
    ACTIONS(5763), 1,
      sym__heredoc_body_end,
    STATE(2095), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [92300] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5771), 1,
      sym_variable_name,
    STATE(892), 1,
      sym_subscript,
    ACTIONS(5765), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5767), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5769), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92324] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5228), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5773), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92354] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5781), 1,
      sym_variable_name,
    STATE(790), 1,
      sym_subscript,
    ACTIONS(5775), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5777), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5779), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92378] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5789), 1,
      sym_variable_name,
    STATE(820), 1,
      sym_subscript,
    ACTIONS(5783), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5785), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5787), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92402] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5797), 1,
      sym_variable_name,
    STATE(883), 1,
      sym_subscript,
    ACTIONS(5791), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5793), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5795), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92426] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5799), 1,
      anon_sym_DOLLAR,
    ACTIONS(5801), 1,
      anon_sym_DQUOTE,
    STATE(2132), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92456] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5476), 1,
      anon_sym_DOLLAR,
    ACTIONS(5478), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5482), 1,
      anon_sym_BQUOTE,
    ACTIONS(5484), 1,
      sym__heredoc_body_middle,
    ACTIONS(5803), 1,
      sym__heredoc_body_end,
    STATE(2148), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [92484] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5182), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5805), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5809), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5811), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(5807), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [92534] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5819), 1,
      sym_variable_name,
    STATE(728), 1,
      sym_subscript,
    ACTIONS(5813), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5815), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5817), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92558] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5821), 1,
      anon_sym_DOLLAR,
    ACTIONS(5823), 1,
      anon_sym_DQUOTE,
    STATE(2157), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92588] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5831), 1,
      sym_variable_name,
    STATE(834), 1,
      sym_subscript,
    ACTIONS(5825), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5827), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5829), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92612] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5176), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5833), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5148), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5835), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92672] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5837), 1,
      anon_sym_DOLLAR,
    ACTIONS(5839), 1,
      anon_sym_DQUOTE,
    STATE(2168), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92702] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5841), 1,
      anon_sym_DOLLAR,
    ACTIONS(5843), 1,
      anon_sym_DQUOTE,
    STATE(2162), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92732] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5851), 1,
      sym_variable_name,
    STATE(749), 1,
      sym_subscript,
    ACTIONS(5845), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5847), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5849), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92756] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5859), 1,
      sym_variable_name,
    STATE(703), 1,
      sym_subscript,
    ACTIONS(5853), 2,
      anon_sym_DASH,
      anon_sym_DOLLAR,
    ACTIONS(5855), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5857), 3,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_QMARK,
  [92780] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5861), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92810] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5863), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92840] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5865), 1,
      anon_sym_DOLLAR,
    ACTIONS(5867), 1,
      anon_sym_DQUOTE,
    STATE(2163), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92870] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5178), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5869), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92900] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5118), 1,
      anon_sym_DQUOTE,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5871), 1,
      anon_sym_DOLLAR,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92930] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5873), 1,
      anon_sym_DOLLAR,
    ACTIONS(5875), 1,
      anon_sym_DQUOTE,
    STATE(2171), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92960] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5877), 1,
      anon_sym_DOLLAR,
    ACTIONS(5880), 1,
      anon_sym_DQUOTE,
    ACTIONS(5882), 1,
      sym__string_content,
    ACTIONS(5885), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5888), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5891), 1,
      anon_sym_BQUOTE,
    STATE(2174), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [92990] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym__string_content,
    ACTIONS(5494), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5498), 1,
      anon_sym_BQUOTE,
    ACTIONS(5894), 1,
      anon_sym_DOLLAR,
    ACTIONS(5896), 1,
      anon_sym_DQUOTE,
    STATE(2169), 1,
      aux_sym_string_repeat1,
    STATE(2179), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_LF,
    ACTIONS(5898), 1,
      sym__concat,
    STATE(2205), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1034), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [93040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      sym__concat,
    ACTIONS(1177), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      sym__concat,
    ACTIONS(1139), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 1,
      sym__concat,
    ACTIONS(5900), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_LF,
    ACTIONS(5906), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 1,
      sym__concat,
    ACTIONS(1213), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 1,
      sym__concat,
    ACTIONS(1209), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym__concat,
    ACTIONS(1193), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 1,
      anon_sym_LF,
    ACTIONS(5910), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 1,
      sym__concat,
    ACTIONS(1205), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93175] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5912), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(5914), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [93190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_LF,
    ACTIONS(5918), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [93205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 1,
      sym__concat,
    ACTIONS(1201), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      sym__concat,
    ACTIONS(1197), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym__concat,
    ACTIONS(1183), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93250] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5920), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(5922), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [93265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      sym__concat,
    ACTIONS(1171), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 1,
      sym__concat,
    ACTIONS(1154), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 1,
      sym__concat,
    ACTIONS(1150), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5924), 1,
      anon_sym_LF,
    ACTIONS(5926), 1,
      anon_sym_in,
    ACTIONS(5930), 1,
      sym__special_character,
    STATE(2203), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5928), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93331] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5898), 1,
      sym__concat,
    ACTIONS(5932), 1,
      anon_sym_LF,
    ACTIONS(5934), 1,
      anon_sym_in,
    STATE(2205), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5936), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      sym__concat,
    ACTIONS(1189), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      sym__concat,
    ACTIONS(1185), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 1,
      sym__concat,
    ACTIONS(1135), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93397] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5938), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(5940), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [93412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym__concat,
    ACTIONS(1173), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93427] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5942), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(5944), 4,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [93442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_LF,
    ACTIONS(5946), 1,
      sym__special_character,
    STATE(2203), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1217), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 1,
      sym__concat,
    ACTIONS(1161), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_LF,
    ACTIONS(5949), 1,
      sym__concat,
    STATE(2209), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1041), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      sym__concat,
    ACTIONS(1165), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5951), 1,
      sym__concat,
    ACTIONS(5880), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5930), 1,
      sym__special_character,
    ACTIONS(5953), 1,
      anon_sym_LF,
    ACTIONS(5955), 1,
      anon_sym_in,
    STATE(2203), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5957), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 1,
      anon_sym_LF,
    ACTIONS(5959), 1,
      sym__concat,
    STATE(2209), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1021), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5898), 1,
      sym__concat,
    ACTIONS(5962), 1,
      anon_sym_LF,
    ACTIONS(5964), 1,
      anon_sym_in,
    STATE(2205), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5966), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym__concat,
    ACTIONS(1173), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93601] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1152), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1189), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1111), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1131), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1201), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93697] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1171), 1,
      anon_sym_DOLLAR,
    ACTIONS(1169), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1171), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1209), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1185), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1150), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1119), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1154), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1036), 1,
      anon_sym_LF,
    ACTIONS(1034), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [93809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1139), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93823] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5968), 1,
      anon_sym_fi,
    ACTIONS(5970), 1,
      anon_sym_elif,
    ACTIONS(5972), 1,
      anon_sym_else,
    STATE(2597), 1,
      sym_else_clause,
    STATE(2276), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [93843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1021), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93857] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1213), 1,
      anon_sym_DOLLAR,
    ACTIONS(1215), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93871] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1135), 1,
      anon_sym_DOLLAR,
    ACTIONS(1137), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93885] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR,
    ACTIONS(1141), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93899] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_DOLLAR,
    ACTIONS(1211), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93913] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_DOLLAR,
    ACTIONS(1207), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93927] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_DOLLAR,
    ACTIONS(1203), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1127), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5974), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [93981] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1197), 1,
      anon_sym_DOLLAR,
    ACTIONS(1199), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [93995] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1193), 1,
      anon_sym_DOLLAR,
    ACTIONS(1195), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1173), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1215), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1213), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94037] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 1,
      anon_sym_DOLLAR,
    ACTIONS(1181), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1165), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94065] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_DOLLAR,
    ACTIONS(1191), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1135), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94093] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_DOLLAR,
    ACTIONS(1163), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94107] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5970), 1,
      anon_sym_elif,
    ACTIONS(5972), 1,
      anon_sym_else,
    ACTIONS(5976), 1,
      anon_sym_fi,
    STATE(2707), 1,
      sym_else_clause,
    STATE(2276), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [94127] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5970), 1,
      anon_sym_elif,
    ACTIONS(5972), 1,
      anon_sym_else,
    ACTIONS(5978), 1,
      anon_sym_fi,
    STATE(2708), 1,
      sym_else_clause,
    STATE(2276), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [94147] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 1,
      anon_sym_DOLLAR,
    ACTIONS(1148), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94161] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_DOLLAR,
    ACTIONS(1187), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94175] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_DOLLAR,
    ACTIONS(1179), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1183), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1123), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1193), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1197), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1205), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94259] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_DOLLAR,
    ACTIONS(1167), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94273] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5970), 1,
      anon_sym_elif,
    ACTIONS(5972), 1,
      anon_sym_else,
    ACTIONS(5980), 1,
      anon_sym_fi,
    STATE(2590), 1,
      sym_else_clause,
    STATE(2276), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [94293] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_DOLLAR,
    ACTIONS(1175), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1161), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94321] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_DOLLAR,
    ACTIONS(1175), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [94335] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(5982), 1,
      anon_sym_PIPE,
    ACTIONS(5984), 1,
      anon_sym_RPAREN,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    STATE(2416), 1,
      aux_sym_case_item_repeat1,
  [94354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      ts_builtin_sym_end,
    ACTIONS(5986), 1,
      anon_sym_LF,
    ACTIONS(5988), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 1,
      anon_sym_RPAREN,
    ACTIONS(5990), 1,
      anon_sym_LF,
    ACTIONS(5992), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_BQUOTE,
    ACTIONS(5994), 1,
      anon_sym_LF,
    ACTIONS(5996), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(5918), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(5910), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym_LF,
    ACTIONS(6000), 1,
      anon_sym_in,
    ACTIONS(6002), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94440] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6004), 1,
      anon_sym_SEMI,
    ACTIONS(6006), 1,
      anon_sym_do,
    STATE(1482), 2,
      sym_do_group,
      sym_compound_statement,
  [94457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6008), 1,
      anon_sym_LF,
    ACTIONS(6010), 1,
      anon_sym_in,
    ACTIONS(6012), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_RPAREN,
    ACTIONS(6014), 1,
      anon_sym_LF,
    ACTIONS(6016), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94487] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4328), 1,
      sym__concat,
    ACTIONS(5982), 1,
      anon_sym_PIPE,
    ACTIONS(6018), 1,
      anon_sym_RPAREN,
    STATE(2303), 1,
      aux_sym_concatenation_repeat1,
    STATE(2385), 1,
      aux_sym_case_item_repeat1,
  [94506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6020), 1,
      anon_sym_LF,
    ACTIONS(553), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6022), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [94521] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6006), 1,
      anon_sym_do,
    ACTIONS(6024), 1,
      anon_sym_SEMI,
    STATE(1475), 2,
      sym_do_group,
      sym_compound_statement,
  [94538] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6028), 1,
      anon_sym_elif,
    ACTIONS(6026), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(2276), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [94553] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6031), 1,
      anon_sym_SEMI,
    ACTIONS(6033), 1,
      anon_sym_do,
    STATE(1683), 2,
      sym_do_group,
      sym_compound_statement,
  [94570] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_do,
    ACTIONS(6035), 1,
      anon_sym_SEMI,
    STATE(1695), 2,
      sym_do_group,
      sym_compound_statement,
  [94587] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_do,
    ACTIONS(6037), 1,
      anon_sym_SEMI,
    STATE(1754), 2,
      sym_do_group,
      sym_compound_statement,
  [94604] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6006), 1,
      anon_sym_do,
    ACTIONS(6039), 1,
      anon_sym_SEMI,
    STATE(1466), 2,
      sym_do_group,
      sym_compound_statement,
  [94621] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6006), 1,
      anon_sym_do,
    ACTIONS(6041), 1,
      anon_sym_SEMI,
    STATE(1454), 2,
      sym_do_group,
      sym_compound_statement,
  [94638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(6043), 1,
      anon_sym_LF,
    ACTIONS(6045), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94653] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6047), 1,
      anon_sym_LF,
    ACTIONS(939), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6049), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [94668] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4328), 1,
      sym__concat,
    ACTIONS(5982), 1,
      anon_sym_PIPE,
    ACTIONS(6051), 1,
      anon_sym_RPAREN,
    STATE(2303), 1,
      aux_sym_concatenation_repeat1,
    STATE(2409), 1,
      aux_sym_case_item_repeat1,
  [94687] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4328), 1,
      sym__concat,
    STATE(2303), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [94702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5904), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(5906), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94715] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_do,
    ACTIONS(6053), 1,
      anon_sym_SEMI,
    STATE(1674), 2,
      sym_do_group,
      sym_compound_statement,
  [94732] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4537), 1,
      sym__special_character,
    ACTIONS(5982), 1,
      anon_sym_PIPE,
    ACTIONS(6055), 1,
      anon_sym_RPAREN,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    STATE(2382), 1,
      aux_sym_case_item_repeat1,
  [94751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 1,
      ts_builtin_sym_end,
    ACTIONS(6057), 1,
      anon_sym_LF,
    ACTIONS(6059), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 1,
      anon_sym_LF,
    ACTIONS(5934), 1,
      anon_sym_in,
    ACTIONS(5936), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5962), 1,
      anon_sym_LF,
    ACTIONS(5964), 1,
      anon_sym_in,
    ACTIONS(5966), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94796] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6006), 1,
      anon_sym_do,
    STATE(1475), 2,
      sym_do_group,
      sym_compound_statement,
  [94810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 1,
      anon_sym_LF,
    ACTIONS(6063), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94822] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4328), 1,
      sym__concat,
    STATE(2303), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6065), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [94836] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_do,
    STATE(1674), 2,
      sym_do_group,
      sym_compound_statement,
  [94850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6067), 1,
      anon_sym_LF,
    ACTIONS(6069), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6014), 1,
      anon_sym_LF,
    ACTIONS(6016), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [94876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5990), 1,
      anon_sym_LF,
    ACTIONS(5992), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [94890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6071), 1,
      anon_sym_LF,
    ACTIONS(6073), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      anon_sym_LF,
    ACTIONS(6077), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94914] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1034), 1,
      sym__special_character,
    ACTIONS(1036), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [94930] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6081), 1,
      anon_sym_RBRACK,
    ACTIONS(6083), 1,
      sym__special_character,
    ACTIONS(6085), 1,
      sym__concat,
    STATE(2320), 1,
      aux_sym__literal_repeat1,
  [94946] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6087), 1,
      sym__concat,
    STATE(1584), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1043), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [94960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6089), 1,
      anon_sym_LF,
    ACTIONS(6091), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94972] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6006), 1,
      anon_sym_do,
    STATE(1466), 2,
      sym_do_group,
      sym_compound_statement,
  [94986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6093), 1,
      anon_sym_LF,
    ACTIONS(6095), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [94998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6097), 1,
      anon_sym_LF,
    ACTIONS(6099), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95010] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_do,
    STATE(1754), 2,
      sym_do_group,
      sym_compound_statement,
  [95024] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6083), 1,
      sym__special_character,
    ACTIONS(6101), 1,
      anon_sym_RBRACK,
    ACTIONS(6103), 1,
      sym__concat,
    STATE(2320), 1,
      aux_sym__literal_repeat1,
  [95040] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_do,
    STATE(1640), 2,
      sym_do_group,
      sym_compound_statement,
  [95054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6105), 1,
      anon_sym_LF,
    ACTIONS(6107), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95066] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_do,
    STATE(1683), 2,
      sym_do_group,
      sym_compound_statement,
  [95080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6109), 1,
      anon_sym_LF,
    ACTIONS(6111), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95092] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4537), 1,
      sym__special_character,
    STATE(1588), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6113), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [95106] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6006), 1,
      anon_sym_do,
    STATE(1482), 2,
      sym_do_group,
      sym_compound_statement,
  [95120] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1034), 1,
      sym__special_character,
    STATE(2370), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1036), 2,
      sym__concat,
      anon_sym_RBRACK,
  [95134] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6006), 1,
      anon_sym_do,
    STATE(1486), 2,
      sym_do_group,
      sym_compound_statement,
  [95148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 1,
      anon_sym_LF,
    ACTIONS(6117), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 1,
      anon_sym_LF,
    ACTIONS(6121), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [95172] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6123), 1,
      sym__special_character,
    STATE(2320), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1219), 2,
      sym__concat,
      anon_sym_RBRACK,
  [95186] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6126), 1,
      sym__concat,
    ACTIONS(4393), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [95197] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3576), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95210] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6128), 1,
      anon_sym_RBRACE,
    ACTIONS(6130), 1,
      sym__special_character,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95223] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6132), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95236] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6136), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [95247] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1549), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95260] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6138), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95273] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3029), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95286] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3480), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95299] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2817), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95312] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95325] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6140), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95338] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6142), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95351] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6144), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [95362] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1034), 1,
      sym__special_character,
    ACTIONS(1036), 2,
      sym__concat,
      anon_sym_RBRACK,
  [95373] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95386] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6146), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95399] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95412] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95425] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6148), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95438] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [95449] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6152), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95462] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6154), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95475] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6156), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95488] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6158), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95501] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3462), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95514] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6160), 1,
      sym__concat,
    ACTIONS(4413), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [95525] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95538] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_RBRACE,
    ACTIONS(6162), 1,
      sym__concat,
    STATE(2412), 1,
      aux_sym_concatenation_repeat1,
  [95551] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6164), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [95562] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6166), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95575] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3015), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95588] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6168), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95601] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6170), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95614] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6172), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [95625] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6174), 1,
      sym__concat,
    ACTIONS(4405), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [95636] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6176), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95649] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2883), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95662] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95675] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95688] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2949), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95701] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6178), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95714] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5982), 1,
      anon_sym_PIPE,
    ACTIONS(6018), 1,
      anon_sym_RPAREN,
    STATE(2385), 1,
      aux_sym_case_item_repeat1,
  [95727] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95740] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6180), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95753] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3396), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95766] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6182), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95779] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6184), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95792] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6186), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95805] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_RBRACK,
    ACTIONS(6188), 1,
      sym__concat,
    STATE(1603), 1,
      aux_sym_concatenation_repeat1,
  [95818] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95831] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3408), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95844] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6190), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95857] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95870] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6192), 1,
      anon_sym_LPAREN,
    STATE(1630), 1,
      sym_compound_statement,
  [95883] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5982), 1,
      anon_sym_PIPE,
    ACTIONS(6051), 1,
      anon_sym_RPAREN,
    STATE(2409), 1,
      aux_sym_case_item_repeat1,
  [95896] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3057), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95909] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_RBRACE,
    ACTIONS(6194), 1,
      sym__special_character,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95922] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6197), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95935] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2933), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [95948] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6199), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95961] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5982), 1,
      anon_sym_PIPE,
    ACTIONS(6201), 1,
      anon_sym_RPAREN,
    STATE(2401), 1,
      aux_sym_case_item_repeat1,
  [95974] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6203), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [95987] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6205), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96000] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5982), 1,
      anon_sym_PIPE,
    ACTIONS(6207), 1,
      anon_sym_RPAREN,
    STATE(2401), 1,
      aux_sym_case_item_repeat1,
  [96013] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6209), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [96024] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96037] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6211), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96050] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96063] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96076] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6213), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96089] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96102] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1453), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96115] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96128] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6215), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96141] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6217), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96154] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3350), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96167] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6219), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96180] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6221), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96193] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2295), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96206] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_RPAREN,
    ACTIONS(6223), 1,
      anon_sym_PIPE,
    STATE(2401), 1,
      aux_sym_case_item_repeat1,
  [96219] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6226), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96232] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6228), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96245] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6230), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [96256] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96269] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3362), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96282] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6232), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96295] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96308] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5982), 1,
      anon_sym_PIPE,
    ACTIONS(6234), 1,
      anon_sym_RPAREN,
    STATE(2401), 1,
      aux_sym_case_item_repeat1,
  [96321] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6236), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96334] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3632), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96347] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1019), 1,
      anon_sym_RBRACE,
    ACTIONS(6238), 1,
      sym__concat,
    STATE(2412), 1,
      aux_sym_concatenation_repeat1,
  [96360] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6241), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96373] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6243), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96386] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96399] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5982), 1,
      anon_sym_PIPE,
    ACTIONS(6245), 1,
      anon_sym_RPAREN,
    STATE(2401), 1,
      aux_sym_case_item_repeat1,
  [96412] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6247), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96425] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96438] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3734), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96451] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96464] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6249), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96477] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6251), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96490] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96503] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym_RBRACK,
    ACTIONS(6255), 1,
      sym__concat,
    STATE(2370), 1,
      aux_sym_concatenation_repeat1,
  [96516] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96529] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6257), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96542] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6259), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96555] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96568] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3273), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96581] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6261), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96594] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96607] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6263), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96620] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1517), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96633] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6265), 1,
      anon_sym_RBRACK,
    ACTIONS(6267), 1,
      sym__concat,
    STATE(2370), 1,
      aux_sym_concatenation_repeat1,
  [96646] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6269), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96659] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96672] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    STATE(1446), 1,
      sym_compound_statement,
  [96685] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6273), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96698] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6275), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96711] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2991), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96724] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6277), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96737] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96750] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3684), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96763] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96776] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6279), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96789] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6281), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96802] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6283), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96815] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96828] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
    ACTIONS(6079), 1,
      sym__concat,
    STATE(2349), 1,
      aux_sym_concatenation_repeat1,
  [96841] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6285), 1,
      sym__concat,
    ACTIONS(4275), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [96852] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6130), 1,
      sym__special_character,
    ACTIONS(6287), 1,
      anon_sym_RBRACE,
    STATE(2378), 1,
      aux_sym__literal_repeat1,
  [96865] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6291), 1,
      anon_sym_EQ,
  [96875] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6293), 1,
      anon_sym_EQ,
  [96885] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6295), 1,
      anon_sym_esac,
  [96895] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_EQ,
  [96905] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6065), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [96913] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4275), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [96921] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6299), 1,
      anon_sym_EQ,
  [96931] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1019), 2,
      sym__concat,
      anon_sym_RBRACE,
  [96939] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6136), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [96947] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6301), 1,
      anon_sym_EQ,
  [96957] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6303), 1,
      anon_sym_EQ,
  [96967] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6144), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [96975] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6265), 1,
      anon_sym_RBRACK,
    ACTIONS(6305), 1,
      sym__concat,
  [96985] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6307), 1,
      anon_sym_EQ,
  [96995] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6309), 1,
      anon_sym_EQ,
  [97005] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4393), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97013] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6209), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97021] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6311), 1,
      anon_sym_EQ,
  [97031] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6313), 1,
      anon_sym_EQ,
  [97041] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6315), 1,
      anon_sym_EQ,
  [97051] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6317), 1,
      anon_sym_EQ,
  [97061] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym_RBRACK,
    ACTIONS(6319), 1,
      sym__concat,
  [97071] = 3,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1657), 1,
      sym_compound_statement,
  [97081] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6321), 1,
      anon_sym_EQ,
  [97091] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6323), 1,
      anon_sym_EQ,
  [97101] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6325), 1,
      anon_sym_esac,
  [97111] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6006), 1,
      anon_sym_do,
    STATE(1392), 1,
      sym_do_group,
  [97121] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_do,
    STATE(1652), 1,
      sym_do_group,
  [97131] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    STATE(1384), 1,
      sym_compound_statement,
  [97141] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6327), 1,
      anon_sym_EQ,
  [97151] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1141), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97159] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6329), 1,
      anon_sym_EQ,
  [97169] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1137), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97177] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6331), 1,
      anon_sym_EQ,
  [97187] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_do,
    STATE(1600), 1,
      sym_do_group,
  [97197] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    STATE(1438), 1,
      sym_compound_statement,
  [97207] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6333), 1,
      anon_sym_EQ,
  [97217] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6335), 2,
      anon_sym_do,
      anon_sym_then,
  [97225] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6337), 1,
      anon_sym_EQ,
  [97235] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6339), 1,
      anon_sym_EQ,
  [97245] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6006), 1,
      anon_sym_do,
    STATE(1457), 1,
      sym_do_group,
  [97255] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6341), 1,
      anon_sym_EQ,
  [97265] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6230), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97273] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6343), 1,
      anon_sym_EQ,
  [97283] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1133), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97291] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6345), 1,
      anon_sym_EQ,
  [97301] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6347), 1,
      anon_sym_EQ,
  [97311] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6349), 1,
      anon_sym_EQ,
  [97321] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6351), 1,
      anon_sym_EQ,
  [97331] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1129), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97339] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6353), 1,
      anon_sym_EQ,
  [97349] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6355), 1,
      anon_sym_EQ,
  [97359] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6357), 1,
      anon_sym_EQ,
  [97369] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6359), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6361), 1,
      aux_sym__simple_variable_name_token1,
  [97379] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6363), 1,
      anon_sym_esac,
    ACTIONS(6365), 1,
      anon_sym_SEMI_SEMI,
  [97389] = 3,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1724), 1,
      sym_compound_statement,
  [97399] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6367), 1,
      anon_sym_EQ,
  [97409] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1034), 1,
      sym__special_character,
    ACTIONS(1036), 1,
      anon_sym_RBRACE,
  [97419] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6369), 1,
      anon_sym_EQ,
  [97429] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4604), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97437] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1125), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97445] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4610), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97453] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6371), 1,
      anon_sym_EQ,
  [97463] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1215), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97471] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1211), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97479] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6373), 1,
      anon_sym_esac,
    ACTIONS(6375), 1,
      anon_sym_SEMI_SEMI,
  [97489] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6377), 1,
      anon_sym_EQ,
  [97499] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6379), 1,
      anon_sym_EQ,
  [97509] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1207), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97517] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1203), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97525] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1199), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97533] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1195), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97541] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97549] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6381), 1,
      anon_sym_EQ,
  [97559] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6383), 1,
      anon_sym_EQ,
  [97569] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6385), 1,
      anon_sym_EQ,
  [97579] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1169), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97587] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1152), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97595] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1148), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97603] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6172), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97611] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97619] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6387), 1,
      anon_sym_EQ,
  [97629] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6391), 1,
      aux_sym__simple_variable_name_token1,
  [97639] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6393), 1,
      anon_sym_EQ,
  [97649] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6006), 1,
      anon_sym_do,
    STATE(1448), 1,
      sym_do_group,
  [97659] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1113), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97667] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6395), 1,
      anon_sym_EQ,
  [97677] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97685] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97693] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97701] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6164), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97709] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1175), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97717] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6397), 1,
      anon_sym_EQ,
  [97727] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1121), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97735] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6399), 1,
      anon_sym_EQ,
  [97745] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6401), 1,
      anon_sym_EQ,
  [97755] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6403), 1,
      anon_sym_EQ,
  [97765] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1167), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97773] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1163), 2,
      sym__concat,
      anon_sym_RBRACE,
  [97781] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_do,
    STATE(1628), 1,
      sym_do_group,
  [97791] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6150), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [97799] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6405), 1,
      anon_sym_EQ,
  [97809] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6407), 1,
      anon_sym_EQ,
  [97819] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6409), 1,
      anon_sym_EQ,
  [97829] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6411), 1,
      anon_sym_EQ,
  [97839] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6413), 1,
      anon_sym_EQ,
  [97849] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6415), 1,
      anon_sym_EQ,
  [97859] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6417), 1,
      anon_sym_EQ,
  [97869] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6419), 1,
      anon_sym_EQ,
  [97879] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3273), 1,
      anon_sym_RBRACE,
  [97886] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6421), 1,
      anon_sym_RPAREN,
  [97893] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6423), 1,
      anon_sym_in,
  [97900] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3734), 1,
      anon_sym_RBRACE,
  [97907] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6425), 1,
      anon_sym_in,
  [97914] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6427), 1,
      anon_sym_RPAREN,
  [97921] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6429), 1,
      anon_sym_then,
  [97928] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6431), 1,
      anon_sym_BQUOTE,
  [97935] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6433), 1,
      sym_word,
  [97942] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2295), 1,
      anon_sym_RBRACE,
  [97949] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6435), 1,
      anon_sym_RPAREN,
  [97956] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
  [97963] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6437), 1,
      anon_sym_BQUOTE,
  [97970] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_RPAREN,
  [97977] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3684), 1,
      anon_sym_RBRACE,
  [97984] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6439), 1,
      anon_sym_RPAREN,
  [97991] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1517), 1,
      anon_sym_RBRACE,
  [97998] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4338), 1,
      anon_sym_RPAREN,
  [98005] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6441), 1,
      anon_sym_BQUOTE,
  [98012] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym_RPAREN,
  [98019] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6445), 1,
      sym_heredoc_start,
  [98026] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6447), 1,
      anon_sym_BQUOTE,
  [98033] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_RPAREN,
  [98040] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_RBRACK,
  [98047] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6449), 1,
      anon_sym_RBRACK,
  [98054] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3632), 1,
      anon_sym_RBRACE,
  [98061] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5980), 1,
      anon_sym_fi,
  [98068] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
  [98075] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_RBRACE,
  [98082] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5968), 1,
      anon_sym_fi,
  [98089] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6451), 1,
      anon_sym_RPAREN,
  [98096] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6453), 1,
      anon_sym_BQUOTE,
  [98103] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6455), 1,
      anon_sym_esac,
  [98110] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4279), 1,
      anon_sym_RPAREN,
  [98117] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6457), 1,
      anon_sym_esac,
  [98124] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3576), 1,
      anon_sym_RBRACE,
  [98131] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6459), 1,
      anon_sym_fi,
  [98138] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6461), 1,
      sym_heredoc_start,
  [98145] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6463), 1,
      anon_sym_RPAREN,
  [98152] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6465), 1,
      anon_sym_esac,
  [98159] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6467), 1,
      anon_sym_esac,
  [98166] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym_RBRACE,
  [98173] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6469), 1,
      anon_sym_esac,
  [98180] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6471), 1,
      anon_sym_RPAREN,
  [98187] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6473), 1,
      anon_sym_esac,
  [98194] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_RPAREN,
  [98201] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_RPAREN,
  [98208] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_RBRACK,
  [98215] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6475), 1,
      anon_sym_RPAREN,
  [98222] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6477), 1,
      anon_sym_BQUOTE,
  [98229] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_RPAREN,
  [98236] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6479), 1,
      anon_sym_RPAREN,
  [98243] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_RPAREN,
  [98250] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6481), 1,
      anon_sym_BQUOTE,
  [98257] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2949), 1,
      anon_sym_RBRACE,
  [98264] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_RBRACE,
  [98271] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_RBRACE,
  [98278] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4409), 1,
      anon_sym_RPAREN,
  [98285] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6483), 1,
      anon_sym_BQUOTE,
  [98292] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6485), 1,
      anon_sym_RPAREN,
  [98299] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1549), 1,
      anon_sym_RBRACE,
  [98306] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2817), 1,
      anon_sym_RBRACE,
  [98313] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3480), 1,
      anon_sym_RBRACE,
  [98320] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6487), 1,
      anon_sym_RPAREN,
  [98327] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6489), 1,
      anon_sym_BQUOTE,
  [98334] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4423), 1,
      anon_sym_RPAREN,
  [98341] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_RPAREN,
  [98348] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6491), 1,
      anon_sym_BQUOTE,
  [98355] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6493), 1,
      anon_sym_RPAREN,
  [98362] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6495), 1,
      anon_sym_SEMI_SEMI,
  [98369] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6497), 1,
      anon_sym_SEMI_SEMI,
  [98376] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
  [98383] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3462), 1,
      anon_sym_RBRACE,
  [98390] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_RBRACE,
  [98397] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(245), 1,
      anon_sym_SEMI_SEMI,
  [98404] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2883), 1,
      anon_sym_RBRACE,
  [98411] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_RPAREN,
  [98418] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_BQUOTE,
  [98425] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5978), 1,
      anon_sym_fi,
  [98432] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(249), 1,
      anon_sym_SEMI_SEMI,
  [98439] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6501), 1,
      anon_sym_RPAREN,
  [98446] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6503), 1,
      anon_sym_BQUOTE,
  [98453] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_RPAREN,
  [98460] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_RBRACE,
  [98467] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3396), 1,
      anon_sym_RBRACE,
  [98474] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6505), 1,
      anon_sym_RPAREN,
  [98481] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3408), 1,
      anon_sym_RBRACE,
  [98488] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4288), 1,
      anon_sym_RPAREN,
  [98495] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6507), 1,
      anon_sym_BQUOTE,
  [98502] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym_RPAREN,
  [98509] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2933), 1,
      anon_sym_RBRACE,
  [98516] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_RPAREN,
  [98523] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6513), 1,
      anon_sym_BQUOTE,
  [98530] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_RPAREN,
  [98537] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6515), 1,
      anon_sym_then,
  [98544] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_RBRACK,
  [98551] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6519), 1,
      anon_sym_RPAREN,
  [98558] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3350), 1,
      anon_sym_RBRACE,
  [98565] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3362), 1,
      anon_sym_RBRACE,
  [98572] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4385), 1,
      anon_sym_RPAREN,
  [98579] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_BQUOTE,
  [98586] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6523), 1,
      anon_sym_RPAREN,
  [98593] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6525), 1,
      anon_sym_esac,
  [98600] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
  [98607] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_RBRACE,
  [98614] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6527), 1,
      anon_sym_RPAREN,
  [98621] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6529), 1,
      anon_sym_BQUOTE,
  [98628] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6531), 1,
      anon_sym_RPAREN,
  [98635] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_RPAREN,
  [98642] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4467), 1,
      anon_sym_RPAREN,
  [98649] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6533), 1,
      anon_sym_BQUOTE,
  [98656] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6535), 1,
      anon_sym_RPAREN,
  [98663] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
  [98670] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_RBRACE,
  [98677] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
  [98684] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_RBRACE,
  [98691] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3225), 1,
      anon_sym_RBRACE,
  [98698] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6537), 1,
      anon_sym_RPAREN,
  [98705] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6539), 1,
      anon_sym_BQUOTE,
  [98712] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2991), 1,
      anon_sym_RBRACE,
  [98719] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_esac,
  [98726] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4267), 1,
      anon_sym_RPAREN,
  [98733] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6543), 1,
      anon_sym_BQUOTE,
  [98740] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6545), 1,
      anon_sym_RPAREN,
  [98747] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
  [98754] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2105), 1,
      anon_sym_RBRACE,
  [98761] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_RBRACE,
  [98768] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2231), 1,
      anon_sym_RBRACE,
  [98775] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6547), 1,
      ts_builtin_sym_end,
  [98782] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6549), 1,
      ts_builtin_sym_end,
  [98789] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4425), 1,
      anon_sym_RPAREN,
  [98796] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6551), 1,
      anon_sym_BQUOTE,
  [98803] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6553), 1,
      anon_sym_RPAREN,
  [98810] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6555), 1,
      anon_sym_RPAREN,
  [98817] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6557), 1,
      anon_sym_BQUOTE,
  [98824] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4439), 1,
      anon_sym_RPAREN,
  [98831] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1453), 1,
      anon_sym_RBRACE,
  [98838] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_esac,
  [98845] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_RBRACE,
  [98852] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
  [98859] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
  [98866] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_esac,
  [98873] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4441), 1,
      anon_sym_RPAREN,
  [98880] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6563), 1,
      anon_sym_BQUOTE,
  [98887] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6565), 1,
      anon_sym_RPAREN,
  [98894] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_RBRACE,
  [98901] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6567), 1,
      anon_sym_fi,
  [98908] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym_fi,
  [98915] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6569), 1,
      sym_word,
  [98922] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2511), 1,
      anon_sym_RBRACE,
  [98929] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_RPAREN,
  [98936] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6573), 1,
      anon_sym_BQUOTE,
  [98943] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4381), 1,
      anon_sym_RPAREN,
  [98950] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
  [98957] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_RPAREN,
  [98964] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6575), 1,
      anon_sym_BQUOTE,
  [98971] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_RPAREN,
  [98978] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3057), 1,
      anon_sym_RBRACE,
  [98985] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_esac,
  [98992] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym_in,
  [98999] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6583), 1,
      anon_sym_in,
  [99006] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
  [99013] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_RBRACE,
  [99020] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_BQUOTE,
  [99027] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6587), 1,
      anon_sym_esac,
  [99034] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6589), 1,
      anon_sym_RPAREN,
  [99041] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6591), 1,
      anon_sym_BQUOTE,
  [99048] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_RPAREN,
  [99055] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3015), 1,
      anon_sym_RBRACE,
  [99062] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_RPAREN,
  [99069] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2695), 1,
      anon_sym_RBRACE,
  [99076] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3029), 1,
      anon_sym_RBRACE,
  [99083] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6593), 1,
      anon_sym_then,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(125)] = 0,
  [SMALL_STATE(126)] = 59,
  [SMALL_STATE(127)] = 139,
  [SMALL_STATE(128)] = 219,
  [SMALL_STATE(129)] = 299,
  [SMALL_STATE(130)] = 379,
  [SMALL_STATE(131)] = 459,
  [SMALL_STATE(132)] = 539,
  [SMALL_STATE(133)] = 619,
  [SMALL_STATE(134)] = 699,
  [SMALL_STATE(135)] = 779,
  [SMALL_STATE(136)] = 840,
  [SMALL_STATE(137)] = 917,
  [SMALL_STATE(138)] = 994,
  [SMALL_STATE(139)] = 1055,
  [SMALL_STATE(140)] = 1116,
  [SMALL_STATE(141)] = 1177,
  [SMALL_STATE(142)] = 1238,
  [SMALL_STATE(143)] = 1312,
  [SMALL_STATE(144)] = 1386,
  [SMALL_STATE(145)] = 1446,
  [SMALL_STATE(146)] = 1496,
  [SMALL_STATE(147)] = 1570,
  [SMALL_STATE(148)] = 1644,
  [SMALL_STATE(149)] = 1718,
  [SMALL_STATE(150)] = 1792,
  [SMALL_STATE(151)] = 1866,
  [SMALL_STATE(152)] = 1940,
  [SMALL_STATE(153)] = 1998,
  [SMALL_STATE(154)] = 2056,
  [SMALL_STATE(155)] = 2130,
  [SMALL_STATE(156)] = 2204,
  [SMALL_STATE(157)] = 2262,
  [SMALL_STATE(158)] = 2322,
  [SMALL_STATE(159)] = 2382,
  [SMALL_STATE(160)] = 2438,
  [SMALL_STATE(161)] = 2512,
  [SMALL_STATE(162)] = 2586,
  [SMALL_STATE(163)] = 2644,
  [SMALL_STATE(164)] = 2694,
  [SMALL_STATE(165)] = 2754,
  [SMALL_STATE(166)] = 2828,
  [SMALL_STATE(167)] = 2902,
  [SMALL_STATE(168)] = 2960,
  [SMALL_STATE(169)] = 3034,
  [SMALL_STATE(170)] = 3094,
  [SMALL_STATE(171)] = 3154,
  [SMALL_STATE(172)] = 3212,
  [SMALL_STATE(173)] = 3269,
  [SMALL_STATE(174)] = 3340,
  [SMALL_STATE(175)] = 3413,
  [SMALL_STATE(176)] = 3484,
  [SMALL_STATE(177)] = 3555,
  [SMALL_STATE(178)] = 3628,
  [SMALL_STATE(179)] = 3687,
  [SMALL_STATE(180)] = 3744,
  [SMALL_STATE(181)] = 3803,
  [SMALL_STATE(182)] = 3862,
  [SMALL_STATE(183)] = 3933,
  [SMALL_STATE(184)] = 4006,
  [SMALL_STATE(185)] = 4079,
  [SMALL_STATE(186)] = 4152,
  [SMALL_STATE(187)] = 4225,
  [SMALL_STATE(188)] = 4298,
  [SMALL_STATE(189)] = 4353,
  [SMALL_STATE(190)] = 4426,
  [SMALL_STATE(191)] = 4499,
  [SMALL_STATE(192)] = 4549,
  [SMALL_STATE(193)] = 4639,
  [SMALL_STATE(194)] = 4689,
  [SMALL_STATE(195)] = 4779,
  [SMALL_STATE(196)] = 4849,
  [SMALL_STATE(197)] = 4901,
  [SMALL_STATE(198)] = 4953,
  [SMALL_STATE(199)] = 5043,
  [SMALL_STATE(200)] = 5133,
  [SMALL_STATE(201)] = 5203,
  [SMALL_STATE(202)] = 5255,
  [SMALL_STATE(203)] = 5305,
  [SMALL_STATE(204)] = 5355,
  [SMALL_STATE(205)] = 5407,
  [SMALL_STATE(206)] = 5456,
  [SMALL_STATE(207)] = 5505,
  [SMALL_STATE(208)] = 5554,
  [SMALL_STATE(209)] = 5601,
  [SMALL_STATE(210)] = 5648,
  [SMALL_STATE(211)] = 5697,
  [SMALL_STATE(212)] = 5743,
  [SMALL_STATE(213)] = 5791,
  [SMALL_STATE(214)] = 5839,
  [SMALL_STATE(215)] = 5887,
  [SMALL_STATE(216)] = 5935,
  [SMALL_STATE(217)] = 5981,
  [SMALL_STATE(218)] = 6041,
  [SMALL_STATE(219)] = 6101,
  [SMALL_STATE(220)] = 6151,
  [SMALL_STATE(221)] = 6211,
  [SMALL_STATE(222)] = 6271,
  [SMALL_STATE(223)] = 6321,
  [SMALL_STATE(224)] = 6373,
  [SMALL_STATE(225)] = 6423,
  [SMALL_STATE(226)] = 6483,
  [SMALL_STATE(227)] = 6533,
  [SMALL_STATE(228)] = 6583,
  [SMALL_STATE(229)] = 6635,
  [SMALL_STATE(230)] = 6695,
  [SMALL_STATE(231)] = 6745,
  [SMALL_STATE(232)] = 6797,
  [SMALL_STATE(233)] = 6844,
  [SMALL_STATE(234)] = 6903,
  [SMALL_STATE(235)] = 6950,
  [SMALL_STATE(236)] = 6997,
  [SMALL_STATE(237)] = 7044,
  [SMALL_STATE(238)] = 7091,
  [SMALL_STATE(239)] = 7138,
  [SMALL_STATE(240)] = 7185,
  [SMALL_STATE(241)] = 7242,
  [SMALL_STATE(242)] = 7289,
  [SMALL_STATE(243)] = 7336,
  [SMALL_STATE(244)] = 7383,
  [SMALL_STATE(245)] = 7442,
  [SMALL_STATE(246)] = 7489,
  [SMALL_STATE(247)] = 7536,
  [SMALL_STATE(248)] = 7583,
  [SMALL_STATE(249)] = 7630,
  [SMALL_STATE(250)] = 7677,
  [SMALL_STATE(251)] = 7724,
  [SMALL_STATE(252)] = 7771,
  [SMALL_STATE(253)] = 7818,
  [SMALL_STATE(254)] = 7865,
  [SMALL_STATE(255)] = 7914,
  [SMALL_STATE(256)] = 7961,
  [SMALL_STATE(257)] = 8008,
  [SMALL_STATE(258)] = 8067,
  [SMALL_STATE(259)] = 8114,
  [SMALL_STATE(260)] = 8161,
  [SMALL_STATE(261)] = 8208,
  [SMALL_STATE(262)] = 8255,
  [SMALL_STATE(263)] = 8302,
  [SMALL_STATE(264)] = 8359,
  [SMALL_STATE(265)] = 8416,
  [SMALL_STATE(266)] = 8463,
  [SMALL_STATE(267)] = 8510,
  [SMALL_STATE(268)] = 8567,
  [SMALL_STATE(269)] = 8618,
  [SMALL_STATE(270)] = 8665,
  [SMALL_STATE(271)] = 8712,
  [SMALL_STATE(272)] = 8759,
  [SMALL_STATE(273)] = 8818,
  [SMALL_STATE(274)] = 8865,
  [SMALL_STATE(275)] = 8912,
  [SMALL_STATE(276)] = 8954,
  [SMALL_STATE(277)] = 9000,
  [SMALL_STATE(278)] = 9046,
  [SMALL_STATE(279)] = 9088,
  [SMALL_STATE(280)] = 9130,
  [SMALL_STATE(281)] = 9172,
  [SMALL_STATE(282)] = 9214,
  [SMALL_STATE(283)] = 9256,
  [SMALL_STATE(284)] = 9298,
  [SMALL_STATE(285)] = 9340,
  [SMALL_STATE(286)] = 9382,
  [SMALL_STATE(287)] = 9428,
  [SMALL_STATE(288)] = 9474,
  [SMALL_STATE(289)] = 9516,
  [SMALL_STATE(290)] = 9558,
  [SMALL_STATE(291)] = 9604,
  [SMALL_STATE(292)] = 9650,
  [SMALL_STATE(293)] = 9692,
  [SMALL_STATE(294)] = 9734,
  [SMALL_STATE(295)] = 9776,
  [SMALL_STATE(296)] = 9818,
  [SMALL_STATE(297)] = 9860,
  [SMALL_STATE(298)] = 9902,
  [SMALL_STATE(299)] = 9944,
  [SMALL_STATE(300)] = 9986,
  [SMALL_STATE(301)] = 10028,
  [SMALL_STATE(302)] = 10070,
  [SMALL_STATE(303)] = 10112,
  [SMALL_STATE(304)] = 10154,
  [SMALL_STATE(305)] = 10196,
  [SMALL_STATE(306)] = 10238,
  [SMALL_STATE(307)] = 10280,
  [SMALL_STATE(308)] = 10322,
  [SMALL_STATE(309)] = 10364,
  [SMALL_STATE(310)] = 10406,
  [SMALL_STATE(311)] = 10448,
  [SMALL_STATE(312)] = 10494,
  [SMALL_STATE(313)] = 10540,
  [SMALL_STATE(314)] = 10586,
  [SMALL_STATE(315)] = 10632,
  [SMALL_STATE(316)] = 10678,
  [SMALL_STATE(317)] = 10724,
  [SMALL_STATE(318)] = 10770,
  [SMALL_STATE(319)] = 10816,
  [SMALL_STATE(320)] = 10862,
  [SMALL_STATE(321)] = 10904,
  [SMALL_STATE(322)] = 10946,
  [SMALL_STATE(323)] = 10988,
  [SMALL_STATE(324)] = 11030,
  [SMALL_STATE(325)] = 11072,
  [SMALL_STATE(326)] = 11114,
  [SMALL_STATE(327)] = 11156,
  [SMALL_STATE(328)] = 11198,
  [SMALL_STATE(329)] = 11240,
  [SMALL_STATE(330)] = 11282,
  [SMALL_STATE(331)] = 11324,
  [SMALL_STATE(332)] = 11366,
  [SMALL_STATE(333)] = 11408,
  [SMALL_STATE(334)] = 11450,
  [SMALL_STATE(335)] = 11492,
  [SMALL_STATE(336)] = 11534,
  [SMALL_STATE(337)] = 11576,
  [SMALL_STATE(338)] = 11618,
  [SMALL_STATE(339)] = 11660,
  [SMALL_STATE(340)] = 11702,
  [SMALL_STATE(341)] = 11744,
  [SMALL_STATE(342)] = 11786,
  [SMALL_STATE(343)] = 11828,
  [SMALL_STATE(344)] = 11870,
  [SMALL_STATE(345)] = 11912,
  [SMALL_STATE(346)] = 11954,
  [SMALL_STATE(347)] = 12000,
  [SMALL_STATE(348)] = 12042,
  [SMALL_STATE(349)] = 12084,
  [SMALL_STATE(350)] = 12126,
  [SMALL_STATE(351)] = 12168,
  [SMALL_STATE(352)] = 12210,
  [SMALL_STATE(353)] = 12252,
  [SMALL_STATE(354)] = 12298,
  [SMALL_STATE(355)] = 12344,
  [SMALL_STATE(356)] = 12390,
  [SMALL_STATE(357)] = 12436,
  [SMALL_STATE(358)] = 12478,
  [SMALL_STATE(359)] = 12520,
  [SMALL_STATE(360)] = 12566,
  [SMALL_STATE(361)] = 12612,
  [SMALL_STATE(362)] = 12664,
  [SMALL_STATE(363)] = 12706,
  [SMALL_STATE(364)] = 12752,
  [SMALL_STATE(365)] = 12794,
  [SMALL_STATE(366)] = 12836,
  [SMALL_STATE(367)] = 12878,
  [SMALL_STATE(368)] = 12920,
  [SMALL_STATE(369)] = 12966,
  [SMALL_STATE(370)] = 13008,
  [SMALL_STATE(371)] = 13050,
  [SMALL_STATE(372)] = 13092,
  [SMALL_STATE(373)] = 13134,
  [SMALL_STATE(374)] = 13176,
  [SMALL_STATE(375)] = 13218,
  [SMALL_STATE(376)] = 13260,
  [SMALL_STATE(377)] = 13302,
  [SMALL_STATE(378)] = 13344,
  [SMALL_STATE(379)] = 13386,
  [SMALL_STATE(380)] = 13432,
  [SMALL_STATE(381)] = 13478,
  [SMALL_STATE(382)] = 13524,
  [SMALL_STATE(383)] = 13566,
  [SMALL_STATE(384)] = 13612,
  [SMALL_STATE(385)] = 13654,
  [SMALL_STATE(386)] = 13696,
  [SMALL_STATE(387)] = 13738,
  [SMALL_STATE(388)] = 13780,
  [SMALL_STATE(389)] = 13822,
  [SMALL_STATE(390)] = 13864,
  [SMALL_STATE(391)] = 13906,
  [SMALL_STATE(392)] = 13952,
  [SMALL_STATE(393)] = 13994,
  [SMALL_STATE(394)] = 14036,
  [SMALL_STATE(395)] = 14078,
  [SMALL_STATE(396)] = 14120,
  [SMALL_STATE(397)] = 14162,
  [SMALL_STATE(398)] = 14204,
  [SMALL_STATE(399)] = 14250,
  [SMALL_STATE(400)] = 14296,
  [SMALL_STATE(401)] = 14338,
  [SMALL_STATE(402)] = 14380,
  [SMALL_STATE(403)] = 14422,
  [SMALL_STATE(404)] = 14464,
  [SMALL_STATE(405)] = 14506,
  [SMALL_STATE(406)] = 14548,
  [SMALL_STATE(407)] = 14590,
  [SMALL_STATE(408)] = 14632,
  [SMALL_STATE(409)] = 14674,
  [SMALL_STATE(410)] = 14716,
  [SMALL_STATE(411)] = 14758,
  [SMALL_STATE(412)] = 14800,
  [SMALL_STATE(413)] = 14842,
  [SMALL_STATE(414)] = 14884,
  [SMALL_STATE(415)] = 14926,
  [SMALL_STATE(416)] = 14968,
  [SMALL_STATE(417)] = 15014,
  [SMALL_STATE(418)] = 15056,
  [SMALL_STATE(419)] = 15102,
  [SMALL_STATE(420)] = 15144,
  [SMALL_STATE(421)] = 15186,
  [SMALL_STATE(422)] = 15228,
  [SMALL_STATE(423)] = 15270,
  [SMALL_STATE(424)] = 15312,
  [SMALL_STATE(425)] = 15354,
  [SMALL_STATE(426)] = 15396,
  [SMALL_STATE(427)] = 15438,
  [SMALL_STATE(428)] = 15480,
  [SMALL_STATE(429)] = 15522,
  [SMALL_STATE(430)] = 15568,
  [SMALL_STATE(431)] = 15610,
  [SMALL_STATE(432)] = 15652,
  [SMALL_STATE(433)] = 15694,
  [SMALL_STATE(434)] = 15736,
  [SMALL_STATE(435)] = 15778,
  [SMALL_STATE(436)] = 15820,
  [SMALL_STATE(437)] = 15866,
  [SMALL_STATE(438)] = 15912,
  [SMALL_STATE(439)] = 15958,
  [SMALL_STATE(440)] = 16004,
  [SMALL_STATE(441)] = 16046,
  [SMALL_STATE(442)] = 16088,
  [SMALL_STATE(443)] = 16130,
  [SMALL_STATE(444)] = 16172,
  [SMALL_STATE(445)] = 16214,
  [SMALL_STATE(446)] = 16260,
  [SMALL_STATE(447)] = 16306,
  [SMALL_STATE(448)] = 16352,
  [SMALL_STATE(449)] = 16394,
  [SMALL_STATE(450)] = 16440,
  [SMALL_STATE(451)] = 16482,
  [SMALL_STATE(452)] = 16524,
  [SMALL_STATE(453)] = 16570,
  [SMALL_STATE(454)] = 16612,
  [SMALL_STATE(455)] = 16654,
  [SMALL_STATE(456)] = 16696,
  [SMALL_STATE(457)] = 16738,
  [SMALL_STATE(458)] = 16780,
  [SMALL_STATE(459)] = 16822,
  [SMALL_STATE(460)] = 16864,
  [SMALL_STATE(461)] = 16906,
  [SMALL_STATE(462)] = 16948,
  [SMALL_STATE(463)] = 16990,
  [SMALL_STATE(464)] = 17032,
  [SMALL_STATE(465)] = 17074,
  [SMALL_STATE(466)] = 17116,
  [SMALL_STATE(467)] = 17162,
  [SMALL_STATE(468)] = 17204,
  [SMALL_STATE(469)] = 17246,
  [SMALL_STATE(470)] = 17288,
  [SMALL_STATE(471)] = 17334,
  [SMALL_STATE(472)] = 17379,
  [SMALL_STATE(473)] = 17420,
  [SMALL_STATE(474)] = 17461,
  [SMALL_STATE(475)] = 17506,
  [SMALL_STATE(476)] = 17547,
  [SMALL_STATE(477)] = 17588,
  [SMALL_STATE(478)] = 17629,
  [SMALL_STATE(479)] = 17670,
  [SMALL_STATE(480)] = 17711,
  [SMALL_STATE(481)] = 17752,
  [SMALL_STATE(482)] = 17797,
  [SMALL_STATE(483)] = 17838,
  [SMALL_STATE(484)] = 17879,
  [SMALL_STATE(485)] = 17920,
  [SMALL_STATE(486)] = 17961,
  [SMALL_STATE(487)] = 18002,
  [SMALL_STATE(488)] = 18043,
  [SMALL_STATE(489)] = 18084,
  [SMALL_STATE(490)] = 18125,
  [SMALL_STATE(491)] = 18166,
  [SMALL_STATE(492)] = 18207,
  [SMALL_STATE(493)] = 18248,
  [SMALL_STATE(494)] = 18289,
  [SMALL_STATE(495)] = 18330,
  [SMALL_STATE(496)] = 18371,
  [SMALL_STATE(497)] = 18412,
  [SMALL_STATE(498)] = 18453,
  [SMALL_STATE(499)] = 18494,
  [SMALL_STATE(500)] = 18535,
  [SMALL_STATE(501)] = 18576,
  [SMALL_STATE(502)] = 18617,
  [SMALL_STATE(503)] = 18658,
  [SMALL_STATE(504)] = 18699,
  [SMALL_STATE(505)] = 18740,
  [SMALL_STATE(506)] = 18781,
  [SMALL_STATE(507)] = 18822,
  [SMALL_STATE(508)] = 18867,
  [SMALL_STATE(509)] = 18908,
  [SMALL_STATE(510)] = 18949,
  [SMALL_STATE(511)] = 18990,
  [SMALL_STATE(512)] = 19031,
  [SMALL_STATE(513)] = 19072,
  [SMALL_STATE(514)] = 19113,
  [SMALL_STATE(515)] = 19154,
  [SMALL_STATE(516)] = 19195,
  [SMALL_STATE(517)] = 19236,
  [SMALL_STATE(518)] = 19277,
  [SMALL_STATE(519)] = 19318,
  [SMALL_STATE(520)] = 19359,
  [SMALL_STATE(521)] = 19400,
  [SMALL_STATE(522)] = 19441,
  [SMALL_STATE(523)] = 19482,
  [SMALL_STATE(524)] = 19523,
  [SMALL_STATE(525)] = 19564,
  [SMALL_STATE(526)] = 19605,
  [SMALL_STATE(527)] = 19646,
  [SMALL_STATE(528)] = 19687,
  [SMALL_STATE(529)] = 19728,
  [SMALL_STATE(530)] = 19769,
  [SMALL_STATE(531)] = 19810,
  [SMALL_STATE(532)] = 19851,
  [SMALL_STATE(533)] = 19892,
  [SMALL_STATE(534)] = 19933,
  [SMALL_STATE(535)] = 19974,
  [SMALL_STATE(536)] = 20015,
  [SMALL_STATE(537)] = 20056,
  [SMALL_STATE(538)] = 20097,
  [SMALL_STATE(539)] = 20138,
  [SMALL_STATE(540)] = 20179,
  [SMALL_STATE(541)] = 20224,
  [SMALL_STATE(542)] = 20297,
  [SMALL_STATE(543)] = 20338,
  [SMALL_STATE(544)] = 20379,
  [SMALL_STATE(545)] = 20420,
  [SMALL_STATE(546)] = 20469,
  [SMALL_STATE(547)] = 20510,
  [SMALL_STATE(548)] = 20561,
  [SMALL_STATE(549)] = 20602,
  [SMALL_STATE(550)] = 20643,
  [SMALL_STATE(551)] = 20688,
  [SMALL_STATE(552)] = 20729,
  [SMALL_STATE(553)] = 20770,
  [SMALL_STATE(554)] = 20811,
  [SMALL_STATE(555)] = 20852,
  [SMALL_STATE(556)] = 20893,
  [SMALL_STATE(557)] = 20934,
  [SMALL_STATE(558)] = 20975,
  [SMALL_STATE(559)] = 21016,
  [SMALL_STATE(560)] = 21057,
  [SMALL_STATE(561)] = 21098,
  [SMALL_STATE(562)] = 21139,
  [SMALL_STATE(563)] = 21180,
  [SMALL_STATE(564)] = 21221,
  [SMALL_STATE(565)] = 21262,
  [SMALL_STATE(566)] = 21303,
  [SMALL_STATE(567)] = 21344,
  [SMALL_STATE(568)] = 21385,
  [SMALL_STATE(569)] = 21430,
  [SMALL_STATE(570)] = 21471,
  [SMALL_STATE(571)] = 21544,
  [SMALL_STATE(572)] = 21585,
  [SMALL_STATE(573)] = 21626,
  [SMALL_STATE(574)] = 21667,
  [SMALL_STATE(575)] = 21708,
  [SMALL_STATE(576)] = 21749,
  [SMALL_STATE(577)] = 21794,
  [SMALL_STATE(578)] = 21835,
  [SMALL_STATE(579)] = 21876,
  [SMALL_STATE(580)] = 21917,
  [SMALL_STATE(581)] = 21958,
  [SMALL_STATE(582)] = 21999,
  [SMALL_STATE(583)] = 22040,
  [SMALL_STATE(584)] = 22081,
  [SMALL_STATE(585)] = 22122,
  [SMALL_STATE(586)] = 22163,
  [SMALL_STATE(587)] = 22204,
  [SMALL_STATE(588)] = 22277,
  [SMALL_STATE(589)] = 22318,
  [SMALL_STATE(590)] = 22359,
  [SMALL_STATE(591)] = 22400,
  [SMALL_STATE(592)] = 22441,
  [SMALL_STATE(593)] = 22482,
  [SMALL_STATE(594)] = 22523,
  [SMALL_STATE(595)] = 22564,
  [SMALL_STATE(596)] = 22605,
  [SMALL_STATE(597)] = 22646,
  [SMALL_STATE(598)] = 22687,
  [SMALL_STATE(599)] = 22728,
  [SMALL_STATE(600)] = 22769,
  [SMALL_STATE(601)] = 22810,
  [SMALL_STATE(602)] = 22851,
  [SMALL_STATE(603)] = 22892,
  [SMALL_STATE(604)] = 22933,
  [SMALL_STATE(605)] = 22974,
  [SMALL_STATE(606)] = 23015,
  [SMALL_STATE(607)] = 23056,
  [SMALL_STATE(608)] = 23097,
  [SMALL_STATE(609)] = 23138,
  [SMALL_STATE(610)] = 23179,
  [SMALL_STATE(611)] = 23220,
  [SMALL_STATE(612)] = 23261,
  [SMALL_STATE(613)] = 23302,
  [SMALL_STATE(614)] = 23343,
  [SMALL_STATE(615)] = 23384,
  [SMALL_STATE(616)] = 23425,
  [SMALL_STATE(617)] = 23466,
  [SMALL_STATE(618)] = 23511,
  [SMALL_STATE(619)] = 23552,
  [SMALL_STATE(620)] = 23597,
  [SMALL_STATE(621)] = 23642,
  [SMALL_STATE(622)] = 23683,
  [SMALL_STATE(623)] = 23728,
  [SMALL_STATE(624)] = 23769,
  [SMALL_STATE(625)] = 23810,
  [SMALL_STATE(626)] = 23851,
  [SMALL_STATE(627)] = 23924,
  [SMALL_STATE(628)] = 23965,
  [SMALL_STATE(629)] = 24006,
  [SMALL_STATE(630)] = 24047,
  [SMALL_STATE(631)] = 24088,
  [SMALL_STATE(632)] = 24129,
  [SMALL_STATE(633)] = 24170,
  [SMALL_STATE(634)] = 24211,
  [SMALL_STATE(635)] = 24252,
  [SMALL_STATE(636)] = 24293,
  [SMALL_STATE(637)] = 24334,
  [SMALL_STATE(638)] = 24375,
  [SMALL_STATE(639)] = 24416,
  [SMALL_STATE(640)] = 24467,
  [SMALL_STATE(641)] = 24508,
  [SMALL_STATE(642)] = 24549,
  [SMALL_STATE(643)] = 24590,
  [SMALL_STATE(644)] = 24631,
  [SMALL_STATE(645)] = 24672,
  [SMALL_STATE(646)] = 24713,
  [SMALL_STATE(647)] = 24754,
  [SMALL_STATE(648)] = 24795,
  [SMALL_STATE(649)] = 24836,
  [SMALL_STATE(650)] = 24877,
  [SMALL_STATE(651)] = 24918,
  [SMALL_STATE(652)] = 24959,
  [SMALL_STATE(653)] = 25000,
  [SMALL_STATE(654)] = 25041,
  [SMALL_STATE(655)] = 25082,
  [SMALL_STATE(656)] = 25123,
  [SMALL_STATE(657)] = 25164,
  [SMALL_STATE(658)] = 25205,
  [SMALL_STATE(659)] = 25246,
  [SMALL_STATE(660)] = 25287,
  [SMALL_STATE(661)] = 25328,
  [SMALL_STATE(662)] = 25368,
  [SMALL_STATE(663)] = 25408,
  [SMALL_STATE(664)] = 25448,
  [SMALL_STATE(665)] = 25488,
  [SMALL_STATE(666)] = 25528,
  [SMALL_STATE(667)] = 25568,
  [SMALL_STATE(668)] = 25608,
  [SMALL_STATE(669)] = 25648,
  [SMALL_STATE(670)] = 25688,
  [SMALL_STATE(671)] = 25728,
  [SMALL_STATE(672)] = 25768,
  [SMALL_STATE(673)] = 25808,
  [SMALL_STATE(674)] = 25848,
  [SMALL_STATE(675)] = 25888,
  [SMALL_STATE(676)] = 25928,
  [SMALL_STATE(677)] = 25991,
  [SMALL_STATE(678)] = 26054,
  [SMALL_STATE(679)] = 26117,
  [SMALL_STATE(680)] = 26180,
  [SMALL_STATE(681)] = 26243,
  [SMALL_STATE(682)] = 26306,
  [SMALL_STATE(683)] = 26359,
  [SMALL_STATE(684)] = 26410,
  [SMALL_STATE(685)] = 26462,
  [SMALL_STATE(686)] = 26514,
  [SMALL_STATE(687)] = 26579,
  [SMALL_STATE(688)] = 26644,
  [SMALL_STATE(689)] = 26709,
  [SMALL_STATE(690)] = 26774,
  [SMALL_STATE(691)] = 26839,
  [SMALL_STATE(692)] = 26904,
  [SMALL_STATE(693)] = 26969,
  [SMALL_STATE(694)] = 27034,
  [SMALL_STATE(695)] = 27099,
  [SMALL_STATE(696)] = 27164,
  [SMALL_STATE(697)] = 27229,
  [SMALL_STATE(698)] = 27294,
  [SMALL_STATE(699)] = 27359,
  [SMALL_STATE(700)] = 27424,
  [SMALL_STATE(701)] = 27489,
  [SMALL_STATE(702)] = 27554,
  [SMALL_STATE(703)] = 27619,
  [SMALL_STATE(704)] = 27684,
  [SMALL_STATE(705)] = 27749,
  [SMALL_STATE(706)] = 27814,
  [SMALL_STATE(707)] = 27879,
  [SMALL_STATE(708)] = 27944,
  [SMALL_STATE(709)] = 28009,
  [SMALL_STATE(710)] = 28074,
  [SMALL_STATE(711)] = 28139,
  [SMALL_STATE(712)] = 28204,
  [SMALL_STATE(713)] = 28269,
  [SMALL_STATE(714)] = 28334,
  [SMALL_STATE(715)] = 28399,
  [SMALL_STATE(716)] = 28464,
  [SMALL_STATE(717)] = 28529,
  [SMALL_STATE(718)] = 28594,
  [SMALL_STATE(719)] = 28659,
  [SMALL_STATE(720)] = 28724,
  [SMALL_STATE(721)] = 28789,
  [SMALL_STATE(722)] = 28854,
  [SMALL_STATE(723)] = 28919,
  [SMALL_STATE(724)] = 28984,
  [SMALL_STATE(725)] = 29049,
  [SMALL_STATE(726)] = 29114,
  [SMALL_STATE(727)] = 29179,
  [SMALL_STATE(728)] = 29244,
  [SMALL_STATE(729)] = 29309,
  [SMALL_STATE(730)] = 29374,
  [SMALL_STATE(731)] = 29439,
  [SMALL_STATE(732)] = 29504,
  [SMALL_STATE(733)] = 29569,
  [SMALL_STATE(734)] = 29634,
  [SMALL_STATE(735)] = 29699,
  [SMALL_STATE(736)] = 29764,
  [SMALL_STATE(737)] = 29829,
  [SMALL_STATE(738)] = 29894,
  [SMALL_STATE(739)] = 29959,
  [SMALL_STATE(740)] = 30024,
  [SMALL_STATE(741)] = 30089,
  [SMALL_STATE(742)] = 30154,
  [SMALL_STATE(743)] = 30219,
  [SMALL_STATE(744)] = 30284,
  [SMALL_STATE(745)] = 30349,
  [SMALL_STATE(746)] = 30414,
  [SMALL_STATE(747)] = 30479,
  [SMALL_STATE(748)] = 30544,
  [SMALL_STATE(749)] = 30609,
  [SMALL_STATE(750)] = 30674,
  [SMALL_STATE(751)] = 30739,
  [SMALL_STATE(752)] = 30804,
  [SMALL_STATE(753)] = 30869,
  [SMALL_STATE(754)] = 30934,
  [SMALL_STATE(755)] = 30999,
  [SMALL_STATE(756)] = 31064,
  [SMALL_STATE(757)] = 31129,
  [SMALL_STATE(758)] = 31194,
  [SMALL_STATE(759)] = 31259,
  [SMALL_STATE(760)] = 31324,
  [SMALL_STATE(761)] = 31389,
  [SMALL_STATE(762)] = 31454,
  [SMALL_STATE(763)] = 31519,
  [SMALL_STATE(764)] = 31584,
  [SMALL_STATE(765)] = 31649,
  [SMALL_STATE(766)] = 31714,
  [SMALL_STATE(767)] = 31779,
  [SMALL_STATE(768)] = 31844,
  [SMALL_STATE(769)] = 31909,
  [SMALL_STATE(770)] = 31974,
  [SMALL_STATE(771)] = 32039,
  [SMALL_STATE(772)] = 32104,
  [SMALL_STATE(773)] = 32169,
  [SMALL_STATE(774)] = 32234,
  [SMALL_STATE(775)] = 32299,
  [SMALL_STATE(776)] = 32364,
  [SMALL_STATE(777)] = 32429,
  [SMALL_STATE(778)] = 32494,
  [SMALL_STATE(779)] = 32559,
  [SMALL_STATE(780)] = 32624,
  [SMALL_STATE(781)] = 32689,
  [SMALL_STATE(782)] = 32754,
  [SMALL_STATE(783)] = 32819,
  [SMALL_STATE(784)] = 32884,
  [SMALL_STATE(785)] = 32949,
  [SMALL_STATE(786)] = 33014,
  [SMALL_STATE(787)] = 33079,
  [SMALL_STATE(788)] = 33144,
  [SMALL_STATE(789)] = 33209,
  [SMALL_STATE(790)] = 33274,
  [SMALL_STATE(791)] = 33339,
  [SMALL_STATE(792)] = 33404,
  [SMALL_STATE(793)] = 33469,
  [SMALL_STATE(794)] = 33534,
  [SMALL_STATE(795)] = 33599,
  [SMALL_STATE(796)] = 33664,
  [SMALL_STATE(797)] = 33729,
  [SMALL_STATE(798)] = 33794,
  [SMALL_STATE(799)] = 33859,
  [SMALL_STATE(800)] = 33924,
  [SMALL_STATE(801)] = 33989,
  [SMALL_STATE(802)] = 34054,
  [SMALL_STATE(803)] = 34119,
  [SMALL_STATE(804)] = 34184,
  [SMALL_STATE(805)] = 34249,
  [SMALL_STATE(806)] = 34314,
  [SMALL_STATE(807)] = 34379,
  [SMALL_STATE(808)] = 34444,
  [SMALL_STATE(809)] = 34509,
  [SMALL_STATE(810)] = 34574,
  [SMALL_STATE(811)] = 34639,
  [SMALL_STATE(812)] = 34704,
  [SMALL_STATE(813)] = 34769,
  [SMALL_STATE(814)] = 34834,
  [SMALL_STATE(815)] = 34899,
  [SMALL_STATE(816)] = 34964,
  [SMALL_STATE(817)] = 35029,
  [SMALL_STATE(818)] = 35094,
  [SMALL_STATE(819)] = 35159,
  [SMALL_STATE(820)] = 35224,
  [SMALL_STATE(821)] = 35289,
  [SMALL_STATE(822)] = 35354,
  [SMALL_STATE(823)] = 35419,
  [SMALL_STATE(824)] = 35484,
  [SMALL_STATE(825)] = 35549,
  [SMALL_STATE(826)] = 35614,
  [SMALL_STATE(827)] = 35679,
  [SMALL_STATE(828)] = 35744,
  [SMALL_STATE(829)] = 35809,
  [SMALL_STATE(830)] = 35874,
  [SMALL_STATE(831)] = 35939,
  [SMALL_STATE(832)] = 36004,
  [SMALL_STATE(833)] = 36069,
  [SMALL_STATE(834)] = 36134,
  [SMALL_STATE(835)] = 36199,
  [SMALL_STATE(836)] = 36264,
  [SMALL_STATE(837)] = 36329,
  [SMALL_STATE(838)] = 36394,
  [SMALL_STATE(839)] = 36459,
  [SMALL_STATE(840)] = 36524,
  [SMALL_STATE(841)] = 36589,
  [SMALL_STATE(842)] = 36654,
  [SMALL_STATE(843)] = 36719,
  [SMALL_STATE(844)] = 36784,
  [SMALL_STATE(845)] = 36849,
  [SMALL_STATE(846)] = 36914,
  [SMALL_STATE(847)] = 36979,
  [SMALL_STATE(848)] = 37044,
  [SMALL_STATE(849)] = 37109,
  [SMALL_STATE(850)] = 37174,
  [SMALL_STATE(851)] = 37239,
  [SMALL_STATE(852)] = 37304,
  [SMALL_STATE(853)] = 37369,
  [SMALL_STATE(854)] = 37434,
  [SMALL_STATE(855)] = 37499,
  [SMALL_STATE(856)] = 37564,
  [SMALL_STATE(857)] = 37629,
  [SMALL_STATE(858)] = 37694,
  [SMALL_STATE(859)] = 37759,
  [SMALL_STATE(860)] = 37824,
  [SMALL_STATE(861)] = 37889,
  [SMALL_STATE(862)] = 37954,
  [SMALL_STATE(863)] = 38019,
  [SMALL_STATE(864)] = 38084,
  [SMALL_STATE(865)] = 38149,
  [SMALL_STATE(866)] = 38214,
  [SMALL_STATE(867)] = 38279,
  [SMALL_STATE(868)] = 38344,
  [SMALL_STATE(869)] = 38409,
  [SMALL_STATE(870)] = 38474,
  [SMALL_STATE(871)] = 38539,
  [SMALL_STATE(872)] = 38604,
  [SMALL_STATE(873)] = 38669,
  [SMALL_STATE(874)] = 38734,
  [SMALL_STATE(875)] = 38799,
  [SMALL_STATE(876)] = 38864,
  [SMALL_STATE(877)] = 38929,
  [SMALL_STATE(878)] = 38994,
  [SMALL_STATE(879)] = 39059,
  [SMALL_STATE(880)] = 39124,
  [SMALL_STATE(881)] = 39189,
  [SMALL_STATE(882)] = 39254,
  [SMALL_STATE(883)] = 39319,
  [SMALL_STATE(884)] = 39384,
  [SMALL_STATE(885)] = 39449,
  [SMALL_STATE(886)] = 39514,
  [SMALL_STATE(887)] = 39579,
  [SMALL_STATE(888)] = 39644,
  [SMALL_STATE(889)] = 39709,
  [SMALL_STATE(890)] = 39774,
  [SMALL_STATE(891)] = 39839,
  [SMALL_STATE(892)] = 39904,
  [SMALL_STATE(893)] = 39969,
  [SMALL_STATE(894)] = 40034,
  [SMALL_STATE(895)] = 40096,
  [SMALL_STATE(896)] = 40158,
  [SMALL_STATE(897)] = 40220,
  [SMALL_STATE(898)] = 40282,
  [SMALL_STATE(899)] = 40344,
  [SMALL_STATE(900)] = 40406,
  [SMALL_STATE(901)] = 40468,
  [SMALL_STATE(902)] = 40530,
  [SMALL_STATE(903)] = 40592,
  [SMALL_STATE(904)] = 40654,
  [SMALL_STATE(905)] = 40716,
  [SMALL_STATE(906)] = 40778,
  [SMALL_STATE(907)] = 40840,
  [SMALL_STATE(908)] = 40902,
  [SMALL_STATE(909)] = 40964,
  [SMALL_STATE(910)] = 41026,
  [SMALL_STATE(911)] = 41088,
  [SMALL_STATE(912)] = 41150,
  [SMALL_STATE(913)] = 41212,
  [SMALL_STATE(914)] = 41274,
  [SMALL_STATE(915)] = 41336,
  [SMALL_STATE(916)] = 41398,
  [SMALL_STATE(917)] = 41460,
  [SMALL_STATE(918)] = 41522,
  [SMALL_STATE(919)] = 41584,
  [SMALL_STATE(920)] = 41646,
  [SMALL_STATE(921)] = 41708,
  [SMALL_STATE(922)] = 41770,
  [SMALL_STATE(923)] = 41832,
  [SMALL_STATE(924)] = 41894,
  [SMALL_STATE(925)] = 41956,
  [SMALL_STATE(926)] = 42018,
  [SMALL_STATE(927)] = 42080,
  [SMALL_STATE(928)] = 42142,
  [SMALL_STATE(929)] = 42204,
  [SMALL_STATE(930)] = 42266,
  [SMALL_STATE(931)] = 42328,
  [SMALL_STATE(932)] = 42390,
  [SMALL_STATE(933)] = 42452,
  [SMALL_STATE(934)] = 42514,
  [SMALL_STATE(935)] = 42576,
  [SMALL_STATE(936)] = 42638,
  [SMALL_STATE(937)] = 42700,
  [SMALL_STATE(938)] = 42762,
  [SMALL_STATE(939)] = 42824,
  [SMALL_STATE(940)] = 42886,
  [SMALL_STATE(941)] = 42948,
  [SMALL_STATE(942)] = 43010,
  [SMALL_STATE(943)] = 43072,
  [SMALL_STATE(944)] = 43134,
  [SMALL_STATE(945)] = 43196,
  [SMALL_STATE(946)] = 43258,
  [SMALL_STATE(947)] = 43320,
  [SMALL_STATE(948)] = 43382,
  [SMALL_STATE(949)] = 43444,
  [SMALL_STATE(950)] = 43506,
  [SMALL_STATE(951)] = 43568,
  [SMALL_STATE(952)] = 43630,
  [SMALL_STATE(953)] = 43692,
  [SMALL_STATE(954)] = 43756,
  [SMALL_STATE(955)] = 43818,
  [SMALL_STATE(956)] = 43880,
  [SMALL_STATE(957)] = 43942,
  [SMALL_STATE(958)] = 44004,
  [SMALL_STATE(959)] = 44066,
  [SMALL_STATE(960)] = 44128,
  [SMALL_STATE(961)] = 44190,
  [SMALL_STATE(962)] = 44252,
  [SMALL_STATE(963)] = 44314,
  [SMALL_STATE(964)] = 44376,
  [SMALL_STATE(965)] = 44438,
  [SMALL_STATE(966)] = 44500,
  [SMALL_STATE(967)] = 44562,
  [SMALL_STATE(968)] = 44624,
  [SMALL_STATE(969)] = 44686,
  [SMALL_STATE(970)] = 44748,
  [SMALL_STATE(971)] = 44810,
  [SMALL_STATE(972)] = 44872,
  [SMALL_STATE(973)] = 44934,
  [SMALL_STATE(974)] = 44996,
  [SMALL_STATE(975)] = 45058,
  [SMALL_STATE(976)] = 45120,
  [SMALL_STATE(977)] = 45182,
  [SMALL_STATE(978)] = 45244,
  [SMALL_STATE(979)] = 45306,
  [SMALL_STATE(980)] = 45368,
  [SMALL_STATE(981)] = 45430,
  [SMALL_STATE(982)] = 45492,
  [SMALL_STATE(983)] = 45554,
  [SMALL_STATE(984)] = 45616,
  [SMALL_STATE(985)] = 45678,
  [SMALL_STATE(986)] = 45740,
  [SMALL_STATE(987)] = 45804,
  [SMALL_STATE(988)] = 45866,
  [SMALL_STATE(989)] = 45928,
  [SMALL_STATE(990)] = 45990,
  [SMALL_STATE(991)] = 46052,
  [SMALL_STATE(992)] = 46114,
  [SMALL_STATE(993)] = 46176,
  [SMALL_STATE(994)] = 46238,
  [SMALL_STATE(995)] = 46300,
  [SMALL_STATE(996)] = 46362,
  [SMALL_STATE(997)] = 46424,
  [SMALL_STATE(998)] = 46486,
  [SMALL_STATE(999)] = 46548,
  [SMALL_STATE(1000)] = 46610,
  [SMALL_STATE(1001)] = 46672,
  [SMALL_STATE(1002)] = 46734,
  [SMALL_STATE(1003)] = 46796,
  [SMALL_STATE(1004)] = 46858,
  [SMALL_STATE(1005)] = 46920,
  [SMALL_STATE(1006)] = 46982,
  [SMALL_STATE(1007)] = 47044,
  [SMALL_STATE(1008)] = 47106,
  [SMALL_STATE(1009)] = 47168,
  [SMALL_STATE(1010)] = 47230,
  [SMALL_STATE(1011)] = 47292,
  [SMALL_STATE(1012)] = 47354,
  [SMALL_STATE(1013)] = 47416,
  [SMALL_STATE(1014)] = 47478,
  [SMALL_STATE(1015)] = 47540,
  [SMALL_STATE(1016)] = 47602,
  [SMALL_STATE(1017)] = 47664,
  [SMALL_STATE(1018)] = 47726,
  [SMALL_STATE(1019)] = 47788,
  [SMALL_STATE(1020)] = 47850,
  [SMALL_STATE(1021)] = 47912,
  [SMALL_STATE(1022)] = 47974,
  [SMALL_STATE(1023)] = 48036,
  [SMALL_STATE(1024)] = 48098,
  [SMALL_STATE(1025)] = 48160,
  [SMALL_STATE(1026)] = 48222,
  [SMALL_STATE(1027)] = 48284,
  [SMALL_STATE(1028)] = 48346,
  [SMALL_STATE(1029)] = 48408,
  [SMALL_STATE(1030)] = 48470,
  [SMALL_STATE(1031)] = 48532,
  [SMALL_STATE(1032)] = 48594,
  [SMALL_STATE(1033)] = 48656,
  [SMALL_STATE(1034)] = 48718,
  [SMALL_STATE(1035)] = 48780,
  [SMALL_STATE(1036)] = 48842,
  [SMALL_STATE(1037)] = 48904,
  [SMALL_STATE(1038)] = 48966,
  [SMALL_STATE(1039)] = 49028,
  [SMALL_STATE(1040)] = 49090,
  [SMALL_STATE(1041)] = 49152,
  [SMALL_STATE(1042)] = 49214,
  [SMALL_STATE(1043)] = 49276,
  [SMALL_STATE(1044)] = 49338,
  [SMALL_STATE(1045)] = 49400,
  [SMALL_STATE(1046)] = 49462,
  [SMALL_STATE(1047)] = 49524,
  [SMALL_STATE(1048)] = 49586,
  [SMALL_STATE(1049)] = 49648,
  [SMALL_STATE(1050)] = 49710,
  [SMALL_STATE(1051)] = 49772,
  [SMALL_STATE(1052)] = 49834,
  [SMALL_STATE(1053)] = 49896,
  [SMALL_STATE(1054)] = 49958,
  [SMALL_STATE(1055)] = 50020,
  [SMALL_STATE(1056)] = 50082,
  [SMALL_STATE(1057)] = 50144,
  [SMALL_STATE(1058)] = 50206,
  [SMALL_STATE(1059)] = 50268,
  [SMALL_STATE(1060)] = 50330,
  [SMALL_STATE(1061)] = 50392,
  [SMALL_STATE(1062)] = 50454,
  [SMALL_STATE(1063)] = 50516,
  [SMALL_STATE(1064)] = 50578,
  [SMALL_STATE(1065)] = 50640,
  [SMALL_STATE(1066)] = 50702,
  [SMALL_STATE(1067)] = 50764,
  [SMALL_STATE(1068)] = 50826,
  [SMALL_STATE(1069)] = 50888,
  [SMALL_STATE(1070)] = 50950,
  [SMALL_STATE(1071)] = 51012,
  [SMALL_STATE(1072)] = 51074,
  [SMALL_STATE(1073)] = 51136,
  [SMALL_STATE(1074)] = 51198,
  [SMALL_STATE(1075)] = 51260,
  [SMALL_STATE(1076)] = 51322,
  [SMALL_STATE(1077)] = 51384,
  [SMALL_STATE(1078)] = 51446,
  [SMALL_STATE(1079)] = 51508,
  [SMALL_STATE(1080)] = 51570,
  [SMALL_STATE(1081)] = 51632,
  [SMALL_STATE(1082)] = 51694,
  [SMALL_STATE(1083)] = 51756,
  [SMALL_STATE(1084)] = 51818,
  [SMALL_STATE(1085)] = 51880,
  [SMALL_STATE(1086)] = 51942,
  [SMALL_STATE(1087)] = 52004,
  [SMALL_STATE(1088)] = 52066,
  [SMALL_STATE(1089)] = 52128,
  [SMALL_STATE(1090)] = 52190,
  [SMALL_STATE(1091)] = 52252,
  [SMALL_STATE(1092)] = 52314,
  [SMALL_STATE(1093)] = 52376,
  [SMALL_STATE(1094)] = 52438,
  [SMALL_STATE(1095)] = 52500,
  [SMALL_STATE(1096)] = 52562,
  [SMALL_STATE(1097)] = 52624,
  [SMALL_STATE(1098)] = 52686,
  [SMALL_STATE(1099)] = 52748,
  [SMALL_STATE(1100)] = 52810,
  [SMALL_STATE(1101)] = 52872,
  [SMALL_STATE(1102)] = 52934,
  [SMALL_STATE(1103)] = 52996,
  [SMALL_STATE(1104)] = 53058,
  [SMALL_STATE(1105)] = 53120,
  [SMALL_STATE(1106)] = 53182,
  [SMALL_STATE(1107)] = 53244,
  [SMALL_STATE(1108)] = 53306,
  [SMALL_STATE(1109)] = 53368,
  [SMALL_STATE(1110)] = 53430,
  [SMALL_STATE(1111)] = 53492,
  [SMALL_STATE(1112)] = 53554,
  [SMALL_STATE(1113)] = 53616,
  [SMALL_STATE(1114)] = 53678,
  [SMALL_STATE(1115)] = 53740,
  [SMALL_STATE(1116)] = 53802,
  [SMALL_STATE(1117)] = 53864,
  [SMALL_STATE(1118)] = 53926,
  [SMALL_STATE(1119)] = 53988,
  [SMALL_STATE(1120)] = 54050,
  [SMALL_STATE(1121)] = 54112,
  [SMALL_STATE(1122)] = 54174,
  [SMALL_STATE(1123)] = 54236,
  [SMALL_STATE(1124)] = 54298,
  [SMALL_STATE(1125)] = 54360,
  [SMALL_STATE(1126)] = 54422,
  [SMALL_STATE(1127)] = 54484,
  [SMALL_STATE(1128)] = 54546,
  [SMALL_STATE(1129)] = 54608,
  [SMALL_STATE(1130)] = 54670,
  [SMALL_STATE(1131)] = 54732,
  [SMALL_STATE(1132)] = 54794,
  [SMALL_STATE(1133)] = 54856,
  [SMALL_STATE(1134)] = 54918,
  [SMALL_STATE(1135)] = 54980,
  [SMALL_STATE(1136)] = 55042,
  [SMALL_STATE(1137)] = 55104,
  [SMALL_STATE(1138)] = 55166,
  [SMALL_STATE(1139)] = 55228,
  [SMALL_STATE(1140)] = 55290,
  [SMALL_STATE(1141)] = 55352,
  [SMALL_STATE(1142)] = 55414,
  [SMALL_STATE(1143)] = 55476,
  [SMALL_STATE(1144)] = 55538,
  [SMALL_STATE(1145)] = 55600,
  [SMALL_STATE(1146)] = 55662,
  [SMALL_STATE(1147)] = 55724,
  [SMALL_STATE(1148)] = 55786,
  [SMALL_STATE(1149)] = 55848,
  [SMALL_STATE(1150)] = 55910,
  [SMALL_STATE(1151)] = 55972,
  [SMALL_STATE(1152)] = 56034,
  [SMALL_STATE(1153)] = 56096,
  [SMALL_STATE(1154)] = 56158,
  [SMALL_STATE(1155)] = 56220,
  [SMALL_STATE(1156)] = 56284,
  [SMALL_STATE(1157)] = 56346,
  [SMALL_STATE(1158)] = 56408,
  [SMALL_STATE(1159)] = 56470,
  [SMALL_STATE(1160)] = 56532,
  [SMALL_STATE(1161)] = 56594,
  [SMALL_STATE(1162)] = 56656,
  [SMALL_STATE(1163)] = 56718,
  [SMALL_STATE(1164)] = 56780,
  [SMALL_STATE(1165)] = 56842,
  [SMALL_STATE(1166)] = 56904,
  [SMALL_STATE(1167)] = 56966,
  [SMALL_STATE(1168)] = 57028,
  [SMALL_STATE(1169)] = 57090,
  [SMALL_STATE(1170)] = 57152,
  [SMALL_STATE(1171)] = 57214,
  [SMALL_STATE(1172)] = 57276,
  [SMALL_STATE(1173)] = 57338,
  [SMALL_STATE(1174)] = 57400,
  [SMALL_STATE(1175)] = 57462,
  [SMALL_STATE(1176)] = 57524,
  [SMALL_STATE(1177)] = 57586,
  [SMALL_STATE(1178)] = 57648,
  [SMALL_STATE(1179)] = 57710,
  [SMALL_STATE(1180)] = 57772,
  [SMALL_STATE(1181)] = 57834,
  [SMALL_STATE(1182)] = 57896,
  [SMALL_STATE(1183)] = 57958,
  [SMALL_STATE(1184)] = 58020,
  [SMALL_STATE(1185)] = 58082,
  [SMALL_STATE(1186)] = 58144,
  [SMALL_STATE(1187)] = 58206,
  [SMALL_STATE(1188)] = 58268,
  [SMALL_STATE(1189)] = 58330,
  [SMALL_STATE(1190)] = 58392,
  [SMALL_STATE(1191)] = 58454,
  [SMALL_STATE(1192)] = 58516,
  [SMALL_STATE(1193)] = 58578,
  [SMALL_STATE(1194)] = 58640,
  [SMALL_STATE(1195)] = 58702,
  [SMALL_STATE(1196)] = 58764,
  [SMALL_STATE(1197)] = 58826,
  [SMALL_STATE(1198)] = 58888,
  [SMALL_STATE(1199)] = 58950,
  [SMALL_STATE(1200)] = 59012,
  [SMALL_STATE(1201)] = 59074,
  [SMALL_STATE(1202)] = 59136,
  [SMALL_STATE(1203)] = 59198,
  [SMALL_STATE(1204)] = 59260,
  [SMALL_STATE(1205)] = 59322,
  [SMALL_STATE(1206)] = 59384,
  [SMALL_STATE(1207)] = 59446,
  [SMALL_STATE(1208)] = 59508,
  [SMALL_STATE(1209)] = 59570,
  [SMALL_STATE(1210)] = 59632,
  [SMALL_STATE(1211)] = 59694,
  [SMALL_STATE(1212)] = 59756,
  [SMALL_STATE(1213)] = 59818,
  [SMALL_STATE(1214)] = 59880,
  [SMALL_STATE(1215)] = 59942,
  [SMALL_STATE(1216)] = 60004,
  [SMALL_STATE(1217)] = 60066,
  [SMALL_STATE(1218)] = 60128,
  [SMALL_STATE(1219)] = 60190,
  [SMALL_STATE(1220)] = 60252,
  [SMALL_STATE(1221)] = 60314,
  [SMALL_STATE(1222)] = 60376,
  [SMALL_STATE(1223)] = 60440,
  [SMALL_STATE(1224)] = 60502,
  [SMALL_STATE(1225)] = 60564,
  [SMALL_STATE(1226)] = 60626,
  [SMALL_STATE(1227)] = 60688,
  [SMALL_STATE(1228)] = 60750,
  [SMALL_STATE(1229)] = 60812,
  [SMALL_STATE(1230)] = 60874,
  [SMALL_STATE(1231)] = 60938,
  [SMALL_STATE(1232)] = 61000,
  [SMALL_STATE(1233)] = 61062,
  [SMALL_STATE(1234)] = 61124,
  [SMALL_STATE(1235)] = 61186,
  [SMALL_STATE(1236)] = 61248,
  [SMALL_STATE(1237)] = 61310,
  [SMALL_STATE(1238)] = 61372,
  [SMALL_STATE(1239)] = 61434,
  [SMALL_STATE(1240)] = 61496,
  [SMALL_STATE(1241)] = 61558,
  [SMALL_STATE(1242)] = 61620,
  [SMALL_STATE(1243)] = 61682,
  [SMALL_STATE(1244)] = 61744,
  [SMALL_STATE(1245)] = 61808,
  [SMALL_STATE(1246)] = 61870,
  [SMALL_STATE(1247)] = 61932,
  [SMALL_STATE(1248)] = 61994,
  [SMALL_STATE(1249)] = 62056,
  [SMALL_STATE(1250)] = 62118,
  [SMALL_STATE(1251)] = 62182,
  [SMALL_STATE(1252)] = 62244,
  [SMALL_STATE(1253)] = 62308,
  [SMALL_STATE(1254)] = 62370,
  [SMALL_STATE(1255)] = 62432,
  [SMALL_STATE(1256)] = 62494,
  [SMALL_STATE(1257)] = 62556,
  [SMALL_STATE(1258)] = 62618,
  [SMALL_STATE(1259)] = 62680,
  [SMALL_STATE(1260)] = 62742,
  [SMALL_STATE(1261)] = 62804,
  [SMALL_STATE(1262)] = 62868,
  [SMALL_STATE(1263)] = 62930,
  [SMALL_STATE(1264)] = 62992,
  [SMALL_STATE(1265)] = 63054,
  [SMALL_STATE(1266)] = 63116,
  [SMALL_STATE(1267)] = 63180,
  [SMALL_STATE(1268)] = 63242,
  [SMALL_STATE(1269)] = 63304,
  [SMALL_STATE(1270)] = 63368,
  [SMALL_STATE(1271)] = 63429,
  [SMALL_STATE(1272)] = 63476,
  [SMALL_STATE(1273)] = 63537,
  [SMALL_STATE(1274)] = 63598,
  [SMALL_STATE(1275)] = 63659,
  [SMALL_STATE(1276)] = 63720,
  [SMALL_STATE(1277)] = 63781,
  [SMALL_STATE(1278)] = 63842,
  [SMALL_STATE(1279)] = 63903,
  [SMALL_STATE(1280)] = 63964,
  [SMALL_STATE(1281)] = 64025,
  [SMALL_STATE(1282)] = 64086,
  [SMALL_STATE(1283)] = 64147,
  [SMALL_STATE(1284)] = 64208,
  [SMALL_STATE(1285)] = 64269,
  [SMALL_STATE(1286)] = 64330,
  [SMALL_STATE(1287)] = 64391,
  [SMALL_STATE(1288)] = 64452,
  [SMALL_STATE(1289)] = 64513,
  [SMALL_STATE(1290)] = 64574,
  [SMALL_STATE(1291)] = 64635,
  [SMALL_STATE(1292)] = 64678,
  [SMALL_STATE(1293)] = 64713,
  [SMALL_STATE(1294)] = 64756,
  [SMALL_STATE(1295)] = 64799,
  [SMALL_STATE(1296)] = 64835,
  [SMALL_STATE(1297)] = 64871,
  [SMALL_STATE(1298)] = 64919,
  [SMALL_STATE(1299)] = 64955,
  [SMALL_STATE(1300)] = 64991,
  [SMALL_STATE(1301)] = 65045,
  [SMALL_STATE(1302)] = 65089,
  [SMALL_STATE(1303)] = 65137,
  [SMALL_STATE(1304)] = 65173,
  [SMALL_STATE(1305)] = 65207,
  [SMALL_STATE(1306)] = 65243,
  [SMALL_STATE(1307)] = 65291,
  [SMALL_STATE(1308)] = 65345,
  [SMALL_STATE(1309)] = 65393,
  [SMALL_STATE(1310)] = 65435,
  [SMALL_STATE(1311)] = 65489,
  [SMALL_STATE(1312)] = 65537,
  [SMALL_STATE(1313)] = 65579,
  [SMALL_STATE(1314)] = 65615,
  [SMALL_STATE(1315)] = 65649,
  [SMALL_STATE(1316)] = 65691,
  [SMALL_STATE(1317)] = 65727,
  [SMALL_STATE(1318)] = 65775,
  [SMALL_STATE(1319)] = 65809,
  [SMALL_STATE(1320)] = 65845,
  [SMALL_STATE(1321)] = 65881,
  [SMALL_STATE(1322)] = 65923,
  [SMALL_STATE(1323)] = 65971,
  [SMALL_STATE(1324)] = 66019,
  [SMALL_STATE(1325)] = 66064,
  [SMALL_STATE(1326)] = 66095,
  [SMALL_STATE(1327)] = 66140,
  [SMALL_STATE(1328)] = 66171,
  [SMALL_STATE(1329)] = 66202,
  [SMALL_STATE(1330)] = 66237,
  [SMALL_STATE(1331)] = 66272,
  [SMALL_STATE(1332)] = 66307,
  [SMALL_STATE(1333)] = 66340,
  [SMALL_STATE(1334)] = 66387,
  [SMALL_STATE(1335)] = 66418,
  [SMALL_STATE(1336)] = 66449,
  [SMALL_STATE(1337)] = 66484,
  [SMALL_STATE(1338)] = 66515,
  [SMALL_STATE(1339)] = 66548,
  [SMALL_STATE(1340)] = 66581,
  [SMALL_STATE(1341)] = 66638,
  [SMALL_STATE(1342)] = 66695,
  [SMALL_STATE(1343)] = 66726,
  [SMALL_STATE(1344)] = 66773,
  [SMALL_STATE(1345)] = 66804,
  [SMALL_STATE(1346)] = 66835,
  [SMALL_STATE(1347)] = 66866,
  [SMALL_STATE(1348)] = 66897,
  [SMALL_STATE(1349)] = 66954,
  [SMALL_STATE(1350)] = 66985,
  [SMALL_STATE(1351)] = 67016,
  [SMALL_STATE(1352)] = 67051,
  [SMALL_STATE(1353)] = 67082,
  [SMALL_STATE(1354)] = 67139,
  [SMALL_STATE(1355)] = 67196,
  [SMALL_STATE(1356)] = 67227,
  [SMALL_STATE(1357)] = 67258,
  [SMALL_STATE(1358)] = 67289,
  [SMALL_STATE(1359)] = 67320,
  [SMALL_STATE(1360)] = 67351,
  [SMALL_STATE(1361)] = 67382,
  [SMALL_STATE(1362)] = 67413,
  [SMALL_STATE(1363)] = 67444,
  [SMALL_STATE(1364)] = 67475,
  [SMALL_STATE(1365)] = 67506,
  [SMALL_STATE(1366)] = 67541,
  [SMALL_STATE(1367)] = 67574,
  [SMALL_STATE(1368)] = 67605,
  [SMALL_STATE(1369)] = 67640,
  [SMALL_STATE(1370)] = 67697,
  [SMALL_STATE(1371)] = 67742,
  [SMALL_STATE(1372)] = 67773,
  [SMALL_STATE(1373)] = 67806,
  [SMALL_STATE(1374)] = 67841,
  [SMALL_STATE(1375)] = 67876,
  [SMALL_STATE(1376)] = 67921,
  [SMALL_STATE(1377)] = 67978,
  [SMALL_STATE(1378)] = 68013,
  [SMALL_STATE(1379)] = 68048,
  [SMALL_STATE(1380)] = 68105,
  [SMALL_STATE(1381)] = 68157,
  [SMALL_STATE(1382)] = 68187,
  [SMALL_STATE(1383)] = 68217,
  [SMALL_STATE(1384)] = 68269,
  [SMALL_STATE(1385)] = 68299,
  [SMALL_STATE(1386)] = 68351,
  [SMALL_STATE(1387)] = 68385,
  [SMALL_STATE(1388)] = 68419,
  [SMALL_STATE(1389)] = 68449,
  [SMALL_STATE(1390)] = 68479,
  [SMALL_STATE(1391)] = 68509,
  [SMALL_STATE(1392)] = 68543,
  [SMALL_STATE(1393)] = 68573,
  [SMALL_STATE(1394)] = 68603,
  [SMALL_STATE(1395)] = 68637,
  [SMALL_STATE(1396)] = 68667,
  [SMALL_STATE(1397)] = 68701,
  [SMALL_STATE(1398)] = 68731,
  [SMALL_STATE(1399)] = 68761,
  [SMALL_STATE(1400)] = 68813,
  [SMALL_STATE(1401)] = 68865,
  [SMALL_STATE(1402)] = 68895,
  [SMALL_STATE(1403)] = 68925,
  [SMALL_STATE(1404)] = 68959,
  [SMALL_STATE(1405)] = 69011,
  [SMALL_STATE(1406)] = 69041,
  [SMALL_STATE(1407)] = 69071,
  [SMALL_STATE(1408)] = 69101,
  [SMALL_STATE(1409)] = 69131,
  [SMALL_STATE(1410)] = 69161,
  [SMALL_STATE(1411)] = 69213,
  [SMALL_STATE(1412)] = 69243,
  [SMALL_STATE(1413)] = 69273,
  [SMALL_STATE(1414)] = 69303,
  [SMALL_STATE(1415)] = 69333,
  [SMALL_STATE(1416)] = 69363,
  [SMALL_STATE(1417)] = 69393,
  [SMALL_STATE(1418)] = 69423,
  [SMALL_STATE(1419)] = 69453,
  [SMALL_STATE(1420)] = 69483,
  [SMALL_STATE(1421)] = 69513,
  [SMALL_STATE(1422)] = 69543,
  [SMALL_STATE(1423)] = 69573,
  [SMALL_STATE(1424)] = 69603,
  [SMALL_STATE(1425)] = 69633,
  [SMALL_STATE(1426)] = 69663,
  [SMALL_STATE(1427)] = 69693,
  [SMALL_STATE(1428)] = 69723,
  [SMALL_STATE(1429)] = 69753,
  [SMALL_STATE(1430)] = 69783,
  [SMALL_STATE(1431)] = 69813,
  [SMALL_STATE(1432)] = 69843,
  [SMALL_STATE(1433)] = 69877,
  [SMALL_STATE(1434)] = 69929,
  [SMALL_STATE(1435)] = 69963,
  [SMALL_STATE(1436)] = 69993,
  [SMALL_STATE(1437)] = 70021,
  [SMALL_STATE(1438)] = 70073,
  [SMALL_STATE(1439)] = 70103,
  [SMALL_STATE(1440)] = 70137,
  [SMALL_STATE(1441)] = 70167,
  [SMALL_STATE(1442)] = 70197,
  [SMALL_STATE(1443)] = 70249,
  [SMALL_STATE(1444)] = 70291,
  [SMALL_STATE(1445)] = 70321,
  [SMALL_STATE(1446)] = 70351,
  [SMALL_STATE(1447)] = 70381,
  [SMALL_STATE(1448)] = 70411,
  [SMALL_STATE(1449)] = 70441,
  [SMALL_STATE(1450)] = 70475,
  [SMALL_STATE(1451)] = 70527,
  [SMALL_STATE(1452)] = 70557,
  [SMALL_STATE(1453)] = 70609,
  [SMALL_STATE(1454)] = 70639,
  [SMALL_STATE(1455)] = 70669,
  [SMALL_STATE(1456)] = 70699,
  [SMALL_STATE(1457)] = 70733,
  [SMALL_STATE(1458)] = 70763,
  [SMALL_STATE(1459)] = 70793,
  [SMALL_STATE(1460)] = 70823,
  [SMALL_STATE(1461)] = 70853,
  [SMALL_STATE(1462)] = 70905,
  [SMALL_STATE(1463)] = 70935,
  [SMALL_STATE(1464)] = 70965,
  [SMALL_STATE(1465)] = 70995,
  [SMALL_STATE(1466)] = 71025,
  [SMALL_STATE(1467)] = 71055,
  [SMALL_STATE(1468)] = 71089,
  [SMALL_STATE(1469)] = 71119,
  [SMALL_STATE(1470)] = 71149,
  [SMALL_STATE(1471)] = 71179,
  [SMALL_STATE(1472)] = 71209,
  [SMALL_STATE(1473)] = 71239,
  [SMALL_STATE(1474)] = 71269,
  [SMALL_STATE(1475)] = 71321,
  [SMALL_STATE(1476)] = 71351,
  [SMALL_STATE(1477)] = 71381,
  [SMALL_STATE(1478)] = 71415,
  [SMALL_STATE(1479)] = 71445,
  [SMALL_STATE(1480)] = 71475,
  [SMALL_STATE(1481)] = 71505,
  [SMALL_STATE(1482)] = 71539,
  [SMALL_STATE(1483)] = 71569,
  [SMALL_STATE(1484)] = 71599,
  [SMALL_STATE(1485)] = 71629,
  [SMALL_STATE(1486)] = 71659,
  [SMALL_STATE(1487)] = 71689,
  [SMALL_STATE(1488)] = 71741,
  [SMALL_STATE(1489)] = 71771,
  [SMALL_STATE(1490)] = 71801,
  [SMALL_STATE(1491)] = 71831,
  [SMALL_STATE(1492)] = 71865,
  [SMALL_STATE(1493)] = 71895,
  [SMALL_STATE(1494)] = 71925,
  [SMALL_STATE(1495)] = 71955,
  [SMALL_STATE(1496)] = 71989,
  [SMALL_STATE(1497)] = 72019,
  [SMALL_STATE(1498)] = 72053,
  [SMALL_STATE(1499)] = 72102,
  [SMALL_STATE(1500)] = 72133,
  [SMALL_STATE(1501)] = 72164,
  [SMALL_STATE(1502)] = 72193,
  [SMALL_STATE(1503)] = 72226,
  [SMALL_STATE(1504)] = 72255,
  [SMALL_STATE(1505)] = 72288,
  [SMALL_STATE(1506)] = 72319,
  [SMALL_STATE(1507)] = 72348,
  [SMALL_STATE(1508)] = 72379,
  [SMALL_STATE(1509)] = 72408,
  [SMALL_STATE(1510)] = 72437,
  [SMALL_STATE(1511)] = 72470,
  [SMALL_STATE(1512)] = 72497,
  [SMALL_STATE(1513)] = 72526,
  [SMALL_STATE(1514)] = 72555,
  [SMALL_STATE(1515)] = 72586,
  [SMALL_STATE(1516)] = 72615,
  [SMALL_STATE(1517)] = 72644,
  [SMALL_STATE(1518)] = 72675,
  [SMALL_STATE(1519)] = 72704,
  [SMALL_STATE(1520)] = 72753,
  [SMALL_STATE(1521)] = 72802,
  [SMALL_STATE(1522)] = 72831,
  [SMALL_STATE(1523)] = 72860,
  [SMALL_STATE(1524)] = 72891,
  [SMALL_STATE(1525)] = 72920,
  [SMALL_STATE(1526)] = 72969,
  [SMALL_STATE(1527)] = 73000,
  [SMALL_STATE(1528)] = 73033,
  [SMALL_STATE(1529)] = 73062,
  [SMALL_STATE(1530)] = 73093,
  [SMALL_STATE(1531)] = 73124,
  [SMALL_STATE(1532)] = 73155,
  [SMALL_STATE(1533)] = 73204,
  [SMALL_STATE(1534)] = 73253,
  [SMALL_STATE(1535)] = 73282,
  [SMALL_STATE(1536)] = 73309,
  [SMALL_STATE(1537)] = 73358,
  [SMALL_STATE(1538)] = 73387,
  [SMALL_STATE(1539)] = 73414,
  [SMALL_STATE(1540)] = 73445,
  [SMALL_STATE(1541)] = 73478,
  [SMALL_STATE(1542)] = 73511,
  [SMALL_STATE(1543)] = 73544,
  [SMALL_STATE(1544)] = 73593,
  [SMALL_STATE(1545)] = 73620,
  [SMALL_STATE(1546)] = 73669,
  [SMALL_STATE(1547)] = 73702,
  [SMALL_STATE(1548)] = 73733,
  [SMALL_STATE(1549)] = 73764,
  [SMALL_STATE(1550)] = 73793,
  [SMALL_STATE(1551)] = 73826,
  [SMALL_STATE(1552)] = 73875,
  [SMALL_STATE(1553)] = 73904,
  [SMALL_STATE(1554)] = 73937,
  [SMALL_STATE(1555)] = 73966,
  [SMALL_STATE(1556)] = 73995,
  [SMALL_STATE(1557)] = 74026,
  [SMALL_STATE(1558)] = 74059,
  [SMALL_STATE(1559)] = 74088,
  [SMALL_STATE(1560)] = 74119,
  [SMALL_STATE(1561)] = 74152,
  [SMALL_STATE(1562)] = 74183,
  [SMALL_STATE(1563)] = 74216,
  [SMALL_STATE(1564)] = 74245,
  [SMALL_STATE(1565)] = 74278,
  [SMALL_STATE(1566)] = 74309,
  [SMALL_STATE(1567)] = 74338,
  [SMALL_STATE(1568)] = 74369,
  [SMALL_STATE(1569)] = 74398,
  [SMALL_STATE(1570)] = 74431,
  [SMALL_STATE(1571)] = 74462,
  [SMALL_STATE(1572)] = 74495,
  [SMALL_STATE(1573)] = 74528,
  [SMALL_STATE(1574)] = 74559,
  [SMALL_STATE(1575)] = 74590,
  [SMALL_STATE(1576)] = 74621,
  [SMALL_STATE(1577)] = 74652,
  [SMALL_STATE(1578)] = 74685,
  [SMALL_STATE(1579)] = 74716,
  [SMALL_STATE(1580)] = 74765,
  [SMALL_STATE(1581)] = 74798,
  [SMALL_STATE(1582)] = 74847,
  [SMALL_STATE(1583)] = 74878,
  [SMALL_STATE(1584)] = 74909,
  [SMALL_STATE(1585)] = 74942,
  [SMALL_STATE(1586)] = 74971,
  [SMALL_STATE(1587)] = 75020,
  [SMALL_STATE(1588)] = 75069,
  [SMALL_STATE(1589)] = 75102,
  [SMALL_STATE(1590)] = 75151,
  [SMALL_STATE(1591)] = 75182,
  [SMALL_STATE(1592)] = 75213,
  [SMALL_STATE(1593)] = 75242,
  [SMALL_STATE(1594)] = 75291,
  [SMALL_STATE(1595)] = 75320,
  [SMALL_STATE(1596)] = 75351,
  [SMALL_STATE(1597)] = 75380,
  [SMALL_STATE(1598)] = 75409,
  [SMALL_STATE(1599)] = 75457,
  [SMALL_STATE(1600)] = 75485,
  [SMALL_STATE(1601)] = 75513,
  [SMALL_STATE(1602)] = 75541,
  [SMALL_STATE(1603)] = 75569,
  [SMALL_STATE(1604)] = 75601,
  [SMALL_STATE(1605)] = 75629,
  [SMALL_STATE(1606)] = 75657,
  [SMALL_STATE(1607)] = 75689,
  [SMALL_STATE(1608)] = 75737,
  [SMALL_STATE(1609)] = 75769,
  [SMALL_STATE(1610)] = 75817,
  [SMALL_STATE(1611)] = 75845,
  [SMALL_STATE(1612)] = 75893,
  [SMALL_STATE(1613)] = 75941,
  [SMALL_STATE(1614)] = 75969,
  [SMALL_STATE(1615)] = 75997,
  [SMALL_STATE(1616)] = 76025,
  [SMALL_STATE(1617)] = 76053,
  [SMALL_STATE(1618)] = 76081,
  [SMALL_STATE(1619)] = 76109,
  [SMALL_STATE(1620)] = 76137,
  [SMALL_STATE(1621)] = 76165,
  [SMALL_STATE(1622)] = 76193,
  [SMALL_STATE(1623)] = 76221,
  [SMALL_STATE(1624)] = 76249,
  [SMALL_STATE(1625)] = 76277,
  [SMALL_STATE(1626)] = 76305,
  [SMALL_STATE(1627)] = 76333,
  [SMALL_STATE(1628)] = 76361,
  [SMALL_STATE(1629)] = 76389,
  [SMALL_STATE(1630)] = 76437,
  [SMALL_STATE(1631)] = 76465,
  [SMALL_STATE(1632)] = 76513,
  [SMALL_STATE(1633)] = 76561,
  [SMALL_STATE(1634)] = 76589,
  [SMALL_STATE(1635)] = 76637,
  [SMALL_STATE(1636)] = 76665,
  [SMALL_STATE(1637)] = 76713,
  [SMALL_STATE(1638)] = 76761,
  [SMALL_STATE(1639)] = 76809,
  [SMALL_STATE(1640)] = 76837,
  [SMALL_STATE(1641)] = 76865,
  [SMALL_STATE(1642)] = 76893,
  [SMALL_STATE(1643)] = 76941,
  [SMALL_STATE(1644)] = 76969,
  [SMALL_STATE(1645)] = 76997,
  [SMALL_STATE(1646)] = 77045,
  [SMALL_STATE(1647)] = 77093,
  [SMALL_STATE(1648)] = 77121,
  [SMALL_STATE(1649)] = 77153,
  [SMALL_STATE(1650)] = 77201,
  [SMALL_STATE(1651)] = 77249,
  [SMALL_STATE(1652)] = 77281,
  [SMALL_STATE(1653)] = 77309,
  [SMALL_STATE(1654)] = 77357,
  [SMALL_STATE(1655)] = 77385,
  [SMALL_STATE(1656)] = 77417,
  [SMALL_STATE(1657)] = 77465,
  [SMALL_STATE(1658)] = 77493,
  [SMALL_STATE(1659)] = 77521,
  [SMALL_STATE(1660)] = 77549,
  [SMALL_STATE(1661)] = 77577,
  [SMALL_STATE(1662)] = 77625,
  [SMALL_STATE(1663)] = 77673,
  [SMALL_STATE(1664)] = 77701,
  [SMALL_STATE(1665)] = 77733,
  [SMALL_STATE(1666)] = 77761,
  [SMALL_STATE(1667)] = 77789,
  [SMALL_STATE(1668)] = 77837,
  [SMALL_STATE(1669)] = 77885,
  [SMALL_STATE(1670)] = 77933,
  [SMALL_STATE(1671)] = 77981,
  [SMALL_STATE(1672)] = 78027,
  [SMALL_STATE(1673)] = 78075,
  [SMALL_STATE(1674)] = 78103,
  [SMALL_STATE(1675)] = 78131,
  [SMALL_STATE(1676)] = 78179,
  [SMALL_STATE(1677)] = 78207,
  [SMALL_STATE(1678)] = 78235,
  [SMALL_STATE(1679)] = 78267,
  [SMALL_STATE(1680)] = 78299,
  [SMALL_STATE(1681)] = 78347,
  [SMALL_STATE(1682)] = 78379,
  [SMALL_STATE(1683)] = 78427,
  [SMALL_STATE(1684)] = 78455,
  [SMALL_STATE(1685)] = 78483,
  [SMALL_STATE(1686)] = 78511,
  [SMALL_STATE(1687)] = 78539,
  [SMALL_STATE(1688)] = 78587,
  [SMALL_STATE(1689)] = 78615,
  [SMALL_STATE(1690)] = 78643,
  [SMALL_STATE(1691)] = 78671,
  [SMALL_STATE(1692)] = 78699,
  [SMALL_STATE(1693)] = 78727,
  [SMALL_STATE(1694)] = 78775,
  [SMALL_STATE(1695)] = 78803,
  [SMALL_STATE(1696)] = 78831,
  [SMALL_STATE(1697)] = 78863,
  [SMALL_STATE(1698)] = 78891,
  [SMALL_STATE(1699)] = 78919,
  [SMALL_STATE(1700)] = 78967,
  [SMALL_STATE(1701)] = 78995,
  [SMALL_STATE(1702)] = 79023,
  [SMALL_STATE(1703)] = 79051,
  [SMALL_STATE(1704)] = 79099,
  [SMALL_STATE(1705)] = 79127,
  [SMALL_STATE(1706)] = 79175,
  [SMALL_STATE(1707)] = 79203,
  [SMALL_STATE(1708)] = 79251,
  [SMALL_STATE(1709)] = 79279,
  [SMALL_STATE(1710)] = 79307,
  [SMALL_STATE(1711)] = 79335,
  [SMALL_STATE(1712)] = 79383,
  [SMALL_STATE(1713)] = 79431,
  [SMALL_STATE(1714)] = 79479,
  [SMALL_STATE(1715)] = 79507,
  [SMALL_STATE(1716)] = 79555,
  [SMALL_STATE(1717)] = 79583,
  [SMALL_STATE(1718)] = 79611,
  [SMALL_STATE(1719)] = 79639,
  [SMALL_STATE(1720)] = 79687,
  [SMALL_STATE(1721)] = 79715,
  [SMALL_STATE(1722)] = 79743,
  [SMALL_STATE(1723)] = 79771,
  [SMALL_STATE(1724)] = 79819,
  [SMALL_STATE(1725)] = 79847,
  [SMALL_STATE(1726)] = 79875,
  [SMALL_STATE(1727)] = 79903,
  [SMALL_STATE(1728)] = 79951,
  [SMALL_STATE(1729)] = 79999,
  [SMALL_STATE(1730)] = 80027,
  [SMALL_STATE(1731)] = 80059,
  [SMALL_STATE(1732)] = 80087,
  [SMALL_STATE(1733)] = 80115,
  [SMALL_STATE(1734)] = 80163,
  [SMALL_STATE(1735)] = 80191,
  [SMALL_STATE(1736)] = 80219,
  [SMALL_STATE(1737)] = 80247,
  [SMALL_STATE(1738)] = 80279,
  [SMALL_STATE(1739)] = 80327,
  [SMALL_STATE(1740)] = 80355,
  [SMALL_STATE(1741)] = 80387,
  [SMALL_STATE(1742)] = 80433,
  [SMALL_STATE(1743)] = 80481,
  [SMALL_STATE(1744)] = 80529,
  [SMALL_STATE(1745)] = 80577,
  [SMALL_STATE(1746)] = 80625,
  [SMALL_STATE(1747)] = 80653,
  [SMALL_STATE(1748)] = 80681,
  [SMALL_STATE(1749)] = 80709,
  [SMALL_STATE(1750)] = 80737,
  [SMALL_STATE(1751)] = 80765,
  [SMALL_STATE(1752)] = 80813,
  [SMALL_STATE(1753)] = 80861,
  [SMALL_STATE(1754)] = 80909,
  [SMALL_STATE(1755)] = 80937,
  [SMALL_STATE(1756)] = 80965,
  [SMALL_STATE(1757)] = 80993,
  [SMALL_STATE(1758)] = 81021,
  [SMALL_STATE(1759)] = 81049,
  [SMALL_STATE(1760)] = 81077,
  [SMALL_STATE(1761)] = 81105,
  [SMALL_STATE(1762)] = 81133,
  [SMALL_STATE(1763)] = 81161,
  [SMALL_STATE(1764)] = 81209,
  [SMALL_STATE(1765)] = 81237,
  [SMALL_STATE(1766)] = 81265,
  [SMALL_STATE(1767)] = 81313,
  [SMALL_STATE(1768)] = 81341,
  [SMALL_STATE(1769)] = 81369,
  [SMALL_STATE(1770)] = 81397,
  [SMALL_STATE(1771)] = 81425,
  [SMALL_STATE(1772)] = 81453,
  [SMALL_STATE(1773)] = 81481,
  [SMALL_STATE(1774)] = 81509,
  [SMALL_STATE(1775)] = 81537,
  [SMALL_STATE(1776)] = 81565,
  [SMALL_STATE(1777)] = 81593,
  [SMALL_STATE(1778)] = 81621,
  [SMALL_STATE(1779)] = 81649,
  [SMALL_STATE(1780)] = 81677,
  [SMALL_STATE(1781)] = 81705,
  [SMALL_STATE(1782)] = 81733,
  [SMALL_STATE(1783)] = 81761,
  [SMALL_STATE(1784)] = 81789,
  [SMALL_STATE(1785)] = 81817,
  [SMALL_STATE(1786)] = 81865,
  [SMALL_STATE(1787)] = 81892,
  [SMALL_STATE(1788)] = 81919,
  [SMALL_STATE(1789)] = 81964,
  [SMALL_STATE(1790)] = 81991,
  [SMALL_STATE(1791)] = 82036,
  [SMALL_STATE(1792)] = 82063,
  [SMALL_STATE(1793)] = 82090,
  [SMALL_STATE(1794)] = 82117,
  [SMALL_STATE(1795)] = 82144,
  [SMALL_STATE(1796)] = 82171,
  [SMALL_STATE(1797)] = 82198,
  [SMALL_STATE(1798)] = 82225,
  [SMALL_STATE(1799)] = 82252,
  [SMALL_STATE(1800)] = 82279,
  [SMALL_STATE(1801)] = 82306,
  [SMALL_STATE(1802)] = 82333,
  [SMALL_STATE(1803)] = 82360,
  [SMALL_STATE(1804)] = 82387,
  [SMALL_STATE(1805)] = 82414,
  [SMALL_STATE(1806)] = 82441,
  [SMALL_STATE(1807)] = 82468,
  [SMALL_STATE(1808)] = 82513,
  [SMALL_STATE(1809)] = 82540,
  [SMALL_STATE(1810)] = 82567,
  [SMALL_STATE(1811)] = 82612,
  [SMALL_STATE(1812)] = 82657,
  [SMALL_STATE(1813)] = 82684,
  [SMALL_STATE(1814)] = 82711,
  [SMALL_STATE(1815)] = 82738,
  [SMALL_STATE(1816)] = 82783,
  [SMALL_STATE(1817)] = 82828,
  [SMALL_STATE(1818)] = 82873,
  [SMALL_STATE(1819)] = 82918,
  [SMALL_STATE(1820)] = 82945,
  [SMALL_STATE(1821)] = 82972,
  [SMALL_STATE(1822)] = 83017,
  [SMALL_STATE(1823)] = 83062,
  [SMALL_STATE(1824)] = 83107,
  [SMALL_STATE(1825)] = 83134,
  [SMALL_STATE(1826)] = 83161,
  [SMALL_STATE(1827)] = 83188,
  [SMALL_STATE(1828)] = 83215,
  [SMALL_STATE(1829)] = 83242,
  [SMALL_STATE(1830)] = 83269,
  [SMALL_STATE(1831)] = 83296,
  [SMALL_STATE(1832)] = 83341,
  [SMALL_STATE(1833)] = 83386,
  [SMALL_STATE(1834)] = 83431,
  [SMALL_STATE(1835)] = 83476,
  [SMALL_STATE(1836)] = 83508,
  [SMALL_STATE(1837)] = 83534,
  [SMALL_STATE(1838)] = 83576,
  [SMALL_STATE(1839)] = 83608,
  [SMALL_STATE(1840)] = 83640,
  [SMALL_STATE(1841)] = 83672,
  [SMALL_STATE(1842)] = 83698,
  [SMALL_STATE(1843)] = 83724,
  [SMALL_STATE(1844)] = 83750,
  [SMALL_STATE(1845)] = 83776,
  [SMALL_STATE(1846)] = 83808,
  [SMALL_STATE(1847)] = 83840,
  [SMALL_STATE(1848)] = 83872,
  [SMALL_STATE(1849)] = 83904,
  [SMALL_STATE(1850)] = 83940,
  [SMALL_STATE(1851)] = 83972,
  [SMALL_STATE(1852)] = 84004,
  [SMALL_STATE(1853)] = 84036,
  [SMALL_STATE(1854)] = 84062,
  [SMALL_STATE(1855)] = 84094,
  [SMALL_STATE(1856)] = 84126,
  [SMALL_STATE(1857)] = 84158,
  [SMALL_STATE(1858)] = 84184,
  [SMALL_STATE(1859)] = 84216,
  [SMALL_STATE(1860)] = 84248,
  [SMALL_STATE(1861)] = 84274,
  [SMALL_STATE(1862)] = 84316,
  [SMALL_STATE(1863)] = 84348,
  [SMALL_STATE(1864)] = 84380,
  [SMALL_STATE(1865)] = 84412,
  [SMALL_STATE(1866)] = 84444,
  [SMALL_STATE(1867)] = 84481,
  [SMALL_STATE(1868)] = 84518,
  [SMALL_STATE(1869)] = 84555,
  [SMALL_STATE(1870)] = 84592,
  [SMALL_STATE(1871)] = 84621,
  [SMALL_STATE(1872)] = 84658,
  [SMALL_STATE(1873)] = 84695,
  [SMALL_STATE(1874)] = 84732,
  [SMALL_STATE(1875)] = 84769,
  [SMALL_STATE(1876)] = 84806,
  [SMALL_STATE(1877)] = 84843,
  [SMALL_STATE(1878)] = 84880,
  [SMALL_STATE(1879)] = 84917,
  [SMALL_STATE(1880)] = 84954,
  [SMALL_STATE(1881)] = 84991,
  [SMALL_STATE(1882)] = 85028,
  [SMALL_STATE(1883)] = 85065,
  [SMALL_STATE(1884)] = 85102,
  [SMALL_STATE(1885)] = 85139,
  [SMALL_STATE(1886)] = 85176,
  [SMALL_STATE(1887)] = 85213,
  [SMALL_STATE(1888)] = 85250,
  [SMALL_STATE(1889)] = 85287,
  [SMALL_STATE(1890)] = 85324,
  [SMALL_STATE(1891)] = 85361,
  [SMALL_STATE(1892)] = 85398,
  [SMALL_STATE(1893)] = 85435,
  [SMALL_STATE(1894)] = 85472,
  [SMALL_STATE(1895)] = 85509,
  [SMALL_STATE(1896)] = 85546,
  [SMALL_STATE(1897)] = 85583,
  [SMALL_STATE(1898)] = 85620,
  [SMALL_STATE(1899)] = 85657,
  [SMALL_STATE(1900)] = 85694,
  [SMALL_STATE(1901)] = 85731,
  [SMALL_STATE(1902)] = 85760,
  [SMALL_STATE(1903)] = 85797,
  [SMALL_STATE(1904)] = 85834,
  [SMALL_STATE(1905)] = 85871,
  [SMALL_STATE(1906)] = 85908,
  [SMALL_STATE(1907)] = 85945,
  [SMALL_STATE(1908)] = 85982,
  [SMALL_STATE(1909)] = 86019,
  [SMALL_STATE(1910)] = 86056,
  [SMALL_STATE(1911)] = 86093,
  [SMALL_STATE(1912)] = 86130,
  [SMALL_STATE(1913)] = 86167,
  [SMALL_STATE(1914)] = 86204,
  [SMALL_STATE(1915)] = 86241,
  [SMALL_STATE(1916)] = 86278,
  [SMALL_STATE(1917)] = 86307,
  [SMALL_STATE(1918)] = 86344,
  [SMALL_STATE(1919)] = 86381,
  [SMALL_STATE(1920)] = 86410,
  [SMALL_STATE(1921)] = 86447,
  [SMALL_STATE(1922)] = 86471,
  [SMALL_STATE(1923)] = 86495,
  [SMALL_STATE(1924)] = 86519,
  [SMALL_STATE(1925)] = 86543,
  [SMALL_STATE(1926)] = 86567,
  [SMALL_STATE(1927)] = 86591,
  [SMALL_STATE(1928)] = 86615,
  [SMALL_STATE(1929)] = 86639,
  [SMALL_STATE(1930)] = 86663,
  [SMALL_STATE(1931)] = 86687,
  [SMALL_STATE(1932)] = 86711,
  [SMALL_STATE(1933)] = 86735,
  [SMALL_STATE(1934)] = 86759,
  [SMALL_STATE(1935)] = 86783,
  [SMALL_STATE(1936)] = 86807,
  [SMALL_STATE(1937)] = 86831,
  [SMALL_STATE(1938)] = 86859,
  [SMALL_STATE(1939)] = 86883,
  [SMALL_STATE(1940)] = 86907,
  [SMALL_STATE(1941)] = 86931,
  [SMALL_STATE(1942)] = 86955,
  [SMALL_STATE(1943)] = 86979,
  [SMALL_STATE(1944)] = 87007,
  [SMALL_STATE(1945)] = 87031,
  [SMALL_STATE(1946)] = 87055,
  [SMALL_STATE(1947)] = 87079,
  [SMALL_STATE(1948)] = 87103,
  [SMALL_STATE(1949)] = 87126,
  [SMALL_STATE(1950)] = 87159,
  [SMALL_STATE(1951)] = 87192,
  [SMALL_STATE(1952)] = 87218,
  [SMALL_STATE(1953)] = 87244,
  [SMALL_STATE(1954)] = 87270,
  [SMALL_STATE(1955)] = 87302,
  [SMALL_STATE(1956)] = 87328,
  [SMALL_STATE(1957)] = 87357,
  [SMALL_STATE(1958)] = 87378,
  [SMALL_STATE(1959)] = 87407,
  [SMALL_STATE(1960)] = 87428,
  [SMALL_STATE(1961)] = 87449,
  [SMALL_STATE(1962)] = 87478,
  [SMALL_STATE(1963)] = 87499,
  [SMALL_STATE(1964)] = 87520,
  [SMALL_STATE(1965)] = 87541,
  [SMALL_STATE(1966)] = 87562,
  [SMALL_STATE(1967)] = 87583,
  [SMALL_STATE(1968)] = 87604,
  [SMALL_STATE(1969)] = 87625,
  [SMALL_STATE(1970)] = 87646,
  [SMALL_STATE(1971)] = 87675,
  [SMALL_STATE(1972)] = 87696,
  [SMALL_STATE(1973)] = 87717,
  [SMALL_STATE(1974)] = 87738,
  [SMALL_STATE(1975)] = 87767,
  [SMALL_STATE(1976)] = 87796,
  [SMALL_STATE(1977)] = 87825,
  [SMALL_STATE(1978)] = 87854,
  [SMALL_STATE(1979)] = 87883,
  [SMALL_STATE(1980)] = 87904,
  [SMALL_STATE(1981)] = 87925,
  [SMALL_STATE(1982)] = 87950,
  [SMALL_STATE(1983)] = 87971,
  [SMALL_STATE(1984)] = 88000,
  [SMALL_STATE(1985)] = 88029,
  [SMALL_STATE(1986)] = 88058,
  [SMALL_STATE(1987)] = 88079,
  [SMALL_STATE(1988)] = 88108,
  [SMALL_STATE(1989)] = 88133,
  [SMALL_STATE(1990)] = 88154,
  [SMALL_STATE(1991)] = 88183,
  [SMALL_STATE(1992)] = 88212,
  [SMALL_STATE(1993)] = 88241,
  [SMALL_STATE(1994)] = 88270,
  [SMALL_STATE(1995)] = 88291,
  [SMALL_STATE(1996)] = 88312,
  [SMALL_STATE(1997)] = 88333,
  [SMALL_STATE(1998)] = 88362,
  [SMALL_STATE(1999)] = 88383,
  [SMALL_STATE(2000)] = 88404,
  [SMALL_STATE(2001)] = 88433,
  [SMALL_STATE(2002)] = 88462,
  [SMALL_STATE(2003)] = 88491,
  [SMALL_STATE(2004)] = 88512,
  [SMALL_STATE(2005)] = 88541,
  [SMALL_STATE(2006)] = 88570,
  [SMALL_STATE(2007)] = 88599,
  [SMALL_STATE(2008)] = 88623,
  [SMALL_STATE(2009)] = 88647,
  [SMALL_STATE(2010)] = 88671,
  [SMALL_STATE(2011)] = 88695,
  [SMALL_STATE(2012)] = 88723,
  [SMALL_STATE(2013)] = 88751,
  [SMALL_STATE(2014)] = 88775,
  [SMALL_STATE(2015)] = 88799,
  [SMALL_STATE(2016)] = 88823,
  [SMALL_STATE(2017)] = 88845,
  [SMALL_STATE(2018)] = 88873,
  [SMALL_STATE(2019)] = 88897,
  [SMALL_STATE(2020)] = 88925,
  [SMALL_STATE(2021)] = 88949,
  [SMALL_STATE(2022)] = 88971,
  [SMALL_STATE(2023)] = 88999,
  [SMALL_STATE(2024)] = 89027,
  [SMALL_STATE(2025)] = 89051,
  [SMALL_STATE(2026)] = 89075,
  [SMALL_STATE(2027)] = 89099,
  [SMALL_STATE(2028)] = 89119,
  [SMALL_STATE(2029)] = 89143,
  [SMALL_STATE(2030)] = 89165,
  [SMALL_STATE(2031)] = 89193,
  [SMALL_STATE(2032)] = 89217,
  [SMALL_STATE(2033)] = 89241,
  [SMALL_STATE(2034)] = 89265,
  [SMALL_STATE(2035)] = 89293,
  [SMALL_STATE(2036)] = 89321,
  [SMALL_STATE(2037)] = 89345,
  [SMALL_STATE(2038)] = 89369,
  [SMALL_STATE(2039)] = 89393,
  [SMALL_STATE(2040)] = 89417,
  [SMALL_STATE(2041)] = 89441,
  [SMALL_STATE(2042)] = 89469,
  [SMALL_STATE(2043)] = 89493,
  [SMALL_STATE(2044)] = 89517,
  [SMALL_STATE(2045)] = 89541,
  [SMALL_STATE(2046)] = 89569,
  [SMALL_STATE(2047)] = 89597,
  [SMALL_STATE(2048)] = 89625,
  [SMALL_STATE(2049)] = 89649,
  [SMALL_STATE(2050)] = 89671,
  [SMALL_STATE(2051)] = 89695,
  [SMALL_STATE(2052)] = 89719,
  [SMALL_STATE(2053)] = 89747,
  [SMALL_STATE(2054)] = 89771,
  [SMALL_STATE(2055)] = 89795,
  [SMALL_STATE(2056)] = 89823,
  [SMALL_STATE(2057)] = 89847,
  [SMALL_STATE(2058)] = 89871,
  [SMALL_STATE(2059)] = 89899,
  [SMALL_STATE(2060)] = 89923,
  [SMALL_STATE(2061)] = 89951,
  [SMALL_STATE(2062)] = 89975,
  [SMALL_STATE(2063)] = 89999,
  [SMALL_STATE(2064)] = 90021,
  [SMALL_STATE(2065)] = 90045,
  [SMALL_STATE(2066)] = 90069,
  [SMALL_STATE(2067)] = 90093,
  [SMALL_STATE(2068)] = 90117,
  [SMALL_STATE(2069)] = 90145,
  [SMALL_STATE(2070)] = 90169,
  [SMALL_STATE(2071)] = 90197,
  [SMALL_STATE(2072)] = 90221,
  [SMALL_STATE(2073)] = 90245,
  [SMALL_STATE(2074)] = 90269,
  [SMALL_STATE(2075)] = 90293,
  [SMALL_STATE(2076)] = 90321,
  [SMALL_STATE(2077)] = 90349,
  [SMALL_STATE(2078)] = 90373,
  [SMALL_STATE(2079)] = 90401,
  [SMALL_STATE(2080)] = 90423,
  [SMALL_STATE(2081)] = 90451,
  [SMALL_STATE(2082)] = 90479,
  [SMALL_STATE(2083)] = 90503,
  [SMALL_STATE(2084)] = 90527,
  [SMALL_STATE(2085)] = 90555,
  [SMALL_STATE(2086)] = 90579,
  [SMALL_STATE(2087)] = 90603,
  [SMALL_STATE(2088)] = 90631,
  [SMALL_STATE(2089)] = 90650,
  [SMALL_STATE(2090)] = 90669,
  [SMALL_STATE(2091)] = 90688,
  [SMALL_STATE(2092)] = 90707,
  [SMALL_STATE(2093)] = 90726,
  [SMALL_STATE(2094)] = 90747,
  [SMALL_STATE(2095)] = 90766,
  [SMALL_STATE(2096)] = 90794,
  [SMALL_STATE(2097)] = 90824,
  [SMALL_STATE(2098)] = 90854,
  [SMALL_STATE(2099)] = 90878,
  [SMALL_STATE(2100)] = 90902,
  [SMALL_STATE(2101)] = 90932,
  [SMALL_STATE(2102)] = 90962,
  [SMALL_STATE(2103)] = 90986,
  [SMALL_STATE(2104)] = 91016,
  [SMALL_STATE(2105)] = 91040,
  [SMALL_STATE(2106)] = 91064,
  [SMALL_STATE(2107)] = 91094,
  [SMALL_STATE(2108)] = 91124,
  [SMALL_STATE(2109)] = 91154,
  [SMALL_STATE(2110)] = 91178,
  [SMALL_STATE(2111)] = 91208,
  [SMALL_STATE(2112)] = 91232,
  [SMALL_STATE(2113)] = 91256,
  [SMALL_STATE(2114)] = 91286,
  [SMALL_STATE(2115)] = 91310,
  [SMALL_STATE(2116)] = 91340,
  [SMALL_STATE(2117)] = 91370,
  [SMALL_STATE(2118)] = 91400,
  [SMALL_STATE(2119)] = 91430,
  [SMALL_STATE(2120)] = 91460,
  [SMALL_STATE(2121)] = 91484,
  [SMALL_STATE(2122)] = 91514,
  [SMALL_STATE(2123)] = 91544,
  [SMALL_STATE(2124)] = 91574,
  [SMALL_STATE(2125)] = 91604,
  [SMALL_STATE(2126)] = 91628,
  [SMALL_STATE(2127)] = 91652,
  [SMALL_STATE(2128)] = 91682,
  [SMALL_STATE(2129)] = 91706,
  [SMALL_STATE(2130)] = 91736,
  [SMALL_STATE(2131)] = 91766,
  [SMALL_STATE(2132)] = 91790,
  [SMALL_STATE(2133)] = 91820,
  [SMALL_STATE(2134)] = 91850,
  [SMALL_STATE(2135)] = 91880,
  [SMALL_STATE(2136)] = 91904,
  [SMALL_STATE(2137)] = 91934,
  [SMALL_STATE(2138)] = 91958,
  [SMALL_STATE(2139)] = 91986,
  [SMALL_STATE(2140)] = 92016,
  [SMALL_STATE(2141)] = 92046,
  [SMALL_STATE(2142)] = 92070,
  [SMALL_STATE(2143)] = 92100,
  [SMALL_STATE(2144)] = 92130,
  [SMALL_STATE(2145)] = 92154,
  [SMALL_STATE(2146)] = 92184,
  [SMALL_STATE(2147)] = 92214,
  [SMALL_STATE(2148)] = 92244,
  [SMALL_STATE(2149)] = 92272,
  [SMALL_STATE(2150)] = 92300,
  [SMALL_STATE(2151)] = 92324,
  [SMALL_STATE(2152)] = 92354,
  [SMALL_STATE(2153)] = 92378,
  [SMALL_STATE(2154)] = 92402,
  [SMALL_STATE(2155)] = 92426,
  [SMALL_STATE(2156)] = 92456,
  [SMALL_STATE(2157)] = 92484,
  [SMALL_STATE(2158)] = 92514,
  [SMALL_STATE(2159)] = 92534,
  [SMALL_STATE(2160)] = 92558,
  [SMALL_STATE(2161)] = 92588,
  [SMALL_STATE(2162)] = 92612,
  [SMALL_STATE(2163)] = 92642,
  [SMALL_STATE(2164)] = 92672,
  [SMALL_STATE(2165)] = 92702,
  [SMALL_STATE(2166)] = 92732,
  [SMALL_STATE(2167)] = 92756,
  [SMALL_STATE(2168)] = 92780,
  [SMALL_STATE(2169)] = 92810,
  [SMALL_STATE(2170)] = 92840,
  [SMALL_STATE(2171)] = 92870,
  [SMALL_STATE(2172)] = 92900,
  [SMALL_STATE(2173)] = 92930,
  [SMALL_STATE(2174)] = 92960,
  [SMALL_STATE(2175)] = 92990,
  [SMALL_STATE(2176)] = 93020,
  [SMALL_STATE(2177)] = 93040,
  [SMALL_STATE(2178)] = 93055,
  [SMALL_STATE(2179)] = 93070,
  [SMALL_STATE(2180)] = 93085,
  [SMALL_STATE(2181)] = 93100,
  [SMALL_STATE(2182)] = 93115,
  [SMALL_STATE(2183)] = 93130,
  [SMALL_STATE(2184)] = 93145,
  [SMALL_STATE(2185)] = 93160,
  [SMALL_STATE(2186)] = 93175,
  [SMALL_STATE(2187)] = 93190,
  [SMALL_STATE(2188)] = 93205,
  [SMALL_STATE(2189)] = 93220,
  [SMALL_STATE(2190)] = 93235,
  [SMALL_STATE(2191)] = 93250,
  [SMALL_STATE(2192)] = 93265,
  [SMALL_STATE(2193)] = 93280,
  [SMALL_STATE(2194)] = 93295,
  [SMALL_STATE(2195)] = 93310,
  [SMALL_STATE(2196)] = 93331,
  [SMALL_STATE(2197)] = 93352,
  [SMALL_STATE(2198)] = 93367,
  [SMALL_STATE(2199)] = 93382,
  [SMALL_STATE(2200)] = 93397,
  [SMALL_STATE(2201)] = 93412,
  [SMALL_STATE(2202)] = 93427,
  [SMALL_STATE(2203)] = 93442,
  [SMALL_STATE(2204)] = 93461,
  [SMALL_STATE(2205)] = 93476,
  [SMALL_STATE(2206)] = 93495,
  [SMALL_STATE(2207)] = 93510,
  [SMALL_STATE(2208)] = 93525,
  [SMALL_STATE(2209)] = 93546,
  [SMALL_STATE(2210)] = 93565,
  [SMALL_STATE(2211)] = 93586,
  [SMALL_STATE(2212)] = 93601,
  [SMALL_STATE(2213)] = 93615,
  [SMALL_STATE(2214)] = 93629,
  [SMALL_STATE(2215)] = 93643,
  [SMALL_STATE(2216)] = 93657,
  [SMALL_STATE(2217)] = 93671,
  [SMALL_STATE(2218)] = 93685,
  [SMALL_STATE(2219)] = 93697,
  [SMALL_STATE(2220)] = 93711,
  [SMALL_STATE(2221)] = 93725,
  [SMALL_STATE(2222)] = 93739,
  [SMALL_STATE(2223)] = 93753,
  [SMALL_STATE(2224)] = 93767,
  [SMALL_STATE(2225)] = 93781,
  [SMALL_STATE(2226)] = 93795,
  [SMALL_STATE(2227)] = 93809,
  [SMALL_STATE(2228)] = 93823,
  [SMALL_STATE(2229)] = 93843,
  [SMALL_STATE(2230)] = 93857,
  [SMALL_STATE(2231)] = 93871,
  [SMALL_STATE(2232)] = 93885,
  [SMALL_STATE(2233)] = 93899,
  [SMALL_STATE(2234)] = 93913,
  [SMALL_STATE(2235)] = 93927,
  [SMALL_STATE(2236)] = 93941,
  [SMALL_STATE(2237)] = 93955,
  [SMALL_STATE(2238)] = 93967,
  [SMALL_STATE(2239)] = 93981,
  [SMALL_STATE(2240)] = 93995,
  [SMALL_STATE(2241)] = 94009,
  [SMALL_STATE(2242)] = 94023,
  [SMALL_STATE(2243)] = 94037,
  [SMALL_STATE(2244)] = 94051,
  [SMALL_STATE(2245)] = 94065,
  [SMALL_STATE(2246)] = 94079,
  [SMALL_STATE(2247)] = 94093,
  [SMALL_STATE(2248)] = 94107,
  [SMALL_STATE(2249)] = 94127,
  [SMALL_STATE(2250)] = 94147,
  [SMALL_STATE(2251)] = 94161,
  [SMALL_STATE(2252)] = 94175,
  [SMALL_STATE(2253)] = 94189,
  [SMALL_STATE(2254)] = 94203,
  [SMALL_STATE(2255)] = 94217,
  [SMALL_STATE(2256)] = 94231,
  [SMALL_STATE(2257)] = 94245,
  [SMALL_STATE(2258)] = 94259,
  [SMALL_STATE(2259)] = 94273,
  [SMALL_STATE(2260)] = 94293,
  [SMALL_STATE(2261)] = 94307,
  [SMALL_STATE(2262)] = 94321,
  [SMALL_STATE(2263)] = 94335,
  [SMALL_STATE(2264)] = 94354,
  [SMALL_STATE(2265)] = 94369,
  [SMALL_STATE(2266)] = 94384,
  [SMALL_STATE(2267)] = 94399,
  [SMALL_STATE(2268)] = 94412,
  [SMALL_STATE(2269)] = 94425,
  [SMALL_STATE(2270)] = 94440,
  [SMALL_STATE(2271)] = 94457,
  [SMALL_STATE(2272)] = 94472,
  [SMALL_STATE(2273)] = 94487,
  [SMALL_STATE(2274)] = 94506,
  [SMALL_STATE(2275)] = 94521,
  [SMALL_STATE(2276)] = 94538,
  [SMALL_STATE(2277)] = 94553,
  [SMALL_STATE(2278)] = 94570,
  [SMALL_STATE(2279)] = 94587,
  [SMALL_STATE(2280)] = 94604,
  [SMALL_STATE(2281)] = 94621,
  [SMALL_STATE(2282)] = 94638,
  [SMALL_STATE(2283)] = 94653,
  [SMALL_STATE(2284)] = 94668,
  [SMALL_STATE(2285)] = 94687,
  [SMALL_STATE(2286)] = 94702,
  [SMALL_STATE(2287)] = 94715,
  [SMALL_STATE(2288)] = 94732,
  [SMALL_STATE(2289)] = 94751,
  [SMALL_STATE(2290)] = 94766,
  [SMALL_STATE(2291)] = 94781,
  [SMALL_STATE(2292)] = 94796,
  [SMALL_STATE(2293)] = 94810,
  [SMALL_STATE(2294)] = 94822,
  [SMALL_STATE(2295)] = 94836,
  [SMALL_STATE(2296)] = 94850,
  [SMALL_STATE(2297)] = 94862,
  [SMALL_STATE(2298)] = 94876,
  [SMALL_STATE(2299)] = 94890,
  [SMALL_STATE(2300)] = 94902,
  [SMALL_STATE(2301)] = 94914,
  [SMALL_STATE(2302)] = 94930,
  [SMALL_STATE(2303)] = 94946,
  [SMALL_STATE(2304)] = 94960,
  [SMALL_STATE(2305)] = 94972,
  [SMALL_STATE(2306)] = 94986,
  [SMALL_STATE(2307)] = 94998,
  [SMALL_STATE(2308)] = 95010,
  [SMALL_STATE(2309)] = 95024,
  [SMALL_STATE(2310)] = 95040,
  [SMALL_STATE(2311)] = 95054,
  [SMALL_STATE(2312)] = 95066,
  [SMALL_STATE(2313)] = 95080,
  [SMALL_STATE(2314)] = 95092,
  [SMALL_STATE(2315)] = 95106,
  [SMALL_STATE(2316)] = 95120,
  [SMALL_STATE(2317)] = 95134,
  [SMALL_STATE(2318)] = 95148,
  [SMALL_STATE(2319)] = 95160,
  [SMALL_STATE(2320)] = 95172,
  [SMALL_STATE(2321)] = 95186,
  [SMALL_STATE(2322)] = 95197,
  [SMALL_STATE(2323)] = 95210,
  [SMALL_STATE(2324)] = 95223,
  [SMALL_STATE(2325)] = 95236,
  [SMALL_STATE(2326)] = 95247,
  [SMALL_STATE(2327)] = 95260,
  [SMALL_STATE(2328)] = 95273,
  [SMALL_STATE(2329)] = 95286,
  [SMALL_STATE(2330)] = 95299,
  [SMALL_STATE(2331)] = 95312,
  [SMALL_STATE(2332)] = 95325,
  [SMALL_STATE(2333)] = 95338,
  [SMALL_STATE(2334)] = 95351,
  [SMALL_STATE(2335)] = 95362,
  [SMALL_STATE(2336)] = 95373,
  [SMALL_STATE(2337)] = 95386,
  [SMALL_STATE(2338)] = 95399,
  [SMALL_STATE(2339)] = 95412,
  [SMALL_STATE(2340)] = 95425,
  [SMALL_STATE(2341)] = 95438,
  [SMALL_STATE(2342)] = 95449,
  [SMALL_STATE(2343)] = 95462,
  [SMALL_STATE(2344)] = 95475,
  [SMALL_STATE(2345)] = 95488,
  [SMALL_STATE(2346)] = 95501,
  [SMALL_STATE(2347)] = 95514,
  [SMALL_STATE(2348)] = 95525,
  [SMALL_STATE(2349)] = 95538,
  [SMALL_STATE(2350)] = 95551,
  [SMALL_STATE(2351)] = 95562,
  [SMALL_STATE(2352)] = 95575,
  [SMALL_STATE(2353)] = 95588,
  [SMALL_STATE(2354)] = 95601,
  [SMALL_STATE(2355)] = 95614,
  [SMALL_STATE(2356)] = 95625,
  [SMALL_STATE(2357)] = 95636,
  [SMALL_STATE(2358)] = 95649,
  [SMALL_STATE(2359)] = 95662,
  [SMALL_STATE(2360)] = 95675,
  [SMALL_STATE(2361)] = 95688,
  [SMALL_STATE(2362)] = 95701,
  [SMALL_STATE(2363)] = 95714,
  [SMALL_STATE(2364)] = 95727,
  [SMALL_STATE(2365)] = 95740,
  [SMALL_STATE(2366)] = 95753,
  [SMALL_STATE(2367)] = 95766,
  [SMALL_STATE(2368)] = 95779,
  [SMALL_STATE(2369)] = 95792,
  [SMALL_STATE(2370)] = 95805,
  [SMALL_STATE(2371)] = 95818,
  [SMALL_STATE(2372)] = 95831,
  [SMALL_STATE(2373)] = 95844,
  [SMALL_STATE(2374)] = 95857,
  [SMALL_STATE(2375)] = 95870,
  [SMALL_STATE(2376)] = 95883,
  [SMALL_STATE(2377)] = 95896,
  [SMALL_STATE(2378)] = 95909,
  [SMALL_STATE(2379)] = 95922,
  [SMALL_STATE(2380)] = 95935,
  [SMALL_STATE(2381)] = 95948,
  [SMALL_STATE(2382)] = 95961,
  [SMALL_STATE(2383)] = 95974,
  [SMALL_STATE(2384)] = 95987,
  [SMALL_STATE(2385)] = 96000,
  [SMALL_STATE(2386)] = 96013,
  [SMALL_STATE(2387)] = 96024,
  [SMALL_STATE(2388)] = 96037,
  [SMALL_STATE(2389)] = 96050,
  [SMALL_STATE(2390)] = 96063,
  [SMALL_STATE(2391)] = 96076,
  [SMALL_STATE(2392)] = 96089,
  [SMALL_STATE(2393)] = 96102,
  [SMALL_STATE(2394)] = 96115,
  [SMALL_STATE(2395)] = 96128,
  [SMALL_STATE(2396)] = 96141,
  [SMALL_STATE(2397)] = 96154,
  [SMALL_STATE(2398)] = 96167,
  [SMALL_STATE(2399)] = 96180,
  [SMALL_STATE(2400)] = 96193,
  [SMALL_STATE(2401)] = 96206,
  [SMALL_STATE(2402)] = 96219,
  [SMALL_STATE(2403)] = 96232,
  [SMALL_STATE(2404)] = 96245,
  [SMALL_STATE(2405)] = 96256,
  [SMALL_STATE(2406)] = 96269,
  [SMALL_STATE(2407)] = 96282,
  [SMALL_STATE(2408)] = 96295,
  [SMALL_STATE(2409)] = 96308,
  [SMALL_STATE(2410)] = 96321,
  [SMALL_STATE(2411)] = 96334,
  [SMALL_STATE(2412)] = 96347,
  [SMALL_STATE(2413)] = 96360,
  [SMALL_STATE(2414)] = 96373,
  [SMALL_STATE(2415)] = 96386,
  [SMALL_STATE(2416)] = 96399,
  [SMALL_STATE(2417)] = 96412,
  [SMALL_STATE(2418)] = 96425,
  [SMALL_STATE(2419)] = 96438,
  [SMALL_STATE(2420)] = 96451,
  [SMALL_STATE(2421)] = 96464,
  [SMALL_STATE(2422)] = 96477,
  [SMALL_STATE(2423)] = 96490,
  [SMALL_STATE(2424)] = 96503,
  [SMALL_STATE(2425)] = 96516,
  [SMALL_STATE(2426)] = 96529,
  [SMALL_STATE(2427)] = 96542,
  [SMALL_STATE(2428)] = 96555,
  [SMALL_STATE(2429)] = 96568,
  [SMALL_STATE(2430)] = 96581,
  [SMALL_STATE(2431)] = 96594,
  [SMALL_STATE(2432)] = 96607,
  [SMALL_STATE(2433)] = 96620,
  [SMALL_STATE(2434)] = 96633,
  [SMALL_STATE(2435)] = 96646,
  [SMALL_STATE(2436)] = 96659,
  [SMALL_STATE(2437)] = 96672,
  [SMALL_STATE(2438)] = 96685,
  [SMALL_STATE(2439)] = 96698,
  [SMALL_STATE(2440)] = 96711,
  [SMALL_STATE(2441)] = 96724,
  [SMALL_STATE(2442)] = 96737,
  [SMALL_STATE(2443)] = 96750,
  [SMALL_STATE(2444)] = 96763,
  [SMALL_STATE(2445)] = 96776,
  [SMALL_STATE(2446)] = 96789,
  [SMALL_STATE(2447)] = 96802,
  [SMALL_STATE(2448)] = 96815,
  [SMALL_STATE(2449)] = 96828,
  [SMALL_STATE(2450)] = 96841,
  [SMALL_STATE(2451)] = 96852,
  [SMALL_STATE(2452)] = 96865,
  [SMALL_STATE(2453)] = 96875,
  [SMALL_STATE(2454)] = 96885,
  [SMALL_STATE(2455)] = 96895,
  [SMALL_STATE(2456)] = 96905,
  [SMALL_STATE(2457)] = 96913,
  [SMALL_STATE(2458)] = 96921,
  [SMALL_STATE(2459)] = 96931,
  [SMALL_STATE(2460)] = 96939,
  [SMALL_STATE(2461)] = 96947,
  [SMALL_STATE(2462)] = 96957,
  [SMALL_STATE(2463)] = 96967,
  [SMALL_STATE(2464)] = 96975,
  [SMALL_STATE(2465)] = 96985,
  [SMALL_STATE(2466)] = 96995,
  [SMALL_STATE(2467)] = 97005,
  [SMALL_STATE(2468)] = 97013,
  [SMALL_STATE(2469)] = 97021,
  [SMALL_STATE(2470)] = 97031,
  [SMALL_STATE(2471)] = 97041,
  [SMALL_STATE(2472)] = 97051,
  [SMALL_STATE(2473)] = 97061,
  [SMALL_STATE(2474)] = 97071,
  [SMALL_STATE(2475)] = 97081,
  [SMALL_STATE(2476)] = 97091,
  [SMALL_STATE(2477)] = 97101,
  [SMALL_STATE(2478)] = 97111,
  [SMALL_STATE(2479)] = 97121,
  [SMALL_STATE(2480)] = 97131,
  [SMALL_STATE(2481)] = 97141,
  [SMALL_STATE(2482)] = 97151,
  [SMALL_STATE(2483)] = 97159,
  [SMALL_STATE(2484)] = 97169,
  [SMALL_STATE(2485)] = 97177,
  [SMALL_STATE(2486)] = 97187,
  [SMALL_STATE(2487)] = 97197,
  [SMALL_STATE(2488)] = 97207,
  [SMALL_STATE(2489)] = 97217,
  [SMALL_STATE(2490)] = 97225,
  [SMALL_STATE(2491)] = 97235,
  [SMALL_STATE(2492)] = 97245,
  [SMALL_STATE(2493)] = 97255,
  [SMALL_STATE(2494)] = 97265,
  [SMALL_STATE(2495)] = 97273,
  [SMALL_STATE(2496)] = 97283,
  [SMALL_STATE(2497)] = 97291,
  [SMALL_STATE(2498)] = 97301,
  [SMALL_STATE(2499)] = 97311,
  [SMALL_STATE(2500)] = 97321,
  [SMALL_STATE(2501)] = 97331,
  [SMALL_STATE(2502)] = 97339,
  [SMALL_STATE(2503)] = 97349,
  [SMALL_STATE(2504)] = 97359,
  [SMALL_STATE(2505)] = 97369,
  [SMALL_STATE(2506)] = 97379,
  [SMALL_STATE(2507)] = 97389,
  [SMALL_STATE(2508)] = 97399,
  [SMALL_STATE(2509)] = 97409,
  [SMALL_STATE(2510)] = 97419,
  [SMALL_STATE(2511)] = 97429,
  [SMALL_STATE(2512)] = 97437,
  [SMALL_STATE(2513)] = 97445,
  [SMALL_STATE(2514)] = 97453,
  [SMALL_STATE(2515)] = 97463,
  [SMALL_STATE(2516)] = 97471,
  [SMALL_STATE(2517)] = 97479,
  [SMALL_STATE(2518)] = 97489,
  [SMALL_STATE(2519)] = 97499,
  [SMALL_STATE(2520)] = 97509,
  [SMALL_STATE(2521)] = 97517,
  [SMALL_STATE(2522)] = 97525,
  [SMALL_STATE(2523)] = 97533,
  [SMALL_STATE(2524)] = 97541,
  [SMALL_STATE(2525)] = 97549,
  [SMALL_STATE(2526)] = 97559,
  [SMALL_STATE(2527)] = 97569,
  [SMALL_STATE(2528)] = 97579,
  [SMALL_STATE(2529)] = 97587,
  [SMALL_STATE(2530)] = 97595,
  [SMALL_STATE(2531)] = 97603,
  [SMALL_STATE(2532)] = 97611,
  [SMALL_STATE(2533)] = 97619,
  [SMALL_STATE(2534)] = 97629,
  [SMALL_STATE(2535)] = 97639,
  [SMALL_STATE(2536)] = 97649,
  [SMALL_STATE(2537)] = 97659,
  [SMALL_STATE(2538)] = 97667,
  [SMALL_STATE(2539)] = 97677,
  [SMALL_STATE(2540)] = 97685,
  [SMALL_STATE(2541)] = 97693,
  [SMALL_STATE(2542)] = 97701,
  [SMALL_STATE(2543)] = 97709,
  [SMALL_STATE(2544)] = 97717,
  [SMALL_STATE(2545)] = 97727,
  [SMALL_STATE(2546)] = 97735,
  [SMALL_STATE(2547)] = 97745,
  [SMALL_STATE(2548)] = 97755,
  [SMALL_STATE(2549)] = 97765,
  [SMALL_STATE(2550)] = 97773,
  [SMALL_STATE(2551)] = 97781,
  [SMALL_STATE(2552)] = 97791,
  [SMALL_STATE(2553)] = 97799,
  [SMALL_STATE(2554)] = 97809,
  [SMALL_STATE(2555)] = 97819,
  [SMALL_STATE(2556)] = 97829,
  [SMALL_STATE(2557)] = 97839,
  [SMALL_STATE(2558)] = 97849,
  [SMALL_STATE(2559)] = 97859,
  [SMALL_STATE(2560)] = 97869,
  [SMALL_STATE(2561)] = 97879,
  [SMALL_STATE(2562)] = 97886,
  [SMALL_STATE(2563)] = 97893,
  [SMALL_STATE(2564)] = 97900,
  [SMALL_STATE(2565)] = 97907,
  [SMALL_STATE(2566)] = 97914,
  [SMALL_STATE(2567)] = 97921,
  [SMALL_STATE(2568)] = 97928,
  [SMALL_STATE(2569)] = 97935,
  [SMALL_STATE(2570)] = 97942,
  [SMALL_STATE(2571)] = 97949,
  [SMALL_STATE(2572)] = 97956,
  [SMALL_STATE(2573)] = 97963,
  [SMALL_STATE(2574)] = 97970,
  [SMALL_STATE(2575)] = 97977,
  [SMALL_STATE(2576)] = 97984,
  [SMALL_STATE(2577)] = 97991,
  [SMALL_STATE(2578)] = 97998,
  [SMALL_STATE(2579)] = 98005,
  [SMALL_STATE(2580)] = 98012,
  [SMALL_STATE(2581)] = 98019,
  [SMALL_STATE(2582)] = 98026,
  [SMALL_STATE(2583)] = 98033,
  [SMALL_STATE(2584)] = 98040,
  [SMALL_STATE(2585)] = 98047,
  [SMALL_STATE(2586)] = 98054,
  [SMALL_STATE(2587)] = 98061,
  [SMALL_STATE(2588)] = 98068,
  [SMALL_STATE(2589)] = 98075,
  [SMALL_STATE(2590)] = 98082,
  [SMALL_STATE(2591)] = 98089,
  [SMALL_STATE(2592)] = 98096,
  [SMALL_STATE(2593)] = 98103,
  [SMALL_STATE(2594)] = 98110,
  [SMALL_STATE(2595)] = 98117,
  [SMALL_STATE(2596)] = 98124,
  [SMALL_STATE(2597)] = 98131,
  [SMALL_STATE(2598)] = 98138,
  [SMALL_STATE(2599)] = 98145,
  [SMALL_STATE(2600)] = 98152,
  [SMALL_STATE(2601)] = 98159,
  [SMALL_STATE(2602)] = 98166,
  [SMALL_STATE(2603)] = 98173,
  [SMALL_STATE(2604)] = 98180,
  [SMALL_STATE(2605)] = 98187,
  [SMALL_STATE(2606)] = 98194,
  [SMALL_STATE(2607)] = 98201,
  [SMALL_STATE(2608)] = 98208,
  [SMALL_STATE(2609)] = 98215,
  [SMALL_STATE(2610)] = 98222,
  [SMALL_STATE(2611)] = 98229,
  [SMALL_STATE(2612)] = 98236,
  [SMALL_STATE(2613)] = 98243,
  [SMALL_STATE(2614)] = 98250,
  [SMALL_STATE(2615)] = 98257,
  [SMALL_STATE(2616)] = 98264,
  [SMALL_STATE(2617)] = 98271,
  [SMALL_STATE(2618)] = 98278,
  [SMALL_STATE(2619)] = 98285,
  [SMALL_STATE(2620)] = 98292,
  [SMALL_STATE(2621)] = 98299,
  [SMALL_STATE(2622)] = 98306,
  [SMALL_STATE(2623)] = 98313,
  [SMALL_STATE(2624)] = 98320,
  [SMALL_STATE(2625)] = 98327,
  [SMALL_STATE(2626)] = 98334,
  [SMALL_STATE(2627)] = 98341,
  [SMALL_STATE(2628)] = 98348,
  [SMALL_STATE(2629)] = 98355,
  [SMALL_STATE(2630)] = 98362,
  [SMALL_STATE(2631)] = 98369,
  [SMALL_STATE(2632)] = 98376,
  [SMALL_STATE(2633)] = 98383,
  [SMALL_STATE(2634)] = 98390,
  [SMALL_STATE(2635)] = 98397,
  [SMALL_STATE(2636)] = 98404,
  [SMALL_STATE(2637)] = 98411,
  [SMALL_STATE(2638)] = 98418,
  [SMALL_STATE(2639)] = 98425,
  [SMALL_STATE(2640)] = 98432,
  [SMALL_STATE(2641)] = 98439,
  [SMALL_STATE(2642)] = 98446,
  [SMALL_STATE(2643)] = 98453,
  [SMALL_STATE(2644)] = 98460,
  [SMALL_STATE(2645)] = 98467,
  [SMALL_STATE(2646)] = 98474,
  [SMALL_STATE(2647)] = 98481,
  [SMALL_STATE(2648)] = 98488,
  [SMALL_STATE(2649)] = 98495,
  [SMALL_STATE(2650)] = 98502,
  [SMALL_STATE(2651)] = 98509,
  [SMALL_STATE(2652)] = 98516,
  [SMALL_STATE(2653)] = 98523,
  [SMALL_STATE(2654)] = 98530,
  [SMALL_STATE(2655)] = 98537,
  [SMALL_STATE(2656)] = 98544,
  [SMALL_STATE(2657)] = 98551,
  [SMALL_STATE(2658)] = 98558,
  [SMALL_STATE(2659)] = 98565,
  [SMALL_STATE(2660)] = 98572,
  [SMALL_STATE(2661)] = 98579,
  [SMALL_STATE(2662)] = 98586,
  [SMALL_STATE(2663)] = 98593,
  [SMALL_STATE(2664)] = 98600,
  [SMALL_STATE(2665)] = 98607,
  [SMALL_STATE(2666)] = 98614,
  [SMALL_STATE(2667)] = 98621,
  [SMALL_STATE(2668)] = 98628,
  [SMALL_STATE(2669)] = 98635,
  [SMALL_STATE(2670)] = 98642,
  [SMALL_STATE(2671)] = 98649,
  [SMALL_STATE(2672)] = 98656,
  [SMALL_STATE(2673)] = 98663,
  [SMALL_STATE(2674)] = 98670,
  [SMALL_STATE(2675)] = 98677,
  [SMALL_STATE(2676)] = 98684,
  [SMALL_STATE(2677)] = 98691,
  [SMALL_STATE(2678)] = 98698,
  [SMALL_STATE(2679)] = 98705,
  [SMALL_STATE(2680)] = 98712,
  [SMALL_STATE(2681)] = 98719,
  [SMALL_STATE(2682)] = 98726,
  [SMALL_STATE(2683)] = 98733,
  [SMALL_STATE(2684)] = 98740,
  [SMALL_STATE(2685)] = 98747,
  [SMALL_STATE(2686)] = 98754,
  [SMALL_STATE(2687)] = 98761,
  [SMALL_STATE(2688)] = 98768,
  [SMALL_STATE(2689)] = 98775,
  [SMALL_STATE(2690)] = 98782,
  [SMALL_STATE(2691)] = 98789,
  [SMALL_STATE(2692)] = 98796,
  [SMALL_STATE(2693)] = 98803,
  [SMALL_STATE(2694)] = 98810,
  [SMALL_STATE(2695)] = 98817,
  [SMALL_STATE(2696)] = 98824,
  [SMALL_STATE(2697)] = 98831,
  [SMALL_STATE(2698)] = 98838,
  [SMALL_STATE(2699)] = 98845,
  [SMALL_STATE(2700)] = 98852,
  [SMALL_STATE(2701)] = 98859,
  [SMALL_STATE(2702)] = 98866,
  [SMALL_STATE(2703)] = 98873,
  [SMALL_STATE(2704)] = 98880,
  [SMALL_STATE(2705)] = 98887,
  [SMALL_STATE(2706)] = 98894,
  [SMALL_STATE(2707)] = 98901,
  [SMALL_STATE(2708)] = 98908,
  [SMALL_STATE(2709)] = 98915,
  [SMALL_STATE(2710)] = 98922,
  [SMALL_STATE(2711)] = 98929,
  [SMALL_STATE(2712)] = 98936,
  [SMALL_STATE(2713)] = 98943,
  [SMALL_STATE(2714)] = 98950,
  [SMALL_STATE(2715)] = 98957,
  [SMALL_STATE(2716)] = 98964,
  [SMALL_STATE(2717)] = 98971,
  [SMALL_STATE(2718)] = 98978,
  [SMALL_STATE(2719)] = 98985,
  [SMALL_STATE(2720)] = 98992,
  [SMALL_STATE(2721)] = 98999,
  [SMALL_STATE(2722)] = 99006,
  [SMALL_STATE(2723)] = 99013,
  [SMALL_STATE(2724)] = 99020,
  [SMALL_STATE(2725)] = 99027,
  [SMALL_STATE(2726)] = 99034,
  [SMALL_STATE(2727)] = 99041,
  [SMALL_STATE(2728)] = 99048,
  [SMALL_STATE(2729)] = 99055,
  [SMALL_STATE(2730)] = 99062,
  [SMALL_STATE(2731)] = 99069,
  [SMALL_STATE(2732)] = 99076,
  [SMALL_STATE(2733)] = 99083,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_program, 0),
  [7] = {.count = 1, .reusable = false}, SHIFT(222),
  [9] = {.count = 1, .reusable = false}, SHIFT(2534),
  [11] = {.count = 1, .reusable = true}, SHIFT(1284),
  [13] = {.count = 1, .reusable = false}, SHIFT(113),
  [15] = {.count = 1, .reusable = false}, SHIFT(109),
  [17] = {.count = 1, .reusable = false}, SHIFT(1790),
  [19] = {.count = 1, .reusable = false}, SHIFT(2709),
  [21] = {.count = 1, .reusable = false}, SHIFT(19),
  [23] = {.count = 1, .reusable = true}, SHIFT(20),
  [25] = {.count = 1, .reusable = false}, SHIFT(194),
  [27] = {.count = 1, .reusable = false}, SHIFT(1281),
  [29] = {.count = 1, .reusable = true}, SHIFT(1278),
  [31] = {.count = 1, .reusable = false}, SHIFT(128),
  [33] = {.count = 1, .reusable = false}, SHIFT(189),
  [35] = {.count = 1, .reusable = false}, SHIFT(1807),
  [37] = {.count = 1, .reusable = true}, SHIFT(1807),
  [39] = {.count = 1, .reusable = false}, SHIFT(2000),
  [41] = {.count = 1, .reusable = false}, SHIFT(271),
  [43] = {.count = 1, .reusable = true}, SHIFT(2096),
  [45] = {.count = 1, .reusable = true}, SHIFT(270),
  [47] = {.count = 1, .reusable = true}, SHIFT(2070),
  [49] = {.count = 1, .reusable = true}, SHIFT(30),
  [51] = {.count = 1, .reusable = true}, SHIFT(31),
  [53] = {.count = 1, .reusable = true}, SHIFT(32),
  [55] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [57] = {.count = 1, .reusable = true}, SHIFT(2200),
  [59] = {.count = 1, .reusable = true}, SHIFT(2325),
  [61] = {.count = 1, .reusable = false}, SHIFT(227),
  [63] = {.count = 1, .reusable = false}, SHIFT(2505),
  [65] = {.count = 1, .reusable = true}, SHIFT(1276),
  [67] = {.count = 1, .reusable = false}, SHIFT(106),
  [69] = {.count = 1, .reusable = false}, SHIFT(116),
  [71] = {.count = 1, .reusable = false}, SHIFT(1610),
  [73] = {.count = 1, .reusable = false}, SHIFT(114),
  [75] = {.count = 1, .reusable = false}, SHIFT(39),
  [77] = {.count = 1, .reusable = false}, SHIFT(1818),
  [79] = {.count = 1, .reusable = false}, SHIFT(2569),
  [81] = {.count = 1, .reusable = false}, SHIFT(18),
  [83] = {.count = 1, .reusable = true}, SHIFT(28),
  [85] = {.count = 1, .reusable = false}, SHIFT(198),
  [87] = {.count = 1, .reusable = false}, SHIFT(1275),
  [89] = {.count = 1, .reusable = true}, SHIFT(1282),
  [91] = {.count = 1, .reusable = false}, SHIFT(132),
  [93] = {.count = 1, .reusable = false}, SHIFT(186),
  [95] = {.count = 1, .reusable = false}, SHIFT(1983),
  [97] = {.count = 1, .reusable = false}, SHIFT(249),
  [99] = {.count = 1, .reusable = true}, SHIFT(2134),
  [101] = {.count = 1, .reusable = true}, SHIFT(255),
  [103] = {.count = 1, .reusable = true}, SHIFT(2035),
  [105] = {.count = 1, .reusable = true}, SHIFT(99),
  [107] = {.count = 1, .reusable = true}, SHIFT(100),
  [109] = {.count = 1, .reusable = true}, SHIFT(102),
  [111] = {.count = 1, .reusable = true}, SHIFT(2404),
  [113] = {.count = 1, .reusable = false}, SHIFT(1389),
  [115] = {.count = 1, .reusable = false}, SHIFT(1419),
  [117] = {.count = 1, .reusable = false}, SHIFT(1666),
  [119] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(227),
  [122] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2505),
  [125] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1276),
  [128] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(106),
  [131] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statements2, 2),
  [133] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(116),
  [136] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1818),
  [139] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2569),
  [142] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(18),
  [145] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(28),
  [148] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(198),
  [151] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1275),
  [154] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1282),
  [157] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(132),
  [160] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(186),
  [163] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1807),
  [166] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1807),
  [169] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1983),
  [172] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(249),
  [175] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2134),
  [178] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(255),
  [181] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2035),
  [184] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(99),
  [187] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(100),
  [190] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(102),
  [193] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2200),
  [196] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2404),
  [199] = {.count = 1, .reusable = false}, SHIFT(226),
  [201] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 3, .production_id = 1),
  [203] = {.count = 1, .reusable = true}, SHIFT(2021),
  [205] = {.count = 1, .reusable = false}, SHIFT(199),
  [207] = {.count = 1, .reusable = false}, SHIFT(126),
  [209] = {.count = 1, .reusable = false}, SHIFT(183),
  [211] = {.count = 1, .reusable = false}, SHIFT(1978),
  [213] = {.count = 1, .reusable = false}, SHIFT(235),
  [215] = {.count = 1, .reusable = true}, SHIFT(2146),
  [217] = {.count = 1, .reusable = true}, SHIFT(251),
  [219] = {.count = 1, .reusable = true}, SHIFT(2060),
  [221] = {.count = 1, .reusable = true}, SHIFT(34),
  [223] = {.count = 1, .reusable = true}, SHIFT(33),
  [225] = {.count = 1, .reusable = true}, SHIFT(42),
  [227] = {.count = 1, .reusable = true}, SHIFT(2334),
  [229] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 2),
  [231] = {.count = 1, .reusable = true}, SHIFT(2016),
  [233] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 2, .production_id = 1),
  [235] = {.count = 1, .reusable = true}, SHIFT(2029),
  [237] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 3),
  [239] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 4),
  [241] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 3),
  [243] = {.count = 1, .reusable = true}, SHIFT(2049),
  [245] = {.count = 1, .reusable = true}, SHIFT(2091),
  [247] = {.count = 1, .reusable = true}, SHIFT(2094),
  [249] = {.count = 1, .reusable = true}, SHIFT(2092),
  [251] = {.count = 1, .reusable = true}, SHIFT(2088),
  [253] = {.count = 1, .reusable = true}, SHIFT(1689),
  [255] = {.count = 1, .reusable = false}, SHIFT(192),
  [257] = {.count = 1, .reusable = false}, SHIFT(136),
  [259] = {.count = 1, .reusable = false}, SHIFT(200),
  [261] = {.count = 1, .reusable = false}, SHIFT(1390),
  [263] = {.count = 1, .reusable = true}, SHIFT(1444),
  [265] = {.count = 1, .reusable = true}, SHIFT(1388),
  [267] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 1),
  [269] = {.count = 1, .reusable = false}, SHIFT(1613),
  [271] = {.count = 1, .reusable = true}, SHIFT(1641),
  [273] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 2),
  [275] = {.count = 1, .reusable = false}, SHIFT(1416),
  [277] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(227),
  [280] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2505),
  [283] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1276),
  [286] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(106),
  [289] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(116),
  [292] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1818),
  [295] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2569),
  [298] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(18),
  [301] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(28),
  [304] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2),
  [306] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(198),
  [309] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1275),
  [312] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1282),
  [315] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(132),
  [318] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(186),
  [321] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1807),
  [324] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1807),
  [327] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1983),
  [330] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(249),
  [333] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2134),
  [336] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(255),
  [339] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2035),
  [342] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(99),
  [345] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(100),
  [348] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(102),
  [351] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2200),
  [354] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2404),
  [357] = {.count = 1, .reusable = false}, SHIFT(1660),
  [359] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statements2, 2),
  [361] = {.count = 1, .reusable = true}, SHIFT(2187),
  [363] = {.count = 1, .reusable = true}, SHIFT(2149),
  [365] = {.count = 1, .reusable = false}, SHIFT(239),
  [367] = {.count = 1, .reusable = true}, REDUCE(sym_declaration_command, 1),
  [369] = {.count = 1, .reusable = false}, REDUCE(sym_declaration_command, 1),
  [371] = {.count = 1, .reusable = false}, SHIFT(1997),
  [373] = {.count = 1, .reusable = false}, SHIFT(246),
  [375] = {.count = 1, .reusable = false}, SHIFT(2147),
  [377] = {.count = 1, .reusable = false}, SHIFT(2068),
  [379] = {.count = 1, .reusable = false}, SHIFT(27),
  [381] = {.count = 1, .reusable = false}, SHIFT(26),
  [383] = {.count = 1, .reusable = false}, SHIFT(35),
  [385] = {.count = 1, .reusable = false}, SHIFT(134),
  [387] = {.count = 1, .reusable = true}, SHIFT(2386),
  [389] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(250),
  [392] = {.count = 1, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [394] = {.count = 1, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [396] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1976),
  [399] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(266),
  [402] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2155),
  [405] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2011),
  [408] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(79),
  [411] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(77),
  [414] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(80),
  [417] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(127),
  [420] = {.count = 2, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2341),
  [423] = {.count = 1, .reusable = false}, SHIFT(262),
  [425] = {.count = 1, .reusable = false}, SHIFT(2004),
  [427] = {.count = 1, .reusable = false}, SHIFT(261),
  [429] = {.count = 1, .reusable = false}, SHIFT(2123),
  [431] = {.count = 1, .reusable = false}, SHIFT(2017),
  [433] = {.count = 1, .reusable = false}, SHIFT(65),
  [435] = {.count = 1, .reusable = false}, SHIFT(66),
  [437] = {.count = 1, .reusable = false}, SHIFT(67),
  [439] = {.count = 1, .reusable = false}, SHIFT(133),
  [441] = {.count = 1, .reusable = true}, SHIFT(2350),
  [443] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(239),
  [446] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1997),
  [449] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(246),
  [452] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2147),
  [455] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2068),
  [458] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(27),
  [461] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(26),
  [464] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(35),
  [467] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(129),
  [470] = {.count = 2, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2386),
  [473] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(262),
  [476] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2004),
  [479] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(261),
  [482] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2123),
  [485] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2017),
  [488] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(65),
  [491] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(66),
  [494] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(67),
  [497] = {.count = 2, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(130),
  [500] = {.count = 2, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2350),
  [503] = {.count = 1, .reusable = false}, SHIFT(250),
  [505] = {.count = 1, .reusable = true}, REDUCE(sym_declaration_command, 2),
  [507] = {.count = 1, .reusable = false}, REDUCE(sym_declaration_command, 2),
  [509] = {.count = 1, .reusable = false}, SHIFT(1976),
  [511] = {.count = 1, .reusable = false}, SHIFT(266),
  [513] = {.count = 1, .reusable = false}, SHIFT(2155),
  [515] = {.count = 1, .reusable = false}, SHIFT(2011),
  [517] = {.count = 1, .reusable = false}, SHIFT(79),
  [519] = {.count = 1, .reusable = false}, SHIFT(77),
  [521] = {.count = 1, .reusable = false}, SHIFT(80),
  [523] = {.count = 1, .reusable = false}, SHIFT(127),
  [525] = {.count = 1, .reusable = true}, SHIFT(2341),
  [527] = {.count = 1, .reusable = false}, SHIFT(131),
  [529] = {.count = 1, .reusable = false}, SHIFT(130),
  [531] = {.count = 1, .reusable = false}, SHIFT(129),
  [533] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 2),
  [535] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 2),
  [537] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 2),
  [539] = {.count = 1, .reusable = false}, SHIFT(137),
  [541] = {.count = 1, .reusable = true}, REDUCE(sym_concatenation, 4),
  [543] = {.count = 1, .reusable = false}, REDUCE(sym_concatenation, 4),
  [545] = {.count = 1, .reusable = false}, SHIFT(344),
  [547] = {.count = 1, .reusable = false}, SHIFT(2096),
  [549] = {.count = 1, .reusable = false}, SHIFT(369),
  [551] = {.count = 1, .reusable = false}, SHIFT(357),
  [553] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 3),
  [555] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 3),
  [557] = {.count = 1, .reusable = false}, SHIFT(444),
  [559] = {.count = 1, .reusable = false}, SHIFT(2134),
  [561] = {.count = 1, .reusable = false}, SHIFT(443),
  [563] = {.count = 1, .reusable = false}, SHIFT(442),
  [565] = {.count = 1, .reusable = false}, SHIFT(377),
  [567] = {.count = 1, .reusable = false}, SHIFT(2146),
  [569] = {.count = 1, .reusable = false}, SHIFT(362),
  [571] = {.count = 1, .reusable = false}, SHIFT(378),
  [573] = {.count = 1, .reusable = false}, SHIFT(245),
  [575] = {.count = 1, .reusable = true}, REDUCE(sym_command, 1),
  [577] = {.count = 1, .reusable = false}, REDUCE(sym_command, 1),
  [579] = {.count = 1, .reusable = false}, SHIFT(1682),
  [581] = {.count = 1, .reusable = false}, SHIFT(2060),
  [583] = {.count = 1, .reusable = false}, SHIFT(34),
  [585] = {.count = 1, .reusable = false}, SHIFT(33),
  [587] = {.count = 1, .reusable = false}, SHIFT(42),
  [589] = {.count = 1, .reusable = true}, REDUCE(sym_command, 2),
  [591] = {.count = 1, .reusable = false}, SHIFT(248),
  [593] = {.count = 1, .reusable = false}, REDUCE(sym_command, 2),
  [595] = {.count = 1, .reusable = false}, SHIFT(1703),
  [597] = {.count = 1, .reusable = false}, SHIFT(2070),
  [599] = {.count = 1, .reusable = false}, SHIFT(30),
  [601] = {.count = 1, .reusable = false}, SHIFT(31),
  [603] = {.count = 1, .reusable = false}, SHIFT(32),
  [605] = {.count = 1, .reusable = false}, SHIFT(553),
  [607] = {.count = 1, .reusable = false}, SHIFT(2142),
  [609] = {.count = 1, .reusable = false}, SHIFT(656),
  [611] = {.count = 1, .reusable = false}, SHIFT(578),
  [613] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statements2, 4),
  [615] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statements2, 4),
  [617] = {.count = 1, .reusable = false}, SHIFT(242),
  [619] = {.count = 1, .reusable = false}, SHIFT(1667),
  [621] = {.count = 1, .reusable = false}, SHIFT(2035),
  [623] = {.count = 1, .reusable = false}, SHIFT(99),
  [625] = {.count = 1, .reusable = false}, SHIFT(100),
  [627] = {.count = 1, .reusable = false}, SHIFT(102),
  [629] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(242),
  [632] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat2, 2),
  [634] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2),
  [636] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(1667),
  [639] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(1983),
  [642] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(249),
  [645] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(2134),
  [648] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(2035),
  [651] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(99),
  [654] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(100),
  [657] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(102),
  [660] = {.count = 1, .reusable = true}, REDUCE(sym_command, 3),
  [662] = {.count = 1, .reusable = false}, REDUCE(sym_command, 3),
  [664] = {.count = 1, .reusable = true}, SHIFT(2267),
  [666] = {.count = 1, .reusable = true}, SHIFT(2138),
  [668] = {.count = 1, .reusable = false}, SHIFT(532),
  [670] = {.count = 1, .reusable = false}, SHIFT(2170),
  [672] = {.count = 1, .reusable = false}, SHIFT(561),
  [674] = {.count = 1, .reusable = false}, SHIFT(529),
  [676] = {.count = 1, .reusable = false}, SHIFT(485),
  [678] = {.count = 1, .reusable = false}, SHIFT(2108),
  [680] = {.count = 1, .reusable = false}, SHIFT(574),
  [682] = {.count = 1, .reusable = false}, SHIFT(484),
  [684] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(245),
  [687] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(1682),
  [690] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(1978),
  [693] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(235),
  [696] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(2146),
  [699] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(2060),
  [702] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(34),
  [705] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(33),
  [708] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(42),
  [711] = {.count = 1, .reusable = false}, SHIFT(434),
  [713] = {.count = 1, .reusable = false}, SHIFT(275),
  [715] = {.count = 1, .reusable = false}, SHIFT(435),
  [717] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(248),
  [720] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(1703),
  [723] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(2000),
  [726] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(271),
  [729] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(2096),
  [732] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(2070),
  [735] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(30),
  [738] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(31),
  [741] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2), SHIFT_REPEAT(32),
  [744] = {.count = 1, .reusable = false}, SHIFT(284),
  [746] = {.count = 1, .reusable = false}, SHIFT(278),
  [748] = {.count = 1, .reusable = false}, SHIFT(285),
  [750] = {.count = 1, .reusable = false}, SHIFT(352),
  [752] = {.count = 1, .reusable = false}, SHIFT(351),
  [754] = {.count = 1, .reusable = false}, SHIFT(348),
  [756] = {.count = 1, .reusable = false}, SHIFT(399),
  [758] = {.count = 1, .reusable = true}, REDUCE(sym_unset_command, 2),
  [760] = {.count = 1, .reusable = false}, REDUCE(sym_unset_command, 2),
  [762] = {.count = 1, .reusable = false}, SHIFT(1974),
  [764] = {.count = 1, .reusable = false}, SHIFT(353),
  [766] = {.count = 1, .reusable = false}, SHIFT(2121),
  [768] = {.count = 1, .reusable = false}, SHIFT(2034),
  [770] = {.count = 1, .reusable = false}, SHIFT(72),
  [772] = {.count = 1, .reusable = false}, SHIFT(71),
  [774] = {.count = 1, .reusable = false}, SHIFT(75),
  [776] = {.count = 1, .reusable = false}, SHIFT(190),
  [778] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(447),
  [781] = {.count = 1, .reusable = true}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [783] = {.count = 1, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [785] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1984),
  [788] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(470),
  [791] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2130),
  [794] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2087),
  [797] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(22),
  [800] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(21),
  [803] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(29),
  [806] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(177),
  [809] = {.count = 1, .reusable = false}, SHIFT(511),
  [811] = {.count = 1, .reusable = false}, SHIFT(2130),
  [813] = {.count = 1, .reusable = false}, SHIFT(658),
  [815] = {.count = 1, .reusable = false}, SHIFT(510),
  [817] = {.count = 1, .reusable = false}, SHIFT(572),
  [819] = {.count = 1, .reusable = false}, SHIFT(555),
  [821] = {.count = 1, .reusable = false}, SHIFT(573),
  [823] = {.count = 1, .reusable = false}, SHIFT(615),
  [825] = {.count = 1, .reusable = false}, SHIFT(2136),
  [827] = {.count = 1, .reusable = false}, SHIFT(614),
  [829] = {.count = 1, .reusable = false}, SHIFT(613),
  [831] = {.count = 1, .reusable = false}, SHIFT(447),
  [833] = {.count = 1, .reusable = true}, REDUCE(sym_unset_command, 1),
  [835] = {.count = 1, .reusable = false}, REDUCE(sym_unset_command, 1),
  [837] = {.count = 1, .reusable = false}, SHIFT(1984),
  [839] = {.count = 1, .reusable = false}, SHIFT(470),
  [841] = {.count = 1, .reusable = false}, SHIFT(2087),
  [843] = {.count = 1, .reusable = false}, SHIFT(22),
  [845] = {.count = 1, .reusable = false}, SHIFT(21),
  [847] = {.count = 1, .reusable = false}, SHIFT(29),
  [849] = {.count = 1, .reusable = false}, SHIFT(185),
  [851] = {.count = 1, .reusable = false}, SHIFT(319),
  [853] = {.count = 1, .reusable = false}, SHIFT(1990),
  [855] = {.count = 1, .reusable = false}, SHIFT(312),
  [857] = {.count = 1, .reusable = false}, SHIFT(2022),
  [859] = {.count = 1, .reusable = false}, SHIFT(69),
  [861] = {.count = 1, .reusable = false}, SHIFT(74),
  [863] = {.count = 1, .reusable = false}, SHIFT(83),
  [865] = {.count = 1, .reusable = false}, SHIFT(187),
  [867] = {.count = 1, .reusable = false}, SHIFT(177),
  [869] = {.count = 1, .reusable = false}, SHIFT(174),
  [871] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(319),
  [874] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1990),
  [877] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(312),
  [880] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2136),
  [883] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2022),
  [886] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(69),
  [889] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(74),
  [892] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(83),
  [895] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(187),
  [898] = {.count = 1, .reusable = false}, SHIFT(184),
  [900] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(399),
  [903] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1974),
  [906] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(353),
  [909] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2121),
  [912] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2034),
  [915] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(72),
  [918] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(71),
  [921] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(75),
  [924] = {.count = 2, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(190),
  [927] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statements_repeat1, 4),
  [929] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statements_repeat1, 4),
  [931] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 5),
  [933] = {.count = 1, .reusable = true}, SHIFT(2355),
  [935] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 5),
  [937] = {.count = 1, .reusable = false}, SHIFT(195),
  [939] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 4),
  [941] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 4),
  [943] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat1, 1),
  [945] = {.count = 1, .reusable = true}, SHIFT(171),
  [947] = {.count = 1, .reusable = false}, SHIFT(203),
  [949] = {.count = 1, .reusable = false}, SHIFT(123),
  [951] = {.count = 1, .reusable = false}, REDUCE(sym__statements, 1),
  [953] = {.count = 1, .reusable = false}, SHIFT(118),
  [955] = {.count = 1, .reusable = false}, SHIFT(2581),
  [957] = {.count = 1, .reusable = false}, SHIFT(1832),
  [959] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat1, 1),
  [961] = {.count = 1, .reusable = true}, SHIFT(167),
  [963] = {.count = 1, .reusable = false}, SHIFT(210),
  [965] = {.count = 1, .reusable = false}, SHIFT(120),
  [967] = {.count = 1, .reusable = false}, SHIFT(121),
  [969] = {.count = 1, .reusable = false}, SHIFT(2598),
  [971] = {.count = 1, .reusable = false}, SHIFT(1831),
  [973] = {.count = 1, .reusable = true}, REDUCE(sym_pipeline, 3),
  [975] = {.count = 1, .reusable = false}, REDUCE(sym_pipeline, 3),
  [977] = {.count = 1, .reusable = true}, SHIFT(139),
  [979] = {.count = 1, .reusable = false}, SHIFT(204),
  [981] = {.count = 1, .reusable = false}, SHIFT(117),
  [983] = {.count = 1, .reusable = false}, SHIFT(119),
  [985] = {.count = 1, .reusable = false}, SHIFT(1810),
  [987] = {.count = 1, .reusable = true}, SHIFT(135),
  [989] = {.count = 1, .reusable = false}, SHIFT(196),
  [991] = {.count = 1, .reusable = true}, REDUCE(sym_command_name, 1),
  [993] = {.count = 1, .reusable = false}, REDUCE(sym_command_name, 1),
  [995] = {.count = 1, .reusable = false}, SHIFT(2599),
  [997] = {.count = 1, .reusable = true}, SHIFT(1872),
  [999] = {.count = 1, .reusable = true}, REDUCE(sym_list, 3),
  [1001] = {.count = 1, .reusable = false}, REDUCE(sym_list, 3),
  [1003] = {.count = 1, .reusable = true}, REDUCE(sym__statements, 1),
  [1005] = {.count = 1, .reusable = true}, SHIFT(156),
  [1007] = {.count = 1, .reusable = false}, SHIFT(205),
  [1009] = {.count = 1, .reusable = false}, SHIFT(2562),
  [1011] = {.count = 1, .reusable = true}, SHIFT(1915),
  [1013] = {.count = 1, .reusable = true}, SHIFT(1920),
  [1015] = {.count = 1, .reusable = true}, SHIFT(152),
  [1017] = {.count = 1, .reusable = false}, SHIFT(193),
  [1019] = {.count = 1, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1021] = {.count = 1, .reusable = false}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1023] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1872),
  [1026] = {.count = 1, .reusable = true}, SHIFT(162),
  [1028] = {.count = 1, .reusable = true}, REDUCE(sym_variable_assignment, 3),
  [1030] = {.count = 1, .reusable = false}, REDUCE(sym_variable_assignment, 3),
  [1032] = {.count = 1, .reusable = true}, SHIFT(1908),
  [1034] = {.count = 1, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 1),
  [1036] = {.count = 1, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 1),
  [1038] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1883),
  [1041] = {.count = 1, .reusable = false}, REDUCE(sym_concatenation, 2),
  [1043] = {.count = 1, .reusable = true}, REDUCE(sym_concatenation, 2),
  [1045] = {.count = 1, .reusable = true}, SHIFT(1874),
  [1047] = {.count = 1, .reusable = true}, SHIFT(1911),
  [1049] = {.count = 1, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1051] = {.count = 1, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1053] = {.count = 1, .reusable = true}, SHIFT(1883),
  [1055] = {.count = 1, .reusable = true}, SHIFT(125),
  [1057] = {.count = 1, .reusable = false}, SHIFT(163),
  [1059] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1915),
  [1062] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat2, 1),
  [1064] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat2, 1),
  [1066] = {.count = 1, .reusable = true}, SHIFT(1900),
  [1068] = {.count = 1, .reusable = true}, SHIFT(179),
  [1070] = {.count = 1, .reusable = false}, SHIFT(215),
  [1072] = {.count = 1, .reusable = false}, SHIFT(124),
  [1074] = {.count = 1, .reusable = false}, SHIFT(122),
  [1076] = {.count = 1, .reusable = true}, SHIFT(1898),
  [1078] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1920),
  [1081] = {.count = 1, .reusable = true}, SHIFT(1873),
  [1083] = {.count = 1, .reusable = true}, SHIFT(1888),
  [1085] = {.count = 1, .reusable = true}, SHIFT(153),
  [1087] = {.count = 1, .reusable = true}, SHIFT(1899),
  [1089] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1908),
  [1092] = {.count = 1, .reusable = true}, SHIFT(159),
  [1094] = {.count = 1, .reusable = false}, SHIFT(208),
  [1096] = {.count = 1, .reusable = true}, SHIFT(2489),
  [1098] = {.count = 1, .reusable = false}, SHIFT(2489),
  [1100] = {.count = 1, .reusable = true}, SHIFT(188),
  [1102] = {.count = 1, .reusable = false}, SHIFT(216),
  [1104] = {.count = 1, .reusable = true}, SHIFT(172),
  [1106] = {.count = 1, .reusable = false}, SHIFT(214),
  [1108] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1898),
  [1111] = {.count = 1, .reusable = false}, REDUCE(sym_string_expansion, 2),
  [1113] = {.count = 1, .reusable = true}, REDUCE(sym_string_expansion, 2),
  [1115] = {.count = 1, .reusable = true}, SHIFT(1868),
  [1117] = {.count = 1, .reusable = true}, SHIFT(1912),
  [1119] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2),
  [1121] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2),
  [1123] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3),
  [1125] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3),
  [1127] = {.count = 1, .reusable = false}, REDUCE(sym_process_substitution, 3),
  [1129] = {.count = 1, .reusable = true}, REDUCE(sym_process_substitution, 3),
  [1131] = {.count = 1, .reusable = false}, REDUCE(sym_string, 4),
  [1133] = {.count = 1, .reusable = true}, REDUCE(sym_string, 4),
  [1135] = {.count = 1, .reusable = false}, REDUCE(sym_simple_expansion, 2, .production_id = 3),
  [1137] = {.count = 1, .reusable = true}, REDUCE(sym_simple_expansion, 2, .production_id = 3),
  [1139] = {.count = 1, .reusable = false}, REDUCE(sym_simple_expansion, 2),
  [1141] = {.count = 1, .reusable = true}, REDUCE(sym_simple_expansion, 2),
  [1143] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1912),
  [1146] = {.count = 1, .reusable = true}, SHIFT(1879),
  [1148] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 5),
  [1150] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 5),
  [1152] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 5, .production_id = 6),
  [1154] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 5, .production_id = 6),
  [1156] = {.count = 1, .reusable = true}, SHIFT(1884),
  [1158] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1890),
  [1161] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 3, .production_id = 3),
  [1163] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 3, .production_id = 3),
  [1165] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 3),
  [1167] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 3),
  [1169] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1171] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1173] = {.count = 1, .reusable = false}, REDUCE(sym_command_substitution, 3),
  [1175] = {.count = 1, .reusable = true}, REDUCE(sym_command_substitution, 3),
  [1177] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 4),
  [1179] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 4),
  [1181] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 5, .production_id = 3),
  [1183] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 5, .production_id = 3),
  [1185] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1187] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1189] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 4, .production_id = 3),
  [1191] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 4, .production_id = 3),
  [1193] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 6),
  [1195] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 6),
  [1197] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 6, .production_id = 7),
  [1199] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 6, .production_id = 7),
  [1201] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1203] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1205] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 6, .production_id = 3),
  [1207] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 6, .production_id = 3),
  [1209] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 7, .production_id = 5),
  [1211] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 7, .production_id = 5),
  [1213] = {.count = 1, .reusable = false}, REDUCE(sym_expansion, 7),
  [1215] = {.count = 1, .reusable = true}, REDUCE(sym_expansion, 7),
  [1217] = {.count = 1, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2),
  [1219] = {.count = 1, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 2),
  [1221] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(575),
  [1224] = {.count = 1, .reusable = true}, SHIFT(1866),
  [1226] = {.count = 1, .reusable = true}, REDUCE(sym_command_name, 1, .production_id = 1),
  [1228] = {.count = 1, .reusable = false}, REDUCE(sym_command_name, 1, .production_id = 1),
  [1230] = {.count = 1, .reusable = false}, SHIFT(482),
  [1232] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1866),
  [1235] = {.count = 1, .reusable = false}, REDUCE(sym_variable_assignment, 3, .production_id = 4),
  [1237] = {.count = 1, .reusable = true}, REDUCE(sym_variable_assignment, 3, .production_id = 4),
  [1239] = {.count = 1, .reusable = false}, SHIFT(566),
  [1241] = {.count = 1, .reusable = true}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 1),
  [1243] = {.count = 1, .reusable = false}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 1),
  [1245] = {.count = 1, .reusable = false}, SHIFT(611),
  [1247] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(611),
  [1250] = {.count = 1, .reusable = true}, SHIFT(1917),
  [1252] = {.count = 1, .reusable = true}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1254] = {.count = 1, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1256] = {.count = 1, .reusable = true}, SHIFT(1890),
  [1258] = {.count = 1, .reusable = true}, SHIFT(1877),
  [1260] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1897),
  [1263] = {.count = 1, .reusable = false}, SHIFT(575),
  [1265] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 1),
  [1267] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 1),
  [1269] = {.count = 1, .reusable = true}, SHIFT(1897),
  [1271] = {.count = 1, .reusable = false}, SHIFT(1327),
  [1273] = {.count = 1, .reusable = false}, SHIFT(2164),
  [1275] = {.count = 1, .reusable = false}, SHIFT(1371),
  [1277] = {.count = 1, .reusable = false}, SHIFT(1328),
  [1279] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(482),
  [1282] = {.count = 1, .reusable = true}, SHIFT(1887),
  [1284] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(651),
  [1287] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1914),
  [1290] = {.count = 1, .reusable = false}, SHIFT(569),
  [1292] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 2),
  [1294] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 2),
  [1296] = {.count = 1, .reusable = false}, SHIFT(651),
  [1298] = {.count = 1, .reusable = true}, SHIFT(1892),
  [1300] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(569),
  [1303] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(566),
  [1306] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1868),
  [1309] = {.count = 1, .reusable = true}, SHIFT(1914),
  [1311] = {.count = 1, .reusable = false}, SHIFT(674),
  [1313] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(674),
  [1316] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(665),
  [1319] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(672),
  [1322] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(661),
  [1325] = {.count = 1, .reusable = true}, SHIFT(235),
  [1327] = {.count = 1, .reusable = false}, SHIFT(1447),
  [1329] = {.count = 1, .reusable = false}, SHIFT(2143),
  [1331] = {.count = 1, .reusable = false}, SHIFT(1401),
  [1333] = {.count = 1, .reusable = false}, SHIFT(1492),
  [1335] = {.count = 1, .reusable = true}, REDUCE(sym_array, 2),
  [1337] = {.count = 1, .reusable = false}, REDUCE(sym_array, 2),
  [1339] = {.count = 1, .reusable = false}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 1),
  [1341] = {.count = 1, .reusable = true}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 1),
  [1343] = {.count = 1, .reusable = false}, SHIFT(672),
  [1345] = {.count = 1, .reusable = false}, SHIFT(661),
  [1347] = {.count = 1, .reusable = true}, SHIFT(271),
  [1349] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(671),
  [1352] = {.count = 1, .reusable = true}, REDUCE(sym_array, 3),
  [1354] = {.count = 1, .reusable = false}, REDUCE(sym_array, 3),
  [1356] = {.count = 1, .reusable = true}, SHIFT(249),
  [1358] = {.count = 1, .reusable = false}, SHIFT(669),
  [1360] = {.count = 1, .reusable = false}, SHIFT(671),
  [1362] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(669),
  [1365] = {.count = 1, .reusable = false}, SHIFT(665),
  [1367] = {.count = 1, .reusable = false}, SHIFT(1563),
  [1369] = {.count = 1, .reusable = false}, SHIFT(2165),
  [1371] = {.count = 1, .reusable = false}, SHIFT(1596),
  [1373] = {.count = 1, .reusable = false}, SHIFT(1558),
  [1375] = {.count = 1, .reusable = false}, SHIFT(1338),
  [1377] = {.count = 1, .reusable = false}, SHIFT(681),
  [1379] = {.count = 1, .reusable = false}, SHIFT(1287),
  [1381] = {.count = 1, .reusable = false}, SHIFT(1283),
  [1383] = {.count = 1, .reusable = false}, SHIFT(1992),
  [1385] = {.count = 1, .reusable = false}, SHIFT(1318),
  [1387] = {.count = 1, .reusable = false}, SHIFT(2080),
  [1389] = {.count = 1, .reusable = false}, SHIFT(87),
  [1391] = {.count = 1, .reusable = false}, SHIFT(86),
  [1393] = {.count = 1, .reusable = false}, SHIFT(88),
  [1395] = {.count = 1, .reusable = false}, SHIFT(1266),
  [1397] = {.count = 1, .reusable = false}, SHIFT(1269),
  [1399] = {.count = 1, .reusable = false}, SHIFT(986),
  [1401] = {.count = 1, .reusable = false}, SHIFT(678),
  [1403] = {.count = 1, .reusable = false}, SHIFT(1155),
  [1405] = {.count = 1, .reusable = false}, SHIFT(1643),
  [1407] = {.count = 1, .reusable = true}, SHIFT(1643),
  [1409] = {.count = 1, .reusable = true}, SHIFT(2173),
  [1411] = {.count = 1, .reusable = true}, SHIFT(1639),
  [1413] = {.count = 1, .reusable = false}, SHIFT(1659),
  [1415] = {.count = 1, .reusable = true}, SHIFT(1659),
  [1417] = {.count = 1, .reusable = false}, SHIFT(1417),
  [1419] = {.count = 1, .reusable = true}, SHIFT(2133),
  [1421] = {.count = 1, .reusable = true}, SHIFT(1418),
  [1423] = {.count = 1, .reusable = true}, SHIFT(1417),
  [1425] = {.count = 1, .reusable = false}, SHIFT(1429),
  [1427] = {.count = 1, .reusable = false}, SHIFT(1789),
  [1429] = {.count = 1, .reusable = true}, SHIFT(1789),
  [1431] = {.count = 1, .reusable = true}, SHIFT(2160),
  [1433] = {.count = 1, .reusable = true}, SHIFT(1791),
  [1435] = {.count = 1, .reusable = false}, SHIFT(1800),
  [1437] = {.count = 1, .reusable = true}, SHIFT(1800),
  [1439] = {.count = 1, .reusable = false}, SHIFT(1677),
  [1441] = {.count = 1, .reusable = true}, SHIFT(1677),
  [1443] = {.count = 1, .reusable = true}, SHIFT(2119),
  [1445] = {.count = 1, .reusable = true}, SHIFT(1776),
  [1447] = {.count = 1, .reusable = false}, SHIFT(1676),
  [1449] = {.count = 1, .reusable = true}, SHIFT(1676),
  [1451] = {.count = 1, .reusable = false}, SHIFT(1553),
  [1453] = {.count = 1, .reusable = true}, SHIFT(288),
  [1455] = {.count = 1, .reusable = false}, SHIFT(913),
  [1457] = {.count = 1, .reusable = false}, SHIFT(1956),
  [1459] = {.count = 1, .reusable = false}, SHIFT(1564),
  [1461] = {.count = 1, .reusable = true}, SHIFT(2175),
  [1463] = {.count = 1, .reusable = true}, SHIFT(1553),
  [1465] = {.count = 1, .reusable = true}, SHIFT(913),
  [1467] = {.count = 1, .reusable = true}, SHIFT(2046),
  [1469] = {.count = 1, .reusable = true}, SHIFT(63),
  [1471] = {.count = 1, .reusable = true}, SHIFT(62),
  [1473] = {.count = 1, .reusable = true}, SHIFT(70),
  [1475] = {.count = 1, .reusable = true}, SHIFT(912),
  [1477] = {.count = 1, .reusable = true}, SHIFT(2220),
  [1479] = {.count = 1, .reusable = false}, SHIFT(1152),
  [1481] = {.count = 1, .reusable = true}, SHIFT(1152),
  [1483] = {.count = 1, .reusable = true}, SHIFT(1153),
  [1485] = {.count = 1, .reusable = true}, SHIFT(1982),
  [1487] = {.count = 1, .reusable = false}, SHIFT(987),
  [1489] = {.count = 1, .reusable = true}, SHIFT(987),
  [1491] = {.count = 1, .reusable = true}, SHIFT(759),
  [1493] = {.count = 1, .reusable = true}, SHIFT(498),
  [1495] = {.count = 1, .reusable = false}, SHIFT(1241),
  [1497] = {.count = 1, .reusable = true}, SHIFT(1241),
  [1499] = {.count = 1, .reusable = true}, SHIFT(1240),
  [1501] = {.count = 1, .reusable = true}, SHIFT(500),
  [1503] = {.count = 1, .reusable = false}, SHIFT(1239),
  [1505] = {.count = 1, .reusable = true}, SHIFT(1239),
  [1507] = {.count = 1, .reusable = true}, SHIFT(1242),
  [1509] = {.count = 1, .reusable = true}, SHIFT(494),
  [1511] = {.count = 1, .reusable = false}, SHIFT(1245),
  [1513] = {.count = 1, .reusable = true}, SHIFT(1245),
  [1515] = {.count = 1, .reusable = true}, SHIFT(1243),
  [1517] = {.count = 1, .reusable = true}, SHIFT(497),
  [1519] = {.count = 1, .reusable = false}, SHIFT(1247),
  [1521] = {.count = 1, .reusable = true}, SHIFT(1247),
  [1523] = {.count = 1, .reusable = true}, SHIFT(1246),
  [1525] = {.count = 1, .reusable = true}, SHIFT(480),
  [1527] = {.count = 1, .reusable = false}, SHIFT(1253),
  [1529] = {.count = 1, .reusable = true}, SHIFT(1253),
  [1531] = {.count = 1, .reusable = true}, SHIFT(709),
  [1533] = {.count = 1, .reusable = true}, SHIFT(479),
  [1535] = {.count = 1, .reusable = false}, SHIFT(1254),
  [1537] = {.count = 1, .reusable = true}, SHIFT(1254),
  [1539] = {.count = 1, .reusable = true}, SHIFT(710),
  [1541] = {.count = 1, .reusable = true}, SHIFT(1522),
  [1543] = {.count = 1, .reusable = false}, SHIFT(979),
  [1545] = {.count = 1, .reusable = true}, SHIFT(979),
  [1547] = {.count = 1, .reusable = true}, SHIFT(978),
  [1549] = {.count = 1, .reusable = true}, SHIFT(2223),
  [1551] = {.count = 1, .reusable = false}, SHIFT(1150),
  [1553] = {.count = 1, .reusable = true}, SHIFT(1150),
  [1555] = {.count = 1, .reusable = true}, SHIFT(1151),
  [1557] = {.count = 1, .reusable = true}, SHIFT(473),
  [1559] = {.count = 1, .reusable = false}, SHIFT(1255),
  [1561] = {.count = 1, .reusable = true}, SHIFT(1255),
  [1563] = {.count = 1, .reusable = true}, SHIFT(711),
  [1565] = {.count = 1, .reusable = true}, SHIFT(2539),
  [1567] = {.count = 1, .reusable = false}, SHIFT(1121),
  [1569] = {.count = 1, .reusable = true}, SHIFT(1121),
  [1571] = {.count = 1, .reusable = true}, SHIFT(882),
  [1573] = {.count = 1, .reusable = true}, SHIFT(1534),
  [1575] = {.count = 1, .reusable = false}, SHIFT(960),
  [1577] = {.count = 1, .reusable = true}, SHIFT(960),
  [1579] = {.count = 1, .reusable = true}, SHIFT(970),
  [1581] = {.count = 1, .reusable = true}, SHIFT(1814),
  [1583] = {.count = 1, .reusable = false}, SHIFT(1143),
  [1585] = {.count = 1, .reusable = true}, SHIFT(1143),
  [1587] = {.count = 1, .reusable = true}, SHIFT(704),
  [1589] = {.count = 1, .reusable = true}, SHIFT(1825),
  [1591] = {.count = 1, .reusable = false}, SHIFT(1141),
  [1593] = {.count = 1, .reusable = true}, SHIFT(1141),
  [1595] = {.count = 1, .reusable = true}, SHIFT(705),
  [1597] = {.count = 1, .reusable = true}, SHIFT(1809),
  [1599] = {.count = 1, .reusable = false}, SHIFT(1136),
  [1601] = {.count = 1, .reusable = true}, SHIFT(1136),
  [1603] = {.count = 1, .reusable = true}, SHIFT(707),
  [1605] = {.count = 1, .reusable = true}, SHIFT(1830),
  [1607] = {.count = 1, .reusable = false}, SHIFT(1135),
  [1609] = {.count = 1, .reusable = true}, SHIFT(1135),
  [1611] = {.count = 1, .reusable = true}, SHIFT(708),
  [1613] = {.count = 1, .reusable = true}, SHIFT(1808),
  [1615] = {.count = 1, .reusable = false}, SHIFT(1133),
  [1617] = {.count = 1, .reusable = true}, SHIFT(1133),
  [1619] = {.count = 1, .reusable = true}, SHIFT(1134),
  [1621] = {.count = 1, .reusable = true}, SHIFT(1132),
  [1623] = {.count = 1, .reusable = true}, SHIFT(475),
  [1625] = {.count = 1, .reusable = false}, SHIFT(1256),
  [1627] = {.count = 1, .reusable = true}, SHIFT(1256),
  [1629] = {.count = 1, .reusable = true}, SHIFT(765),
  [1631] = {.count = 1, .reusable = true}, SHIFT(1794),
  [1633] = {.count = 1, .reusable = false}, SHIFT(1127),
  [1635] = {.count = 1, .reusable = true}, SHIFT(1127),
  [1637] = {.count = 1, .reusable = true}, SHIFT(1128),
  [1639] = {.count = 1, .reusable = true}, SHIFT(1793),
  [1641] = {.count = 1, .reusable = false}, SHIFT(1125),
  [1643] = {.count = 1, .reusable = true}, SHIFT(1125),
  [1645] = {.count = 1, .reusable = true}, SHIFT(1126),
  [1647] = {.count = 1, .reusable = true}, SHIFT(577),
  [1649] = {.count = 1, .reusable = false}, SHIFT(1258),
  [1651] = {.count = 1, .reusable = true}, SHIFT(1258),
  [1653] = {.count = 1, .reusable = true}, SHIFT(1257),
  [1655] = {.count = 1, .reusable = true}, SHIFT(1259),
  [1657] = {.count = 1, .reusable = true}, SHIFT(521),
  [1659] = {.count = 1, .reusable = false}, SHIFT(1262),
  [1661] = {.count = 1, .reusable = true}, SHIFT(1262),
  [1663] = {.count = 1, .reusable = true}, SHIFT(1260),
  [1665] = {.count = 1, .reusable = true}, SHIFT(1524),
  [1667] = {.count = 1, .reusable = false}, SHIFT(962),
  [1669] = {.count = 1, .reusable = true}, SHIFT(962),
  [1671] = {.count = 1, .reusable = true}, SHIFT(961),
  [1673] = {.count = 1, .reusable = true}, SHIFT(342),
  [1675] = {.count = 1, .reusable = false}, SHIFT(1118),
  [1677] = {.count = 1, .reusable = true}, SHIFT(1118),
  [1679] = {.count = 1, .reusable = true}, SHIFT(718),
  [1681] = {.count = 1, .reusable = true}, SHIFT(341),
  [1683] = {.count = 1, .reusable = false}, SHIFT(1117),
  [1685] = {.count = 1, .reusable = true}, SHIFT(1117),
  [1687] = {.count = 1, .reusable = true}, SHIFT(719),
  [1689] = {.count = 1, .reusable = true}, SHIFT(695),
  [1691] = {.count = 1, .reusable = true}, SHIFT(335),
  [1693] = {.count = 1, .reusable = false}, SHIFT(1113),
  [1695] = {.count = 1, .reusable = true}, SHIFT(1113),
  [1697] = {.count = 1, .reusable = true}, SHIFT(720),
  [1699] = {.count = 1, .reusable = true}, SHIFT(336),
  [1701] = {.count = 1, .reusable = false}, SHIFT(1112),
  [1703] = {.count = 1, .reusable = true}, SHIFT(1112),
  [1705] = {.count = 1, .reusable = true}, SHIFT(721),
  [1707] = {.count = 1, .reusable = true}, SHIFT(334),
  [1709] = {.count = 1, .reusable = false}, SHIFT(1110),
  [1711] = {.count = 1, .reusable = true}, SHIFT(1110),
  [1713] = {.count = 1, .reusable = true}, SHIFT(1111),
  [1715] = {.count = 1, .reusable = true}, SHIFT(1109),
  [1717] = {.count = 1, .reusable = true}, SHIFT(331),
  [1719] = {.count = 1, .reusable = false}, SHIFT(1104),
  [1721] = {.count = 1, .reusable = true}, SHIFT(1104),
  [1723] = {.count = 1, .reusable = true}, SHIFT(1105),
  [1725] = {.count = 1, .reusable = true}, SHIFT(333),
  [1727] = {.count = 1, .reusable = false}, SHIFT(1102),
  [1729] = {.count = 1, .reusable = true}, SHIFT(1102),
  [1731] = {.count = 1, .reusable = true}, SHIFT(1103),
  [1733] = {.count = 1, .reusable = true}, SHIFT(606),
  [1735] = {.count = 1, .reusable = false}, SHIFT(1090),
  [1737] = {.count = 1, .reusable = true}, SHIFT(1090),
  [1739] = {.count = 1, .reusable = true}, SHIFT(729),
  [1741] = {.count = 1, .reusable = true}, SHIFT(605),
  [1743] = {.count = 1, .reusable = false}, SHIFT(1089),
  [1745] = {.count = 1, .reusable = true}, SHIFT(1089),
  [1747] = {.count = 1, .reusable = true}, SHIFT(730),
  [1749] = {.count = 1, .reusable = true}, SHIFT(389),
  [1751] = {.count = 1, .reusable = false}, SHIFT(1234),
  [1753] = {.count = 1, .reusable = true}, SHIFT(1234),
  [1755] = {.count = 1, .reusable = true}, SHIFT(893),
  [1757] = {.count = 1, .reusable = true}, SHIFT(388),
  [1759] = {.count = 1, .reusable = false}, SHIFT(1235),
  [1761] = {.count = 1, .reusable = true}, SHIFT(1235),
  [1763] = {.count = 1, .reusable = true}, SHIFT(739),
  [1765] = {.count = 1, .reusable = true}, SHIFT(598),
  [1767] = {.count = 1, .reusable = false}, SHIFT(1086),
  [1769] = {.count = 1, .reusable = true}, SHIFT(1086),
  [1771] = {.count = 1, .reusable = true}, SHIFT(731),
  [1773] = {.count = 1, .reusable = true}, SHIFT(1518),
  [1775] = {.count = 1, .reusable = false}, SHIFT(972),
  [1777] = {.count = 1, .reusable = true}, SHIFT(972),
  [1779] = {.count = 1, .reusable = true}, SHIFT(971),
  [1781] = {.count = 1, .reusable = true}, SHIFT(599),
  [1783] = {.count = 1, .reusable = false}, SHIFT(1085),
  [1785] = {.count = 1, .reusable = true}, SHIFT(1085),
  [1787] = {.count = 1, .reusable = true}, SHIFT(740),
  [1789] = {.count = 1, .reusable = true}, SHIFT(597),
  [1791] = {.count = 1, .reusable = false}, SHIFT(895),
  [1793] = {.count = 1, .reusable = true}, SHIFT(895),
  [1795] = {.count = 1, .reusable = true}, SHIFT(1084),
  [1797] = {.count = 1, .reusable = true}, SHIFT(1083),
  [1799] = {.count = 1, .reusable = true}, SHIFT(592),
  [1801] = {.count = 1, .reusable = false}, SHIFT(1078),
  [1803] = {.count = 1, .reusable = true}, SHIFT(1078),
  [1805] = {.count = 1, .reusable = true}, SHIFT(1079),
  [1807] = {.count = 1, .reusable = true}, SHIFT(2244),
  [1809] = {.count = 1, .reusable = false}, SHIFT(1163),
  [1811] = {.count = 1, .reusable = true}, SHIFT(1163),
  [1813] = {.count = 1, .reusable = true}, SHIFT(746),
  [1815] = {.count = 1, .reusable = true}, SHIFT(1957),
  [1817] = {.count = 1, .reusable = false}, SHIFT(995),
  [1819] = {.count = 1, .reusable = true}, SHIFT(995),
  [1821] = {.count = 1, .reusable = true}, SHIFT(781),
  [1823] = {.count = 1, .reusable = true}, SHIFT(1972),
  [1825] = {.count = 1, .reusable = false}, SHIFT(1002),
  [1827] = {.count = 1, .reusable = true}, SHIFT(1002),
  [1829] = {.count = 1, .reusable = true}, SHIFT(779),
  [1831] = {.count = 1, .reusable = true}, SHIFT(441),
  [1833] = {.count = 1, .reusable = false}, SHIFT(1063),
  [1835] = {.count = 1, .reusable = true}, SHIFT(1063),
  [1837] = {.count = 1, .reusable = true}, SHIFT(846),
  [1839] = {.count = 1, .reusable = true}, SHIFT(448),
  [1841] = {.count = 1, .reusable = false}, SHIFT(1060),
  [1843] = {.count = 1, .reusable = true}, SHIFT(1060),
  [1845] = {.count = 1, .reusable = true}, SHIFT(686),
  [1847] = {.count = 1, .reusable = true}, SHIFT(1973),
  [1849] = {.count = 1, .reusable = false}, SHIFT(1003),
  [1851] = {.count = 1, .reusable = true}, SHIFT(1003),
  [1853] = {.count = 1, .reusable = true}, SHIFT(791),
  [1855] = {.count = 1, .reusable = true}, SHIFT(692),
  [1857] = {.count = 1, .reusable = true}, SHIFT(425),
  [1859] = {.count = 1, .reusable = false}, SHIFT(1058),
  [1861] = {.count = 1, .reusable = true}, SHIFT(1058),
  [1863] = {.count = 1, .reusable = true}, SHIFT(1059),
  [1865] = {.count = 1, .reusable = true}, SHIFT(594),
  [1867] = {.count = 1, .reusable = false}, SHIFT(1076),
  [1869] = {.count = 1, .reusable = true}, SHIFT(1076),
  [1871] = {.count = 1, .reusable = true}, SHIFT(1077),
  [1873] = {.count = 1, .reusable = true}, SHIFT(1472),
  [1875] = {.count = 1, .reusable = false}, SHIFT(1064),
  [1877] = {.count = 1, .reusable = true}, SHIFT(1064),
  [1879] = {.count = 1, .reusable = true}, SHIFT(750),
  [1881] = {.count = 1, .reusable = true}, SHIFT(1465),
  [1883] = {.count = 1, .reusable = false}, SHIFT(1062),
  [1885] = {.count = 1, .reusable = true}, SHIFT(1062),
  [1887] = {.count = 1, .reusable = true}, SHIFT(752),
  [1889] = {.count = 1, .reusable = true}, SHIFT(499),
  [1891] = {.count = 1, .reusable = false}, SHIFT(1238),
  [1893] = {.count = 1, .reusable = true}, SHIFT(1238),
  [1895] = {.count = 1, .reusable = true}, SHIFT(691),
  [1897] = {.count = 1, .reusable = true}, SHIFT(1426),
  [1899] = {.count = 1, .reusable = false}, SHIFT(1057),
  [1901] = {.count = 1, .reusable = true}, SHIFT(1057),
  [1903] = {.count = 1, .reusable = true}, SHIFT(753),
  [1905] = {.count = 1, .reusable = true}, SHIFT(505),
  [1907] = {.count = 1, .reusable = false}, SHIFT(1237),
  [1909] = {.count = 1, .reusable = true}, SHIFT(1237),
  [1911] = {.count = 1, .reusable = true}, SHIFT(690),
  [1913] = {.count = 1, .reusable = true}, SHIFT(2215),
  [1915] = {.count = 1, .reusable = false}, SHIFT(1159),
  [1917] = {.count = 1, .reusable = true}, SHIFT(1159),
  [1919] = {.count = 1, .reusable = true}, SHIFT(1156),
  [1921] = {.count = 1, .reusable = true}, SHIFT(2213),
  [1923] = {.count = 1, .reusable = false}, SHIFT(1157),
  [1925] = {.count = 1, .reusable = true}, SHIFT(1157),
  [1927] = {.count = 1, .reusable = true}, SHIFT(1158),
  [1929] = {.count = 1, .reusable = true}, SHIFT(1554),
  [1931] = {.count = 1, .reusable = false}, SHIFT(958),
  [1933] = {.count = 1, .reusable = true}, SHIFT(958),
  [1935] = {.count = 1, .reusable = true}, SHIFT(699),
  [1937] = {.count = 1, .reusable = true}, SHIFT(696),
  [1939] = {.count = 1, .reusable = true}, SHIFT(1425),
  [1941] = {.count = 1, .reusable = false}, SHIFT(1054),
  [1943] = {.count = 1, .reusable = true}, SHIFT(1054),
  [1945] = {.count = 1, .reusable = true}, SHIFT(1055),
  [1947] = {.count = 1, .reusable = true}, SHIFT(2222),
  [1949] = {.count = 1, .reusable = false}, SHIFT(1160),
  [1951] = {.count = 1, .reusable = true}, SHIFT(1160),
  [1953] = {.count = 1, .reusable = true}, SHIFT(687),
  [1955] = {.count = 1, .reusable = true}, SHIFT(1427),
  [1957] = {.count = 1, .reusable = false}, SHIFT(1056),
  [1959] = {.count = 1, .reusable = true}, SHIFT(1056),
  [1961] = {.count = 1, .reusable = true}, SHIFT(1053),
  [1963] = {.count = 1, .reusable = true}, SHIFT(1421),
  [1965] = {.count = 1, .reusable = false}, SHIFT(1049),
  [1967] = {.count = 1, .reusable = true}, SHIFT(1049),
  [1969] = {.count = 1, .reusable = true}, SHIFT(1050),
  [1971] = {.count = 1, .reusable = true}, SHIFT(1424),
  [1973] = {.count = 1, .reusable = false}, SHIFT(1047),
  [1975] = {.count = 1, .reusable = true}, SHIFT(1047),
  [1977] = {.count = 1, .reusable = true}, SHIFT(1048),
  [1979] = {.count = 1, .reusable = true}, SHIFT(2204),
  [1981] = {.count = 1, .reusable = false}, SHIFT(1033),
  [1983] = {.count = 1, .reusable = true}, SHIFT(1033),
  [1985] = {.count = 1, .reusable = true}, SHIFT(761),
  [1987] = {.count = 1, .reusable = true}, SHIFT(2206),
  [1989] = {.count = 1, .reusable = false}, SHIFT(1031),
  [1991] = {.count = 1, .reusable = true}, SHIFT(1031),
  [1993] = {.count = 1, .reusable = true}, SHIFT(762),
  [1995] = {.count = 1, .reusable = true}, SHIFT(2198),
  [1997] = {.count = 1, .reusable = false}, SHIFT(1028),
  [1999] = {.count = 1, .reusable = true}, SHIFT(1028),
  [2001] = {.count = 1, .reusable = true}, SHIFT(763),
  [2003] = {.count = 1, .reusable = true}, SHIFT(2177),
  [2005] = {.count = 1, .reusable = false}, SHIFT(1026),
  [2007] = {.count = 1, .reusable = true}, SHIFT(1026),
  [2009] = {.count = 1, .reusable = true}, SHIFT(764),
  [2011] = {.count = 1, .reusable = true}, SHIFT(1971),
  [2013] = {.count = 1, .reusable = false}, SHIFT(1006),
  [2015] = {.count = 1, .reusable = true}, SHIFT(1006),
  [2017] = {.count = 1, .reusable = true}, SHIFT(1004),
  [2019] = {.count = 1, .reusable = true}, SHIFT(754),
  [2021] = {.count = 1, .reusable = true}, SHIFT(2197),
  [2023] = {.count = 1, .reusable = false}, SHIFT(1024),
  [2025] = {.count = 1, .reusable = true}, SHIFT(1024),
  [2027] = {.count = 1, .reusable = true}, SHIFT(1025),
  [2029] = {.count = 1, .reusable = true}, SHIFT(1023),
  [2031] = {.count = 1, .reusable = true}, SHIFT(2192),
  [2033] = {.count = 1, .reusable = false}, SHIFT(1021),
  [2035] = {.count = 1, .reusable = true}, SHIFT(1021),
  [2037] = {.count = 1, .reusable = true}, SHIFT(1022),
  [2039] = {.count = 1, .reusable = true}, SHIFT(2194),
  [2041] = {.count = 1, .reusable = false}, SHIFT(1019),
  [2043] = {.count = 1, .reusable = true}, SHIFT(1019),
  [2045] = {.count = 1, .reusable = true}, SHIFT(1020),
  [2047] = {.count = 1, .reusable = true}, SHIFT(519),
  [2049] = {.count = 1, .reusable = false}, SHIFT(1264),
  [2051] = {.count = 1, .reusable = true}, SHIFT(1264),
  [2053] = {.count = 1, .reusable = true}, SHIFT(1263),
  [2055] = {.count = 1, .reusable = true}, SHIFT(508),
  [2057] = {.count = 1, .reusable = false}, SHIFT(1007),
  [2059] = {.count = 1, .reusable = true}, SHIFT(1007),
  [2061] = {.count = 1, .reusable = true}, SHIFT(770),
  [2063] = {.count = 1, .reusable = true}, SHIFT(502),
  [2065] = {.count = 1, .reusable = false}, SHIFT(1005),
  [2067] = {.count = 1, .reusable = true}, SHIFT(1005),
  [2069] = {.count = 1, .reusable = true}, SHIFT(771),
  [2071] = {.count = 1, .reusable = true}, SHIFT(512),
  [2073] = {.count = 1, .reusable = false}, SHIFT(1001),
  [2075] = {.count = 1, .reusable = true}, SHIFT(1001),
  [2077] = {.count = 1, .reusable = true}, SHIFT(772),
  [2079] = {.count = 1, .reusable = true}, SHIFT(476),
  [2081] = {.count = 1, .reusable = false}, SHIFT(999),
  [2083] = {.count = 1, .reusable = true}, SHIFT(999),
  [2085] = {.count = 1, .reusable = true}, SHIFT(773),
  [2087] = {.count = 1, .reusable = true}, SHIFT(513),
  [2089] = {.count = 1, .reusable = false}, SHIFT(997),
  [2091] = {.count = 1, .reusable = true}, SHIFT(997),
  [2093] = {.count = 1, .reusable = true}, SHIFT(998),
  [2095] = {.count = 1, .reusable = true}, SHIFT(996),
  [2097] = {.count = 1, .reusable = true}, SHIFT(516),
  [2099] = {.count = 1, .reusable = false}, SHIFT(993),
  [2101] = {.count = 1, .reusable = true}, SHIFT(993),
  [2103] = {.count = 1, .reusable = true}, SHIFT(994),
  [2105] = {.count = 1, .reusable = true}, SHIFT(514),
  [2107] = {.count = 1, .reusable = false}, SHIFT(991),
  [2109] = {.count = 1, .reusable = true}, SHIFT(991),
  [2111] = {.count = 1, .reusable = true}, SHIFT(992),
  [2113] = {.count = 1, .reusable = true}, SHIFT(1402),
  [2115] = {.count = 1, .reusable = false}, SHIFT(983),
  [2117] = {.count = 1, .reusable = true}, SHIFT(983),
  [2119] = {.count = 1, .reusable = true}, SHIFT(783),
  [2121] = {.count = 1, .reusable = true}, SHIFT(1406),
  [2123] = {.count = 1, .reusable = false}, SHIFT(982),
  [2125] = {.count = 1, .reusable = true}, SHIFT(982),
  [2127] = {.count = 1, .reusable = true}, SHIFT(785),
  [2129] = {.count = 1, .reusable = true}, SHIFT(1440),
  [2131] = {.count = 1, .reusable = false}, SHIFT(977),
  [2133] = {.count = 1, .reusable = true}, SHIFT(977),
  [2135] = {.count = 1, .reusable = true}, SHIFT(786),
  [2137] = {.count = 1, .reusable = true}, SHIFT(1939),
  [2139] = {.count = 1, .reusable = false}, SHIFT(1030),
  [2141] = {.count = 1, .reusable = true}, SHIFT(1030),
  [2143] = {.count = 1, .reusable = true}, SHIFT(807),
  [2145] = {.count = 1, .reusable = true}, SHIFT(2261),
  [2147] = {.count = 1, .reusable = false}, SHIFT(1164),
  [2149] = {.count = 1, .reusable = true}, SHIFT(1164),
  [2151] = {.count = 1, .reusable = true}, SHIFT(747),
  [2153] = {.count = 1, .reusable = true}, SHIFT(1967),
  [2155] = {.count = 1, .reusable = false}, SHIFT(1010),
  [2157] = {.count = 1, .reusable = true}, SHIFT(1010),
  [2159] = {.count = 1, .reusable = true}, SHIFT(1009),
  [2161] = {.count = 1, .reusable = true}, SHIFT(1431),
  [2163] = {.count = 1, .reusable = false}, SHIFT(976),
  [2165] = {.count = 1, .reusable = true}, SHIFT(976),
  [2167] = {.count = 1, .reusable = true}, SHIFT(789),
  [2169] = {.count = 1, .reusable = true}, SHIFT(1008),
  [2171] = {.count = 1, .reusable = true}, SHIFT(506),
  [2173] = {.count = 1, .reusable = false}, SHIFT(1236),
  [2175] = {.count = 1, .reusable = true}, SHIFT(1236),
  [2177] = {.count = 1, .reusable = true}, SHIFT(689),
  [2179] = {.count = 1, .reusable = true}, SHIFT(1484),
  [2181] = {.count = 1, .reusable = false}, SHIFT(974),
  [2183] = {.count = 1, .reusable = true}, SHIFT(974),
  [2185] = {.count = 1, .reusable = true}, SHIFT(975),
  [2187] = {.count = 1, .reusable = true}, SHIFT(400),
  [2189] = {.count = 1, .reusable = false}, SHIFT(1176),
  [2191] = {.count = 1, .reusable = true}, SHIFT(1176),
  [2193] = {.count = 1, .reusable = true}, SHIFT(1177),
  [2195] = {.count = 1, .reusable = true}, SHIFT(973),
  [2197] = {.count = 1, .reusable = true}, SHIFT(1494),
  [2199] = {.count = 1, .reusable = false}, SHIFT(968),
  [2201] = {.count = 1, .reusable = true}, SHIFT(968),
  [2203] = {.count = 1, .reusable = true}, SHIFT(969),
  [2205] = {.count = 1, .reusable = true}, SHIFT(407),
  [2207] = {.count = 1, .reusable = false}, SHIFT(1184),
  [2209] = {.count = 1, .reusable = true}, SHIFT(1184),
  [2211] = {.count = 1, .reusable = true}, SHIFT(1181),
  [2213] = {.count = 1, .reusable = true}, SHIFT(405),
  [2215] = {.count = 1, .reusable = false}, SHIFT(1182),
  [2217] = {.count = 1, .reusable = true}, SHIFT(1182),
  [2219] = {.count = 1, .reusable = true}, SHIFT(1183),
  [2221] = {.count = 1, .reusable = true}, SHIFT(1485),
  [2223] = {.count = 1, .reusable = false}, SHIFT(966),
  [2225] = {.count = 1, .reusable = true}, SHIFT(966),
  [2227] = {.count = 1, .reusable = true}, SHIFT(967),
  [2229] = {.count = 1, .reusable = true}, SHIFT(889),
  [2231] = {.count = 1, .reusable = true}, SHIFT(1969),
  [2233] = {.count = 1, .reusable = false}, SHIFT(1012),
  [2235] = {.count = 1, .reusable = true}, SHIFT(1012),
  [2237] = {.count = 1, .reusable = true}, SHIFT(1011),
  [2239] = {.count = 1, .reusable = true}, SHIFT(1941),
  [2241] = {.count = 1, .reusable = false}, SHIFT(1027),
  [2243] = {.count = 1, .reusable = true}, SHIFT(1027),
  [2245] = {.count = 1, .reusable = true}, SHIFT(801),
  [2247] = {.count = 1, .reusable = true}, SHIFT(1922),
  [2249] = {.count = 1, .reusable = false}, SHIFT(1029),
  [2251] = {.count = 1, .reusable = true}, SHIFT(1029),
  [2253] = {.count = 1, .reusable = true}, SHIFT(806),
  [2255] = {.count = 1, .reusable = true}, SHIFT(2549),
  [2257] = {.count = 1, .reusable = false}, SHIFT(1120),
  [2259] = {.count = 1, .reusable = true}, SHIFT(1120),
  [2261] = {.count = 1, .reusable = true}, SHIFT(890),
  [2263] = {.count = 1, .reusable = true}, SHIFT(406),
  [2265] = {.count = 1, .reusable = false}, SHIFT(1185),
  [2267] = {.count = 1, .reusable = true}, SHIFT(1185),
  [2269] = {.count = 1, .reusable = true}, SHIFT(784),
  [2271] = {.count = 1, .reusable = true}, SHIFT(423),
  [2273] = {.count = 1, .reusable = false}, SHIFT(1188),
  [2275] = {.count = 1, .reusable = true}, SHIFT(1188),
  [2277] = {.count = 1, .reusable = true}, SHIFT(787),
  [2279] = {.count = 1, .reusable = true}, SHIFT(1663),
  [2281] = {.count = 1, .reusable = false}, SHIFT(956),
  [2283] = {.count = 1, .reusable = true}, SHIFT(956),
  [2285] = {.count = 1, .reusable = true}, SHIFT(826),
  [2287] = {.count = 1, .reusable = true}, SHIFT(1921),
  [2289] = {.count = 1, .reusable = false}, SHIFT(1032),
  [2291] = {.count = 1, .reusable = true}, SHIFT(1032),
  [2293] = {.count = 1, .reusable = true}, SHIFT(808),
  [2295] = {.count = 1, .reusable = true}, SHIFT(459),
  [2297] = {.count = 1, .reusable = false}, SHIFT(1229),
  [2299] = {.count = 1, .reusable = true}, SHIFT(1229),
  [2301] = {.count = 1, .reusable = true}, SHIFT(1226),
  [2303] = {.count = 1, .reusable = true}, SHIFT(461),
  [2305] = {.count = 1, .reusable = false}, SHIFT(1225),
  [2307] = {.count = 1, .reusable = true}, SHIFT(1225),
  [2309] = {.count = 1, .reusable = true}, SHIFT(1224),
  [2311] = {.count = 1, .reusable = true}, SHIFT(1930),
  [2313] = {.count = 1, .reusable = false}, SHIFT(1035),
  [2315] = {.count = 1, .reusable = true}, SHIFT(1035),
  [2317] = {.count = 1, .reusable = true}, SHIFT(1034),
  [2319] = {.count = 1, .reusable = true}, SHIFT(456),
  [2321] = {.count = 1, .reusable = false}, SHIFT(1219),
  [2323] = {.count = 1, .reusable = true}, SHIFT(1219),
  [2325] = {.count = 1, .reusable = true}, SHIFT(1223),
  [2327] = {.count = 1, .reusable = true}, SHIFT(458),
  [2329] = {.count = 1, .reusable = false}, SHIFT(1221),
  [2331] = {.count = 1, .reusable = true}, SHIFT(1221),
  [2333] = {.count = 1, .reusable = true}, SHIFT(1220),
  [2335] = {.count = 1, .reusable = true}, SHIFT(424),
  [2337] = {.count = 1, .reusable = false}, SHIFT(1189),
  [2339] = {.count = 1, .reusable = true}, SHIFT(1189),
  [2341] = {.count = 1, .reusable = true}, SHIFT(788),
  [2343] = {.count = 1, .reusable = true}, SHIFT(799),
  [2345] = {.count = 1, .reusable = true}, SHIFT(1036),
  [2347] = {.count = 1, .reusable = true}, SHIFT(1942),
  [2349] = {.count = 1, .reusable = false}, SHIFT(1038),
  [2351] = {.count = 1, .reusable = true}, SHIFT(1038),
  [2353] = {.count = 1, .reusable = true}, SHIFT(1037),
  [2355] = {.count = 1, .reusable = true}, SHIFT(1935),
  [2357] = {.count = 1, .reusable = false}, SHIFT(1040),
  [2359] = {.count = 1, .reusable = true}, SHIFT(1040),
  [2361] = {.count = 1, .reusable = true}, SHIFT(1039),
  [2363] = {.count = 1, .reusable = true}, SHIFT(616),
  [2365] = {.count = 1, .reusable = false}, SHIFT(1061),
  [2367] = {.count = 1, .reusable = true}, SHIFT(1061),
  [2369] = {.count = 1, .reusable = true}, SHIFT(841),
  [2371] = {.count = 1, .reusable = true}, SHIFT(618),
  [2373] = {.count = 1, .reusable = false}, SHIFT(1065),
  [2375] = {.count = 1, .reusable = true}, SHIFT(1065),
  [2377] = {.count = 1, .reusable = true}, SHIFT(853),
  [2379] = {.count = 1, .reusable = true}, SHIFT(660),
  [2381] = {.count = 1, .reusable = false}, SHIFT(1066),
  [2383] = {.count = 1, .reusable = true}, SHIFT(1066),
  [2385] = {.count = 1, .reusable = true}, SHIFT(858),
  [2387] = {.count = 1, .reusable = true}, SHIFT(457),
  [2389] = {.count = 1, .reusable = false}, SHIFT(1218),
  [2391] = {.count = 1, .reusable = true}, SHIFT(1218),
  [2393] = {.count = 1, .reusable = true}, SHIFT(800),
  [2395] = {.count = 1, .reusable = true}, SHIFT(1658),
  [2397] = {.count = 1, .reusable = false}, SHIFT(955),
  [2399] = {.count = 1, .reusable = true}, SHIFT(955),
  [2401] = {.count = 1, .reusable = true}, SHIFT(827),
  [2403] = {.count = 1, .reusable = true}, SHIFT(1528),
  [2405] = {.count = 1, .reusable = false}, SHIFT(959),
  [2407] = {.count = 1, .reusable = true}, SHIFT(959),
  [2409] = {.count = 1, .reusable = true}, SHIFT(727),
  [2411] = {.count = 1, .reusable = true}, SHIFT(453),
  [2413] = {.count = 1, .reusable = false}, SHIFT(1217),
  [2415] = {.count = 1, .reusable = true}, SHIFT(1217),
  [2417] = {.count = 1, .reusable = true}, SHIFT(802),
  [2419] = {.count = 1, .reusable = true}, SHIFT(451),
  [2421] = {.count = 1, .reusable = false}, SHIFT(1216),
  [2423] = {.count = 1, .reusable = true}, SHIFT(1216),
  [2425] = {.count = 1, .reusable = true}, SHIFT(803),
  [2427] = {.count = 1, .reusable = true}, SHIFT(1725),
  [2429] = {.count = 1, .reusable = false}, SHIFT(1206),
  [2431] = {.count = 1, .reusable = true}, SHIFT(1206),
  [2433] = {.count = 1, .reusable = true}, SHIFT(1207),
  [2435] = {.count = 1, .reusable = true}, SHIFT(1615),
  [2437] = {.count = 1, .reusable = false}, SHIFT(954),
  [2439] = {.count = 1, .reusable = true}, SHIFT(954),
  [2441] = {.count = 1, .reusable = true}, SHIFT(828),
  [2443] = {.count = 1, .reusable = true}, SHIFT(1718),
  [2445] = {.count = 1, .reusable = false}, SHIFT(1208),
  [2447] = {.count = 1, .reusable = true}, SHIFT(1208),
  [2449] = {.count = 1, .reusable = true}, SHIFT(1209),
  [2451] = {.count = 1, .reusable = true}, SHIFT(644),
  [2453] = {.count = 1, .reusable = false}, SHIFT(1067),
  [2455] = {.count = 1, .reusable = true}, SHIFT(1067),
  [2457] = {.count = 1, .reusable = true}, SHIFT(861),
  [2459] = {.count = 1, .reusable = true}, SHIFT(411),
  [2461] = {.count = 1, .reusable = false}, SHIFT(1202),
  [2463] = {.count = 1, .reusable = true}, SHIFT(1202),
  [2465] = {.count = 1, .reusable = true}, SHIFT(1201),
  [2467] = {.count = 1, .reusable = true}, SHIFT(1780),
  [2469] = {.count = 1, .reusable = false}, SHIFT(1214),
  [2471] = {.count = 1, .reusable = true}, SHIFT(1214),
  [2473] = {.count = 1, .reusable = true}, SHIFT(1211),
  [2475] = {.count = 1, .reusable = true}, SHIFT(1783),
  [2477] = {.count = 1, .reusable = false}, SHIFT(1212),
  [2479] = {.count = 1, .reusable = true}, SHIFT(1212),
  [2481] = {.count = 1, .reusable = true}, SHIFT(1213),
  [2483] = {.count = 1, .reusable = true}, SHIFT(817),
  [2485] = {.count = 1, .reusable = true}, SHIFT(1614),
  [2487] = {.count = 1, .reusable = false}, SHIFT(952),
  [2489] = {.count = 1, .reusable = true}, SHIFT(952),
  [2491] = {.count = 1, .reusable = true}, SHIFT(829),
  [2493] = {.count = 1, .reusable = true}, SHIFT(1616),
  [2495] = {.count = 1, .reusable = false}, SHIFT(950),
  [2497] = {.count = 1, .reusable = true}, SHIFT(950),
  [2499] = {.count = 1, .reusable = true}, SHIFT(951),
  [2501] = {.count = 1, .reusable = true}, SHIFT(949),
  [2503] = {.count = 1, .reusable = true}, SHIFT(1619),
  [2505] = {.count = 1, .reusable = false}, SHIFT(946),
  [2507] = {.count = 1, .reusable = true}, SHIFT(946),
  [2509] = {.count = 1, .reusable = true}, SHIFT(947),
  [2511] = {.count = 1, .reusable = true}, SHIFT(1617),
  [2513] = {.count = 1, .reusable = false}, SHIFT(944),
  [2515] = {.count = 1, .reusable = true}, SHIFT(944),
  [2517] = {.count = 1, .reusable = true}, SHIFT(945),
  [2519] = {.count = 1, .reusable = true}, SHIFT(1782),
  [2521] = {.count = 1, .reusable = false}, SHIFT(1215),
  [2523] = {.count = 1, .reusable = true}, SHIFT(1215),
  [2525] = {.count = 1, .reusable = true}, SHIFT(819),
  [2527] = {.count = 1, .reusable = true}, SHIFT(292),
  [2529] = {.count = 1, .reusable = false}, SHIFT(930),
  [2531] = {.count = 1, .reusable = true}, SHIFT(930),
  [2533] = {.count = 1, .reusable = true}, SHIFT(835),
  [2535] = {.count = 1, .reusable = true}, SHIFT(293),
  [2537] = {.count = 1, .reusable = false}, SHIFT(929),
  [2539] = {.count = 1, .reusable = true}, SHIFT(929),
  [2541] = {.count = 1, .reusable = true}, SHIFT(836),
  [2543] = {.count = 1, .reusable = true}, SHIFT(299),
  [2545] = {.count = 1, .reusable = false}, SHIFT(926),
  [2547] = {.count = 1, .reusable = true}, SHIFT(926),
  [2549] = {.count = 1, .reusable = true}, SHIFT(837),
  [2551] = {.count = 1, .reusable = true}, SHIFT(297),
  [2553] = {.count = 1, .reusable = false}, SHIFT(925),
  [2555] = {.count = 1, .reusable = true}, SHIFT(925),
  [2557] = {.count = 1, .reusable = true}, SHIFT(838),
  [2559] = {.count = 1, .reusable = true}, SHIFT(300),
  [2561] = {.count = 1, .reusable = false}, SHIFT(923),
  [2563] = {.count = 1, .reusable = true}, SHIFT(923),
  [2565] = {.count = 1, .reusable = true}, SHIFT(924),
  [2567] = {.count = 1, .reusable = true}, SHIFT(922),
  [2569] = {.count = 1, .reusable = true}, SHIFT(303),
  [2571] = {.count = 1, .reusable = false}, SHIFT(920),
  [2573] = {.count = 1, .reusable = true}, SHIFT(920),
  [2575] = {.count = 1, .reusable = true}, SHIFT(921),
  [2577] = {.count = 1, .reusable = true}, SHIFT(301),
  [2579] = {.count = 1, .reusable = false}, SHIFT(918),
  [2581] = {.count = 1, .reusable = true}, SHIFT(918),
  [2583] = {.count = 1, .reusable = true}, SHIFT(919),
  [2585] = {.count = 1, .reusable = true}, SHIFT(413),
  [2587] = {.count = 1, .reusable = false}, SHIFT(1200),
  [2589] = {.count = 1, .reusable = true}, SHIFT(1200),
  [2591] = {.count = 1, .reusable = true}, SHIFT(1197),
  [2593] = {.count = 1, .reusable = true}, SHIFT(403),
  [2595] = {.count = 1, .reusable = false}, SHIFT(1193),
  [2597] = {.count = 1, .reusable = true}, SHIFT(1193),
  [2599] = {.count = 1, .reusable = true}, SHIFT(1196),
  [2601] = {.count = 1, .reusable = true}, SHIFT(659),
  [2603] = {.count = 1, .reusable = false}, SHIFT(1069),
  [2605] = {.count = 1, .reusable = true}, SHIFT(1069),
  [2607] = {.count = 1, .reusable = true}, SHIFT(1068),
  [2609] = {.count = 1, .reusable = true}, SHIFT(472),
  [2611] = {.count = 1, .reusable = false}, SHIFT(909),
  [2613] = {.count = 1, .reusable = true}, SHIFT(909),
  [2615] = {.count = 1, .reusable = true}, SHIFT(848),
  [2617] = {.count = 1, .reusable = true}, SHIFT(580),
  [2619] = {.count = 1, .reusable = false}, SHIFT(908),
  [2621] = {.count = 1, .reusable = true}, SHIFT(908),
  [2623] = {.count = 1, .reusable = true}, SHIFT(849),
  [2625] = {.count = 1, .reusable = true}, SHIFT(624),
  [2627] = {.count = 1, .reusable = false}, SHIFT(907),
  [2629] = {.count = 1, .reusable = true}, SHIFT(907),
  [2631] = {.count = 1, .reusable = true}, SHIFT(854),
  [2633] = {.count = 1, .reusable = true}, SHIFT(621),
  [2635] = {.count = 1, .reusable = false}, SHIFT(906),
  [2637] = {.count = 1, .reusable = true}, SHIFT(906),
  [2639] = {.count = 1, .reusable = true}, SHIFT(855),
  [2641] = {.count = 1, .reusable = true}, SHIFT(294),
  [2643] = {.count = 1, .reusable = false}, SHIFT(911),
  [2645] = {.count = 1, .reusable = true}, SHIFT(911),
  [2647] = {.count = 1, .reusable = true}, SHIFT(910),
  [2649] = {.count = 1, .reusable = true}, SHIFT(410),
  [2651] = {.count = 1, .reusable = false}, SHIFT(1195),
  [2653] = {.count = 1, .reusable = true}, SHIFT(1195),
  [2655] = {.count = 1, .reusable = true}, SHIFT(1194),
  [2657] = {.count = 1, .reusable = true}, SHIFT(625),
  [2659] = {.count = 1, .reusable = false}, SHIFT(904),
  [2661] = {.count = 1, .reusable = true}, SHIFT(904),
  [2663] = {.count = 1, .reusable = true}, SHIFT(905),
  [2665] = {.count = 1, .reusable = true}, SHIFT(903),
  [2667] = {.count = 1, .reusable = true}, SHIFT(821),
  [2669] = {.count = 1, .reusable = true}, SHIFT(404),
  [2671] = {.count = 1, .reusable = false}, SHIFT(1192),
  [2673] = {.count = 1, .reusable = true}, SHIFT(1192),
  [2675] = {.count = 1, .reusable = true}, SHIFT(839),
  [2677] = {.count = 1, .reusable = true}, SHIFT(385),
  [2679] = {.count = 1, .reusable = false}, SHIFT(1191),
  [2681] = {.count = 1, .reusable = true}, SHIFT(1191),
  [2683] = {.count = 1, .reusable = true}, SHIFT(840),
  [2685] = {.count = 1, .reusable = true}, SHIFT(1070),
  [2687] = {.count = 1, .reusable = true}, SHIFT(631),
  [2689] = {.count = 1, .reusable = false}, SHIFT(901),
  [2691] = {.count = 1, .reusable = true}, SHIFT(901),
  [2693] = {.count = 1, .reusable = true}, SHIFT(902),
  [2695] = {.count = 1, .reusable = true}, SHIFT(629),
  [2697] = {.count = 1, .reusable = false}, SHIFT(899),
  [2699] = {.count = 1, .reusable = true}, SHIFT(899),
  [2701] = {.count = 1, .reusable = true}, SHIFT(900),
  [2703] = {.count = 1, .reusable = true}, SHIFT(384),
  [2705] = {.count = 1, .reusable = false}, SHIFT(1190),
  [2707] = {.count = 1, .reusable = true}, SHIFT(1190),
  [2709] = {.count = 1, .reusable = true}, SHIFT(847),
  [2711] = {.count = 1, .reusable = true}, SHIFT(1775),
  [2713] = {.count = 1, .reusable = false}, SHIFT(927),
  [2715] = {.count = 1, .reusable = true}, SHIFT(927),
  [2717] = {.count = 1, .reusable = true}, SHIFT(865),
  [2719] = {.count = 1, .reusable = true}, SHIFT(653),
  [2721] = {.count = 1, .reusable = false}, SHIFT(1072),
  [2723] = {.count = 1, .reusable = true}, SHIFT(1072),
  [2725] = {.count = 1, .reusable = true}, SHIFT(1071),
  [2727] = {.count = 1, .reusable = true}, SHIFT(1774),
  [2729] = {.count = 1, .reusable = false}, SHIFT(928),
  [2731] = {.count = 1, .reusable = true}, SHIFT(928),
  [2733] = {.count = 1, .reusable = true}, SHIFT(867),
  [2735] = {.count = 1, .reusable = true}, SHIFT(1765),
  [2737] = {.count = 1, .reusable = false}, SHIFT(931),
  [2739] = {.count = 1, .reusable = true}, SHIFT(931),
  [2741] = {.count = 1, .reusable = true}, SHIFT(868),
  [2743] = {.count = 1, .reusable = true}, SHIFT(657),
  [2745] = {.count = 1, .reusable = false}, SHIFT(1081),
  [2747] = {.count = 1, .reusable = true}, SHIFT(1081),
  [2749] = {.count = 1, .reusable = true}, SHIFT(1080),
  [2751] = {.count = 1, .reusable = true}, SHIFT(1736),
  [2753] = {.count = 1, .reusable = false}, SHIFT(1227),
  [2755] = {.count = 1, .reusable = true}, SHIFT(1227),
  [2757] = {.count = 1, .reusable = true}, SHIFT(822),
  [2759] = {.count = 1, .reusable = true}, SHIFT(1735),
  [2761] = {.count = 1, .reusable = false}, SHIFT(1228),
  [2763] = {.count = 1, .reusable = true}, SHIFT(1228),
  [2765] = {.count = 1, .reusable = true}, SHIFT(823),
  [2767] = {.count = 1, .reusable = true}, SHIFT(1767),
  [2769] = {.count = 1, .reusable = false}, SHIFT(932),
  [2771] = {.count = 1, .reusable = true}, SHIFT(932),
  [2773] = {.count = 1, .reusable = true}, SHIFT(870),
  [2775] = {.count = 1, .reusable = true}, SHIFT(1764),
  [2777] = {.count = 1, .reusable = false}, SHIFT(894),
  [2779] = {.count = 1, .reusable = true}, SHIFT(894),
  [2781] = {.count = 1, .reusable = true}, SHIFT(933),
  [2783] = {.count = 1, .reusable = true}, SHIFT(1335),
  [2785] = {.count = 1, .reusable = false}, SHIFT(1091),
  [2787] = {.count = 1, .reusable = true}, SHIFT(1091),
  [2789] = {.count = 1, .reusable = true}, SHIFT(884),
  [2791] = {.count = 1, .reusable = true}, SHIFT(934),
  [2793] = {.count = 1, .reusable = true}, SHIFT(1760),
  [2795] = {.count = 1, .reusable = false}, SHIFT(936),
  [2797] = {.count = 1, .reusable = true}, SHIFT(936),
  [2799] = {.count = 1, .reusable = true}, SHIFT(935),
  [2801] = {.count = 1, .reusable = true}, SHIFT(1337),
  [2803] = {.count = 1, .reusable = false}, SHIFT(1092),
  [2805] = {.count = 1, .reusable = true}, SHIFT(1092),
  [2807] = {.count = 1, .reusable = true}, SHIFT(885),
  [2809] = {.count = 1, .reusable = true}, SHIFT(1762),
  [2811] = {.count = 1, .reusable = false}, SHIFT(938),
  [2813] = {.count = 1, .reusable = true}, SHIFT(938),
  [2815] = {.count = 1, .reusable = true}, SHIFT(937),
  [2817] = {.count = 1, .reusable = true}, SHIFT(2250),
  [2819] = {.count = 1, .reusable = false}, SHIFT(1179),
  [2821] = {.count = 1, .reusable = true}, SHIFT(1179),
  [2823] = {.count = 1, .reusable = true}, SHIFT(1178),
  [2825] = {.count = 1, .reusable = true}, SHIFT(2219),
  [2827] = {.count = 1, .reusable = false}, SHIFT(1170),
  [2829] = {.count = 1, .reusable = true}, SHIFT(1170),
  [2831] = {.count = 1, .reusable = true}, SHIFT(1169),
  [2833] = {.count = 1, .reusable = true}, SHIFT(2252),
  [2835] = {.count = 1, .reusable = false}, SHIFT(1165),
  [2837] = {.count = 1, .reusable = true}, SHIFT(1165),
  [2839] = {.count = 1, .reusable = true}, SHIFT(1168),
  [2841] = {.count = 1, .reusable = true}, SHIFT(1555),
  [2843] = {.count = 1, .reusable = false}, SHIFT(957),
  [2845] = {.count = 1, .reusable = true}, SHIFT(957),
  [2847] = {.count = 1, .reusable = true}, SHIFT(712),
  [2849] = {.count = 1, .reusable = true}, SHIFT(2245),
  [2851] = {.count = 1, .reusable = false}, SHIFT(1167),
  [2853] = {.count = 1, .reusable = true}, SHIFT(1167),
  [2855] = {.count = 1, .reusable = true}, SHIFT(1166),
  [2857] = {.count = 1, .reusable = true}, SHIFT(871),
  [2859] = {.count = 1, .reusable = true}, SHIFT(2251),
  [2861] = {.count = 1, .reusable = false}, SHIFT(1162),
  [2863] = {.count = 1, .reusable = true}, SHIFT(1162),
  [2865] = {.count = 1, .reusable = true}, SHIFT(872),
  [2867] = {.count = 1, .reusable = true}, SHIFT(2258),
  [2869] = {.count = 1, .reusable = false}, SHIFT(1161),
  [2871] = {.count = 1, .reusable = true}, SHIFT(1161),
  [2873] = {.count = 1, .reusable = true}, SHIFT(873),
  [2875] = {.count = 1, .reusable = true}, SHIFT(2247),
  [2877] = {.count = 1, .reusable = false}, SHIFT(1154),
  [2879] = {.count = 1, .reusable = true}, SHIFT(1154),
  [2881] = {.count = 1, .reusable = true}, SHIFT(875),
  [2883] = {.count = 1, .reusable = true}, SHIFT(2530),
  [2885] = {.count = 1, .reusable = false}, SHIFT(1142),
  [2887] = {.count = 1, .reusable = true}, SHIFT(1142),
  [2889] = {.count = 1, .reusable = true}, SHIFT(1140),
  [2891] = {.count = 1, .reusable = true}, SHIFT(1350),
  [2893] = {.count = 1, .reusable = false}, SHIFT(1093),
  [2895] = {.count = 1, .reusable = true}, SHIFT(1093),
  [2897] = {.count = 1, .reusable = true}, SHIFT(886),
  [2899] = {.count = 1, .reusable = true}, SHIFT(2528),
  [2901] = {.count = 1, .reusable = false}, SHIFT(1139),
  [2903] = {.count = 1, .reusable = true}, SHIFT(1139),
  [2905] = {.count = 1, .reusable = true}, SHIFT(1138),
  [2907] = {.count = 1, .reusable = true}, SHIFT(1349),
  [2909] = {.count = 1, .reusable = false}, SHIFT(1094),
  [2911] = {.count = 1, .reusable = true}, SHIFT(1094),
  [2913] = {.count = 1, .reusable = true}, SHIFT(887),
  [2915] = {.count = 1, .reusable = true}, SHIFT(1325),
  [2917] = {.count = 1, .reusable = false}, SHIFT(1096),
  [2919] = {.count = 1, .reusable = true}, SHIFT(1096),
  [2921] = {.count = 1, .reusable = true}, SHIFT(1095),
  [2923] = {.count = 1, .reusable = true}, SHIFT(1097),
  [2925] = {.count = 1, .reusable = true}, SHIFT(1356),
  [2927] = {.count = 1, .reusable = false}, SHIFT(1106),
  [2929] = {.count = 1, .reusable = true}, SHIFT(1106),
  [2931] = {.count = 1, .reusable = true}, SHIFT(1098),
  [2933] = {.count = 1, .reusable = true}, SHIFT(1352),
  [2935] = {.count = 1, .reusable = false}, SHIFT(1108),
  [2937] = {.count = 1, .reusable = true}, SHIFT(1108),
  [2939] = {.count = 1, .reusable = true}, SHIFT(1107),
  [2941] = {.count = 1, .reusable = true}, SHIFT(2550),
  [2943] = {.count = 1, .reusable = false}, SHIFT(1119),
  [2945] = {.count = 1, .reusable = true}, SHIFT(1119),
  [2947] = {.count = 1, .reusable = true}, SHIFT(891),
  [2949] = {.count = 1, .reusable = true}, SHIFT(402),
  [2951] = {.count = 1, .reusable = false}, SHIFT(1174),
  [2953] = {.count = 1, .reusable = true}, SHIFT(1174),
  [2955] = {.count = 1, .reusable = true}, SHIFT(1175),
  [2957] = {.count = 1, .reusable = true}, SHIFT(2540),
  [2959] = {.count = 1, .reusable = false}, SHIFT(1129),
  [2961] = {.count = 1, .reusable = true}, SHIFT(1129),
  [2963] = {.count = 1, .reusable = true}, SHIFT(1137),
  [2965] = {.count = 1, .reusable = true}, SHIFT(2532),
  [2967] = {.count = 1, .reusable = false}, SHIFT(1131),
  [2969] = {.count = 1, .reusable = true}, SHIFT(1131),
  [2971] = {.count = 1, .reusable = true}, SHIFT(1130),
  [2973] = {.count = 1, .reusable = true}, SHIFT(880),
  [2975] = {.count = 1, .reusable = true}, SHIFT(1051),
  [2977] = {.count = 1, .reusable = true}, SHIFT(1759),
  [2979] = {.count = 1, .reusable = false}, SHIFT(1052),
  [2981] = {.count = 1, .reusable = true}, SHIFT(1052),
  [2983] = {.count = 1, .reusable = true}, SHIFT(591),
  [2985] = {.count = 1, .reusable = true}, SHIFT(483),
  [2987] = {.count = 1, .reusable = true}, SHIFT(535),
  [2989] = {.count = 1, .reusable = true}, SHIFT(638),
  [2991] = {.count = 1, .reusable = true}, SHIFT(635),
  [2993] = {.count = 1, .reusable = false}, SHIFT(896),
  [2995] = {.count = 1, .reusable = true}, SHIFT(896),
  [2997] = {.count = 1, .reusable = true}, SHIFT(637),
  [2999] = {.count = 1, .reusable = false}, SHIFT(897),
  [3001] = {.count = 1, .reusable = true}, SHIFT(897),
  [3003] = {.count = 1, .reusable = true}, SHIFT(632),
  [3005] = {.count = 1, .reusable = false}, SHIFT(898),
  [3007] = {.count = 1, .reusable = true}, SHIFT(898),
  [3009] = {.count = 1, .reusable = true}, SHIFT(325),
  [3011] = {.count = 1, .reusable = false}, SHIFT(985),
  [3013] = {.count = 1, .reusable = true}, SHIFT(985),
  [3015] = {.count = 1, .reusable = true}, SHIFT(323),
  [3017] = {.count = 1, .reusable = false}, SHIFT(1000),
  [3019] = {.count = 1, .reusable = true}, SHIFT(1000),
  [3021] = {.count = 1, .reusable = true}, SHIFT(328),
  [3023] = {.count = 1, .reusable = true}, SHIFT(310),
  [3025] = {.count = 1, .reusable = true}, SHIFT(309),
  [3027] = {.count = 1, .reusable = true}, SHIFT(308),
  [3029] = {.count = 1, .reusable = true}, SHIFT(305),
  [3031] = {.count = 1, .reusable = false}, SHIFT(915),
  [3033] = {.count = 1, .reusable = true}, SHIFT(915),
  [3035] = {.count = 1, .reusable = true}, SHIFT(307),
  [3037] = {.count = 1, .reusable = false}, SHIFT(916),
  [3039] = {.count = 1, .reusable = true}, SHIFT(916),
  [3041] = {.count = 1, .reusable = true}, SHIFT(304),
  [3043] = {.count = 1, .reusable = false}, SHIFT(917),
  [3045] = {.count = 1, .reusable = true}, SHIFT(917),
  [3047] = {.count = 1, .reusable = false}, SHIFT(939),
  [3049] = {.count = 1, .reusable = true}, SHIFT(939),
  [3051] = {.count = 1, .reusable = true}, SHIFT(1755),
  [3053] = {.count = 1, .reusable = false}, SHIFT(940),
  [3055] = {.count = 1, .reusable = true}, SHIFT(940),
  [3057] = {.count = 1, .reusable = true}, SHIFT(1758),
  [3059] = {.count = 1, .reusable = false}, SHIFT(948),
  [3061] = {.count = 1, .reusable = true}, SHIFT(948),
  [3063] = {.count = 1, .reusable = true}, SHIFT(1750),
  [3065] = {.count = 1, .reusable = true}, SHIFT(1748),
  [3067] = {.count = 1, .reusable = true}, SHIFT(1627),
  [3069] = {.count = 1, .reusable = true}, SHIFT(1626),
  [3071] = {.count = 1, .reusable = true}, SHIFT(1625),
  [3073] = {.count = 1, .reusable = true}, SHIFT(1621),
  [3075] = {.count = 1, .reusable = false}, SHIFT(941),
  [3077] = {.count = 1, .reusable = true}, SHIFT(941),
  [3079] = {.count = 1, .reusable = true}, SHIFT(1624),
  [3081] = {.count = 1, .reusable = false}, SHIFT(942),
  [3083] = {.count = 1, .reusable = true}, SHIFT(942),
  [3085] = {.count = 1, .reusable = true}, SHIFT(1747),
  [3087] = {.count = 1, .reusable = true}, SHIFT(1620),
  [3089] = {.count = 1, .reusable = false}, SHIFT(943),
  [3091] = {.count = 1, .reusable = true}, SHIFT(943),
  [3093] = {.count = 1, .reusable = false}, SHIFT(1571),
  [3095] = {.count = 1, .reusable = true}, SHIFT(2279),
  [3097] = {.count = 1, .reusable = true}, SHIFT(1286),
  [3099] = {.count = 1, .reusable = false}, SHIFT(1273),
  [3101] = {.count = 1, .reusable = false}, SHIFT(1970),
  [3103] = {.count = 1, .reusable = true}, SHIFT(1572),
  [3105] = {.count = 1, .reusable = true}, SHIFT(1571),
  [3107] = {.count = 1, .reusable = true}, SHIFT(2084),
  [3109] = {.count = 1, .reusable = true}, SHIFT(92),
  [3111] = {.count = 1, .reusable = true}, SHIFT(93),
  [3113] = {.count = 1, .reusable = true}, SHIFT(95),
  [3115] = {.count = 1, .reusable = true}, SHIFT(1273),
  [3117] = {.count = 1, .reusable = true}, SHIFT(1516),
  [3119] = {.count = 1, .reusable = false}, SHIFT(980),
  [3121] = {.count = 1, .reusable = true}, SHIFT(980),
  [3123] = {.count = 1, .reusable = true}, SHIFT(1451),
  [3125] = {.count = 1, .reusable = true}, SHIFT(1455),
  [3127] = {.count = 1, .reusable = true}, SHIFT(1459),
  [3129] = {.count = 1, .reusable = true}, SHIFT(1478),
  [3131] = {.count = 1, .reusable = false}, SHIFT(963),
  [3133] = {.count = 1, .reusable = true}, SHIFT(963),
  [3135] = {.count = 1, .reusable = true}, SHIFT(1463),
  [3137] = {.count = 1, .reusable = false}, SHIFT(964),
  [3139] = {.count = 1, .reusable = true}, SHIFT(964),
  [3141] = {.count = 1, .reusable = true}, SHIFT(1512),
  [3143] = {.count = 1, .reusable = false}, SHIFT(981),
  [3145] = {.count = 1, .reusable = true}, SHIFT(981),
  [3147] = {.count = 1, .reusable = true}, SHIFT(1496),
  [3149] = {.count = 1, .reusable = false}, SHIFT(965),
  [3151] = {.count = 1, .reusable = true}, SHIFT(965),
  [3153] = {.count = 1, .reusable = true}, SHIFT(1515),
  [3155] = {.count = 1, .reusable = false}, SHIFT(984),
  [3157] = {.count = 1, .reusable = true}, SHIFT(984),
  [3159] = {.count = 1, .reusable = true}, SHIFT(1509),
  [3161] = {.count = 1, .reusable = true}, SHIFT(1508),
  [3163] = {.count = 1, .reusable = true}, SHIFT(1506),
  [3165] = {.count = 1, .reusable = true}, SHIFT(349),
  [3167] = {.count = 1, .reusable = true}, SHIFT(2287),
  [3169] = {.count = 1, .reusable = true}, SHIFT(537),
  [3171] = {.count = 1, .reusable = true}, SHIFT(534),
  [3173] = {.count = 1, .reusable = true}, SHIFT(533),
  [3175] = {.count = 1, .reusable = true}, SHIFT(524),
  [3177] = {.count = 1, .reusable = false}, SHIFT(988),
  [3179] = {.count = 1, .reusable = true}, SHIFT(988),
  [3181] = {.count = 1, .reusable = true}, SHIFT(531),
  [3183] = {.count = 1, .reusable = false}, SHIFT(989),
  [3185] = {.count = 1, .reusable = true}, SHIFT(989),
  [3187] = {.count = 1, .reusable = true}, SHIFT(517),
  [3189] = {.count = 1, .reusable = false}, SHIFT(990),
  [3191] = {.count = 1, .reusable = true}, SHIFT(990),
  [3193] = {.count = 1, .reusable = true}, SHIFT(350),
  [3195] = {.count = 1, .reusable = true}, SHIFT(1966),
  [3197] = {.count = 1, .reusable = false}, SHIFT(1013),
  [3199] = {.count = 1, .reusable = true}, SHIFT(1013),
  [3201] = {.count = 1, .reusable = true}, SHIFT(1963),
  [3203] = {.count = 1, .reusable = false}, SHIFT(1014),
  [3205] = {.count = 1, .reusable = true}, SHIFT(1014),
  [3207] = {.count = 1, .reusable = true}, SHIFT(1965),
  [3209] = {.count = 1, .reusable = false}, SHIFT(1015),
  [3211] = {.count = 1, .reusable = true}, SHIFT(1015),
  [3213] = {.count = 1, .reusable = true}, SHIFT(1962),
  [3215] = {.count = 1, .reusable = true}, SHIFT(1960),
  [3217] = {.count = 1, .reusable = true}, SHIFT(1959),
  [3219] = {.count = 1, .reusable = true}, SHIFT(2181),
  [3221] = {.count = 1, .reusable = true}, SHIFT(2182),
  [3223] = {.count = 1, .reusable = true}, SHIFT(2185),
  [3225] = {.count = 1, .reusable = true}, SHIFT(2183),
  [3227] = {.count = 1, .reusable = false}, SHIFT(1016),
  [3229] = {.count = 1, .reusable = true}, SHIFT(1016),
  [3231] = {.count = 1, .reusable = true}, SHIFT(2188),
  [3233] = {.count = 1, .reusable = false}, SHIFT(1017),
  [3235] = {.count = 1, .reusable = true}, SHIFT(1017),
  [3237] = {.count = 1, .reusable = true}, SHIFT(2190),
  [3239] = {.count = 1, .reusable = false}, SHIFT(1018),
  [3241] = {.count = 1, .reusable = true}, SHIFT(1018),
  [3243] = {.count = 1, .reusable = true}, SHIFT(1923),
  [3245] = {.count = 1, .reusable = false}, SHIFT(1041),
  [3247] = {.count = 1, .reusable = true}, SHIFT(1041),
  [3249] = {.count = 1, .reusable = true}, SHIFT(1927),
  [3251] = {.count = 1, .reusable = false}, SHIFT(1042),
  [3253] = {.count = 1, .reusable = true}, SHIFT(1042),
  [3255] = {.count = 1, .reusable = true}, SHIFT(1924),
  [3257] = {.count = 1, .reusable = false}, SHIFT(1043),
  [3259] = {.count = 1, .reusable = true}, SHIFT(1043),
  [3261] = {.count = 1, .reusable = true}, SHIFT(1929),
  [3263] = {.count = 1, .reusable = true}, SHIFT(1931),
  [3265] = {.count = 1, .reusable = true}, SHIFT(1934),
  [3267] = {.count = 1, .reusable = true}, SHIFT(1409),
  [3269] = {.count = 1, .reusable = true}, SHIFT(1411),
  [3271] = {.count = 1, .reusable = true}, SHIFT(1412),
  [3273] = {.count = 1, .reusable = true}, SHIFT(1415),
  [3275] = {.count = 1, .reusable = false}, SHIFT(1044),
  [3277] = {.count = 1, .reusable = true}, SHIFT(1044),
  [3279] = {.count = 1, .reusable = true}, SHIFT(1413),
  [3281] = {.count = 1, .reusable = false}, SHIFT(1045),
  [3283] = {.count = 1, .reusable = true}, SHIFT(1045),
  [3285] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1553),
  [3288] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2),
  [3290] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1052),
  [3293] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1956),
  [3296] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1564),
  [3299] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2175),
  [3302] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1553),
  [3305] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1052),
  [3308] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2046),
  [3311] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(63),
  [3314] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(62),
  [3317] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(70),
  [3320] = {.count = 1, .reusable = true}, SHIFT(1420),
  [3322] = {.count = 1, .reusable = false}, SHIFT(1046),
  [3324] = {.count = 1, .reusable = true}, SHIFT(1046),
  [3326] = {.count = 1, .reusable = true}, SHIFT(298),
  [3328] = {.count = 1, .reusable = false}, SHIFT(914),
  [3330] = {.count = 1, .reusable = true}, SHIFT(914),
  [3332] = {.count = 1, .reusable = true}, SHIFT(650),
  [3334] = {.count = 1, .reusable = false}, SHIFT(1082),
  [3336] = {.count = 1, .reusable = true}, SHIFT(1082),
  [3338] = {.count = 1, .reusable = true}, SHIFT(646),
  [3340] = {.count = 1, .reusable = false}, SHIFT(1087),
  [3342] = {.count = 1, .reusable = true}, SHIFT(1087),
  [3344] = {.count = 1, .reusable = true}, SHIFT(583),
  [3346] = {.count = 1, .reusable = true}, SHIFT(585),
  [3348] = {.count = 1, .reusable = true}, SHIFT(586),
  [3350] = {.count = 1, .reusable = true}, SHIFT(590),
  [3352] = {.count = 1, .reusable = false}, SHIFT(1073),
  [3354] = {.count = 1, .reusable = true}, SHIFT(1073),
  [3356] = {.count = 1, .reusable = true}, SHIFT(588),
  [3358] = {.count = 1, .reusable = false}, SHIFT(1074),
  [3360] = {.count = 1, .reusable = true}, SHIFT(1074),
  [3362] = {.count = 1, .reusable = true}, SHIFT(649),
  [3364] = {.count = 1, .reusable = false}, SHIFT(1088),
  [3366] = {.count = 1, .reusable = true}, SHIFT(1088),
  [3368] = {.count = 1, .reusable = true}, SHIFT(645),
  [3370] = {.count = 1, .reusable = false}, SHIFT(1075),
  [3372] = {.count = 1, .reusable = true}, SHIFT(1075),
  [3374] = {.count = 1, .reusable = true}, SHIFT(643),
  [3376] = {.count = 1, .reusable = true}, SHIFT(642),
  [3378] = {.count = 1, .reusable = true}, SHIFT(1357),
  [3380] = {.count = 1, .reusable = false}, SHIFT(1114),
  [3382] = {.count = 1, .reusable = true}, SHIFT(1114),
  [3384] = {.count = 1, .reusable = true}, SHIFT(1360),
  [3386] = {.count = 1, .reusable = false}, SHIFT(1115),
  [3388] = {.count = 1, .reusable = true}, SHIFT(1115),
  [3390] = {.count = 1, .reusable = true}, SHIFT(320),
  [3392] = {.count = 1, .reusable = true}, SHIFT(321),
  [3394] = {.count = 1, .reusable = true}, SHIFT(322),
  [3396] = {.count = 1, .reusable = true}, SHIFT(329),
  [3398] = {.count = 1, .reusable = false}, SHIFT(1099),
  [3400] = {.count = 1, .reusable = true}, SHIFT(1099),
  [3402] = {.count = 1, .reusable = true}, SHIFT(326),
  [3404] = {.count = 1, .reusable = false}, SHIFT(1100),
  [3406] = {.count = 1, .reusable = true}, SHIFT(1100),
  [3408] = {.count = 1, .reusable = true}, SHIFT(1358),
  [3410] = {.count = 1, .reusable = false}, SHIFT(1116),
  [3412] = {.count = 1, .reusable = true}, SHIFT(1116),
  [3414] = {.count = 1, .reusable = true}, SHIFT(330),
  [3416] = {.count = 1, .reusable = false}, SHIFT(1101),
  [3418] = {.count = 1, .reusable = true}, SHIFT(1101),
  [3420] = {.count = 1, .reusable = true}, SHIFT(1361),
  [3422] = {.count = 1, .reusable = true}, SHIFT(1362),
  [3424] = {.count = 1, .reusable = true}, SHIFT(1363),
  [3426] = {.count = 1, .reusable = true}, SHIFT(1804),
  [3428] = {.count = 1, .reusable = true}, SHIFT(1801),
  [3430] = {.count = 1, .reusable = true}, SHIFT(1799),
  [3432] = {.count = 1, .reusable = true}, SHIFT(1796),
  [3434] = {.count = 1, .reusable = false}, SHIFT(1122),
  [3436] = {.count = 1, .reusable = true}, SHIFT(1122),
  [3438] = {.count = 1, .reusable = true}, SHIFT(1798),
  [3440] = {.count = 1, .reusable = false}, SHIFT(1123),
  [3442] = {.count = 1, .reusable = true}, SHIFT(1123),
  [3444] = {.count = 1, .reusable = true}, SHIFT(2524),
  [3446] = {.count = 1, .reusable = false}, SHIFT(1144),
  [3448] = {.count = 1, .reusable = true}, SHIFT(1144),
  [3450] = {.count = 1, .reusable = true}, SHIFT(1795),
  [3452] = {.count = 1, .reusable = false}, SHIFT(1124),
  [3454] = {.count = 1, .reusable = true}, SHIFT(1124),
  [3456] = {.count = 1, .reusable = true}, SHIFT(2521),
  [3458] = {.count = 1, .reusable = false}, SHIFT(1145),
  [3460] = {.count = 1, .reusable = true}, SHIFT(1145),
  [3462] = {.count = 1, .reusable = true}, SHIFT(2523),
  [3464] = {.count = 1, .reusable = false}, SHIFT(1146),
  [3466] = {.count = 1, .reusable = true}, SHIFT(1146),
  [3468] = {.count = 1, .reusable = true}, SHIFT(2520),
  [3470] = {.count = 1, .reusable = true}, SHIFT(2516),
  [3472] = {.count = 1, .reusable = true}, SHIFT(2515),
  [3474] = {.count = 1, .reusable = true}, SHIFT(2242),
  [3476] = {.count = 1, .reusable = true}, SHIFT(2221),
  [3478] = {.count = 1, .reusable = true}, SHIFT(2257),
  [3480] = {.count = 1, .reusable = true}, SHIFT(2255),
  [3482] = {.count = 1, .reusable = false}, SHIFT(1147),
  [3484] = {.count = 1, .reusable = true}, SHIFT(1147),
  [3486] = {.count = 1, .reusable = true}, SHIFT(2217),
  [3488] = {.count = 1, .reusable = false}, SHIFT(1148),
  [3490] = {.count = 1, .reusable = true}, SHIFT(1148),
  [3492] = {.count = 1, .reusable = true}, SHIFT(2278),
  [3494] = {.count = 1, .reusable = true}, SHIFT(2253),
  [3496] = {.count = 1, .reusable = false}, SHIFT(1149),
  [3498] = {.count = 1, .reusable = true}, SHIFT(1149),
  [3500] = {.count = 1, .reusable = true}, SHIFT(2243),
  [3502] = {.count = 1, .reusable = false}, SHIFT(1180),
  [3504] = {.count = 1, .reusable = true}, SHIFT(1180),
  [3506] = {.count = 1, .reusable = true}, SHIFT(2235),
  [3508] = {.count = 1, .reusable = false}, SHIFT(1186),
  [3510] = {.count = 1, .reusable = true}, SHIFT(1186),
  [3512] = {.count = 1, .reusable = true}, SHIFT(390),
  [3514] = {.count = 1, .reusable = true}, SHIFT(392),
  [3516] = {.count = 1, .reusable = true}, SHIFT(393),
  [3518] = {.count = 1, .reusable = true}, SHIFT(396),
  [3520] = {.count = 1, .reusable = false}, SHIFT(1171),
  [3522] = {.count = 1, .reusable = true}, SHIFT(1171),
  [3524] = {.count = 1, .reusable = true}, SHIFT(394),
  [3526] = {.count = 1, .reusable = false}, SHIFT(1172),
  [3528] = {.count = 1, .reusable = true}, SHIFT(1172),
  [3530] = {.count = 1, .reusable = true}, SHIFT(2240),
  [3532] = {.count = 1, .reusable = false}, SHIFT(1187),
  [3534] = {.count = 1, .reusable = true}, SHIFT(1187),
  [3536] = {.count = 1, .reusable = true}, SHIFT(2234),
  [3538] = {.count = 1, .reusable = true}, SHIFT(397),
  [3540] = {.count = 1, .reusable = false}, SHIFT(1173),
  [3542] = {.count = 1, .reusable = true}, SHIFT(1173),
  [3544] = {.count = 1, .reusable = true}, SHIFT(2233),
  [3546] = {.count = 1, .reusable = true}, SHIFT(2230),
  [3548] = {.count = 1, .reusable = true}, SHIFT(417),
  [3550] = {.count = 1, .reusable = false}, SHIFT(1203),
  [3552] = {.count = 1, .reusable = true}, SHIFT(1203),
  [3554] = {.count = 1, .reusable = true}, SHIFT(430),
  [3556] = {.count = 1, .reusable = false}, SHIFT(1204),
  [3558] = {.count = 1, .reusable = true}, SHIFT(1204),
  [3560] = {.count = 1, .reusable = true}, SHIFT(1701),
  [3562] = {.count = 1, .reusable = true}, SHIFT(1702),
  [3564] = {.count = 1, .reusable = true}, SHIFT(419),
  [3566] = {.count = 1, .reusable = false}, SHIFT(1210),
  [3568] = {.count = 1, .reusable = true}, SHIFT(1210),
  [3570] = {.count = 1, .reusable = true}, SHIFT(431),
  [3572] = {.count = 1, .reusable = true}, SHIFT(432),
  [3574] = {.count = 1, .reusable = true}, SHIFT(1706),
  [3576] = {.count = 1, .reusable = true}, SHIFT(1710),
  [3578] = {.count = 1, .reusable = false}, SHIFT(1198),
  [3580] = {.count = 1, .reusable = true}, SHIFT(1198),
  [3582] = {.count = 1, .reusable = true}, SHIFT(1708),
  [3584] = {.count = 1, .reusable = false}, SHIFT(1199),
  [3586] = {.count = 1, .reusable = true}, SHIFT(1199),
  [3588] = {.count = 1, .reusable = true}, SHIFT(433),
  [3590] = {.count = 1, .reusable = true}, SHIFT(1717),
  [3592] = {.count = 1, .reusable = false}, SHIFT(1205),
  [3594] = {.count = 1, .reusable = true}, SHIFT(1205),
  [3596] = {.count = 1, .reusable = true}, SHIFT(462),
  [3598] = {.count = 1, .reusable = false}, SHIFT(1231),
  [3600] = {.count = 1, .reusable = true}, SHIFT(1231),
  [3602] = {.count = 1, .reusable = false}, SHIFT(1606),
  [3604] = {.count = 1, .reusable = true}, SHIFT(1272),
  [3606] = {.count = 1, .reusable = false}, SHIFT(1285),
  [3608] = {.count = 1, .reusable = false}, SHIFT(2005),
  [3610] = {.count = 1, .reusable = true}, SHIFT(1540),
  [3612] = {.count = 1, .reusable = true}, SHIFT(1606),
  [3614] = {.count = 1, .reusable = true}, SHIFT(2019),
  [3616] = {.count = 1, .reusable = true}, SHIFT(36),
  [3618] = {.count = 1, .reusable = true}, SHIFT(38),
  [3620] = {.count = 1, .reusable = true}, SHIFT(40),
  [3622] = {.count = 1, .reusable = true}, SHIFT(1285),
  [3624] = {.count = 1, .reusable = true}, SHIFT(1841),
  [3626] = {.count = 1, .reusable = true}, SHIFT(465),
  [3628] = {.count = 1, .reusable = false}, SHIFT(1232),
  [3630] = {.count = 1, .reusable = true}, SHIFT(1232),
  [3632] = {.count = 1, .reusable = true}, SHIFT(463),
  [3634] = {.count = 1, .reusable = false}, SHIFT(1233),
  [3636] = {.count = 1, .reusable = true}, SHIFT(1233),
  [3638] = {.count = 1, .reusable = false}, SHIFT(1277),
  [3640] = {.count = 1, .reusable = true}, SHIFT(1557),
  [3642] = {.count = 1, .reusable = true}, SHIFT(1277),
  [3644] = {.count = 1, .reusable = true}, SHIFT(1787),
  [3646] = {.count = 1, .reusable = true}, SHIFT(467),
  [3648] = {.count = 1, .reusable = true}, SHIFT(468),
  [3650] = {.count = 1, .reusable = true}, SHIFT(469),
  [3652] = {.count = 1, .reusable = true}, SHIFT(493),
  [3654] = {.count = 1, .reusable = false}, SHIFT(1248),
  [3656] = {.count = 1, .reusable = true}, SHIFT(1248),
  [3658] = {.count = 1, .reusable = true}, SHIFT(490),
  [3660] = {.count = 1, .reusable = false}, SHIFT(1249),
  [3662] = {.count = 1, .reusable = true}, SHIFT(1249),
  [3664] = {.count = 1, .reusable = true}, SHIFT(1287),
  [3666] = {.count = 1, .reusable = true}, SHIFT(1318),
  [3668] = {.count = 1, .reusable = true}, SHIFT(2143),
  [3670] = {.count = 1, .reusable = true}, SHIFT(1338),
  [3672] = {.count = 1, .reusable = true}, SHIFT(2080),
  [3674] = {.count = 1, .reusable = true}, SHIFT(87),
  [3676] = {.count = 1, .reusable = true}, SHIFT(86),
  [3678] = {.count = 1, .reusable = true}, SHIFT(88),
  [3680] = {.count = 1, .reusable = true}, SHIFT(1283),
  [3682] = {.count = 1, .reusable = true}, SHIFT(1544),
  [3684] = {.count = 1, .reusable = true}, SHIFT(492),
  [3686] = {.count = 1, .reusable = false}, SHIFT(1251),
  [3688] = {.count = 1, .reusable = true}, SHIFT(1251),
  [3690] = {.count = 1, .reusable = true}, SHIFT(488),
  [3692] = {.count = 1, .reusable = true}, SHIFT(487),
  [3694] = {.count = 1, .reusable = true}, SHIFT(486),
  [3696] = {.count = 1, .reusable = false}, SHIFT(1651),
  [3698] = {.count = 1, .reusable = true}, SHIFT(1280),
  [3700] = {.count = 1, .reusable = false}, SHIFT(1290),
  [3702] = {.count = 1, .reusable = false}, SHIFT(1961),
  [3704] = {.count = 1, .reusable = true}, SHIFT(1542),
  [3706] = {.count = 1, .reusable = true}, SHIFT(1651),
  [3708] = {.count = 1, .reusable = true}, SHIFT(2055),
  [3710] = {.count = 1, .reusable = true}, SHIFT(82),
  [3712] = {.count = 1, .reusable = true}, SHIFT(81),
  [3714] = {.count = 1, .reusable = true}, SHIFT(85),
  [3716] = {.count = 1, .reusable = true}, SHIFT(1290),
  [3718] = {.count = 1, .reusable = true}, SHIFT(1843),
  [3720] = {.count = 1, .reusable = true}, SHIFT(522),
  [3722] = {.count = 1, .reusable = false}, SHIFT(1265),
  [3724] = {.count = 1, .reusable = true}, SHIFT(1265),
  [3726] = {.count = 1, .reusable = true}, SHIFT(530),
  [3728] = {.count = 1, .reusable = false}, SHIFT(1267),
  [3730] = {.count = 1, .reusable = true}, SHIFT(1267),
  [3732] = {.count = 1, .reusable = true}, SHIFT(2275),
  [3734] = {.count = 1, .reusable = true}, SHIFT(523),
  [3736] = {.count = 1, .reusable = false}, SHIFT(1268),
  [3738] = {.count = 1, .reusable = true}, SHIFT(1268),
  [3740] = {.count = 1, .reusable = true}, SHIFT(536),
  [3742] = {.count = 1, .reusable = true}, SHIFT(2280),
  [3744] = {.count = 1, .reusable = true}, SHIFT(542),
  [3746] = {.count = 1, .reusable = true}, SHIFT(543),
  [3748] = {.count = 1, .reusable = true}, SHIFT(2281),
  [3750] = {.count = 1, .reusable = false}, SHIFT(1784),
  [3752] = {.count = 1, .reusable = true}, SHIFT(1684),
  [3754] = {.count = 1, .reusable = true}, SHIFT(1784),
  [3756] = {.count = 1, .reusable = false}, SHIFT(1781),
  [3758] = {.count = 1, .reusable = false}, SHIFT(1945),
  [3760] = {.count = 1, .reusable = false}, SHIFT(2103),
  [3762] = {.count = 1, .reusable = false}, SHIFT(1926),
  [3764] = {.count = 1, .reusable = false}, SHIFT(1944),
  [3766] = {.count = 1, .reusable = true}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3768] = {.count = 1, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3770] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1816),
  [3773] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2581),
  [3776] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1832),
  [3779] = {.count = 2, .reusable = true}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2191),
  [3782] = {.count = 1, .reusable = true}, REDUCE(sym_redirected_statement, 2),
  [3784] = {.count = 1, .reusable = false}, REDUCE(sym_redirected_statement, 2),
  [3786] = {.count = 1, .reusable = false}, SHIFT(1816),
  [3788] = {.count = 1, .reusable = true}, SHIFT(2191),
  [3790] = {.count = 1, .reusable = true}, REDUCE(sym_file_redirect, 2, .production_id = 2),
  [3792] = {.count = 1, .reusable = false}, REDUCE(sym_file_redirect, 2, .production_id = 2),
  [3794] = {.count = 1, .reusable = false}, SHIFT(1367),
  [3796] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1367),
  [3799] = {.count = 1, .reusable = true}, SHIFT(1905),
  [3801] = {.count = 1, .reusable = false}, SHIFT(1916),
  [3803] = {.count = 1, .reusable = true}, SHIFT(2492),
  [3805] = {.count = 1, .reusable = false}, SHIFT(2492),
  [3807] = {.count = 1, .reusable = false}, SHIFT(1987),
  [3809] = {.count = 1, .reusable = false}, SHIFT(1901),
  [3811] = {.count = 1, .reusable = false}, SHIFT(2058),
  [3813] = {.count = 1, .reusable = false}, SHIFT(53),
  [3815] = {.count = 1, .reusable = false}, SHIFT(52),
  [3817] = {.count = 1, .reusable = false}, SHIFT(54),
  [3819] = {.count = 1, .reusable = true}, REDUCE(aux_sym_command_repeat1, 2),
  [3821] = {.count = 2, .reusable = false}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1807),
  [3824] = {.count = 2, .reusable = true}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1807),
  [3827] = {.count = 1, .reusable = false}, REDUCE(aux_sym_command_repeat1, 2),
  [3829] = {.count = 2, .reusable = true}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2200),
  [3832] = {.count = 2, .reusable = true}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2355),
  [3835] = {.count = 1, .reusable = false}, SHIFT(1834),
  [3837] = {.count = 1, .reusable = true}, SHIFT(2202),
  [3839] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1905),
  [3842] = {.count = 1, .reusable = false}, SHIFT(1811),
  [3844] = {.count = 1, .reusable = true}, SHIFT(2186),
  [3846] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1916),
  [3849] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3851] = {.count = 1, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3853] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1987),
  [3856] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1901),
  [3859] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2103),
  [3862] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2058),
  [3865] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(53),
  [3868] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(52),
  [3871] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(54),
  [3874] = {.count = 1, .reusable = true}, SHIFT(2479),
  [3876] = {.count = 1, .reusable = false}, SHIFT(2479),
  [3878] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1811),
  [3881] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1810),
  [3884] = {.count = 2, .reusable = true}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2186),
  [3887] = {.count = 1, .reusable = true}, REDUCE(sym_file_redirect, 3, .production_id = 4),
  [3889] = {.count = 1, .reusable = false}, REDUCE(sym_file_redirect, 3, .production_id = 4),
  [3891] = {.count = 1, .reusable = true}, SHIFT(1886),
  [3893] = {.count = 1, .reusable = true}, REDUCE(sym_herestring_redirect, 2, .production_id = 2),
  [3895] = {.count = 1, .reusable = false}, REDUCE(sym_herestring_redirect, 2, .production_id = 2),
  [3897] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1834),
  [3900] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2598),
  [3903] = {.count = 2, .reusable = false}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1831),
  [3906] = {.count = 2, .reusable = true}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2202),
  [3909] = {.count = 1, .reusable = true}, SHIFT(1875),
  [3911] = {.count = 1, .reusable = true}, REDUCE(sym_file_redirect, 2),
  [3913] = {.count = 1, .reusable = false}, REDUCE(sym_file_redirect, 2),
  [3915] = {.count = 1, .reusable = true}, SHIFT(1906),
  [3917] = {.count = 1, .reusable = true}, REDUCE(sym_file_redirect, 3),
  [3919] = {.count = 1, .reusable = false}, REDUCE(sym_file_redirect, 3),
  [3921] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1436),
  [3924] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [3926] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1, .production_id = 1),
  [3928] = {.count = 1, .reusable = false}, SHIFT(1436),
  [3930] = {.count = 1, .reusable = false}, SHIFT(2284),
  [3932] = {.count = 1, .reusable = false}, SHIFT(1460),
  [3934] = {.count = 1, .reusable = true}, SHIFT(2285),
  [3936] = {.count = 1, .reusable = true}, SHIFT(2284),
  [3938] = {.count = 1, .reusable = false}, SHIFT(1483),
  [3940] = {.count = 1, .reusable = false}, SHIFT(1604),
  [3942] = {.count = 1, .reusable = true}, REDUCE(sym_herestring_redirect, 2),
  [3944] = {.count = 1, .reusable = false}, REDUCE(sym_herestring_redirect, 2),
  [3946] = {.count = 1, .reusable = false}, SHIFT(1428),
  [3948] = {.count = 1, .reusable = false}, SHIFT(1422),
  [3950] = {.count = 1, .reusable = true}, SHIFT(1894),
  [3952] = {.count = 1, .reusable = true}, SHIFT(1904),
  [3954] = {.count = 1, .reusable = false}, SHIFT(1635),
  [3956] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1886),
  [3959] = {.count = 1, .reusable = false}, SHIFT(1647),
  [3961] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1906),
  [3964] = {.count = 1, .reusable = true}, SHIFT(1907),
  [3966] = {.count = 1, .reusable = false}, SHIFT(1729),
  [3968] = {.count = 1, .reusable = true}, SHIFT(346),
  [3970] = {.count = 1, .reusable = true}, SHIFT(1536),
  [3972] = {.count = 1, .reusable = false}, SHIFT(1958),
  [3974] = {.count = 1, .reusable = true}, SHIFT(276),
  [3976] = {.count = 1, .reusable = true}, SHIFT(2108),
  [3978] = {.count = 1, .reusable = true}, SHIFT(2078),
  [3980] = {.count = 1, .reusable = true}, SHIFT(73),
  [3982] = {.count = 1, .reusable = true}, SHIFT(78),
  [3984] = {.count = 1, .reusable = true}, SHIFT(25),
  [3986] = {.count = 1, .reusable = true}, SHIFT(664),
  [3988] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 4),
  [3990] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 4),
  [3992] = {.count = 1, .reusable = true}, SHIFT(258),
  [3994] = {.count = 1, .reusable = true}, SHIFT(1587),
  [3996] = {.count = 1, .reusable = true}, SHIFT(266),
  [3998] = {.count = 1, .reusable = true}, SHIFT(2155),
  [4000] = {.count = 1, .reusable = true}, SHIFT(2011),
  [4002] = {.count = 1, .reusable = true}, SHIFT(79),
  [4004] = {.count = 1, .reusable = true}, SHIFT(77),
  [4006] = {.count = 1, .reusable = true}, SHIFT(80),
  [4008] = {.count = 1, .reusable = true}, SHIFT(608),
  [4010] = {.count = 1, .reusable = true}, SHIFT(1909),
  [4012] = {.count = 2, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1597),
  [4015] = {.count = 1, .reusable = true}, REDUCE(sym_compound_statement, 2),
  [4017] = {.count = 1, .reusable = false}, REDUCE(sym_compound_statement, 2),
  [4019] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 4),
  [4021] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 4),
  [4023] = {.count = 1, .reusable = true}, REDUCE(sym_do_group, 2),
  [4025] = {.count = 1, .reusable = false}, REDUCE(sym_do_group, 2),
  [4027] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1907),
  [4030] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 4),
  [4032] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 4),
  [4034] = {.count = 1, .reusable = true}, REDUCE(sym_negated_command, 2),
  [4036] = {.count = 1, .reusable = false}, REDUCE(sym_negated_command, 2),
  [4038] = {.count = 1, .reusable = false}, SHIFT(1501),
  [4040] = {.count = 1, .reusable = true}, REDUCE(sym_heredoc_redirect, 2),
  [4042] = {.count = 1, .reusable = false}, REDUCE(sym_heredoc_redirect, 2),
  [4044] = {.count = 1, .reusable = true}, SHIFT(368),
  [4046] = {.count = 1, .reusable = true}, SHIFT(1545),
  [4048] = {.count = 1, .reusable = false}, SHIFT(1977),
  [4050] = {.count = 1, .reusable = true}, SHIFT(277),
  [4052] = {.count = 1, .reusable = true}, SHIFT(2170),
  [4054] = {.count = 1, .reusable = true}, SHIFT(2076),
  [4056] = {.count = 1, .reusable = true}, SHIFT(94),
  [4058] = {.count = 1, .reusable = true}, SHIFT(89),
  [4060] = {.count = 1, .reusable = true}, SHIFT(17),
  [4062] = {.count = 1, .reusable = true}, SHIFT(662),
  [4064] = {.count = 1, .reusable = true}, SHIFT(234),
  [4066] = {.count = 1, .reusable = true}, SHIFT(1579),
  [4068] = {.count = 1, .reusable = true}, SHIFT(261),
  [4070] = {.count = 1, .reusable = true}, SHIFT(2123),
  [4072] = {.count = 1, .reusable = true}, SHIFT(2017),
  [4074] = {.count = 1, .reusable = true}, SHIFT(65),
  [4076] = {.count = 1, .reusable = true}, SHIFT(66),
  [4078] = {.count = 1, .reusable = true}, SHIFT(67),
  [4080] = {.count = 1, .reusable = true}, SHIFT(652),
  [4082] = {.count = 1, .reusable = true}, SHIFT(429),
  [4084] = {.count = 1, .reusable = true}, SHIFT(1498),
  [4086] = {.count = 1, .reusable = false}, SHIFT(1991),
  [4088] = {.count = 1, .reusable = true}, SHIFT(360),
  [4090] = {.count = 1, .reusable = true}, SHIFT(2142),
  [4092] = {.count = 1, .reusable = true}, SHIFT(2041),
  [4094] = {.count = 1, .reusable = true}, SHIFT(50),
  [4096] = {.count = 1, .reusable = true}, SHIFT(49),
  [4098] = {.count = 1, .reusable = true}, SHIFT(51),
  [4100] = {.count = 1, .reusable = true}, SHIFT(675),
  [4102] = {.count = 1, .reusable = true}, REDUCE(sym_do_group, 3),
  [4104] = {.count = 1, .reusable = false}, REDUCE(sym_do_group, 3),
  [4106] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5),
  [4108] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5),
  [4110] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 5),
  [4112] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 5),
  [4114] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 5, .production_id = 2),
  [4116] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 5, .production_id = 2),
  [4118] = {.count = 1, .reusable = true}, SHIFT(1597),
  [4120] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 5),
  [4122] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 5),
  [4124] = {.count = 1, .reusable = false}, SHIFT(1989),
  [4126] = {.count = 1, .reusable = true}, SHIFT(2117),
  [4128] = {.count = 1, .reusable = true}, SHIFT(2003),
  [4130] = {.count = 1, .reusable = true}, SHIFT(1989),
  [4132] = {.count = 1, .reusable = false}, SHIFT(1986),
  [4134] = {.count = 1, .reusable = true}, REDUCE(sym_compound_statement, 3),
  [4136] = {.count = 1, .reusable = false}, REDUCE(sym_compound_statement, 3),
  [4138] = {.count = 1, .reusable = true}, REDUCE(sym_subshell, 3),
  [4140] = {.count = 1, .reusable = false}, REDUCE(sym_subshell, 3),
  [4142] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 3),
  [4144] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 3),
  [4146] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 3),
  [4148] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 3),
  [4150] = {.count = 1, .reusable = true}, SHIFT(1889),
  [4152] = {.count = 1, .reusable = true}, SHIFT(1495),
  [4154] = {.count = 1, .reusable = true}, SHIFT(1533),
  [4156] = {.count = 1, .reusable = false}, SHIFT(2002),
  [4158] = {.count = 1, .reusable = true}, SHIFT(1374),
  [4160] = {.count = 1, .reusable = true}, SHIFT(2030),
  [4162] = {.count = 1, .reusable = true}, SHIFT(84),
  [4164] = {.count = 1, .reusable = true}, SHIFT(68),
  [4166] = {.count = 1, .reusable = true}, SHIFT(101),
  [4168] = {.count = 1, .reusable = true}, SHIFT(1692),
  [4170] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 6),
  [4172] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 6),
  [4174] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6),
  [4176] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6),
  [4178] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6),
  [4180] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6),
  [4182] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 6, .production_id = 2),
  [4184] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 6, .production_id = 2),
  [4186] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 7),
  [4188] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 7),
  [4190] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 7),
  [4192] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 7),
  [4194] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 7),
  [4196] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 7),
  [4198] = {.count = 1, .reusable = true}, REDUCE(sym_test_command, 3),
  [4200] = {.count = 1, .reusable = false}, REDUCE(sym_test_command, 3),
  [4202] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 7, .production_id = 2),
  [4204] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 7, .production_id = 2),
  [4206] = {.count = 1, .reusable = true}, SHIFT(265),
  [4208] = {.count = 1, .reusable = true}, SHIFT(1519),
  [4210] = {.count = 1, .reusable = true}, SHIFT(246),
  [4212] = {.count = 1, .reusable = true}, SHIFT(2147),
  [4214] = {.count = 1, .reusable = true}, SHIFT(2068),
  [4216] = {.count = 1, .reusable = true}, SHIFT(27),
  [4218] = {.count = 1, .reusable = true}, SHIFT(26),
  [4220] = {.count = 1, .reusable = true}, SHIFT(35),
  [4222] = {.count = 1, .reusable = true}, SHIFT(610),
  [4224] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 8),
  [4226] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 8),
  [4228] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 8),
  [4230] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 8),
  [4232] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 8, .production_id = 2),
  [4234] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 8, .production_id = 2),
  [4236] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 9),
  [4238] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 9),
  [4240] = {.count = 1, .reusable = true}, REDUCE(sym_case_statement, 6),
  [4242] = {.count = 1, .reusable = false}, REDUCE(sym_case_statement, 6),
  [4244] = {.count = 1, .reusable = true}, REDUCE(sym_c_style_for_statement, 10),
  [4246] = {.count = 1, .reusable = false}, REDUCE(sym_c_style_for_statement, 10),
  [4248] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1501),
  [4251] = {.count = 1, .reusable = true}, SHIFT(1955),
  [4253] = {.count = 1, .reusable = true}, SHIFT(663),
  [4255] = {.count = 1, .reusable = false}, SHIFT(1985),
  [4257] = {.count = 1, .reusable = true}, SHIFT(1951),
  [4259] = {.count = 1, .reusable = true}, SHIFT(2081),
  [4261] = {.count = 1, .reusable = true}, SHIFT(56),
  [4263] = {.count = 1, .reusable = true}, SHIFT(55),
  [4265] = {.count = 1, .reusable = true}, SHIFT(57),
  [4267] = {.count = 1, .reusable = true}, SHIFT(501),
  [4269] = {.count = 1, .reusable = true}, SHIFT(409),
  [4271] = {.count = 1, .reusable = true}, SHIFT(1880),
  [4273] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 5),
  [4275] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 5),
  [4277] = {.count = 1, .reusable = true}, SHIFT(1716),
  [4279] = {.count = 1, .reusable = true}, SHIFT(454),
  [4281] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1918),
  [4284] = {.count = 1, .reusable = false}, REDUCE(sym_postfix_expression, 2),
  [4286] = {.count = 1, .reusable = true}, SHIFT(295),
  [4288] = {.count = 1, .reusable = true}, SHIFT(604),
  [4290] = {.count = 1, .reusable = true}, SHIFT(601),
  [4292] = {.count = 1, .reusable = true}, SHIFT(668),
  [4294] = {.count = 1, .reusable = true}, SHIFT(581),
  [4296] = {.count = 1, .reusable = true}, SHIFT(667),
  [4298] = {.count = 1, .reusable = true}, SHIFT(1344),
  [4300] = {.count = 1, .reusable = false}, SHIFT(1270),
  [4302] = {.count = 1, .reusable = false}, SHIFT(1244),
  [4304] = {.count = 1, .reusable = false}, SHIFT(1511),
  [4306] = {.count = 1, .reusable = true}, SHIFT(2543),
  [4308] = {.count = 1, .reusable = true}, SHIFT(422),
  [4310] = {.count = 1, .reusable = true}, SHIFT(386),
  [4312] = {.count = 1, .reusable = true}, SHIFT(595),
  [4314] = {.count = 1, .reusable = true}, SHIFT(1673),
  [4316] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [4318] = {.count = 1, .reusable = true}, SHIFT(673),
  [4320] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3),
  [4322] = {.count = 1, .reusable = true}, SHIFT(340),
  [4324] = {.count = 1, .reusable = true}, SHIFT(1891),
  [4326] = {.count = 1, .reusable = true}, SHIFT(1893),
  [4328] = {.count = 1, .reusable = true}, SHIFT(1869),
  [4330] = {.count = 1, .reusable = true}, SHIFT(1654),
  [4332] = {.count = 1, .reusable = true}, SHIFT(670),
  [4334] = {.count = 1, .reusable = false}, SHIFT(679),
  [4336] = {.count = 1, .reusable = true}, SHIFT(504),
  [4338] = {.count = 1, .reusable = true}, SHIFT(1768),
  [4340] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1867),
  [4343] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1955),
  [4346] = {.count = 2, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1985),
  [4349] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1951),
  [4352] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2117),
  [4355] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2081),
  [4358] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(56),
  [4361] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(55),
  [4364] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(57),
  [4367] = {.count = 1, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4369] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4371] = {.count = 1, .reusable = true}, SHIFT(1918),
  [4373] = {.count = 1, .reusable = true}, SHIFT(1947),
  [4375] = {.count = 1, .reusable = true}, SHIFT(1867),
  [4377] = {.count = 1, .reusable = true}, SHIFT(478),
  [4379] = {.count = 1, .reusable = false}, SHIFT(1261),
  [4381] = {.count = 1, .reusable = true}, SHIFT(1552),
  [4383] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2),
  [4385] = {.count = 1, .reusable = true}, SHIFT(1462),
  [4387] = {.count = 1, .reusable = true}, SHIFT(1773),
  [4389] = {.count = 1, .reusable = false}, SHIFT(953),
  [4391] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 5, .production_id = 4),
  [4393] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 5, .production_id = 4),
  [4395] = {.count = 1, .reusable = true}, SHIFT(1714),
  [4397] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [4399] = {.count = 1, .reusable = true}, SHIFT(623),
  [4401] = {.count = 1, .reusable = true}, SHIFT(2260),
  [4403] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 4),
  [4405] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 4),
  [4407] = {.count = 1, .reusable = true}, SHIFT(1605),
  [4409] = {.count = 1, .reusable = true}, SHIFT(2241),
  [4411] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 4, .production_id = 4),
  [4413] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 4, .production_id = 4),
  [4415] = {.count = 1, .reusable = true}, SHIFT(1746),
  [4417] = {.count = 1, .reusable = true}, SHIFT(549),
  [4419] = {.count = 1, .reusable = false}, SHIFT(677),
  [4421] = {.count = 1, .reusable = true}, SHIFT(666),
  [4423] = {.count = 1, .reusable = true}, SHIFT(1826),
  [4425] = {.count = 1, .reusable = true}, SHIFT(1407),
  [4427] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1869),
  [4430] = {.count = 1, .reusable = true}, SHIFT(584),
  [4432] = {.count = 1, .reusable = true}, SHIFT(641),
  [4434] = {.count = 2, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1633),
  [4437] = {.count = 1, .reusable = true}, SHIFT(579),
  [4439] = {.count = 1, .reusable = true}, SHIFT(1980),
  [4441] = {.count = 1, .reusable = true}, SHIFT(1644),
  [4443] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2273),
  [4446] = {.count = 2, .reusable = false}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1961),
  [4449] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2285),
  [4452] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2119),
  [4455] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2055),
  [4458] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(82),
  [4461] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(81),
  [4464] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(85),
  [4467] = {.count = 1, .reusable = true}, SHIFT(2211),
  [4469] = {.count = 1, .reusable = true}, SHIFT(2326),
  [4471] = {.count = 1, .reusable = false}, SHIFT(1993),
  [4473] = {.count = 1, .reusable = false}, SHIFT(2301),
  [4475] = {.count = 1, .reusable = true}, SHIFT(2127),
  [4477] = {.count = 1, .reusable = true}, SHIFT(2012),
  [4479] = {.count = 1, .reusable = true}, SHIFT(44),
  [4481] = {.count = 1, .reusable = true}, SHIFT(43),
  [4483] = {.count = 1, .reusable = true}, SHIFT(45),
  [4485] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1891),
  [4488] = {.count = 1, .reusable = true}, SHIFT(2389),
  [4490] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1, .production_id = 1),
  [4492] = {.count = 1, .reusable = false}, SHIFT(1803),
  [4494] = {.count = 1, .reusable = true}, SHIFT(2394),
  [4496] = {.count = 1, .reusable = true}, SHIFT(2331),
  [4498] = {.count = 1, .reusable = true}, SHIFT(2329),
  [4500] = {.count = 1, .reusable = true}, SHIFT(2419),
  [4502] = {.count = 1, .reusable = true}, SHIFT(2330),
  [4504] = {.count = 1, .reusable = true}, SHIFT(2408),
  [4506] = {.count = 1, .reusable = true}, SHIFT(2338),
  [4508] = {.count = 1, .reusable = true}, SHIFT(2415),
  [4510] = {.count = 1, .reusable = true}, SHIFT(2420),
  [4512] = {.count = 1, .reusable = true}, SHIFT(2348),
  [4514] = {.count = 1, .reusable = true}, SHIFT(2359),
  [4516] = {.count = 1, .reusable = true}, SHIFT(2390),
  [4518] = {.count = 1, .reusable = true}, SHIFT(2428),
  [4520] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1803),
  [4523] = {.count = 1, .reusable = true}, SHIFT(2387),
  [4525] = {.count = 1, .reusable = true}, SHIFT(2440),
  [4527] = {.count = 1, .reusable = true}, SHIFT(2436),
  [4529] = {.count = 1, .reusable = true}, SHIFT(1902),
  [4531] = {.count = 1, .reusable = true}, SHIFT(2371),
  [4533] = {.count = 1, .reusable = true}, SHIFT(2346),
  [4535] = {.count = 1, .reusable = true}, SHIFT(2339),
  [4537] = {.count = 1, .reusable = true}, SHIFT(1633),
  [4539] = {.count = 1, .reusable = true}, SHIFT(274),
  [4541] = {.count = 1, .reusable = true}, SHIFT(518),
  [4543] = {.count = 1, .reusable = true}, SHIFT(2358),
  [4545] = {.count = 1, .reusable = true}, SHIFT(2364),
  [4547] = {.count = 1, .reusable = true}, SHIFT(2361),
  [4549] = {.count = 1, .reusable = true}, SHIFT(1916),
  [4551] = {.count = 1, .reusable = true}, SHIFT(1901),
  [4553] = {.count = 1, .reusable = true}, SHIFT(2103),
  [4555] = {.count = 1, .reusable = true}, SHIFT(2058),
  [4557] = {.count = 1, .reusable = true}, SHIFT(53),
  [4559] = {.count = 1, .reusable = true}, SHIFT(52),
  [4561] = {.count = 1, .reusable = true}, SHIFT(54),
  [4563] = {.count = 1, .reusable = true}, SHIFT(2360),
  [4565] = {.count = 1, .reusable = true}, SHIFT(2425),
  [4567] = {.count = 1, .reusable = true}, SHIFT(1824),
  [4569] = {.count = 2, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1824),
  [4572] = {.count = 1, .reusable = true}, SHIFT(2366),
  [4574] = {.count = 1, .reusable = true}, SHIFT(1910),
  [4576] = {.count = 1, .reusable = true}, SHIFT(269),
  [4578] = {.count = 1, .reusable = true}, SHIFT(596),
  [4580] = {.count = 1, .reusable = true}, SHIFT(2431),
  [4582] = {.count = 1, .reusable = true}, SHIFT(2374),
  [4584] = {.count = 1, .reusable = false}, SHIFT(1806),
  [4586] = {.count = 1, .reusable = true}, SHIFT(2400),
  [4588] = {.count = 1, .reusable = true}, SHIFT(247),
  [4590] = {.count = 1, .reusable = true}, SHIFT(564),
  [4592] = {.count = 1, .reusable = true}, SHIFT(2322),
  [4594] = {.count = 1, .reusable = true}, SHIFT(2411),
  [4596] = {.count = 1, .reusable = true}, SHIFT(2372),
  [4598] = {.count = 1, .reusable = true}, SHIFT(2392),
  [4600] = {.count = 1, .reusable = true}, SHIFT(2336),
  [4602] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 6, .production_id = 4),
  [4604] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 6, .production_id = 4),
  [4606] = {.count = 1, .reusable = true}, SHIFT(2380),
  [4608] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 6),
  [4610] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 6),
  [4612] = {.count = 1, .reusable = true}, SHIFT(2405),
  [4614] = {.count = 1, .reusable = true}, SHIFT(2397),
  [4616] = {.count = 1, .reusable = true}, SHIFT(2377),
  [4618] = {.count = 1, .reusable = true}, SHIFT(2433),
  [4620] = {.count = 1, .reusable = false}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 1),
  [4622] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 1),
  [4624] = {.count = 1, .reusable = false}, SHIFT(1812),
  [4626] = {.count = 1, .reusable = true}, SHIFT(2328),
  [4628] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1812),
  [4631] = {.count = 1, .reusable = true}, SHIFT(2448),
  [4633] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1806),
  [4636] = {.count = 1, .reusable = true}, SHIFT(2443),
  [4638] = {.count = 1, .reusable = true}, SHIFT(2449),
  [4640] = {.count = 1, .reusable = true}, SHIFT(2442),
  [4642] = {.count = 1, .reusable = true}, SHIFT(2393),
  [4644] = {.count = 1, .reusable = true}, SHIFT(2352),
  [4646] = {.count = 1, .reusable = true}, SHIFT(2406),
  [4648] = {.count = 1, .reusable = true}, SHIFT(2423),
  [4650] = {.count = 1, .reusable = true}, SHIFT(2429),
  [4652] = {.count = 1, .reusable = true}, SHIFT(2418),
  [4654] = {.count = 1, .reusable = true}, SHIFT(2444),
  [4656] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3),
  [4658] = {.count = 1, .reusable = true}, SHIFT(2424),
  [4660] = {.count = 1, .reusable = true}, SHIFT(2316),
  [4662] = {.count = 1, .reusable = true}, SHIFT(2210),
  [4664] = {.count = 1, .reusable = false}, SHIFT(1975),
  [4666] = {.count = 1, .reusable = true}, SHIFT(2176),
  [4668] = {.count = 1, .reusable = true}, SHIFT(2139),
  [4670] = {.count = 1, .reusable = true}, SHIFT(2023),
  [4672] = {.count = 1, .reusable = true}, SHIFT(103),
  [4674] = {.count = 1, .reusable = true}, SHIFT(105),
  [4676] = {.count = 1, .reusable = true}, SHIFT(91),
  [4678] = {.count = 1, .reusable = true}, SHIFT(1330),
  [4680] = {.count = 1, .reusable = true}, SHIFT(1432),
  [4682] = {.count = 1, .reusable = false}, SHIFT(2006),
  [4684] = {.count = 1, .reusable = true}, SHIFT(1373),
  [4686] = {.count = 1, .reusable = true}, SHIFT(2164),
  [4688] = {.count = 1, .reusable = true}, SHIFT(2047),
  [4690] = {.count = 1, .reusable = true}, SHIFT(47),
  [4692] = {.count = 1, .reusable = true}, SHIFT(46),
  [4694] = {.count = 1, .reusable = true}, SHIFT(48),
  [4696] = {.count = 1, .reusable = true}, SHIFT(1403),
  [4698] = {.count = 1, .reusable = true}, SHIFT(1331),
  [4700] = {.count = 1, .reusable = true}, SHIFT(1299),
  [4702] = {.count = 1, .reusable = true}, SHIFT(1336),
  [4704] = {.count = 1, .reusable = true}, SHIFT(1394),
  [4706] = {.count = 1, .reusable = true}, SHIFT(2196),
  [4708] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [4710] = {.count = 1, .reusable = true}, SHIFT(1365),
  [4712] = {.count = 1, .reusable = true}, SHIFT(2294),
  [4714] = {.count = 1, .reusable = true}, SHIFT(2434),
  [4716] = {.count = 1, .reusable = true}, REDUCE(sym_postfix_expression, 2),
  [4718] = {.count = 1, .reusable = true}, SHIFT(1481),
  [4720] = {.count = 1, .reusable = false}, SHIFT(2001),
  [4722] = {.count = 1, .reusable = true}, SHIFT(1378),
  [4724] = {.count = 1, .reusable = true}, SHIFT(2165),
  [4726] = {.count = 1, .reusable = true}, SHIFT(2075),
  [4728] = {.count = 1, .reusable = true}, SHIFT(59),
  [4730] = {.count = 1, .reusable = true}, SHIFT(58),
  [4732] = {.count = 1, .reusable = true}, SHIFT(61),
  [4734] = {.count = 1, .reusable = true}, SHIFT(1351),
  [4736] = {.count = 1, .reusable = true}, SHIFT(1467),
  [4738] = {.count = 1, .reusable = true}, SHIFT(1456),
  [4740] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2),
  [4742] = {.count = 1, .reusable = true}, SHIFT(1274),
  [4744] = {.count = 1, .reusable = true}, SHIFT(1252),
  [4746] = {.count = 1, .reusable = false}, SHIFT(1274),
  [4748] = {.count = 1, .reusable = true}, SHIFT(1857),
  [4750] = {.count = 1, .reusable = true}, SHIFT(1805),
  [4752] = {.count = 1, .reusable = true}, SHIFT(2450),
  [4754] = {.count = 1, .reusable = false}, SHIFT(1805),
  [4756] = {.count = 1, .reusable = true}, SHIFT(1688),
  [4758] = {.count = 1, .reusable = true}, SHIFT(1279),
  [4760] = {.count = 1, .reusable = true}, SHIFT(1250),
  [4762] = {.count = 1, .reusable = false}, SHIFT(1279),
  [4764] = {.count = 1, .reusable = true}, SHIFT(1827),
  [4766] = {.count = 1, .reusable = true}, SHIFT(1819),
  [4768] = {.count = 1, .reusable = true}, SHIFT(1535),
  [4770] = {.count = 1, .reusable = true}, SHIFT(1289),
  [4772] = {.count = 1, .reusable = true}, SHIFT(1230),
  [4774] = {.count = 1, .reusable = false}, SHIFT(1289),
  [4776] = {.count = 1, .reusable = false}, SHIFT(2246),
  [4778] = {.count = 1, .reusable = false}, SHIFT(2139),
  [4780] = {.count = 1, .reusable = false}, SHIFT(2214),
  [4782] = {.count = 1, .reusable = false}, SHIFT(2227),
  [4784] = {.count = 1, .reusable = true}, SHIFT(2270),
  [4786] = {.count = 1, .reusable = true}, SHIFT(1860),
  [4788] = {.count = 1, .reusable = true}, SHIFT(1470),
  [4790] = {.count = 1, .reusable = true}, SHIFT(1288),
  [4792] = {.count = 1, .reusable = true}, SHIFT(1222),
  [4794] = {.count = 1, .reusable = false}, SHIFT(1288),
  [4796] = {.count = 1, .reusable = true}, SHIFT(1853),
  [4798] = {.count = 1, .reusable = true}, SHIFT(2277),
  [4800] = {.count = 1, .reusable = true}, SHIFT(1844),
  [4802] = {.count = 1, .reusable = true}, SHIFT(1505),
  [4804] = {.count = 1, .reusable = true}, SHIFT(609),
  [4806] = {.count = 1, .reusable = true}, SHIFT(2136),
  [4808] = {.count = 1, .reusable = true}, SHIFT(2022),
  [4810] = {.count = 1, .reusable = true}, SHIFT(69),
  [4812] = {.count = 1, .reusable = true}, SHIFT(74),
  [4814] = {.count = 1, .reusable = true}, SHIFT(83),
  [4816] = {.count = 1, .reusable = true}, SHIFT(1722),
  [4818] = {.count = 1, .reusable = true}, SHIFT(552),
  [4820] = {.count = 1, .reusable = true}, SHIFT(1777),
  [4822] = {.count = 1, .reusable = true}, SHIFT(1878),
  [4824] = {.count = 1, .reusable = true}, SHIFT(2459),
  [4826] = {.count = 1, .reusable = false}, SHIFT(1954),
  [4828] = {.count = 1, .reusable = true}, SHIFT(376),
  [4830] = {.count = 1, .reusable = true}, SHIFT(428),
  [4832] = {.count = 1, .reusable = false}, SHIFT(140),
  [4834] = {.count = 1, .reusable = true}, SHIFT(372),
  [4836] = {.count = 1, .reusable = false}, SHIFT(164),
  [4838] = {.count = 1, .reusable = true}, SHIFT(1490),
  [4840] = {.count = 1, .reusable = false}, SHIFT(683),
  [4842] = {.count = 1, .reusable = true}, SHIFT(1932),
  [4844] = {.count = 1, .reusable = true}, SHIFT(509),
  [4846] = {.count = 1, .reusable = false}, SHIFT(144),
  [4848] = {.count = 1, .reusable = false}, SHIFT(1291),
  [4850] = {.count = 1, .reusable = true}, SHIFT(559),
  [4852] = {.count = 1, .reusable = false}, SHIFT(180),
  [4854] = {.count = 1, .reusable = true}, SHIFT(2121),
  [4856] = {.count = 1, .reusable = true}, SHIFT(2034),
  [4858] = {.count = 1, .reusable = true}, SHIFT(72),
  [4860] = {.count = 1, .reusable = true}, SHIFT(71),
  [4862] = {.count = 1, .reusable = true}, SHIFT(75),
  [4864] = {.count = 1, .reusable = true}, SHIFT(1698),
  [4866] = {.count = 1, .reusable = false}, SHIFT(1271),
  [4868] = {.count = 1, .reusable = false}, SHIFT(1950),
  [4870] = {.count = 1, .reusable = false}, SHIFT(1949),
  [4872] = {.count = 1, .reusable = true}, SHIFT(557),
  [4874] = {.count = 1, .reusable = false}, SHIFT(157),
  [4876] = {.count = 1, .reusable = true}, SHIFT(1382),
  [4878] = {.count = 1, .reusable = true}, SHIFT(647),
  [4880] = {.count = 1, .reusable = false}, SHIFT(178),
  [4882] = {.count = 1, .reusable = true}, SHIFT(2130),
  [4884] = {.count = 1, .reusable = true}, SHIFT(2087),
  [4886] = {.count = 1, .reusable = true}, SHIFT(22),
  [4888] = {.count = 1, .reusable = true}, SHIFT(21),
  [4890] = {.count = 1, .reusable = true}, SHIFT(29),
  [4892] = {.count = 1, .reusable = false}, SHIFT(138),
  [4894] = {.count = 1, .reusable = true}, SHIFT(1347),
  [4896] = {.count = 1, .reusable = false}, SHIFT(547),
  [4898] = {.count = 1, .reusable = false}, SHIFT(158),
  [4900] = {.count = 1, .reusable = false}, SHIFT(682),
  [4902] = {.count = 1, .reusable = false}, SHIFT(545),
  [4904] = {.count = 1, .reusable = true}, SHIFT(1998),
  [4906] = {.count = 1, .reusable = false}, SHIFT(1443),
  [4908] = {.count = 1, .reusable = true}, SHIFT(2229),
  [4910] = {.count = 1, .reusable = false}, SHIFT(1849),
  [4912] = {.count = 1, .reusable = true}, SHIFT(280),
  [4914] = {.count = 1, .reusable = true}, SHIFT(345),
  [4916] = {.count = 1, .reusable = false}, SHIFT(170),
  [4918] = {.count = 1, .reusable = true}, SHIFT(365),
  [4920] = {.count = 1, .reusable = false}, SHIFT(141),
  [4922] = {.count = 1, .reusable = true}, SHIFT(1876),
  [4924] = {.count = 1, .reusable = false}, SHIFT(684),
  [4926] = {.count = 1, .reusable = false}, SHIFT(361),
  [4928] = {.count = 1, .reusable = true}, SHIFT(1592),
  [4930] = {.count = 1, .reusable = false}, SHIFT(639),
  [4932] = {.count = 1, .reusable = false}, SHIFT(685),
  [4934] = {.count = 1, .reusable = false}, SHIFT(169),
  [4936] = {.count = 1, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [4938] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [4940] = {.count = 1, .reusable = false}, SHIFT(181),
  [4942] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1876),
  [4945] = {.count = 1, .reusable = false}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 1),
  [4947] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 1),
  [4949] = {.count = 1, .reusable = false}, SHIFT(1948),
  [4951] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1948),
  [4954] = {.count = 1, .reusable = true}, SHIFT(1913),
  [4956] = {.count = 1, .reusable = true}, SHIFT(1895),
  [4958] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1913),
  [4961] = {.count = 1, .reusable = true}, SHIFT(2484),
  [4963] = {.count = 1, .reusable = true}, SHIFT(2537),
  [4965] = {.count = 1, .reusable = false}, SHIFT(2482),
  [4967] = {.count = 1, .reusable = true}, SHIFT(2482),
  [4969] = {.count = 1, .reusable = true}, SHIFT(1781),
  [4971] = {.count = 1, .reusable = true}, SHIFT(485),
  [4973] = {.count = 1, .reusable = true}, SHIFT(574),
  [4975] = {.count = 1, .reusable = true}, SHIFT(484),
  [4977] = {.count = 1, .reusable = true}, SHIFT(572),
  [4979] = {.count = 1, .reusable = true}, SHIFT(555),
  [4981] = {.count = 1, .reusable = true}, SHIFT(573),
  [4983] = {.count = 1, .reusable = true}, SHIFT(2246),
  [4985] = {.count = 1, .reusable = true}, SHIFT(2214),
  [4987] = {.count = 1, .reusable = true}, SHIFT(2227),
  [4989] = {.count = 1, .reusable = true}, SHIFT(284),
  [4991] = {.count = 1, .reusable = true}, SHIFT(278),
  [4993] = {.count = 1, .reusable = true}, SHIFT(285),
  [4995] = {.count = 1, .reusable = true}, SHIFT(532),
  [4997] = {.count = 1, .reusable = true}, SHIFT(561),
  [4999] = {.count = 1, .reusable = true}, SHIFT(529),
  [5001] = {.count = 1, .reusable = true}, SHIFT(377),
  [5003] = {.count = 1, .reusable = true}, SHIFT(362),
  [5005] = {.count = 1, .reusable = true}, SHIFT(378),
  [5007] = {.count = 2, .reusable = true}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2027),
  [5010] = {.count = 1, .reusable = true}, SHIFT(444),
  [5012] = {.count = 1, .reusable = true}, SHIFT(443),
  [5014] = {.count = 1, .reusable = true}, SHIFT(442),
  [5016] = {.count = 1, .reusable = true}, SHIFT(511),
  [5018] = {.count = 1, .reusable = true}, SHIFT(658),
  [5020] = {.count = 1, .reusable = true}, SHIFT(510),
  [5022] = {.count = 1, .reusable = true}, SHIFT(1986),
  [5024] = {.count = 1, .reusable = true}, SHIFT(1945),
  [5026] = {.count = 1, .reusable = true}, SHIFT(1926),
  [5028] = {.count = 1, .reusable = true}, SHIFT(1944),
  [5030] = {.count = 1, .reusable = true}, SHIFT(2027),
  [5032] = {.count = 1, .reusable = true}, SHIFT(615),
  [5034] = {.count = 1, .reusable = true}, SHIFT(614),
  [5036] = {.count = 1, .reusable = true}, SHIFT(613),
  [5038] = {.count = 1, .reusable = true}, SHIFT(553),
  [5040] = {.count = 1, .reusable = true}, SHIFT(656),
  [5042] = {.count = 1, .reusable = true}, SHIFT(578),
  [5044] = {.count = 1, .reusable = true}, SHIFT(1447),
  [5046] = {.count = 1, .reusable = true}, SHIFT(1401),
  [5048] = {.count = 1, .reusable = true}, SHIFT(1492),
  [5050] = {.count = 1, .reusable = true}, SHIFT(434),
  [5052] = {.count = 1, .reusable = true}, SHIFT(275),
  [5054] = {.count = 1, .reusable = true}, SHIFT(435),
  [5056] = {.count = 1, .reusable = true}, SHIFT(344),
  [5058] = {.count = 1, .reusable = true}, SHIFT(369),
  [5060] = {.count = 1, .reusable = true}, SHIFT(357),
  [5062] = {.count = 1, .reusable = true}, SHIFT(1563),
  [5064] = {.count = 1, .reusable = true}, SHIFT(1596),
  [5066] = {.count = 1, .reusable = true}, SHIFT(1558),
  [5068] = {.count = 1, .reusable = true}, SHIFT(1429),
  [5070] = {.count = 1, .reusable = true}, SHIFT(352),
  [5072] = {.count = 1, .reusable = true}, SHIFT(351),
  [5074] = {.count = 1, .reusable = true}, SHIFT(348),
  [5076] = {.count = 1, .reusable = true}, SHIFT(1327),
  [5078] = {.count = 1, .reusable = true}, SHIFT(1371),
  [5080] = {.count = 1, .reusable = true}, SHIFT(1328),
  [5082] = {.count = 1, .reusable = false}, SHIFT(2199),
  [5084] = {.count = 1, .reusable = false}, SHIFT(370),
  [5086] = {.count = 1, .reusable = false}, SHIFT(2207),
  [5088] = {.count = 1, .reusable = false}, SHIFT(2178),
  [5090] = {.count = 1, .reusable = false}, SHIFT(1405),
  [5092] = {.count = 1, .reusable = false}, SHIFT(1739),
  [5094] = {.count = 1, .reusable = false}, SHIFT(551),
  [5096] = {.count = 1, .reusable = true}, SHIFT(2161),
  [5098] = {.count = 1, .reusable = true}, SHIFT(831),
  [5100] = {.count = 1, .reusable = false}, SHIFT(832),
  [5102] = {.count = 1, .reusable = true}, SHIFT(832),
  [5104] = {.count = 1, .reusable = true}, SHIFT(2557),
  [5106] = {.count = 1, .reusable = true}, SHIFT(2150),
  [5108] = {.count = 1, .reusable = true}, SHIFT(888),
  [5110] = {.count = 1, .reusable = false}, SHIFT(794),
  [5112] = {.count = 1, .reusable = true}, SHIFT(794),
  [5114] = {.count = 1, .reusable = true}, SHIFT(2453),
  [5116] = {.count = 1, .reusable = false}, SHIFT(2216),
  [5118] = {.count = 1, .reusable = false}, SHIFT(382),
  [5120] = {.count = 1, .reusable = false}, SHIFT(1720),
  [5122] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 3),
  [5124] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 3),
  [5126] = {.count = 1, .reusable = true}, SHIFT(2125),
  [5128] = {.count = 1, .reusable = true}, SHIFT(713),
  [5130] = {.count = 1, .reusable = false}, SHIFT(714),
  [5132] = {.count = 1, .reusable = true}, SHIFT(714),
  [5134] = {.count = 1, .reusable = true}, SHIFT(2472),
  [5136] = {.count = 1, .reusable = false}, SHIFT(1346),
  [5138] = {.count = 1, .reusable = true}, SHIFT(2167),
  [5140] = {.count = 1, .reusable = true}, SHIFT(700),
  [5142] = {.count = 1, .reusable = false}, SHIFT(701),
  [5144] = {.count = 1, .reusable = true}, SHIFT(701),
  [5146] = {.count = 1, .reusable = true}, SHIFT(2553),
  [5148] = {.count = 1, .reusable = false}, SHIFT(556),
  [5150] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 4, .production_id = 1),
  [5152] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 4, .production_id = 1),
  [5154] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 4, .production_id = 1),
  [5156] = {.count = 1, .reusable = true}, SHIFT(2159),
  [5158] = {.count = 1, .reusable = true}, SHIFT(722),
  [5160] = {.count = 1, .reusable = false}, SHIFT(723),
  [5162] = {.count = 1, .reusable = true}, SHIFT(723),
  [5164] = {.count = 1, .reusable = true}, SHIFT(2469),
  [5166] = {.count = 1, .reusable = true}, SHIFT(2166),
  [5168] = {.count = 1, .reusable = true}, SHIFT(778),
  [5170] = {.count = 1, .reusable = false}, SHIFT(732),
  [5172] = {.count = 1, .reusable = true}, SHIFT(732),
  [5174] = {.count = 1, .reusable = true}, SHIFT(2544),
  [5176] = {.count = 1, .reusable = false}, SHIFT(1585),
  [5178] = {.count = 1, .reusable = false}, SHIFT(1731),
  [5180] = {.count = 1, .reusable = false}, SHIFT(1334),
  [5182] = {.count = 1, .reusable = false}, SHIFT(1813),
  [5184] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 3, .production_id = 1),
  [5186] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 3, .production_id = 1),
  [5188] = {.count = 1, .reusable = true}, SHIFT(2112),
  [5190] = {.count = 1, .reusable = true}, SHIFT(741),
  [5192] = {.count = 1, .reusable = false}, SHIFT(742),
  [5194] = {.count = 1, .reusable = true}, SHIFT(742),
  [5196] = {.count = 1, .reusable = true}, SHIFT(2485),
  [5198] = {.count = 1, .reusable = false}, SHIFT(375),
  [5200] = {.count = 1, .reusable = false}, SHIFT(1566),
  [5202] = {.count = 1, .reusable = false}, SHIFT(548),
  [5204] = {.count = 1, .reusable = true}, SHIFT(2144),
  [5206] = {.count = 1, .reusable = true}, SHIFT(842),
  [5208] = {.count = 1, .reusable = false}, SHIFT(843),
  [5210] = {.count = 1, .reusable = true}, SHIFT(843),
  [5212] = {.count = 1, .reusable = true}, SHIFT(2560),
  [5214] = {.count = 1, .reusable = true}, SHIFT(2152),
  [5216] = {.count = 1, .reusable = true}, SHIFT(804),
  [5218] = {.count = 1, .reusable = false}, SHIFT(796),
  [5220] = {.count = 1, .reusable = true}, SHIFT(796),
  [5222] = {.count = 1, .reusable = true}, SHIFT(2533),
  [5224] = {.count = 1, .reusable = false}, SHIFT(1779),
  [5226] = {.count = 1, .reusable = false}, SHIFT(450),
  [5228] = {.count = 1, .reusable = false}, SHIFT(373),
  [5230] = {.count = 1, .reusable = false}, SHIFT(1786),
  [5232] = {.count = 1, .reusable = false}, SHIFT(1430),
  [5234] = {.count = 1, .reusable = true}, SHIFT(2153),
  [5236] = {.count = 1, .reusable = true}, SHIFT(809),
  [5238] = {.count = 1, .reusable = false}, SHIFT(810),
  [5240] = {.count = 1, .reusable = true}, SHIFT(810),
  [5242] = {.count = 1, .reusable = true}, SHIFT(2481),
  [5244] = {.count = 1, .reusable = false}, SHIFT(538),
  [5246] = {.count = 1, .reusable = false}, SHIFT(1381),
  [5248] = {.count = 1, .reusable = false}, SHIFT(2254),
  [5250] = {.count = 1, .reusable = true}, SHIFT(2128),
  [5252] = {.count = 1, .reusable = true}, SHIFT(879),
  [5254] = {.count = 1, .reusable = false}, SHIFT(878),
  [5256] = {.count = 1, .reusable = true}, SHIFT(878),
  [5258] = {.count = 1, .reusable = true}, SHIFT(2462),
  [5260] = {.count = 1, .reusable = true}, SHIFT(2111),
  [5262] = {.count = 1, .reusable = true}, SHIFT(857),
  [5264] = {.count = 1, .reusable = false}, SHIFT(859),
  [5266] = {.count = 1, .reusable = true}, SHIFT(859),
  [5268] = {.count = 1, .reusable = true}, SHIFT(2526),
  [5270] = {.count = 1, .reusable = true}, SHIFT(2154),
  [5272] = {.count = 1, .reusable = true}, SHIFT(866),
  [5274] = {.count = 1, .reusable = false}, SHIFT(869),
  [5276] = {.count = 1, .reusable = true}, SHIFT(869),
  [5278] = {.count = 1, .reusable = true}, SHIFT(2452),
  [5280] = {.count = 1, .reusable = false}, SHIFT(1473),
  [5282] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 4),
  [5284] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 4),
  [5286] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 4),
  [5288] = {.count = 1, .reusable = false}, SHIFT(567),
  [5290] = {.count = 1, .reusable = false}, SHIFT(640),
  [5292] = {.count = 1, .reusable = true}, SHIFT(2120),
  [5294] = {.count = 1, .reusable = true}, SHIFT(755),
  [5296] = {.count = 1, .reusable = false}, SHIFT(756),
  [5298] = {.count = 1, .reusable = true}, SHIFT(756),
  [5300] = {.count = 1, .reusable = true}, SHIFT(2504),
  [5302] = {.count = 1, .reusable = false}, SHIFT(408),
  [5304] = {.count = 1, .reusable = false}, SHIFT(2512),
  [5306] = {.count = 1, .reusable = true}, SHIFT(2126),
  [5308] = {.count = 1, .reusable = true}, SHIFT(797),
  [5310] = {.count = 1, .reusable = false}, SHIFT(813),
  [5312] = {.count = 1, .reusable = true}, SHIFT(813),
  [5314] = {.count = 1, .reusable = true}, SHIFT(2548),
  [5316] = {.count = 1, .reusable = false}, SHIFT(526),
  [5318] = {.count = 1, .reusable = false}, SHIFT(343),
  [5320] = {.count = 1, .reusable = true}, SHIFT(2131),
  [5322] = {.count = 1, .reusable = true}, SHIFT(792),
  [5324] = {.count = 1, .reusable = false}, SHIFT(793),
  [5326] = {.count = 1, .reusable = true}, SHIFT(793),
  [5328] = {.count = 1, .reusable = true}, SHIFT(2495),
  [5330] = {.count = 1, .reusable = false}, SHIFT(562),
  [5332] = {.count = 1, .reusable = true}, SHIFT(2114),
  [5334] = {.count = 1, .reusable = true}, SHIFT(856),
  [5336] = {.count = 1, .reusable = false}, SHIFT(852),
  [5338] = {.count = 1, .reusable = true}, SHIFT(852),
  [5340] = {.count = 1, .reusable = true}, SHIFT(2475),
  [5342] = {.count = 1, .reusable = false}, SHIFT(2496),
  [5344] = {.count = 1, .reusable = false}, SHIFT(1771),
  [5346] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 5, .production_id = 1),
  [5348] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 5, .production_id = 1),
  [5350] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 5, .production_id = 1),
  [5352] = {.count = 1, .reusable = false}, SHIFT(1996),
  [5354] = {.count = 1, .reusable = false}, SHIFT(1940),
  [5356] = {.count = 1, .reusable = false}, SHIFT(544),
  [5358] = {.count = 1, .reusable = false}, SHIFT(628),
  [5360] = {.count = 1, .reusable = true}, SHIFT(2098),
  [5362] = {.count = 1, .reusable = true}, SHIFT(816),
  [5364] = {.count = 1, .reusable = false}, SHIFT(815),
  [5366] = {.count = 1, .reusable = true}, SHIFT(815),
  [5368] = {.count = 1, .reusable = true}, SHIFT(2483),
  [5370] = {.count = 1, .reusable = false}, SHIFT(1732),
  [5372] = {.count = 1, .reusable = true}, SHIFT(2135),
  [5374] = {.count = 1, .reusable = true}, SHIFT(725),
  [5376] = {.count = 1, .reusable = false}, SHIFT(724),
  [5378] = {.count = 1, .reusable = true}, SHIFT(724),
  [5380] = {.count = 1, .reusable = true}, SHIFT(2547),
  [5382] = {.count = 1, .reusable = false}, SHIFT(1933),
  [5384] = {.count = 1, .reusable = false}, SHIFT(1994),
  [5386] = {.count = 1, .reusable = false}, SHIFT(426),
  [5388] = {.count = 1, .reusable = false}, SHIFT(337),
  [5390] = {.count = 1, .reusable = true}, SHIFT(2141),
  [5392] = {.count = 1, .reusable = true}, SHIFT(874),
  [5394] = {.count = 1, .reusable = false}, SHIFT(748),
  [5396] = {.count = 1, .reusable = true}, SHIFT(748),
  [5398] = {.count = 1, .reusable = true}, SHIFT(2556),
  [5400] = {.count = 1, .reusable = true}, SHIFT(2102),
  [5402] = {.count = 1, .reusable = true}, SHIFT(766),
  [5404] = {.count = 1, .reusable = false}, SHIFT(767),
  [5406] = {.count = 1, .reusable = true}, SHIFT(767),
  [5408] = {.count = 1, .reusable = true}, SHIFT(2514),
  [5410] = {.count = 1, .reusable = false}, SHIFT(600),
  [5412] = {.count = 1, .reusable = true}, SHIFT(2109),
  [5414] = {.count = 1, .reusable = true}, SHIFT(693),
  [5416] = {.count = 1, .reusable = false}, SHIFT(694),
  [5418] = {.count = 1, .reusable = true}, SHIFT(694),
  [5420] = {.count = 1, .reusable = true}, SHIFT(2500),
  [5422] = {.count = 1, .reusable = false}, REDUCE(sym_case_item, 5),
  [5424] = {.count = 1, .reusable = false}, REDUCE(sym_last_case_item, 5),
  [5426] = {.count = 1, .reusable = true}, REDUCE(sym_case_item, 5),
  [5428] = {.count = 1, .reusable = true}, SHIFT(2137),
  [5430] = {.count = 1, .reusable = true}, SHIFT(774),
  [5432] = {.count = 1, .reusable = false}, SHIFT(775),
  [5434] = {.count = 1, .reusable = true}, SHIFT(775),
  [5436] = {.count = 1, .reusable = true}, SHIFT(2527),
  [5438] = {.count = 1, .reusable = true}, SHIFT(2104),
  [5440] = {.count = 1, .reusable = true}, SHIFT(688),
  [5442] = {.count = 1, .reusable = false}, SHIFT(733),
  [5444] = {.count = 1, .reusable = true}, SHIFT(733),
  [5446] = {.count = 1, .reusable = true}, SHIFT(2510),
  [5448] = {.count = 1, .reusable = false}, SHIFT(366),
  [5450] = {.count = 1, .reusable = false}, SHIFT(283),
  [5452] = {.count = 1, .reusable = true}, SHIFT(2105),
  [5454] = {.count = 1, .reusable = true}, SHIFT(863),
  [5456] = {.count = 1, .reusable = false}, SHIFT(862),
  [5458] = {.count = 1, .reusable = true}, SHIFT(862),
  [5460] = {.count = 1, .reusable = true}, SHIFT(2498),
  [5462] = {.count = 1, .reusable = false}, SHIFT(607),
  [5464] = {.count = 1, .reusable = false}, SHIFT(281),
  [5466] = {.count = 1, .reusable = true}, SHIFT(2099),
  [5468] = {.count = 1, .reusable = true}, SHIFT(782),
  [5470] = {.count = 1, .reusable = false}, SHIFT(745),
  [5472] = {.count = 1, .reusable = true}, SHIFT(745),
  [5474] = {.count = 1, .reusable = true}, SHIFT(2493),
  [5476] = {.count = 1, .reusable = false}, SHIFT(2158),
  [5478] = {.count = 1, .reusable = true}, SHIFT(2045),
  [5480] = {.count = 1, .reusable = true}, SHIFT(104),
  [5482] = {.count = 1, .reusable = true}, SHIFT(37),
  [5484] = {.count = 1, .reusable = true}, SHIFT(2148),
  [5486] = {.count = 1, .reusable = true}, SHIFT(2180),
  [5488] = {.count = 1, .reusable = false}, SHIFT(2014),
  [5490] = {.count = 1, .reusable = false}, SHIFT(358),
  [5492] = {.count = 1, .reusable = false}, SHIFT(2179),
  [5494] = {.count = 1, .reusable = false}, SHIFT(2052),
  [5496] = {.count = 1, .reusable = false}, SHIFT(97),
  [5498] = {.count = 1, .reusable = false}, SHIFT(96),
  [5500] = {.count = 1, .reusable = false}, SHIFT(2013),
  [5502] = {.count = 1, .reusable = true}, SHIFT(812),
  [5504] = {.count = 1, .reusable = false}, SHIFT(805),
  [5506] = {.count = 1, .reusable = true}, SHIFT(805),
  [5508] = {.count = 1, .reusable = true}, SHIFT(2491),
  [5510] = {.count = 1, .reusable = true}, SHIFT(743),
  [5512] = {.count = 1, .reusable = false}, SHIFT(738),
  [5514] = {.count = 1, .reusable = true}, SHIFT(738),
  [5516] = {.count = 1, .reusable = true}, SHIFT(2497),
  [5518] = {.count = 1, .reusable = false}, SHIFT(2007),
  [5520] = {.count = 1, .reusable = false}, SHIFT(2077),
  [5522] = {.count = 1, .reusable = true}, SHIFT(768),
  [5524] = {.count = 1, .reusable = false}, SHIFT(769),
  [5526] = {.count = 1, .reusable = true}, SHIFT(769),
  [5528] = {.count = 1, .reusable = true}, SHIFT(2518),
  [5530] = {.count = 1, .reusable = false}, SHIFT(2071),
  [5532] = {.count = 1, .reusable = false}, SHIFT(1928),
  [5534] = {.count = 1, .reusable = true}, SHIFT(734),
  [5536] = {.count = 1, .reusable = false}, SHIFT(737),
  [5538] = {.count = 1, .reusable = true}, SHIFT(737),
  [5540] = {.count = 1, .reusable = true}, SHIFT(2499),
  [5542] = {.count = 1, .reusable = true}, SHIFT(830),
  [5544] = {.count = 1, .reusable = false}, SHIFT(824),
  [5546] = {.count = 1, .reusable = true}, SHIFT(824),
  [5548] = {.count = 1, .reusable = true}, SHIFT(2503),
  [5550] = {.count = 1, .reusable = false}, SHIFT(2065),
  [5552] = {.count = 1, .reusable = false}, SHIFT(2040),
  [5554] = {.count = 1, .reusable = false}, SHIFT(2066),
  [5556] = {.count = 1, .reusable = false}, SHIFT(571),
  [5558] = {.count = 1, .reusable = true}, SHIFT(697),
  [5560] = {.count = 1, .reusable = false}, SHIFT(706),
  [5562] = {.count = 1, .reusable = true}, SHIFT(706),
  [5564] = {.count = 1, .reusable = true}, SHIFT(2502),
  [5566] = {.count = 1, .reusable = false}, SHIFT(2053),
  [5568] = {.count = 1, .reusable = true}, SHIFT(860),
  [5570] = {.count = 1, .reusable = false}, SHIFT(864),
  [5572] = {.count = 1, .reusable = true}, SHIFT(864),
  [5574] = {.count = 1, .reusable = true}, SHIFT(2525),
  [5576] = {.count = 1, .reusable = true}, SHIFT(744),
  [5578] = {.count = 1, .reusable = false}, SHIFT(760),
  [5580] = {.count = 1, .reusable = true}, SHIFT(760),
  [5582] = {.count = 1, .reusable = true}, SHIFT(2490),
  [5584] = {.count = 1, .reusable = false}, SHIFT(2072),
  [5586] = {.count = 1, .reusable = true}, SHIFT(851),
  [5588] = {.count = 1, .reusable = false}, SHIFT(850),
  [5590] = {.count = 1, .reusable = true}, SHIFT(850),
  [5592] = {.count = 1, .reusable = true}, SHIFT(2476),
  [5594] = {.count = 1, .reusable = false}, SHIFT(2056),
  [5596] = {.count = 1, .reusable = false}, SHIFT(2069),
  [5598] = {.count = 1, .reusable = false}, SHIFT(2064),
  [5600] = {.count = 1, .reusable = false}, SHIFT(1999),
  [5602] = {.count = 1, .reusable = false}, SHIFT(2074),
  [5604] = {.count = 1, .reusable = false}, SHIFT(2062),
  [5606] = {.count = 1, .reusable = false}, SHIFT(1778),
  [5608] = {.count = 1, .reusable = true}, SHIFT(757),
  [5610] = {.count = 1, .reusable = false}, SHIFT(758),
  [5612] = {.count = 1, .reusable = true}, SHIFT(758),
  [5614] = {.count = 1, .reusable = true}, SHIFT(2508),
  [5616] = {.count = 1, .reusable = false}, SHIFT(2059),
  [5618] = {.count = 1, .reusable = false}, SHIFT(558),
  [5620] = {.count = 1, .reusable = false}, SHIFT(2050),
  [5622] = {.count = 1, .reusable = false}, SHIFT(2057),
  [5624] = {.count = 1, .reusable = false}, SHIFT(347),
  [5626] = {.count = 1, .reusable = false}, SHIFT(2061),
  [5628] = {.count = 1, .reusable = true}, SHIFT(716),
  [5630] = {.count = 1, .reusable = false}, SHIFT(717),
  [5632] = {.count = 1, .reusable = true}, SHIFT(717),
  [5634] = {.count = 1, .reusable = true}, SHIFT(2458),
  [5636] = {.count = 1, .reusable = true}, SHIFT(818),
  [5638] = {.count = 1, .reusable = false}, SHIFT(825),
  [5640] = {.count = 1, .reusable = true}, SHIFT(825),
  [5642] = {.count = 1, .reusable = true}, SHIFT(2558),
  [5644] = {.count = 1, .reusable = false}, SHIFT(2054),
  [5646] = {.count = 1, .reusable = false}, SHIFT(2545),
  [5648] = {.count = 1, .reusable = true}, SHIFT(877),
  [5650] = {.count = 1, .reusable = false}, SHIFT(876),
  [5652] = {.count = 1, .reusable = true}, SHIFT(876),
  [5654] = {.count = 1, .reusable = true}, SHIFT(2470),
  [5656] = {.count = 1, .reusable = false}, SHIFT(2067),
  [5658] = {.count = 1, .reusable = false}, SHIFT(2051),
  [5660] = {.count = 1, .reusable = false}, SHIFT(655),
  [5662] = {.count = 1, .reusable = true}, SHIFT(777),
  [5664] = {.count = 1, .reusable = false}, SHIFT(798),
  [5666] = {.count = 1, .reusable = true}, SHIFT(798),
  [5668] = {.count = 1, .reusable = true}, SHIFT(2488),
  [5670] = {.count = 1, .reusable = false}, SHIFT(2083),
  [5672] = {.count = 1, .reusable = false}, SHIFT(2048),
  [5674] = {.count = 1, .reusable = false}, SHIFT(1441),
  [5676] = {.count = 1, .reusable = false}, SHIFT(2073),
  [5678] = {.count = 1, .reusable = false}, SHIFT(440),
  [5680] = {.count = 1, .reusable = true}, SHIFT(735),
  [5682] = {.count = 1, .reusable = false}, SHIFT(736),
  [5684] = {.count = 1, .reusable = true}, SHIFT(736),
  [5686] = {.count = 1, .reusable = true}, SHIFT(2465),
  [5688] = {.count = 1, .reusable = false}, SHIFT(2085),
  [5690] = {.count = 1, .reusable = false}, SHIFT(612),
  [5692] = {.count = 1, .reusable = true}, SHIFT(776),
  [5694] = {.count = 1, .reusable = false}, SHIFT(780),
  [5696] = {.count = 1, .reusable = true}, SHIFT(780),
  [5698] = {.count = 1, .reusable = true}, SHIFT(2538),
  [5700] = {.count = 1, .reusable = true}, SHIFT(2156),
  [5702] = {.count = 1, .reusable = true}, SHIFT(2268),
  [5704] = {.count = 1, .reusable = false}, SHIFT(2044),
  [5706] = {.count = 1, .reusable = false}, SHIFT(2224),
  [5708] = {.count = 1, .reusable = false}, SHIFT(2008),
  [5710] = {.count = 1, .reusable = true}, SHIFT(814),
  [5712] = {.count = 1, .reusable = false}, SHIFT(715),
  [5714] = {.count = 1, .reusable = true}, SHIFT(715),
  [5716] = {.count = 1, .reusable = true}, SHIFT(2519),
  [5718] = {.count = 1, .reusable = false}, SHIFT(2042),
  [5720] = {.count = 1, .reusable = false}, SHIFT(495),
  [5722] = {.count = 1, .reusable = false}, SHIFT(2043),
  [5724] = {.count = 1, .reusable = false}, SHIFT(1395),
  [5726] = {.count = 1, .reusable = true}, SHIFT(844),
  [5728] = {.count = 1, .reusable = false}, SHIFT(845),
  [5730] = {.count = 1, .reusable = true}, SHIFT(845),
  [5732] = {.count = 1, .reusable = true}, SHIFT(2554),
  [5734] = {.count = 1, .reusable = false}, SHIFT(2033),
  [5736] = {.count = 1, .reusable = false}, SHIFT(2082),
  [5738] = {.count = 1, .reusable = false}, SHIFT(364),
  [5740] = {.count = 1, .reusable = false}, SHIFT(2038),
  [5742] = {.count = 1, .reusable = false}, SHIFT(371),
  [5744] = {.count = 2, .reusable = false}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2158),
  [5747] = {.count = 2, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2045),
  [5750] = {.count = 2, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(104),
  [5753] = {.count = 2, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(37),
  [5756] = {.count = 2, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2148),
  [5759] = {.count = 1, .reusable = true}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [5761] = {.count = 1, .reusable = true}, SHIFT(2095),
  [5763] = {.count = 1, .reusable = true}, SHIFT(2184),
  [5765] = {.count = 1, .reusable = true}, SHIFT(698),
  [5767] = {.count = 1, .reusable = false}, SHIFT(892),
  [5769] = {.count = 1, .reusable = true}, SHIFT(892),
  [5771] = {.count = 1, .reusable = true}, SHIFT(2455),
  [5773] = {.count = 1, .reusable = false}, SHIFT(2031),
  [5775] = {.count = 1, .reusable = true}, SHIFT(795),
  [5777] = {.count = 1, .reusable = false}, SHIFT(790),
  [5779] = {.count = 1, .reusable = true}, SHIFT(790),
  [5781] = {.count = 1, .reusable = true}, SHIFT(2535),
  [5783] = {.count = 1, .reusable = true}, SHIFT(811),
  [5785] = {.count = 1, .reusable = false}, SHIFT(820),
  [5787] = {.count = 1, .reusable = true}, SHIFT(820),
  [5789] = {.count = 1, .reusable = true}, SHIFT(2466),
  [5791] = {.count = 1, .reusable = true}, SHIFT(881),
  [5793] = {.count = 1, .reusable = false}, SHIFT(883),
  [5795] = {.count = 1, .reusable = true}, SHIFT(883),
  [5797] = {.count = 1, .reusable = true}, SHIFT(2461),
  [5799] = {.count = 1, .reusable = false}, SHIFT(2086),
  [5801] = {.count = 1, .reusable = false}, SHIFT(279),
  [5803] = {.count = 1, .reusable = true}, SHIFT(2286),
  [5805] = {.count = 1, .reusable = false}, SHIFT(2039),
  [5807] = {.count = 1, .reusable = true}, SHIFT(2231),
  [5809] = {.count = 1, .reusable = false}, SHIFT(2232),
  [5811] = {.count = 1, .reusable = true}, SHIFT(2232),
  [5813] = {.count = 1, .reusable = true}, SHIFT(726),
  [5815] = {.count = 1, .reusable = false}, SHIFT(728),
  [5817] = {.count = 1, .reusable = true}, SHIFT(728),
  [5819] = {.count = 1, .reusable = true}, SHIFT(2471),
  [5821] = {.count = 1, .reusable = false}, SHIFT(2028),
  [5823] = {.count = 1, .reusable = false}, SHIFT(1802),
  [5825] = {.count = 1, .reusable = true}, SHIFT(833),
  [5827] = {.count = 1, .reusable = false}, SHIFT(834),
  [5829] = {.count = 1, .reusable = true}, SHIFT(834),
  [5831] = {.count = 1, .reusable = true}, SHIFT(2559),
  [5833] = {.count = 1, .reusable = false}, SHIFT(2032),
  [5835] = {.count = 1, .reusable = false}, SHIFT(2010),
  [5837] = {.count = 1, .reusable = false}, SHIFT(2018),
  [5839] = {.count = 1, .reusable = false}, SHIFT(1364),
  [5841] = {.count = 1, .reusable = false}, SHIFT(2024),
  [5843] = {.count = 1, .reusable = false}, SHIFT(1594),
  [5845] = {.count = 1, .reusable = true}, SHIFT(751),
  [5847] = {.count = 1, .reusable = false}, SHIFT(749),
  [5849] = {.count = 1, .reusable = true}, SHIFT(749),
  [5851] = {.count = 1, .reusable = true}, SHIFT(2546),
  [5853] = {.count = 1, .reusable = true}, SHIFT(702),
  [5855] = {.count = 1, .reusable = false}, SHIFT(703),
  [5857] = {.count = 1, .reusable = true}, SHIFT(703),
  [5859] = {.count = 1, .reusable = true}, SHIFT(2555),
  [5861] = {.count = 1, .reusable = false}, SHIFT(2026),
  [5863] = {.count = 1, .reusable = false}, SHIFT(2009),
  [5865] = {.count = 1, .reusable = false}, SHIFT(2020),
  [5867] = {.count = 1, .reusable = false}, SHIFT(560),
  [5869] = {.count = 1, .reusable = false}, SHIFT(2036),
  [5871] = {.count = 1, .reusable = false}, SHIFT(2037),
  [5873] = {.count = 1, .reusable = false}, SHIFT(2025),
  [5875] = {.count = 1, .reusable = false}, SHIFT(1665),
  [5877] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2093),
  [5880] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2),
  [5882] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2179),
  [5885] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2052),
  [5888] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(97),
  [5891] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(96),
  [5894] = {.count = 1, .reusable = false}, SHIFT(2015),
  [5896] = {.count = 1, .reusable = false}, SHIFT(1691),
  [5898] = {.count = 1, .reusable = true}, SHIFT(1903),
  [5900] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat1, 1),
  [5902] = {.count = 1, .reusable = true}, SHIFT(2218),
  [5904] = {.count = 1, .reusable = true}, REDUCE(sym_heredoc_body, 3),
  [5906] = {.count = 1, .reusable = false}, REDUCE(sym_heredoc_body, 3),
  [5908] = {.count = 1, .reusable = true}, REDUCE(sym_heredoc_body, 2),
  [5910] = {.count = 1, .reusable = false}, REDUCE(sym_heredoc_body, 2),
  [5912] = {.count = 1, .reusable = false}, SHIFT(1817),
  [5914] = {.count = 1, .reusable = true}, SHIFT(1817),
  [5916] = {.count = 1, .reusable = true}, REDUCE(sym_heredoc_body, 1),
  [5918] = {.count = 1, .reusable = false}, REDUCE(sym_heredoc_body, 1),
  [5920] = {.count = 1, .reusable = false}, SHIFT(1815),
  [5922] = {.count = 1, .reusable = true}, SHIFT(1815),
  [5924] = {.count = 1, .reusable = true}, SHIFT(2721),
  [5926] = {.count = 1, .reusable = false}, SHIFT(2296),
  [5928] = {.count = 1, .reusable = false}, SHIFT(2721),
  [5930] = {.count = 1, .reusable = false}, SHIFT(2226),
  [5932] = {.count = 1, .reusable = true}, SHIFT(2720),
  [5934] = {.count = 1, .reusable = false}, SHIFT(2306),
  [5936] = {.count = 1, .reusable = false}, SHIFT(2720),
  [5938] = {.count = 1, .reusable = false}, SHIFT(1821),
  [5940] = {.count = 1, .reusable = true}, SHIFT(1821),
  [5942] = {.count = 1, .reusable = false}, SHIFT(1833),
  [5944] = {.count = 1, .reusable = true}, SHIFT(1833),
  [5946] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2226),
  [5949] = {.count = 1, .reusable = true}, SHIFT(1896),
  [5951] = {.count = 1, .reusable = true}, SHIFT(2237),
  [5953] = {.count = 1, .reusable = true}, SHIFT(2563),
  [5955] = {.count = 1, .reusable = false}, SHIFT(2307),
  [5957] = {.count = 1, .reusable = false}, SHIFT(2563),
  [5959] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1903),
  [5962] = {.count = 1, .reusable = true}, SHIFT(2565),
  [5964] = {.count = 1, .reusable = false}, SHIFT(2293),
  [5966] = {.count = 1, .reusable = false}, SHIFT(2565),
  [5968] = {.count = 1, .reusable = true}, SHIFT(1458),
  [5970] = {.count = 1, .reusable = true}, SHIFT(114),
  [5972] = {.count = 1, .reusable = true}, SHIFT(39),
  [5974] = {.count = 1, .reusable = false}, REDUCE(aux_sym_string_repeat1, 3),
  [5976] = {.count = 1, .reusable = true}, SHIFT(1601),
  [5978] = {.count = 1, .reusable = true}, SHIFT(1610),
  [5980] = {.count = 1, .reusable = true}, SHIFT(1419),
  [5982] = {.count = 1, .reusable = true}, SHIFT(1822),
  [5984] = {.count = 1, .reusable = true}, SHIFT(9),
  [5986] = {.count = 1, .reusable = true}, SHIFT(206),
  [5988] = {.count = 1, .reusable = false}, SHIFT(206),
  [5990] = {.count = 1, .reusable = true}, SHIFT(191),
  [5992] = {.count = 1, .reusable = false}, SHIFT(191),
  [5994] = {.count = 1, .reusable = true}, SHIFT(212),
  [5996] = {.count = 1, .reusable = false}, SHIFT(212),
  [5998] = {.count = 1, .reusable = true}, SHIFT(2478),
  [6000] = {.count = 1, .reusable = false}, SHIFT(1671),
  [6002] = {.count = 1, .reusable = false}, SHIFT(2478),
  [6004] = {.count = 1, .reusable = true}, SHIFT(2317),
  [6006] = {.count = 1, .reusable = true}, SHIFT(23),
  [6008] = {.count = 1, .reusable = true}, SHIFT(2551),
  [6010] = {.count = 1, .reusable = false}, SHIFT(1741),
  [6012] = {.count = 1, .reusable = false}, SHIFT(2551),
  [6014] = {.count = 1, .reusable = true}, SHIFT(202),
  [6016] = {.count = 1, .reusable = false}, SHIFT(202),
  [6018] = {.count = 1, .reusable = true}, SHIFT(14),
  [6020] = {.count = 1, .reusable = true}, SHIFT(201),
  [6022] = {.count = 1, .reusable = false}, SHIFT(201),
  [6024] = {.count = 1, .reusable = true}, SHIFT(2315),
  [6026] = {.count = 1, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [6028] = {.count = 2, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(114),
  [6031] = {.count = 1, .reusable = true}, SHIFT(2310),
  [6033] = {.count = 1, .reusable = true}, SHIFT(98),
  [6035] = {.count = 1, .reusable = true}, SHIFT(2295),
  [6037] = {.count = 1, .reusable = true}, SHIFT(2312),
  [6039] = {.count = 1, .reusable = true}, SHIFT(2292),
  [6041] = {.count = 1, .reusable = true}, SHIFT(2305),
  [6043] = {.count = 1, .reusable = true}, SHIFT(213),
  [6045] = {.count = 1, .reusable = false}, SHIFT(213),
  [6047] = {.count = 1, .reusable = true}, SHIFT(197),
  [6049] = {.count = 1, .reusable = false}, SHIFT(197),
  [6051] = {.count = 1, .reusable = true}, SHIFT(8),
  [6053] = {.count = 1, .reusable = true}, SHIFT(2308),
  [6055] = {.count = 1, .reusable = true}, SHIFT(16),
  [6057] = {.count = 1, .reusable = true}, SHIFT(207),
  [6059] = {.count = 1, .reusable = false}, SHIFT(207),
  [6061] = {.count = 1, .reusable = true}, SHIFT(1376),
  [6063] = {.count = 1, .reusable = false}, SHIFT(1376),
  [6065] = {.count = 1, .reusable = true}, REDUCE(aux_sym_case_item_repeat1, 2),
  [6067] = {.count = 1, .reusable = true}, SHIFT(1353),
  [6069] = {.count = 1, .reusable = false}, SHIFT(1353),
  [6071] = {.count = 1, .reusable = true}, SHIFT(1340),
  [6073] = {.count = 1, .reusable = false}, SHIFT(1340),
  [6075] = {.count = 1, .reusable = true}, SHIFT(1348),
  [6077] = {.count = 1, .reusable = false}, SHIFT(1348),
  [6079] = {.count = 1, .reusable = true}, SHIFT(1885),
  [6081] = {.count = 1, .reusable = true}, SHIFT(1578),
  [6083] = {.count = 1, .reusable = false}, SHIFT(2335),
  [6085] = {.count = 1, .reusable = true}, SHIFT(2585),
  [6087] = {.count = 1, .reusable = true}, SHIFT(1882),
  [6089] = {.count = 1, .reusable = true}, SHIFT(209),
  [6091] = {.count = 1, .reusable = false}, SHIFT(209),
  [6093] = {.count = 1, .reusable = true}, SHIFT(1354),
  [6095] = {.count = 1, .reusable = false}, SHIFT(1354),
  [6097] = {.count = 1, .reusable = true}, SHIFT(1379),
  [6099] = {.count = 1, .reusable = false}, SHIFT(1379),
  [6101] = {.count = 1, .reusable = true}, SHIFT(2347),
  [6103] = {.count = 1, .reusable = true}, SHIFT(2656),
  [6105] = {.count = 1, .reusable = true}, SHIFT(1369),
  [6107] = {.count = 1, .reusable = false}, SHIFT(1369),
  [6109] = {.count = 1, .reusable = true}, SHIFT(145),
  [6111] = {.count = 1, .reusable = false}, SHIFT(145),
  [6113] = {.count = 1, .reusable = true}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 2),
  [6115] = {.count = 1, .reusable = true}, SHIFT(1341),
  [6117] = {.count = 1, .reusable = false}, SHIFT(1341),
  [6119] = {.count = 1, .reusable = true}, SHIFT(211),
  [6121] = {.count = 1, .reusable = false}, SHIFT(211),
  [6123] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2335),
  [6126] = {.count = 1, .reusable = true}, SHIFT(2511),
  [6128] = {.count = 1, .reusable = true}, SHIFT(636),
  [6130] = {.count = 1, .reusable = false}, SHIFT(2509),
  [6132] = {.count = 1, .reusable = true}, SHIFT(2225),
  [6134] = {.count = 1, .reusable = true}, SHIFT(1823),
  [6136] = {.count = 1, .reusable = true}, SHIFT(1399),
  [6138] = {.count = 1, .reusable = true}, SHIFT(2256),
  [6140] = {.count = 1, .reusable = true}, SHIFT(324),
  [6142] = {.count = 1, .reusable = true}, SHIFT(2239),
  [6144] = {.count = 1, .reusable = true}, SHIFT(1380),
  [6146] = {.count = 1, .reusable = true}, SHIFT(395),
  [6148] = {.count = 1, .reusable = true}, SHIFT(401),
  [6150] = {.count = 1, .reusable = true}, SHIFT(1385),
  [6152] = {.count = 1, .reusable = true}, SHIFT(1792),
  [6154] = {.count = 1, .reusable = true}, SHIFT(630),
  [6156] = {.count = 1, .reusable = true}, SHIFT(2522),
  [6158] = {.count = 1, .reusable = true}, SHIFT(306),
  [6160] = {.count = 1, .reusable = true}, SHIFT(2467),
  [6162] = {.count = 1, .reusable = true}, SHIFT(1871),
  [6164] = {.count = 1, .reusable = true}, SHIFT(1400),
  [6166] = {.count = 1, .reusable = true}, SHIFT(1797),
  [6168] = {.count = 1, .reusable = true}, SHIFT(1618),
  [6170] = {.count = 1, .reusable = true}, SHIFT(2529),
  [6172] = {.count = 1, .reusable = true}, SHIFT(1450),
  [6174] = {.count = 1, .reusable = true}, SHIFT(2457),
  [6176] = {.count = 1, .reusable = true}, SHIFT(302),
  [6178] = {.count = 1, .reusable = true}, SHIFT(412),
  [6180] = {.count = 1, .reusable = true}, SHIFT(332),
  [6182] = {.count = 1, .reusable = true}, SHIFT(1761),
  [6184] = {.count = 1, .reusable = true}, SHIFT(327),
  [6186] = {.count = 1, .reusable = true}, SHIFT(1359),
  [6188] = {.count = 1, .reusable = true}, SHIFT(1881),
  [6190] = {.count = 1, .reusable = true}, SHIFT(427),
  [6192] = {.count = 1, .reusable = true}, SHIFT(2571),
  [6194] = {.count = 2, .reusable = false}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2509),
  [6197] = {.count = 1, .reusable = true}, SHIFT(1355),
  [6199] = {.count = 1, .reusable = true}, SHIFT(1709),
  [6201] = {.count = 1, .reusable = true}, SHIFT(13),
  [6203] = {.count = 1, .reusable = true}, SHIFT(1757),
  [6205] = {.count = 1, .reusable = true}, SHIFT(1622),
  [6207] = {.count = 1, .reusable = true}, SHIFT(15),
  [6209] = {.count = 1, .reusable = true}, SHIFT(1474),
  [6211] = {.count = 1, .reusable = true}, SHIFT(1464),
  [6213] = {.count = 1, .reusable = true}, SHIFT(1521),
  [6215] = {.count = 1, .reusable = true}, SHIFT(1513),
  [6217] = {.count = 1, .reusable = true}, SHIFT(593),
  [6219] = {.count = 1, .reusable = true}, SHIFT(589),
  [6221] = {.count = 1, .reusable = true}, SHIFT(1721),
  [6223] = {.count = 2, .reusable = true}, REDUCE(aux_sym_case_item_repeat1, 2), SHIFT_REPEAT(1822),
  [6226] = {.count = 1, .reusable = true}, SHIFT(460),
  [6228] = {.count = 1, .reusable = true}, SHIFT(648),
  [6230] = {.count = 1, .reusable = true}, SHIFT(1410),
  [6232] = {.count = 1, .reusable = true}, SHIFT(289),
  [6234] = {.count = 1, .reusable = true}, SHIFT(12),
  [6236] = {.count = 1, .reusable = true}, SHIFT(1489),
  [6238] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1885),
  [6241] = {.count = 1, .reusable = true}, SHIFT(464),
  [6243] = {.count = 1, .reusable = true}, SHIFT(654),
  [6245] = {.count = 1, .reusable = true}, SHIFT(7),
  [6247] = {.count = 1, .reusable = true}, SHIFT(525),
  [6249] = {.count = 1, .reusable = true}, SHIFT(1968),
  [6251] = {.count = 1, .reusable = true}, SHIFT(527),
  [6253] = {.count = 1, .reusable = true}, SHIFT(1575),
  [6255] = {.count = 1, .reusable = true}, SHIFT(1861),
  [6257] = {.count = 1, .reusable = true}, SHIFT(1423),
  [6259] = {.count = 1, .reusable = true}, SHIFT(520),
  [6261] = {.count = 1, .reusable = true}, SHIFT(515),
  [6263] = {.count = 1, .reusable = true}, SHIFT(1414),
  [6265] = {.count = 1, .reusable = true}, SHIFT(2356),
  [6267] = {.count = 1, .reusable = true}, SHIFT(1837),
  [6269] = {.count = 1, .reusable = true}, SHIFT(496),
  [6271] = {.count = 1, .reusable = true}, SHIFT(2566),
  [6273] = {.count = 1, .reusable = true}, SHIFT(1964),
  [6275] = {.count = 1, .reusable = true}, SHIFT(2212),
  [6277] = {.count = 1, .reusable = true}, SHIFT(1925),
  [6279] = {.count = 1, .reusable = true}, SHIFT(491),
  [6281] = {.count = 1, .reusable = true}, SHIFT(2193),
  [6283] = {.count = 1, .reusable = true}, SHIFT(1938),
  [6285] = {.count = 1, .reusable = true}, SHIFT(2513),
  [6287] = {.count = 1, .reusable = true}, SHIFT(2189),
  [6289] = {.count = 1, .reusable = true}, SHIFT(1788),
  [6291] = {.count = 1, .reusable = true}, SHIFT(1715),
  [6293] = {.count = 1, .reusable = true}, SHIFT(1668),
  [6295] = {.count = 1, .reusable = true}, REDUCE(sym_last_case_item, 3),
  [6297] = {.count = 1, .reusable = true}, SHIFT(1661),
  [6299] = {.count = 1, .reusable = true}, SHIFT(1680),
  [6301] = {.count = 1, .reusable = true}, SHIFT(1711),
  [6303] = {.count = 1, .reusable = true}, SHIFT(1631),
  [6305] = {.count = 1, .reusable = true}, SHIFT(2608),
  [6307] = {.count = 1, .reusable = true}, SHIFT(1751),
  [6309] = {.count = 1, .reusable = true}, SHIFT(1752),
  [6311] = {.count = 1, .reusable = true}, SHIFT(1712),
  [6313] = {.count = 1, .reusable = true}, SHIFT(1611),
  [6315] = {.count = 1, .reusable = true}, SHIFT(1723),
  [6317] = {.count = 1, .reusable = true}, SHIFT(1669),
  [6319] = {.count = 1, .reusable = true}, SHIFT(2584),
  [6321] = {.count = 1, .reusable = true}, SHIFT(1672),
  [6323] = {.count = 1, .reusable = true}, SHIFT(1656),
  [6325] = {.count = 1, .reusable = true}, REDUCE(sym_last_case_item, 3, .production_id = 1),
  [6327] = {.count = 1, .reusable = true}, SHIFT(1766),
  [6329] = {.count = 1, .reusable = true}, SHIFT(1699),
  [6331] = {.count = 1, .reusable = true}, SHIFT(1753),
  [6333] = {.count = 1, .reusable = true}, SHIFT(1744),
  [6335] = {.count = 1, .reusable = true}, REDUCE(sym__terminated_statement, 2),
  [6337] = {.count = 1, .reusable = true}, SHIFT(1763),
  [6339] = {.count = 1, .reusable = true}, SHIFT(1707),
  [6341] = {.count = 1, .reusable = true}, SHIFT(1728),
  [6343] = {.count = 1, .reusable = true}, SHIFT(1738),
  [6345] = {.count = 1, .reusable = true}, SHIFT(1742),
  [6347] = {.count = 1, .reusable = true}, SHIFT(1719),
  [6349] = {.count = 1, .reusable = true}, SHIFT(1653),
  [6351] = {.count = 1, .reusable = true}, SHIFT(1646),
  [6353] = {.count = 1, .reusable = true}, SHIFT(1629),
  [6355] = {.count = 1, .reusable = true}, SHIFT(1705),
  [6357] = {.count = 1, .reusable = true}, SHIFT(1785),
  [6359] = {.count = 1, .reusable = true}, SHIFT(680),
  [6361] = {.count = 1, .reusable = true}, SHIFT(2269),
  [6363] = {.count = 1, .reusable = true}, REDUCE(sym_last_case_item, 4),
  [6365] = {.count = 1, .reusable = true}, SHIFT(2079),
  [6367] = {.count = 1, .reusable = true}, SHIFT(1743),
  [6369] = {.count = 1, .reusable = true}, SHIFT(1637),
  [6371] = {.count = 1, .reusable = true}, SHIFT(1687),
  [6373] = {.count = 1, .reusable = true}, REDUCE(sym_last_case_item, 4, .production_id = 1),
  [6375] = {.count = 1, .reusable = true}, SHIFT(2063),
  [6377] = {.count = 1, .reusable = true}, SHIFT(1675),
  [6379] = {.count = 1, .reusable = true}, SHIFT(1609),
  [6381] = {.count = 1, .reusable = true}, SHIFT(1727),
  [6383] = {.count = 1, .reusable = true}, SHIFT(1642),
  [6385] = {.count = 1, .reusable = true}, SHIFT(1636),
  [6387] = {.count = 1, .reusable = true}, SHIFT(1670),
  [6389] = {.count = 1, .reusable = true}, SHIFT(676),
  [6391] = {.count = 1, .reusable = true}, SHIFT(2271),
  [6393] = {.count = 1, .reusable = true}, SHIFT(1662),
  [6395] = {.count = 1, .reusable = true}, SHIFT(1632),
  [6397] = {.count = 1, .reusable = true}, SHIFT(1598),
  [6399] = {.count = 1, .reusable = true}, SHIFT(1612),
  [6401] = {.count = 1, .reusable = true}, SHIFT(1745),
  [6403] = {.count = 1, .reusable = true}, SHIFT(1607),
  [6405] = {.count = 1, .reusable = true}, SHIFT(1634),
  [6407] = {.count = 1, .reusable = true}, SHIFT(1650),
  [6409] = {.count = 1, .reusable = true}, SHIFT(1638),
  [6411] = {.count = 1, .reusable = true}, SHIFT(1645),
  [6413] = {.count = 1, .reusable = true}, SHIFT(1693),
  [6415] = {.count = 1, .reusable = true}, SHIFT(1649),
  [6417] = {.count = 1, .reusable = true}, SHIFT(1733),
  [6419] = {.count = 1, .reusable = true}, SHIFT(1713),
  [6421] = {.count = 1, .reusable = true}, SHIFT(2480),
  [6423] = {.count = 1, .reusable = true}, SHIFT(2311),
  [6425] = {.count = 1, .reusable = true}, SHIFT(2300),
  [6427] = {.count = 1, .reusable = true}, SHIFT(2487),
  [6429] = {.count = 1, .reusable = true}, SHIFT(3),
  [6431] = {.count = 1, .reusable = true}, SHIFT(414),
  [6433] = {.count = 1, .reusable = true}, SHIFT(2437),
  [6435] = {.count = 1, .reusable = true}, SHIFT(2507),
  [6437] = {.count = 1, .reusable = true}, SHIFT(477),
  [6439] = {.count = 1, .reusable = true}, SHIFT(1445),
  [6441] = {.count = 1, .reusable = true}, SHIFT(1769),
  [6443] = {.count = 1, .reusable = true}, SHIFT(1770),
  [6445] = {.count = 1, .reusable = true}, SHIFT(1398),
  [6447] = {.count = 1, .reusable = true}, SHIFT(503),
  [6449] = {.count = 1, .reusable = true}, SHIFT(1570),
  [6451] = {.count = 1, .reusable = true}, SHIFT(528),
  [6453] = {.count = 1, .reusable = true}, SHIFT(455),
  [6455] = {.count = 1, .reusable = true}, SHIFT(1483),
  [6457] = {.count = 1, .reusable = true}, SHIFT(1460),
  [6459] = {.count = 1, .reusable = true}, SHIFT(1468),
  [6461] = {.count = 1, .reusable = true}, SHIFT(1700),
  [6463] = {.count = 1, .reusable = true}, SHIFT(2474),
  [6465] = {.count = 1, .reusable = true}, SHIFT(1469),
  [6467] = {.count = 1, .reusable = true}, SHIFT(1471),
  [6469] = {.count = 1, .reusable = true}, SHIFT(1476),
  [6471] = {.count = 1, .reusable = true}, SHIFT(415),
  [6473] = {.count = 1, .reusable = true}, SHIFT(1480),
  [6475] = {.count = 1, .reusable = true}, SHIFT(633),
  [6477] = {.count = 1, .reusable = true}, SHIFT(387),
  [6479] = {.count = 1, .reusable = true}, SHIFT(420),
  [6481] = {.count = 1, .reusable = true}, SHIFT(421),
  [6483] = {.count = 1, .reusable = true}, SHIFT(2238),
  [6485] = {.count = 1, .reusable = true}, SHIFT(2236),
  [6487] = {.count = 1, .reusable = true}, SHIFT(374),
  [6489] = {.count = 1, .reusable = true}, SHIFT(2262),
  [6491] = {.count = 1, .reusable = true}, SHIFT(1828),
  [6493] = {.count = 1, .reusable = true}, SHIFT(1829),
  [6495] = {.count = 1, .reusable = true}, SHIFT(2089),
  [6497] = {.count = 1, .reusable = true}, SHIFT(2090),
  [6499] = {.count = 1, .reusable = true}, SHIFT(339),
  [6501] = {.count = 1, .reusable = true}, SHIFT(367),
  [6503] = {.count = 1, .reusable = true}, SHIFT(2541),
  [6505] = {.count = 1, .reusable = true}, SHIFT(1623),
  [6507] = {.count = 1, .reusable = true}, SHIFT(603),
  [6509] = {.count = 1, .reusable = true}, SHIFT(602),
  [6511] = {.count = 1, .reusable = true}, SHIFT(2501),
  [6513] = {.count = 1, .reusable = true}, SHIFT(1345),
  [6515] = {.count = 1, .reusable = true}, SHIFT(5),
  [6517] = {.count = 1, .reusable = true}, SHIFT(2321),
  [6519] = {.count = 1, .reusable = true}, SHIFT(338),
  [6521] = {.count = 1, .reusable = true}, SHIFT(1453),
  [6523] = {.count = 1, .reusable = true}, SHIFT(1435),
  [6525] = {.count = 1, .reusable = true}, SHIFT(1704),
  [6527] = {.count = 1, .reusable = true}, SHIFT(1342),
  [6529] = {.count = 1, .reusable = true}, SHIFT(627),
  [6531] = {.count = 1, .reusable = true}, SHIFT(1734),
  [6533] = {.count = 1, .reusable = true}, SHIFT(2201),
  [6535] = {.count = 1, .reusable = true}, SHIFT(554),
  [6537] = {.count = 1, .reusable = true}, SHIFT(546),
  [6539] = {.count = 1, .reusable = true}, SHIFT(1946),
  [6541] = {.count = 1, .reusable = true}, SHIFT(1726),
  [6543] = {.count = 1, .reusable = true}, SHIFT(489),
  [6545] = {.count = 1, .reusable = true}, SHIFT(1479),
  [6547] = {.count = 1, .reusable = true}, REDUCE(sym_program, 1),
  [6549] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [6551] = {.count = 1, .reusable = true}, SHIFT(1408),
  [6553] = {.count = 1, .reusable = true}, SHIFT(1749),
  [6555] = {.count = 1, .reusable = true}, SHIFT(1936),
  [6557] = {.count = 1, .reusable = true}, SHIFT(1979),
  [6559] = {.count = 1, .reusable = true}, SHIFT(1756),
  [6561] = {.count = 1, .reusable = true}, SHIFT(1694),
  [6563] = {.count = 1, .reusable = true}, SHIFT(1599),
  [6565] = {.count = 1, .reusable = true}, SHIFT(282),
  [6567] = {.count = 1, .reusable = true}, SHIFT(1686),
  [6569] = {.count = 1, .reusable = true}, SHIFT(2375),
  [6571] = {.count = 1, .reusable = true}, SHIFT(1995),
  [6573] = {.count = 1, .reusable = true}, SHIFT(1549),
  [6575] = {.count = 1, .reusable = true}, SHIFT(296),
  [6577] = {.count = 1, .reusable = true}, SHIFT(563),
  [6579] = {.count = 1, .reusable = true}, SHIFT(1604),
  [6581] = {.count = 1, .reusable = true}, SHIFT(2318),
  [6583] = {.count = 1, .reusable = true}, SHIFT(2299),
  [6585] = {.count = 1, .reusable = true}, SHIFT(582),
  [6587] = {.count = 1, .reusable = true}, SHIFT(1635),
  [6589] = {.count = 1, .reusable = true}, SHIFT(1568),
  [6591] = {.count = 1, .reusable = true}, SHIFT(1772),
  [6593] = {.count = 1, .reusable = true}, SHIFT(10),
};

void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
  };
  return &language;
}
